# `datadog_dashboard`

Refer to the Terraform Registory for docs: [`datadog_dashboard`](https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard).

# `dashboard` Submodule <a name="`dashboard` Submodule" id="@cdktf/provider-datadog.dashboard"></a>

## Constructs <a name="Constructs" id="Constructs"></a>

### Dashboard <a name="Dashboard" id="@cdktf/provider-datadog.dashboard.Dashboard"></a>

Represents a {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard datadog_dashboard}.

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.Dashboard;

Dashboard.Builder.create(Construct scope, java.lang.String id)
//  .connection(SSHProvisionerConnection)
//  .connection(WinrmProvisionerConnection)
//  .count(java.lang.Number)
//  .count(TerraformCount)
//  .dependsOn(java.util.List<ITerraformDependable>)
//  .forEach(ITerraformIterator)
//  .lifecycle(TerraformResourceLifecycle)
//  .provider(TerraformProvider)
//  .provisioners(java.util.List<FileProvisioner)
//  .provisioners(LocalExecProvisioner)
//  .provisioners(RemoteExecProvisioner>)
    .layoutType(java.lang.String)
    .title(java.lang.String)
//  .dashboardLists(java.util.List<java.lang.Number>)
//  .description(java.lang.String)
//  .id(java.lang.String)
//  .isReadOnly(java.lang.Boolean)
//  .isReadOnly(IResolvable)
//  .notifyList(java.util.List<java.lang.String>)
//  .reflowType(java.lang.String)
//  .restrictedRoles(java.util.List<java.lang.String>)
//  .templateVariable(IResolvable)
//  .templateVariable(java.util.List<DashboardTemplateVariable>)
//  .templateVariablePreset(IResolvable)
//  .templateVariablePreset(java.util.List<DashboardTemplateVariablePreset>)
//  .url(java.lang.String)
//  .widget(IResolvable)
//  .widget(java.util.List<DashboardWidget>)
    .build();
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.scope">scope</a></code> | <code>software.constructs.Construct</code> | The scope in which to define this construct. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.id">id</a></code> | <code>java.lang.String</code> | The scoped construct ID. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.connection">connection</a></code> | <code>com.hashicorp.cdktf.SSHProvisionerConnection OR com.hashicorp.cdktf.WinrmProvisionerConnection</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.count">count</a></code> | <code>java.lang.Number OR com.hashicorp.cdktf.TerraformCount</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.dependsOn">dependsOn</a></code> | <code>java.util.List<com.hashicorp.cdktf.ITerraformDependable></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.forEach">forEach</a></code> | <code>com.hashicorp.cdktf.ITerraformIterator</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.lifecycle">lifecycle</a></code> | <code>com.hashicorp.cdktf.TerraformResourceLifecycle</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.provider">provider</a></code> | <code>com.hashicorp.cdktf.TerraformProvider</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.provisioners">provisioners</a></code> | <code>java.util.List<com.hashicorp.cdktf.FileProvisioner OR com.hashicorp.cdktf.LocalExecProvisioner OR com.hashicorp.cdktf.RemoteExecProvisioner></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.layoutType">layoutType</a></code> | <code>java.lang.String</code> | The layout type of the dashboard. Valid values are `ordered`, `free`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.title">title</a></code> | <code>java.lang.String</code> | The title of the dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.dashboardLists">dashboardLists</a></code> | <code>java.util.List<java.lang.Number></code> | A list of dashboard lists this dashboard belongs to. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.description">description</a></code> | <code>java.lang.String</code> | The description of the dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.id">id</a></code> | <code>java.lang.String</code> | Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#id Dashboard#id}. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.isReadOnly">isReadOnly</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether this dashboard is read-only. **Deprecated.** Prefer using `restricted_roles` to define which roles are required to edit the dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.notifyList">notifyList</a></code> | <code>java.util.List<java.lang.String></code> | The list of handles for the users to notify when changes are made to this dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.reflowType">reflowType</a></code> | <code>java.lang.String</code> | The reflow type of a new dashboard layout. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.restrictedRoles">restrictedRoles</a></code> | <code>java.util.List<java.lang.String></code> | UUIDs of roles whose associated users are authorized to edit the dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.templateVariable">templateVariable</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a>></code> | template_variable block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.templateVariablePreset">templateVariablePreset</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a>></code> | template_variable_preset block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.url">url</a></code> | <code>java.lang.String</code> | The URL of the dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.widget">widget</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidget">DashboardWidget</a>></code> | widget block. |

---

##### `scope`<sup>Required</sup> <a name="scope" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.scope"></a>

- *Type:* software.constructs.Construct

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="id" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.id"></a>

- *Type:* java.lang.String

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `connection`<sup>Optional</sup> <a name="connection" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.connection"></a>

- *Type:* com.hashicorp.cdktf.SSHProvisionerConnection OR com.hashicorp.cdktf.WinrmProvisionerConnection

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.count"></a>

- *Type:* java.lang.Number OR com.hashicorp.cdktf.TerraformCount

---

##### `dependsOn`<sup>Optional</sup> <a name="dependsOn" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.dependsOn"></a>

- *Type:* java.util.List<com.hashicorp.cdktf.ITerraformDependable>

---

##### `forEach`<sup>Optional</sup> <a name="forEach" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.forEach"></a>

- *Type:* com.hashicorp.cdktf.ITerraformIterator

---

##### `lifecycle`<sup>Optional</sup> <a name="lifecycle" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.lifecycle"></a>

- *Type:* com.hashicorp.cdktf.TerraformResourceLifecycle

---

##### `provider`<sup>Optional</sup> <a name="provider" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.provider"></a>

- *Type:* com.hashicorp.cdktf.TerraformProvider

---

##### `provisioners`<sup>Optional</sup> <a name="provisioners" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.provisioners"></a>

- *Type:* java.util.List<com.hashicorp.cdktf.FileProvisioner OR com.hashicorp.cdktf.LocalExecProvisioner OR com.hashicorp.cdktf.RemoteExecProvisioner>

---

##### `layoutType`<sup>Required</sup> <a name="layoutType" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.layoutType"></a>

- *Type:* java.lang.String

The layout type of the dashboard. Valid values are `ordered`, `free`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#layout_type Dashboard#layout_type}

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.title"></a>

- *Type:* java.lang.String

The title of the dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `dashboardLists`<sup>Optional</sup> <a name="dashboardLists" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.dashboardLists"></a>

- *Type:* java.util.List<java.lang.Number>

A list of dashboard lists this dashboard belongs to.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#dashboard_lists Dashboard#dashboard_lists}

---

##### `description`<sup>Optional</sup> <a name="description" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.description"></a>

- *Type:* java.lang.String

The description of the dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#description Dashboard#description}

---

##### `id`<sup>Optional</sup> <a name="id" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.id"></a>

- *Type:* java.lang.String

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#id Dashboard#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2.
If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `isReadOnly`<sup>Optional</sup> <a name="isReadOnly" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.isReadOnly"></a>

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether this dashboard is read-only. **Deprecated.** Prefer using `restricted_roles` to define which roles are required to edit the dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_read_only Dashboard#is_read_only}

---

##### `notifyList`<sup>Optional</sup> <a name="notifyList" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.notifyList"></a>

- *Type:* java.util.List<java.lang.String>

The list of handles for the users to notify when changes are made to this dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#notify_list Dashboard#notify_list}

---

##### `reflowType`<sup>Optional</sup> <a name="reflowType" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.reflowType"></a>

- *Type:* java.lang.String

The reflow type of a new dashboard layout.

Set this only when layout type is `ordered`. If set to `fixed`, the dashboard expects all widgets to have a layout, and if it's set to `auto`, widgets should not have layouts. Valid values are `auto`, `fixed`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#reflow_type Dashboard#reflow_type}

---

##### `restrictedRoles`<sup>Optional</sup> <a name="restrictedRoles" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.restrictedRoles"></a>

- *Type:* java.util.List<java.lang.String>

UUIDs of roles whose associated users are authorized to edit the dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#restricted_roles Dashboard#restricted_roles}

---

##### `templateVariable`<sup>Optional</sup> <a name="templateVariable" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.templateVariable"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a>>

template_variable block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#template_variable Dashboard#template_variable}

---

##### `templateVariablePreset`<sup>Optional</sup> <a name="templateVariablePreset" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.templateVariablePreset"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a>>

template_variable_preset block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#template_variable_preset Dashboard#template_variable_preset}

---

##### `url`<sup>Optional</sup> <a name="url" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.url"></a>

- *Type:* java.lang.String

The URL of the dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#url Dashboard#url}

---

##### `widget`<sup>Optional</sup> <a name="widget" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.widget"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidget">DashboardWidget</a>>

widget block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#widget Dashboard#widget}

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.toString">toString</a></code> | Returns a string representation of this construct. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.addOverride">addOverride</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.overrideLogicalId">overrideLogicalId</a></code> | Overrides the auto-generated logical ID with a specific ID. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetOverrideLogicalId">resetOverrideLogicalId</a></code> | Resets a previously passed logical Id to use the auto-generated logical id again. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.toMetadata">toMetadata</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.toTerraform">toTerraform</a></code> | Adds this resource to the terraform JSON output. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.putTemplateVariable">putTemplateVariable</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.putTemplateVariablePreset">putTemplateVariablePreset</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.putWidget">putWidget</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetDashboardLists">resetDashboardLists</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetDescription">resetDescription</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetId">resetId</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetIsReadOnly">resetIsReadOnly</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetNotifyList">resetNotifyList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetReflowType">resetReflowType</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetRestrictedRoles">resetRestrictedRoles</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetTemplateVariable">resetTemplateVariable</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetTemplateVariablePreset">resetTemplateVariablePreset</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetUrl">resetUrl</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetWidget">resetWidget</a></code> | *No description.* |

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.Dashboard.toString"></a>

```java
public java.lang.String toString()
```

Returns a string representation of this construct.

##### `addOverride` <a name="addOverride" id="@cdktf/provider-datadog.dashboard.Dashboard.addOverride"></a>

```java
public void addOverride(java.lang.String path, java.lang.Object value)
```

###### `path`<sup>Required</sup> <a name="path" id="@cdktf/provider-datadog.dashboard.Dashboard.addOverride.parameter.path"></a>

- *Type:* java.lang.String

---

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.Dashboard.addOverride.parameter.value"></a>

- *Type:* java.lang.Object

---

##### `overrideLogicalId` <a name="overrideLogicalId" id="@cdktf/provider-datadog.dashboard.Dashboard.overrideLogicalId"></a>

```java
public void overrideLogicalId(java.lang.String newLogicalId)
```

Overrides the auto-generated logical ID with a specific ID.

###### `newLogicalId`<sup>Required</sup> <a name="newLogicalId" id="@cdktf/provider-datadog.dashboard.Dashboard.overrideLogicalId.parameter.newLogicalId"></a>

- *Type:* java.lang.String

The new logical ID to use for this stack element.

---

##### `resetOverrideLogicalId` <a name="resetOverrideLogicalId" id="@cdktf/provider-datadog.dashboard.Dashboard.resetOverrideLogicalId"></a>

```java
public void resetOverrideLogicalId()
```

Resets a previously passed logical Id to use the auto-generated logical id again.

##### `toMetadata` <a name="toMetadata" id="@cdktf/provider-datadog.dashboard.Dashboard.toMetadata"></a>

```java
public java.lang.Object toMetadata()
```

##### `toTerraform` <a name="toTerraform" id="@cdktf/provider-datadog.dashboard.Dashboard.toTerraform"></a>

```java
public java.lang.Object toTerraform()
```

Adds this resource to the terraform JSON output.

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.interpolationForAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `putTemplateVariable` <a name="putTemplateVariable" id="@cdktf/provider-datadog.dashboard.Dashboard.putTemplateVariable"></a>

```java
public void putTemplateVariable(IResolvable OR java.util.List<DashboardTemplateVariable> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.Dashboard.putTemplateVariable.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a>>

---

##### `putTemplateVariablePreset` <a name="putTemplateVariablePreset" id="@cdktf/provider-datadog.dashboard.Dashboard.putTemplateVariablePreset"></a>

```java
public void putTemplateVariablePreset(IResolvable OR java.util.List<DashboardTemplateVariablePreset> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.Dashboard.putTemplateVariablePreset.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a>>

---

##### `putWidget` <a name="putWidget" id="@cdktf/provider-datadog.dashboard.Dashboard.putWidget"></a>

```java
public void putWidget(IResolvable OR java.util.List<DashboardWidget> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.Dashboard.putWidget.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidget">DashboardWidget</a>>

---

##### `resetDashboardLists` <a name="resetDashboardLists" id="@cdktf/provider-datadog.dashboard.Dashboard.resetDashboardLists"></a>

```java
public void resetDashboardLists()
```

##### `resetDescription` <a name="resetDescription" id="@cdktf/provider-datadog.dashboard.Dashboard.resetDescription"></a>

```java
public void resetDescription()
```

##### `resetId` <a name="resetId" id="@cdktf/provider-datadog.dashboard.Dashboard.resetId"></a>

```java
public void resetId()
```

##### `resetIsReadOnly` <a name="resetIsReadOnly" id="@cdktf/provider-datadog.dashboard.Dashboard.resetIsReadOnly"></a>

```java
public void resetIsReadOnly()
```

##### `resetNotifyList` <a name="resetNotifyList" id="@cdktf/provider-datadog.dashboard.Dashboard.resetNotifyList"></a>

```java
public void resetNotifyList()
```

##### `resetReflowType` <a name="resetReflowType" id="@cdktf/provider-datadog.dashboard.Dashboard.resetReflowType"></a>

```java
public void resetReflowType()
```

##### `resetRestrictedRoles` <a name="resetRestrictedRoles" id="@cdktf/provider-datadog.dashboard.Dashboard.resetRestrictedRoles"></a>

```java
public void resetRestrictedRoles()
```

##### `resetTemplateVariable` <a name="resetTemplateVariable" id="@cdktf/provider-datadog.dashboard.Dashboard.resetTemplateVariable"></a>

```java
public void resetTemplateVariable()
```

##### `resetTemplateVariablePreset` <a name="resetTemplateVariablePreset" id="@cdktf/provider-datadog.dashboard.Dashboard.resetTemplateVariablePreset"></a>

```java
public void resetTemplateVariablePreset()
```

##### `resetUrl` <a name="resetUrl" id="@cdktf/provider-datadog.dashboard.Dashboard.resetUrl"></a>

```java
public void resetUrl()
```

##### `resetWidget` <a name="resetWidget" id="@cdktf/provider-datadog.dashboard.Dashboard.resetWidget"></a>

```java
public void resetWidget()
```

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.isTerraformElement">isTerraformElement</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.isTerraformResource">isTerraformResource</a></code> | *No description.* |

---

##### `isConstruct` <a name="isConstruct" id="@cdktf/provider-datadog.dashboard.Dashboard.isConstruct"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.Dashboard;

Dashboard.isConstruct(java.lang.Object x)
```

Checks if `x` is a construct.

Use this method instead of `instanceof` to properly detect `Construct`
instances, even when the construct library is symlinked.

Explanation: in JavaScript, multiple copies of the `constructs` library on
disk are seen as independent, completely different libraries. As a
consequence, the class `Construct` in each copy of the `constructs` library
is seen as a different class, and an instance of one class will not test as
`instanceof` the other class. `npm install` will not create installations
like this, but users may manually symlink construct libraries together or
use a monorepo tool: in those cases, multiple copies of the `constructs`
library can be accidentally installed, and `instanceof` will behave
unpredictably. It is safest to avoid using `instanceof`, and using
this type-testing method instead.

###### `x`<sup>Required</sup> <a name="x" id="@cdktf/provider-datadog.dashboard.Dashboard.isConstruct.parameter.x"></a>

- *Type:* java.lang.Object

Any object.

---

##### `isTerraformElement` <a name="isTerraformElement" id="@cdktf/provider-datadog.dashboard.Dashboard.isTerraformElement"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.Dashboard;

Dashboard.isTerraformElement(java.lang.Object x)
```

###### `x`<sup>Required</sup> <a name="x" id="@cdktf/provider-datadog.dashboard.Dashboard.isTerraformElement.parameter.x"></a>

- *Type:* java.lang.Object

---

##### `isTerraformResource` <a name="isTerraformResource" id="@cdktf/provider-datadog.dashboard.Dashboard.isTerraformResource"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.Dashboard;

Dashboard.isTerraformResource(java.lang.Object x)
```

###### `x`<sup>Required</sup> <a name="x" id="@cdktf/provider-datadog.dashboard.Dashboard.isTerraformResource.parameter.x"></a>

- *Type:* java.lang.Object

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.node">node</a></code> | <code>software.constructs.Node</code> | The tree node. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.cdktfStack">cdktfStack</a></code> | <code>com.hashicorp.cdktf.TerraformStack</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.friendlyUniqueId">friendlyUniqueId</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.terraformMetaArguments">terraformMetaArguments</a></code> | <code>java.util.Map<java.lang.String, java.lang.Object></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.terraformResourceType">terraformResourceType</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.terraformGeneratorMetadata">terraformGeneratorMetadata</a></code> | <code>com.hashicorp.cdktf.TerraformProviderGeneratorMetadata</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.connection">connection</a></code> | <code>com.hashicorp.cdktf.SSHProvisionerConnection OR com.hashicorp.cdktf.WinrmProvisionerConnection</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.count">count</a></code> | <code>java.lang.Number OR com.hashicorp.cdktf.TerraformCount</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.dependsOn">dependsOn</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.forEach">forEach</a></code> | <code>com.hashicorp.cdktf.ITerraformIterator</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.lifecycle">lifecycle</a></code> | <code>com.hashicorp.cdktf.TerraformResourceLifecycle</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.provider">provider</a></code> | <code>com.hashicorp.cdktf.TerraformProvider</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.provisioners">provisioners</a></code> | <code>java.util.List<com.hashicorp.cdktf.FileProvisioner OR com.hashicorp.cdktf.LocalExecProvisioner OR com.hashicorp.cdktf.RemoteExecProvisioner></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.dashboardListsRemoved">dashboardListsRemoved</a></code> | <code>java.util.List<java.lang.Number></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariable">templateVariable</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList">DashboardTemplateVariableList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariablePreset">templateVariablePreset</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList">DashboardTemplateVariablePresetList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.widget">widget</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetList">DashboardWidgetList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.dashboardListsInput">dashboardListsInput</a></code> | <code>java.util.List<java.lang.Number></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.descriptionInput">descriptionInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.idInput">idInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.isReadOnlyInput">isReadOnlyInput</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.layoutTypeInput">layoutTypeInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.notifyListInput">notifyListInput</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.reflowTypeInput">reflowTypeInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.restrictedRolesInput">restrictedRolesInput</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariableInput">templateVariableInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariablePresetInput">templateVariablePresetInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.titleInput">titleInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.urlInput">urlInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.widgetInput">widgetInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidget">DashboardWidget</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.dashboardLists">dashboardLists</a></code> | <code>java.util.List<java.lang.Number></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.description">description</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.id">id</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.isReadOnly">isReadOnly</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.layoutType">layoutType</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.notifyList">notifyList</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.reflowType">reflowType</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.restrictedRoles">restrictedRoles</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.title">title</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.url">url</a></code> | <code>java.lang.String</code> | *No description.* |

---

##### `node`<sup>Required</sup> <a name="node" id="@cdktf/provider-datadog.dashboard.Dashboard.property.node"></a>

```java
public Node getNode();
```

- *Type:* software.constructs.Node

The tree node.

---

##### `cdktfStack`<sup>Required</sup> <a name="cdktfStack" id="@cdktf/provider-datadog.dashboard.Dashboard.property.cdktfStack"></a>

```java
public TerraformStack getCdktfStack();
```

- *Type:* com.hashicorp.cdktf.TerraformStack

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.Dashboard.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `friendlyUniqueId`<sup>Required</sup> <a name="friendlyUniqueId" id="@cdktf/provider-datadog.dashboard.Dashboard.property.friendlyUniqueId"></a>

```java
public java.lang.String getFriendlyUniqueId();
```

- *Type:* java.lang.String

---

##### `terraformMetaArguments`<sup>Required</sup> <a name="terraformMetaArguments" id="@cdktf/provider-datadog.dashboard.Dashboard.property.terraformMetaArguments"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getTerraformMetaArguments();
```

- *Type:* java.util.Map<java.lang.String, java.lang.Object>

---

##### `terraformResourceType`<sup>Required</sup> <a name="terraformResourceType" id="@cdktf/provider-datadog.dashboard.Dashboard.property.terraformResourceType"></a>

```java
public java.lang.String getTerraformResourceType();
```

- *Type:* java.lang.String

---

##### `terraformGeneratorMetadata`<sup>Optional</sup> <a name="terraformGeneratorMetadata" id="@cdktf/provider-datadog.dashboard.Dashboard.property.terraformGeneratorMetadata"></a>

```java
public TerraformProviderGeneratorMetadata getTerraformGeneratorMetadata();
```

- *Type:* com.hashicorp.cdktf.TerraformProviderGeneratorMetadata

---

##### `connection`<sup>Optional</sup> <a name="connection" id="@cdktf/provider-datadog.dashboard.Dashboard.property.connection"></a>

```java
public java.lang.Object getConnection();
```

- *Type:* com.hashicorp.cdktf.SSHProvisionerConnection OR com.hashicorp.cdktf.WinrmProvisionerConnection

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.Dashboard.property.count"></a>

```java
public java.lang.Object getCount();
```

- *Type:* java.lang.Number OR com.hashicorp.cdktf.TerraformCount

---

##### `dependsOn`<sup>Optional</sup> <a name="dependsOn" id="@cdktf/provider-datadog.dashboard.Dashboard.property.dependsOn"></a>

```java
public java.util.List<java.lang.String> getDependsOn();
```

- *Type:* java.util.List<java.lang.String>

---

##### `forEach`<sup>Optional</sup> <a name="forEach" id="@cdktf/provider-datadog.dashboard.Dashboard.property.forEach"></a>

```java
public ITerraformIterator getForEach();
```

- *Type:* com.hashicorp.cdktf.ITerraformIterator

---

##### `lifecycle`<sup>Optional</sup> <a name="lifecycle" id="@cdktf/provider-datadog.dashboard.Dashboard.property.lifecycle"></a>

```java
public TerraformResourceLifecycle getLifecycle();
```

- *Type:* com.hashicorp.cdktf.TerraformResourceLifecycle

---

##### `provider`<sup>Optional</sup> <a name="provider" id="@cdktf/provider-datadog.dashboard.Dashboard.property.provider"></a>

```java
public TerraformProvider getProvider();
```

- *Type:* com.hashicorp.cdktf.TerraformProvider

---

##### `provisioners`<sup>Optional</sup> <a name="provisioners" id="@cdktf/provider-datadog.dashboard.Dashboard.property.provisioners"></a>

```java
public java.lang.Object getProvisioners();
```

- *Type:* java.util.List<com.hashicorp.cdktf.FileProvisioner OR com.hashicorp.cdktf.LocalExecProvisioner OR com.hashicorp.cdktf.RemoteExecProvisioner>

---

##### `dashboardListsRemoved`<sup>Required</sup> <a name="dashboardListsRemoved" id="@cdktf/provider-datadog.dashboard.Dashboard.property.dashboardListsRemoved"></a>

```java
public java.util.List<java.lang.Number> getDashboardListsRemoved();
```

- *Type:* java.util.List<java.lang.Number>

---

##### `templateVariable`<sup>Required</sup> <a name="templateVariable" id="@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariable"></a>

```java
public DashboardTemplateVariableList getTemplateVariable();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList">DashboardTemplateVariableList</a>

---

##### `templateVariablePreset`<sup>Required</sup> <a name="templateVariablePreset" id="@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariablePreset"></a>

```java
public DashboardTemplateVariablePresetList getTemplateVariablePreset();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList">DashboardTemplateVariablePresetList</a>

---

##### `widget`<sup>Required</sup> <a name="widget" id="@cdktf/provider-datadog.dashboard.Dashboard.property.widget"></a>

```java
public DashboardWidgetList getWidget();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetList">DashboardWidgetList</a>

---

##### `dashboardListsInput`<sup>Optional</sup> <a name="dashboardListsInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.dashboardListsInput"></a>

```java
public java.util.List<java.lang.Number> getDashboardListsInput();
```

- *Type:* java.util.List<java.lang.Number>

---

##### `descriptionInput`<sup>Optional</sup> <a name="descriptionInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.descriptionInput"></a>

```java
public java.lang.String getDescriptionInput();
```

- *Type:* java.lang.String

---

##### `idInput`<sup>Optional</sup> <a name="idInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.idInput"></a>

```java
public java.lang.String getIdInput();
```

- *Type:* java.lang.String

---

##### `isReadOnlyInput`<sup>Optional</sup> <a name="isReadOnlyInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.isReadOnlyInput"></a>

```java
public java.lang.Object getIsReadOnlyInput();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `layoutTypeInput`<sup>Optional</sup> <a name="layoutTypeInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.layoutTypeInput"></a>

```java
public java.lang.String getLayoutTypeInput();
```

- *Type:* java.lang.String

---

##### `notifyListInput`<sup>Optional</sup> <a name="notifyListInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.notifyListInput"></a>

```java
public java.util.List<java.lang.String> getNotifyListInput();
```

- *Type:* java.util.List<java.lang.String>

---

##### `reflowTypeInput`<sup>Optional</sup> <a name="reflowTypeInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.reflowTypeInput"></a>

```java
public java.lang.String getReflowTypeInput();
```

- *Type:* java.lang.String

---

##### `restrictedRolesInput`<sup>Optional</sup> <a name="restrictedRolesInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.restrictedRolesInput"></a>

```java
public java.util.List<java.lang.String> getRestrictedRolesInput();
```

- *Type:* java.util.List<java.lang.String>

---

##### `templateVariableInput`<sup>Optional</sup> <a name="templateVariableInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariableInput"></a>

```java
public java.lang.Object getTemplateVariableInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a>>

---

##### `templateVariablePresetInput`<sup>Optional</sup> <a name="templateVariablePresetInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariablePresetInput"></a>

```java
public java.lang.Object getTemplateVariablePresetInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a>>

---

##### `titleInput`<sup>Optional</sup> <a name="titleInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.titleInput"></a>

```java
public java.lang.String getTitleInput();
```

- *Type:* java.lang.String

---

##### `urlInput`<sup>Optional</sup> <a name="urlInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.urlInput"></a>

```java
public java.lang.String getUrlInput();
```

- *Type:* java.lang.String

---

##### `widgetInput`<sup>Optional</sup> <a name="widgetInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.widgetInput"></a>

```java
public java.lang.Object getWidgetInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidget">DashboardWidget</a>>

---

##### `dashboardLists`<sup>Required</sup> <a name="dashboardLists" id="@cdktf/provider-datadog.dashboard.Dashboard.property.dashboardLists"></a>

```java
public java.util.List<java.lang.Number> getDashboardLists();
```

- *Type:* java.util.List<java.lang.Number>

---

##### `description`<sup>Required</sup> <a name="description" id="@cdktf/provider-datadog.dashboard.Dashboard.property.description"></a>

```java
public java.lang.String getDescription();
```

- *Type:* java.lang.String

---

##### `id`<sup>Required</sup> <a name="id" id="@cdktf/provider-datadog.dashboard.Dashboard.property.id"></a>

```java
public java.lang.String getId();
```

- *Type:* java.lang.String

---

##### `isReadOnly`<sup>Required</sup> <a name="isReadOnly" id="@cdktf/provider-datadog.dashboard.Dashboard.property.isReadOnly"></a>

```java
public java.lang.Object getIsReadOnly();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `layoutType`<sup>Required</sup> <a name="layoutType" id="@cdktf/provider-datadog.dashboard.Dashboard.property.layoutType"></a>

```java
public java.lang.String getLayoutType();
```

- *Type:* java.lang.String

---

##### `notifyList`<sup>Required</sup> <a name="notifyList" id="@cdktf/provider-datadog.dashboard.Dashboard.property.notifyList"></a>

```java
public java.util.List<java.lang.String> getNotifyList();
```

- *Type:* java.util.List<java.lang.String>

---

##### `reflowType`<sup>Required</sup> <a name="reflowType" id="@cdktf/provider-datadog.dashboard.Dashboard.property.reflowType"></a>

```java
public java.lang.String getReflowType();
```

- *Type:* java.lang.String

---

##### `restrictedRoles`<sup>Required</sup> <a name="restrictedRoles" id="@cdktf/provider-datadog.dashboard.Dashboard.property.restrictedRoles"></a>

```java
public java.util.List<java.lang.String> getRestrictedRoles();
```

- *Type:* java.util.List<java.lang.String>

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.Dashboard.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

---

##### `url`<sup>Required</sup> <a name="url" id="@cdktf/provider-datadog.dashboard.Dashboard.property.url"></a>

```java
public java.lang.String getUrl();
```

- *Type:* java.lang.String

---

#### Constants <a name="Constants" id="Constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.tfResourceType">tfResourceType</a></code> | <code>java.lang.String</code> | *No description.* |

---

##### `tfResourceType`<sup>Required</sup> <a name="tfResourceType" id="@cdktf/provider-datadog.dashboard.Dashboard.property.tfResourceType"></a>

```java
public java.lang.String getTfResourceType();
```

- *Type:* java.lang.String

---

## Structs <a name="Structs" id="Structs"></a>

### DashboardConfig <a name="DashboardConfig" id="@cdktf/provider-datadog.dashboard.DashboardConfig"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardConfig.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardConfig;

DashboardConfig.builder()
//  .connection(SSHProvisionerConnection)
//  .connection(WinrmProvisionerConnection)
//  .count(java.lang.Number)
//  .count(TerraformCount)
//  .dependsOn(java.util.List<ITerraformDependable>)
//  .forEach(ITerraformIterator)
//  .lifecycle(TerraformResourceLifecycle)
//  .provider(TerraformProvider)
//  .provisioners(java.util.List<FileProvisioner)
//  .provisioners(LocalExecProvisioner)
//  .provisioners(RemoteExecProvisioner>)
    .layoutType(java.lang.String)
    .title(java.lang.String)
//  .dashboardLists(java.util.List<java.lang.Number>)
//  .description(java.lang.String)
//  .id(java.lang.String)
//  .isReadOnly(java.lang.Boolean)
//  .isReadOnly(IResolvable)
//  .notifyList(java.util.List<java.lang.String>)
//  .reflowType(java.lang.String)
//  .restrictedRoles(java.util.List<java.lang.String>)
//  .templateVariable(IResolvable)
//  .templateVariable(java.util.List<DashboardTemplateVariable>)
//  .templateVariablePreset(IResolvable)
//  .templateVariablePreset(java.util.List<DashboardTemplateVariablePreset>)
//  .url(java.lang.String)
//  .widget(IResolvable)
//  .widget(java.util.List<DashboardWidget>)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.connection">connection</a></code> | <code>com.hashicorp.cdktf.SSHProvisionerConnection OR com.hashicorp.cdktf.WinrmProvisionerConnection</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.count">count</a></code> | <code>java.lang.Number OR com.hashicorp.cdktf.TerraformCount</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.dependsOn">dependsOn</a></code> | <code>java.util.List<com.hashicorp.cdktf.ITerraformDependable></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.forEach">forEach</a></code> | <code>com.hashicorp.cdktf.ITerraformIterator</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.lifecycle">lifecycle</a></code> | <code>com.hashicorp.cdktf.TerraformResourceLifecycle</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.provider">provider</a></code> | <code>com.hashicorp.cdktf.TerraformProvider</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.provisioners">provisioners</a></code> | <code>java.util.List<com.hashicorp.cdktf.FileProvisioner OR com.hashicorp.cdktf.LocalExecProvisioner OR com.hashicorp.cdktf.RemoteExecProvisioner></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.layoutType">layoutType</a></code> | <code>java.lang.String</code> | The layout type of the dashboard. Valid values are `ordered`, `free`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.title">title</a></code> | <code>java.lang.String</code> | The title of the dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.dashboardLists">dashboardLists</a></code> | <code>java.util.List<java.lang.Number></code> | A list of dashboard lists this dashboard belongs to. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.description">description</a></code> | <code>java.lang.String</code> | The description of the dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.id">id</a></code> | <code>java.lang.String</code> | Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#id Dashboard#id}. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.isReadOnly">isReadOnly</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether this dashboard is read-only. **Deprecated.** Prefer using `restricted_roles` to define which roles are required to edit the dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.notifyList">notifyList</a></code> | <code>java.util.List<java.lang.String></code> | The list of handles for the users to notify when changes are made to this dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.reflowType">reflowType</a></code> | <code>java.lang.String</code> | The reflow type of a new dashboard layout. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.restrictedRoles">restrictedRoles</a></code> | <code>java.util.List<java.lang.String></code> | UUIDs of roles whose associated users are authorized to edit the dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.templateVariable">templateVariable</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a>></code> | template_variable block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.templateVariablePreset">templateVariablePreset</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a>></code> | template_variable_preset block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.url">url</a></code> | <code>java.lang.String</code> | The URL of the dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.widget">widget</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidget">DashboardWidget</a>></code> | widget block. |

---

##### `connection`<sup>Optional</sup> <a name="connection" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.connection"></a>

```java
public java.lang.Object getConnection();
```

- *Type:* com.hashicorp.cdktf.SSHProvisionerConnection OR com.hashicorp.cdktf.WinrmProvisionerConnection

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.count"></a>

```java
public java.lang.Object getCount();
```

- *Type:* java.lang.Number OR com.hashicorp.cdktf.TerraformCount

---

##### `dependsOn`<sup>Optional</sup> <a name="dependsOn" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.dependsOn"></a>

```java
public java.util.List<ITerraformDependable> getDependsOn();
```

- *Type:* java.util.List<com.hashicorp.cdktf.ITerraformDependable>

---

##### `forEach`<sup>Optional</sup> <a name="forEach" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.forEach"></a>

```java
public ITerraformIterator getForEach();
```

- *Type:* com.hashicorp.cdktf.ITerraformIterator

---

##### `lifecycle`<sup>Optional</sup> <a name="lifecycle" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.lifecycle"></a>

```java
public TerraformResourceLifecycle getLifecycle();
```

- *Type:* com.hashicorp.cdktf.TerraformResourceLifecycle

---

##### `provider`<sup>Optional</sup> <a name="provider" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.provider"></a>

```java
public TerraformProvider getProvider();
```

- *Type:* com.hashicorp.cdktf.TerraformProvider

---

##### `provisioners`<sup>Optional</sup> <a name="provisioners" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.provisioners"></a>

```java
public java.lang.Object getProvisioners();
```

- *Type:* java.util.List<com.hashicorp.cdktf.FileProvisioner OR com.hashicorp.cdktf.LocalExecProvisioner OR com.hashicorp.cdktf.RemoteExecProvisioner>

---

##### `layoutType`<sup>Required</sup> <a name="layoutType" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.layoutType"></a>

```java
public java.lang.String getLayoutType();
```

- *Type:* java.lang.String

The layout type of the dashboard. Valid values are `ordered`, `free`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#layout_type Dashboard#layout_type}

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `dashboardLists`<sup>Optional</sup> <a name="dashboardLists" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.dashboardLists"></a>

```java
public java.util.List<java.lang.Number> getDashboardLists();
```

- *Type:* java.util.List<java.lang.Number>

A list of dashboard lists this dashboard belongs to.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#dashboard_lists Dashboard#dashboard_lists}

---

##### `description`<sup>Optional</sup> <a name="description" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.description"></a>

```java
public java.lang.String getDescription();
```

- *Type:* java.lang.String

The description of the dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#description Dashboard#description}

---

##### `id`<sup>Optional</sup> <a name="id" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.id"></a>

```java
public java.lang.String getId();
```

- *Type:* java.lang.String

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#id Dashboard#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2.
If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `isReadOnly`<sup>Optional</sup> <a name="isReadOnly" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.isReadOnly"></a>

```java
public java.lang.Object getIsReadOnly();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether this dashboard is read-only. **Deprecated.** Prefer using `restricted_roles` to define which roles are required to edit the dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_read_only Dashboard#is_read_only}

---

##### `notifyList`<sup>Optional</sup> <a name="notifyList" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.notifyList"></a>

```java
public java.util.List<java.lang.String> getNotifyList();
```

- *Type:* java.util.List<java.lang.String>

The list of handles for the users to notify when changes are made to this dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#notify_list Dashboard#notify_list}

---

##### `reflowType`<sup>Optional</sup> <a name="reflowType" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.reflowType"></a>

```java
public java.lang.String getReflowType();
```

- *Type:* java.lang.String

The reflow type of a new dashboard layout.

Set this only when layout type is `ordered`. If set to `fixed`, the dashboard expects all widgets to have a layout, and if it's set to `auto`, widgets should not have layouts. Valid values are `auto`, `fixed`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#reflow_type Dashboard#reflow_type}

---

##### `restrictedRoles`<sup>Optional</sup> <a name="restrictedRoles" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.restrictedRoles"></a>

```java
public java.util.List<java.lang.String> getRestrictedRoles();
```

- *Type:* java.util.List<java.lang.String>

UUIDs of roles whose associated users are authorized to edit the dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#restricted_roles Dashboard#restricted_roles}

---

##### `templateVariable`<sup>Optional</sup> <a name="templateVariable" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.templateVariable"></a>

```java
public java.lang.Object getTemplateVariable();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a>>

template_variable block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#template_variable Dashboard#template_variable}

---

##### `templateVariablePreset`<sup>Optional</sup> <a name="templateVariablePreset" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.templateVariablePreset"></a>

```java
public java.lang.Object getTemplateVariablePreset();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a>>

template_variable_preset block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#template_variable_preset Dashboard#template_variable_preset}

---

##### `url`<sup>Optional</sup> <a name="url" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.url"></a>

```java
public java.lang.String getUrl();
```

- *Type:* java.lang.String

The URL of the dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#url Dashboard#url}

---

##### `widget`<sup>Optional</sup> <a name="widget" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.widget"></a>

```java
public java.lang.Object getWidget();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidget">DashboardWidget</a>>

widget block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#widget Dashboard#widget}

---

### DashboardTemplateVariable <a name="DashboardTemplateVariable" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariable"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardTemplateVariable;

DashboardTemplateVariable.builder()
    .name(java.lang.String)
//  .availableValues(java.util.List<java.lang.String>)
//  .default(java.lang.String)
//  .defaults(java.util.List<java.lang.String>)
//  .prefix(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.name">name</a></code> | <code>java.lang.String</code> | The name of the variable. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.availableValues">availableValues</a></code> | <code>java.util.List<java.lang.String></code> | The list of values that the template variable drop-down is be limited to. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.default">default</a></code> | <code>java.lang.String</code> | The default value for the template variable on dashboard load. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.defaults">defaults</a></code> | <code>java.util.List<java.lang.String></code> | One or many default values for template variables on load. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.prefix">prefix</a></code> | <code>java.lang.String</code> | The tag prefix associated with the variable. Only tags with this prefix appear in the variable dropdown. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of the variable.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `availableValues`<sup>Optional</sup> <a name="availableValues" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.availableValues"></a>

```java
public java.util.List<java.lang.String> getAvailableValues();
```

- *Type:* java.util.List<java.lang.String>

The list of values that the template variable drop-down is be limited to.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#available_values Dashboard#available_values}

---

##### `default`<sup>Optional</sup> <a name="default" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.default"></a>

```java
public java.lang.String getDefault();
```

- *Type:* java.lang.String

The default value for the template variable on dashboard load.

Cannot be used in conjunction with `defaults`. **Deprecated.** Use `defaults` instead.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#default Dashboard#default}

---

##### `defaults`<sup>Optional</sup> <a name="defaults" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.defaults"></a>

```java
public java.util.List<java.lang.String> getDefaults();
```

- *Type:* java.util.List<java.lang.String>

One or many default values for template variables on load.

If more than one default is specified, they will be unioned together with `OR`. Cannot be used in conjunction with `default`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#defaults Dashboard#defaults}

---

##### `prefix`<sup>Optional</sup> <a name="prefix" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.prefix"></a>

```java
public java.lang.String getPrefix();
```

- *Type:* java.lang.String

The tag prefix associated with the variable. Only tags with this prefix appear in the variable dropdown.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#prefix Dashboard#prefix}

---

### DashboardTemplateVariablePreset <a name="DashboardTemplateVariablePreset" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardTemplateVariablePreset;

DashboardTemplateVariablePreset.builder()
//  .name(java.lang.String)
//  .templateVariable(IResolvable)
//  .templateVariable(java.util.List<DashboardTemplateVariablePresetTemplateVariable>)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset.property.name">name</a></code> | <code>java.lang.String</code> | The name of the preset. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset.property.templateVariable">templateVariable</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable">DashboardTemplateVariablePresetTemplateVariable</a>></code> | template_variable block. |

---

##### `name`<sup>Optional</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of the preset.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `templateVariable`<sup>Optional</sup> <a name="templateVariable" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset.property.templateVariable"></a>

```java
public java.lang.Object getTemplateVariable();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable">DashboardTemplateVariablePresetTemplateVariable</a>>

template_variable block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#template_variable Dashboard#template_variable}

---

### DashboardTemplateVariablePresetTemplateVariable <a name="DashboardTemplateVariablePresetTemplateVariable" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable;

DashboardTemplateVariablePresetTemplateVariable.builder()
//  .name(java.lang.String)
//  .value(java.lang.String)
//  .values(java.util.List<java.lang.String>)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable.property.name">name</a></code> | <code>java.lang.String</code> | The name of the template variable. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable.property.value">value</a></code> | <code>java.lang.String</code> | The value that should be assumed by the template variable in this preset. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable.property.values">values</a></code> | <code>java.util.List<java.lang.String></code> | One or many template variable values within the saved view, which will be unioned together using `OR` if more than one is specified. |

---

##### `name`<sup>Optional</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of the template variable.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `value`<sup>Optional</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable.property.value"></a>

```java
public java.lang.String getValue();
```

- *Type:* java.lang.String

The value that should be assumed by the template variable in this preset.

Cannot be used in conjunction with `values`. **Deprecated.** Use `values` instead.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `values`<sup>Optional</sup> <a name="values" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable.property.values"></a>

```java
public java.util.List<java.lang.String> getValues();
```

- *Type:* java.util.List<java.lang.String>

One or many template variable values within the saved view, which will be unioned together using `OR` if more than one is specified.

Cannot be used in conjunction with `value`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#values Dashboard#values}

---

### DashboardWidget <a name="DashboardWidget" id="@cdktf/provider-datadog.dashboard.DashboardWidget"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidget.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidget;

DashboardWidget.builder()
//  .alertGraphDefinition(DashboardWidgetAlertGraphDefinition)
//  .alertValueDefinition(DashboardWidgetAlertValueDefinition)
//  .changeDefinition(DashboardWidgetChangeDefinition)
//  .checkStatusDefinition(DashboardWidgetCheckStatusDefinition)
//  .distributionDefinition(DashboardWidgetDistributionDefinition)
//  .eventStreamDefinition(DashboardWidgetEventStreamDefinition)
//  .eventTimelineDefinition(DashboardWidgetEventTimelineDefinition)
//  .freeTextDefinition(DashboardWidgetFreeTextDefinition)
//  .geomapDefinition(DashboardWidgetGeomapDefinition)
//  .groupDefinition(DashboardWidgetGroupDefinition)
//  .heatmapDefinition(DashboardWidgetHeatmapDefinition)
//  .hostmapDefinition(DashboardWidgetHostmapDefinition)
//  .iframeDefinition(DashboardWidgetIframeDefinition)
//  .imageDefinition(DashboardWidgetImageDefinition)
//  .listStreamDefinition(DashboardWidgetListStreamDefinition)
//  .logStreamDefinition(DashboardWidgetLogStreamDefinition)
//  .manageStatusDefinition(DashboardWidgetManageStatusDefinition)
//  .noteDefinition(DashboardWidgetNoteDefinition)
//  .queryTableDefinition(DashboardWidgetQueryTableDefinition)
//  .queryValueDefinition(DashboardWidgetQueryValueDefinition)
//  .runWorkflowDefinition(DashboardWidgetRunWorkflowDefinition)
//  .scatterplotDefinition(DashboardWidgetScatterplotDefinition)
//  .serviceLevelObjectiveDefinition(DashboardWidgetServiceLevelObjectiveDefinition)
//  .servicemapDefinition(DashboardWidgetServicemapDefinition)
//  .sloListDefinition(DashboardWidgetSloListDefinition)
//  .sunburstDefinition(DashboardWidgetSunburstDefinition)
//  .timeseriesDefinition(DashboardWidgetTimeseriesDefinition)
//  .toplistDefinition(DashboardWidgetToplistDefinition)
//  .topologyMapDefinition(DashboardWidgetTopologyMapDefinition)
//  .traceServiceDefinition(DashboardWidgetTraceServiceDefinition)
//  .treemapDefinition(DashboardWidgetTreemapDefinition)
//  .widgetLayout(DashboardWidgetWidgetLayout)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.alertGraphDefinition">alertGraphDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition">DashboardWidgetAlertGraphDefinition</a></code> | alert_graph_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.alertValueDefinition">alertValueDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition">DashboardWidgetAlertValueDefinition</a></code> | alert_value_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.changeDefinition">changeDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition">DashboardWidgetChangeDefinition</a></code> | change_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.checkStatusDefinition">checkStatusDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition">DashboardWidgetCheckStatusDefinition</a></code> | check_status_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.distributionDefinition">distributionDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition">DashboardWidgetDistributionDefinition</a></code> | distribution_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.eventStreamDefinition">eventStreamDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition">DashboardWidgetEventStreamDefinition</a></code> | event_stream_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.eventTimelineDefinition">eventTimelineDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition">DashboardWidgetEventTimelineDefinition</a></code> | event_timeline_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.freeTextDefinition">freeTextDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition">DashboardWidgetFreeTextDefinition</a></code> | free_text_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.geomapDefinition">geomapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition">DashboardWidgetGeomapDefinition</a></code> | geomap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.groupDefinition">groupDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition">DashboardWidgetGroupDefinition</a></code> | group_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.heatmapDefinition">heatmapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition">DashboardWidgetHeatmapDefinition</a></code> | heatmap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.hostmapDefinition">hostmapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition">DashboardWidgetHostmapDefinition</a></code> | hostmap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.iframeDefinition">iframeDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetIframeDefinition">DashboardWidgetIframeDefinition</a></code> | iframe_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.imageDefinition">imageDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition">DashboardWidgetImageDefinition</a></code> | image_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.listStreamDefinition">listStreamDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition">DashboardWidgetListStreamDefinition</a></code> | list_stream_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.logStreamDefinition">logStreamDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition">DashboardWidgetLogStreamDefinition</a></code> | log_stream_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.manageStatusDefinition">manageStatusDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition">DashboardWidgetManageStatusDefinition</a></code> | manage_status_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.noteDefinition">noteDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition">DashboardWidgetNoteDefinition</a></code> | note_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.queryTableDefinition">queryTableDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition">DashboardWidgetQueryTableDefinition</a></code> | query_table_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.queryValueDefinition">queryValueDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition">DashboardWidgetQueryValueDefinition</a></code> | query_value_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.runWorkflowDefinition">runWorkflowDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition">DashboardWidgetRunWorkflowDefinition</a></code> | run_workflow_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.scatterplotDefinition">scatterplotDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition">DashboardWidgetScatterplotDefinition</a></code> | scatterplot_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.serviceLevelObjectiveDefinition">serviceLevelObjectiveDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition">DashboardWidgetServiceLevelObjectiveDefinition</a></code> | service_level_objective_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.servicemapDefinition">servicemapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition">DashboardWidgetServicemapDefinition</a></code> | servicemap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.sloListDefinition">sloListDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition">DashboardWidgetSloListDefinition</a></code> | slo_list_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.sunburstDefinition">sunburstDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition">DashboardWidgetSunburstDefinition</a></code> | sunburst_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.timeseriesDefinition">timeseriesDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition">DashboardWidgetTimeseriesDefinition</a></code> | timeseries_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.toplistDefinition">toplistDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition">DashboardWidgetToplistDefinition</a></code> | toplist_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.topologyMapDefinition">topologyMapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition">DashboardWidgetTopologyMapDefinition</a></code> | topology_map_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.traceServiceDefinition">traceServiceDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition">DashboardWidgetTraceServiceDefinition</a></code> | trace_service_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.treemapDefinition">treemapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition">DashboardWidgetTreemapDefinition</a></code> | treemap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.widgetLayout">widgetLayout</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout">DashboardWidgetWidgetLayout</a></code> | widget_layout block. |

---

##### `alertGraphDefinition`<sup>Optional</sup> <a name="alertGraphDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.alertGraphDefinition"></a>

```java
public DashboardWidgetAlertGraphDefinition getAlertGraphDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition">DashboardWidgetAlertGraphDefinition</a>

alert_graph_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_graph_definition Dashboard#alert_graph_definition}

---

##### `alertValueDefinition`<sup>Optional</sup> <a name="alertValueDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.alertValueDefinition"></a>

```java
public DashboardWidgetAlertValueDefinition getAlertValueDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition">DashboardWidgetAlertValueDefinition</a>

alert_value_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_value_definition Dashboard#alert_value_definition}

---

##### `changeDefinition`<sup>Optional</sup> <a name="changeDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.changeDefinition"></a>

```java
public DashboardWidgetChangeDefinition getChangeDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition">DashboardWidgetChangeDefinition</a>

change_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#change_definition Dashboard#change_definition}

---

##### `checkStatusDefinition`<sup>Optional</sup> <a name="checkStatusDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.checkStatusDefinition"></a>

```java
public DashboardWidgetCheckStatusDefinition getCheckStatusDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition">DashboardWidgetCheckStatusDefinition</a>

check_status_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#check_status_definition Dashboard#check_status_definition}

---

##### `distributionDefinition`<sup>Optional</sup> <a name="distributionDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.distributionDefinition"></a>

```java
public DashboardWidgetDistributionDefinition getDistributionDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition">DashboardWidgetDistributionDefinition</a>

distribution_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#distribution_definition Dashboard#distribution_definition}

---

##### `eventStreamDefinition`<sup>Optional</sup> <a name="eventStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.eventStreamDefinition"></a>

```java
public DashboardWidgetEventStreamDefinition getEventStreamDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition">DashboardWidgetEventStreamDefinition</a>

event_stream_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_stream_definition Dashboard#event_stream_definition}

---

##### `eventTimelineDefinition`<sup>Optional</sup> <a name="eventTimelineDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.eventTimelineDefinition"></a>

```java
public DashboardWidgetEventTimelineDefinition getEventTimelineDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition">DashboardWidgetEventTimelineDefinition</a>

event_timeline_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_timeline_definition Dashboard#event_timeline_definition}

---

##### `freeTextDefinition`<sup>Optional</sup> <a name="freeTextDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.freeTextDefinition"></a>

```java
public DashboardWidgetFreeTextDefinition getFreeTextDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition">DashboardWidgetFreeTextDefinition</a>

free_text_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#free_text_definition Dashboard#free_text_definition}

---

##### `geomapDefinition`<sup>Optional</sup> <a name="geomapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.geomapDefinition"></a>

```java
public DashboardWidgetGeomapDefinition getGeomapDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition">DashboardWidgetGeomapDefinition</a>

geomap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#geomap_definition Dashboard#geomap_definition}

---

##### `groupDefinition`<sup>Optional</sup> <a name="groupDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.groupDefinition"></a>

```java
public DashboardWidgetGroupDefinition getGroupDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition">DashboardWidgetGroupDefinition</a>

group_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_definition Dashboard#group_definition}

---

##### `heatmapDefinition`<sup>Optional</sup> <a name="heatmapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.heatmapDefinition"></a>

```java
public DashboardWidgetHeatmapDefinition getHeatmapDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition">DashboardWidgetHeatmapDefinition</a>

heatmap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#heatmap_definition Dashboard#heatmap_definition}

---

##### `hostmapDefinition`<sup>Optional</sup> <a name="hostmapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.hostmapDefinition"></a>

```java
public DashboardWidgetHostmapDefinition getHostmapDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition">DashboardWidgetHostmapDefinition</a>

hostmap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hostmap_definition Dashboard#hostmap_definition}

---

##### `iframeDefinition`<sup>Optional</sup> <a name="iframeDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.iframeDefinition"></a>

```java
public DashboardWidgetIframeDefinition getIframeDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetIframeDefinition">DashboardWidgetIframeDefinition</a>

iframe_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#iframe_definition Dashboard#iframe_definition}

---

##### `imageDefinition`<sup>Optional</sup> <a name="imageDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.imageDefinition"></a>

```java
public DashboardWidgetImageDefinition getImageDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition">DashboardWidgetImageDefinition</a>

image_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_definition Dashboard#image_definition}

---

##### `listStreamDefinition`<sup>Optional</sup> <a name="listStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.listStreamDefinition"></a>

```java
public DashboardWidgetListStreamDefinition getListStreamDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition">DashboardWidgetListStreamDefinition</a>

list_stream_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#list_stream_definition Dashboard#list_stream_definition}

---

##### `logStreamDefinition`<sup>Optional</sup> <a name="logStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.logStreamDefinition"></a>

```java
public DashboardWidgetLogStreamDefinition getLogStreamDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition">DashboardWidgetLogStreamDefinition</a>

log_stream_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_stream_definition Dashboard#log_stream_definition}

---

##### `manageStatusDefinition`<sup>Optional</sup> <a name="manageStatusDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.manageStatusDefinition"></a>

```java
public DashboardWidgetManageStatusDefinition getManageStatusDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition">DashboardWidgetManageStatusDefinition</a>

manage_status_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#manage_status_definition Dashboard#manage_status_definition}

---

##### `noteDefinition`<sup>Optional</sup> <a name="noteDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.noteDefinition"></a>

```java
public DashboardWidgetNoteDefinition getNoteDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition">DashboardWidgetNoteDefinition</a>

note_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#note_definition Dashboard#note_definition}

---

##### `queryTableDefinition`<sup>Optional</sup> <a name="queryTableDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.queryTableDefinition"></a>

```java
public DashboardWidgetQueryTableDefinition getQueryTableDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition">DashboardWidgetQueryTableDefinition</a>

query_table_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_table_definition Dashboard#query_table_definition}

---

##### `queryValueDefinition`<sup>Optional</sup> <a name="queryValueDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.queryValueDefinition"></a>

```java
public DashboardWidgetQueryValueDefinition getQueryValueDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition">DashboardWidgetQueryValueDefinition</a>

query_value_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_value_definition Dashboard#query_value_definition}

---

##### `runWorkflowDefinition`<sup>Optional</sup> <a name="runWorkflowDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.runWorkflowDefinition"></a>

```java
public DashboardWidgetRunWorkflowDefinition getRunWorkflowDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition">DashboardWidgetRunWorkflowDefinition</a>

run_workflow_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#run_workflow_definition Dashboard#run_workflow_definition}

---

##### `scatterplotDefinition`<sup>Optional</sup> <a name="scatterplotDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.scatterplotDefinition"></a>

```java
public DashboardWidgetScatterplotDefinition getScatterplotDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition">DashboardWidgetScatterplotDefinition</a>

scatterplot_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scatterplot_definition Dashboard#scatterplot_definition}

---

##### `serviceLevelObjectiveDefinition`<sup>Optional</sup> <a name="serviceLevelObjectiveDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.serviceLevelObjectiveDefinition"></a>

```java
public DashboardWidgetServiceLevelObjectiveDefinition getServiceLevelObjectiveDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition">DashboardWidgetServiceLevelObjectiveDefinition</a>

service_level_objective_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service_level_objective_definition Dashboard#service_level_objective_definition}

---

##### `servicemapDefinition`<sup>Optional</sup> <a name="servicemapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.servicemapDefinition"></a>

```java
public DashboardWidgetServicemapDefinition getServicemapDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition">DashboardWidgetServicemapDefinition</a>

servicemap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#servicemap_definition Dashboard#servicemap_definition}

---

##### `sloListDefinition`<sup>Optional</sup> <a name="sloListDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.sloListDefinition"></a>

```java
public DashboardWidgetSloListDefinition getSloListDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition">DashboardWidgetSloListDefinition</a>

slo_list_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#slo_list_definition Dashboard#slo_list_definition}

---

##### `sunburstDefinition`<sup>Optional</sup> <a name="sunburstDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.sunburstDefinition"></a>

```java
public DashboardWidgetSunburstDefinition getSunburstDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition">DashboardWidgetSunburstDefinition</a>

sunburst_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sunburst_definition Dashboard#sunburst_definition}

---

##### `timeseriesDefinition`<sup>Optional</sup> <a name="timeseriesDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.timeseriesDefinition"></a>

```java
public DashboardWidgetTimeseriesDefinition getTimeseriesDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition">DashboardWidgetTimeseriesDefinition</a>

timeseries_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeseries_definition Dashboard#timeseries_definition}

---

##### `toplistDefinition`<sup>Optional</sup> <a name="toplistDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.toplistDefinition"></a>

```java
public DashboardWidgetToplistDefinition getToplistDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition">DashboardWidgetToplistDefinition</a>

toplist_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#toplist_definition Dashboard#toplist_definition}

---

##### `topologyMapDefinition`<sup>Optional</sup> <a name="topologyMapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.topologyMapDefinition"></a>

```java
public DashboardWidgetTopologyMapDefinition getTopologyMapDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition">DashboardWidgetTopologyMapDefinition</a>

topology_map_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#topology_map_definition Dashboard#topology_map_definition}

---

##### `traceServiceDefinition`<sup>Optional</sup> <a name="traceServiceDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.traceServiceDefinition"></a>

```java
public DashboardWidgetTraceServiceDefinition getTraceServiceDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition">DashboardWidgetTraceServiceDefinition</a>

trace_service_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#trace_service_definition Dashboard#trace_service_definition}

---

##### `treemapDefinition`<sup>Optional</sup> <a name="treemapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.treemapDefinition"></a>

```java
public DashboardWidgetTreemapDefinition getTreemapDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition">DashboardWidgetTreemapDefinition</a>

treemap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#treemap_definition Dashboard#treemap_definition}

---

##### `widgetLayout`<sup>Optional</sup> <a name="widgetLayout" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.widgetLayout"></a>

```java
public DashboardWidgetWidgetLayout getWidgetLayout();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout">DashboardWidgetWidgetLayout</a>

widget_layout block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#widget_layout Dashboard#widget_layout}

---

### DashboardWidgetAlertGraphDefinition <a name="DashboardWidgetAlertGraphDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetAlertGraphDefinition;

DashboardWidgetAlertGraphDefinition.builder()
    .alertId(java.lang.String)
    .vizType(java.lang.String)
//  .liveSpan(java.lang.String)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.alertId">alertId</a></code> | <code>java.lang.String</code> | The ID of the monitor used by the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.vizType">vizType</a></code> | <code>java.lang.String</code> | Type of visualization to use when displaying the widget. Valid values are `timeseries`, `toplist`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `alertId`<sup>Required</sup> <a name="alertId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.alertId"></a>

```java
public java.lang.String getAlertId();
```

- *Type:* java.lang.String

The ID of the monitor used by the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_id Dashboard#alert_id}

---

##### `vizType`<sup>Required</sup> <a name="vizType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.vizType"></a>

```java
public java.lang.String getVizType();
```

- *Type:* java.lang.String

Type of visualization to use when displaying the widget. Valid values are `timeseries`, `toplist`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#viz_type Dashboard#viz_type}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetAlertValueDefinition <a name="DashboardWidgetAlertValueDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetAlertValueDefinition;

DashboardWidgetAlertValueDefinition.builder()
    .alertId(java.lang.String)
//  .precision(java.lang.Number)
//  .textAlign(java.lang.String)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
//  .unit(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.alertId">alertId</a></code> | <code>java.lang.String</code> | The ID of the monitor used by the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.precision">precision</a></code> | <code>java.lang.Number</code> | The precision to use when displaying the value. Use `*` for maximum precision. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.textAlign">textAlign</a></code> | <code>java.lang.String</code> | The alignment of the text in the widget. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.unit">unit</a></code> | <code>java.lang.String</code> | The unit for the value displayed in the widget. |

---

##### `alertId`<sup>Required</sup> <a name="alertId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.alertId"></a>

```java
public java.lang.String getAlertId();
```

- *Type:* java.lang.String

The ID of the monitor used by the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_id Dashboard#alert_id}

---

##### `precision`<sup>Optional</sup> <a name="precision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.precision"></a>

```java
public java.lang.Number getPrecision();
```

- *Type:* java.lang.Number

The precision to use when displaying the value. Use `*` for maximum precision.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#precision Dashboard#precision}

---

##### `textAlign`<sup>Optional</sup> <a name="textAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.textAlign"></a>

```java
public java.lang.String getTextAlign();
```

- *Type:* java.lang.String

The alignment of the text in the widget. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `unit`<sup>Optional</sup> <a name="unit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.unit"></a>

```java
public java.lang.String getUnit();
```

- *Type:* java.lang.String

The unit for the value displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#unit Dashboard#unit}

---

### DashboardWidgetChangeDefinition <a name="DashboardWidgetChangeDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinition;

DashboardWidgetChangeDefinition.builder()
//  .customLink(IResolvable)
//  .customLink(java.util.List<DashboardWidgetChangeDefinitionCustomLink>)
//  .liveSpan(java.lang.String)
//  .request(IResolvable)
//  .request(java.util.List<DashboardWidgetChangeDefinitionRequest>)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.customLink">customLink</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink">DashboardWidgetChangeDefinitionCustomLink</a>></code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.request">request</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest">DashboardWidgetChangeDefinitionRequest</a>></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.customLink"></a>

```java
public java.lang.Object getCustomLink();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink">DashboardWidgetChangeDefinitionCustomLink</a>>

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.request"></a>

```java
public java.lang.Object getRequest();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest">DashboardWidgetChangeDefinitionRequest</a>>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetChangeDefinitionCustomLink <a name="DashboardWidgetChangeDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink;

DashboardWidgetChangeDefinitionCustomLink.builder()
//  .isHidden(java.lang.Boolean)
//  .isHidden(IResolvable)
//  .label(java.lang.String)
//  .link(java.lang.String)
//  .overrideLabel(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.label">label</a></code> | <code>java.lang.String</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.link">link</a></code> | <code>java.lang.String</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>java.lang.String</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.isHidden"></a>

```java
public java.lang.Object getIsHidden();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.link"></a>

```java
public java.lang.String getLink();
```

- *Type:* java.lang.String

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.overrideLabel"></a>

```java
public java.lang.String getOverrideLabel();
```

- *Type:* java.lang.String

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetChangeDefinitionRequest <a name="DashboardWidgetChangeDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequest;

DashboardWidgetChangeDefinitionRequest.builder()
//  .apmQuery(DashboardWidgetChangeDefinitionRequestApmQuery)
//  .changeType(java.lang.String)
//  .compareTo(java.lang.String)
//  .formula(IResolvable)
//  .formula(java.util.List<DashboardWidgetChangeDefinitionRequestFormula>)
//  .increaseGood(java.lang.Boolean)
//  .increaseGood(IResolvable)
//  .logQuery(DashboardWidgetChangeDefinitionRequestLogQuery)
//  .orderBy(java.lang.String)
//  .orderDir(java.lang.String)
//  .processQuery(DashboardWidgetChangeDefinitionRequestProcessQuery)
//  .q(java.lang.String)
//  .query(IResolvable)
//  .query(java.util.List<DashboardWidgetChangeDefinitionRequestQuery>)
//  .rumQuery(DashboardWidgetChangeDefinitionRequestRumQuery)
//  .securityQuery(DashboardWidgetChangeDefinitionRequestSecurityQuery)
//  .showPresent(java.lang.Boolean)
//  .showPresent(IResolvable)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery">DashboardWidgetChangeDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.changeType">changeType</a></code> | <code>java.lang.String</code> | Whether to show absolute or relative change. Valid values are `absolute`, `relative`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.compareTo">compareTo</a></code> | <code>java.lang.String</code> | Choose from when to compare current data to. Valid values are `hour_before`, `day_before`, `week_before`, `month_before`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.formula">formula</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula">DashboardWidgetChangeDefinitionRequestFormula</a>></code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.increaseGood">increaseGood</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | A Boolean indicating whether an increase in the value is good (displayed in green) or not (displayed in red). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery">DashboardWidgetChangeDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.orderBy">orderBy</a></code> | <code>java.lang.String</code> | What to order by. Valid values are `change`, `name`, `present`, `past`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.orderDir">orderDir</a></code> | <code>java.lang.String</code> | Widget sorting method. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetChangeDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.q">q</a></code> | <code>java.lang.String</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.query">query</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery">DashboardWidgetChangeDefinitionRequestQuery</a>></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery">DashboardWidgetChangeDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetChangeDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.showPresent">showPresent</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | If set to `true`, displays the current value. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.apmQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestApmQuery getApmQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery">DashboardWidgetChangeDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `changeType`<sup>Optional</sup> <a name="changeType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.changeType"></a>

```java
public java.lang.String getChangeType();
```

- *Type:* java.lang.String

Whether to show absolute or relative change. Valid values are `absolute`, `relative`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#change_type Dashboard#change_type}

---

##### `compareTo`<sup>Optional</sup> <a name="compareTo" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.compareTo"></a>

```java
public java.lang.String getCompareTo();
```

- *Type:* java.lang.String

Choose from when to compare current data to. Valid values are `hour_before`, `day_before`, `week_before`, `month_before`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compare_to Dashboard#compare_to}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.formula"></a>

```java
public java.lang.Object getFormula();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula">DashboardWidgetChangeDefinitionRequestFormula</a>>

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `increaseGood`<sup>Optional</sup> <a name="increaseGood" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.increaseGood"></a>

```java
public java.lang.Object getIncreaseGood();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

A Boolean indicating whether an increase in the value is good (displayed in green) or not (displayed in red).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#increase_good Dashboard#increase_good}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.logQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestLogQuery getLogQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery">DashboardWidgetChangeDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `orderBy`<sup>Optional</sup> <a name="orderBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.orderBy"></a>

```java
public java.lang.String getOrderBy();
```

- *Type:* java.lang.String

What to order by. Valid values are `change`, `name`, `present`, `past`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order_by Dashboard#order_by}

---

##### `orderDir`<sup>Optional</sup> <a name="orderDir" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.orderDir"></a>

```java
public java.lang.String getOrderDir();
```

- *Type:* java.lang.String

Widget sorting method. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order_dir Dashboard#order_dir}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.processQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetChangeDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.query"></a>

```java
public java.lang.Object getQuery();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery">DashboardWidgetChangeDefinitionRequestQuery</a>>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.rumQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestRumQuery getRumQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery">DashboardWidgetChangeDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.securityQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestSecurityQuery getSecurityQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetChangeDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `showPresent`<sup>Optional</sup> <a name="showPresent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.showPresent"></a>

```java
public java.lang.Object getShowPresent();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

If set to `true`, displays the current value.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_present Dashboard#show_present}

---

### DashboardWidgetChangeDefinitionRequestApmQuery <a name="DashboardWidgetChangeDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery;

DashboardWidgetChangeDefinitionRequestApmQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetChangeDefinitionRequestApmQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetChangeDefinitionRequestApmQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.computeQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetChangeDefinitionRequestApmQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery;

DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetChangeDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetChangeDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy;

DashboardWidgetChangeDefinitionRequestApmQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery;

DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute;

DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetChangeDefinitionRequestFormula <a name="DashboardWidgetChangeDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula;

DashboardWidgetChangeDefinitionRequestFormula.builder()
    .formulaExpression(java.lang.String)
//  .alias(java.lang.String)
//  .cellDisplayMode(java.lang.String)
//  .conditionalFormats(IResolvable)
//  .conditionalFormats(java.util.List<DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats>)
//  .limit(DashboardWidgetChangeDefinitionRequestFormulaLimit)
//  .style(DashboardWidgetChangeDefinitionRequestFormulaStyle)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>java.lang.String</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.alias">alias</a></code> | <code>java.lang.String</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>java.lang.String</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats</a>></code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetChangeDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetChangeDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.formulaExpression"></a>

```java
public java.lang.String getFormulaExpression();
```

- *Type:* java.lang.String

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.alias"></a>

```java
public java.lang.String getAlias();
```

- *Type:* java.lang.String

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.cellDisplayMode"></a>

```java
public java.lang.String getCellDisplayMode();
```

- *Type:* java.lang.String

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.conditionalFormats"></a>

```java
public java.lang.Object getConditionalFormats();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats</a>>

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.limit"></a>

```java
public DashboardWidgetChangeDefinitionRequestFormulaLimit getLimit();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetChangeDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.style"></a>

```java
public DashboardWidgetChangeDefinitionRequestFormulaStyle getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetChangeDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats;

DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.builder()
    .comparator(java.lang.String)
    .palette(java.lang.String)
    .value(java.lang.Number)
//  .customBgColor(java.lang.String)
//  .customFgColor(java.lang.String)
//  .hideValue(java.lang.Boolean)
//  .hideValue(IResolvable)
//  .imageUrl(java.lang.String)
//  .metric(java.lang.String)
//  .timeframe(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>java.lang.String</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>java.lang.Number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>java.lang.String</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>java.lang.String</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```java
public java.lang.String getComparator();
```

- *Type:* java.lang.String

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.value"></a>

```java
public java.lang.Number getValue();
```

- *Type:* java.lang.Number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```java
public java.lang.String getCustomBgColor();
```

- *Type:* java.lang.String

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```java
public java.lang.String getCustomFgColor();
```

- *Type:* java.lang.String

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```java
public java.lang.Object getHideValue();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```java
public java.lang.String getImageUrl();
```

- *Type:* java.lang.String

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```java
public java.lang.String getTimeframe();
```

- *Type:* java.lang.String

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetChangeDefinitionRequestFormulaLimit <a name="DashboardWidgetChangeDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit;

DashboardWidgetChangeDefinitionRequestFormulaLimit.builder()
//  .count(java.lang.Number)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>java.lang.Number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit.property.count"></a>

```java
public java.lang.Number getCount();
```

- *Type:* java.lang.Number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetChangeDefinitionRequestFormulaStyle <a name="DashboardWidgetChangeDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle;

DashboardWidgetChangeDefinitionRequestFormulaStyle.builder()
//  .palette(java.lang.String)
//  .paletteIndex(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>java.lang.Number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```java
public java.lang.Number getPaletteIndex();
```

- *Type:* java.lang.Number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetChangeDefinitionRequestLogQuery <a name="DashboardWidgetChangeDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery;

DashboardWidgetChangeDefinitionRequestLogQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetChangeDefinitionRequestLogQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetChangeDefinitionRequestLogQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.computeQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetChangeDefinitionRequestLogQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery;

DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetChangeDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetChangeDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy;

DashboardWidgetChangeDefinitionRequestLogQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery;

DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute;

DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetChangeDefinitionRequestProcessQuery <a name="DashboardWidgetChangeDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery;

DashboardWidgetChangeDefinitionRequestProcessQuery.builder()
    .metric(java.lang.String)
//  .filterBy(java.util.List<java.lang.String>)
//  .limit(java.lang.Number)
//  .searchBy(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>java.util.List<java.lang.String></code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>java.lang.String</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.filterBy"></a>

```java
public java.util.List<java.lang.String> getFilterBy();
```

- *Type:* java.util.List<java.lang.String>

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.searchBy"></a>

```java
public java.lang.String getSearchBy();
```

- *Type:* java.lang.String

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetChangeDefinitionRequestQuery <a name="DashboardWidgetChangeDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery;

DashboardWidgetChangeDefinitionRequestQuery.builder()
//  .apmDependencyStatsQuery(DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery)
//  .apmResourceStatsQuery(DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery)
//  .eventQuery(DashboardWidgetChangeDefinitionRequestQueryEventQuery)
//  .metricQuery(DashboardWidgetChangeDefinitionRequestQueryMetricQuery)
//  .processQuery(DashboardWidgetChangeDefinitionRequestQueryProcessQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetChangeDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetChangeDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetChangeDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery getApmDependencyStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery getApmResourceStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.eventQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryEventQuery getEventQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetChangeDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.metricQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryMetricQuery getMetricQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetChangeDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.processQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetChangeDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery;

DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .operationName(java.lang.String)
    .resourceName(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .isUpstream(java.lang.Boolean)
//  .isUpstream(IResolvable)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```java
public java.lang.Object getIsUpstream();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery;

DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .groupBy(java.util.List<java.lang.String>)
//  .operationName(java.lang.String)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
//  .resourceName(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>java.util.List<java.lang.String></code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```java
public java.util.List<java.lang.String> getGroupBy();
```

- *Type:* java.util.List<java.lang.String>

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetChangeDefinitionRequestQueryEventQuery <a name="DashboardWidgetChangeDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery;

DashboardWidgetChangeDefinitionRequestQueryEventQuery.builder()
    .compute(IResolvable)
    .compute(java.util.List<DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute>)
    .dataSource(java.lang.String)
    .name(java.lang.String)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy>)
//  .indexes(java.util.List<java.lang.String>)
//  .search(DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch)
//  .storage(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute</a>></code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>java.util.List<java.lang.String></code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>java.lang.String</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.compute"></a>

```java
public java.lang.Object getCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute</a>>

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.indexes"></a>

```java
public java.util.List<java.lang.String> getIndexes();
```

- *Type:* java.util.List<java.lang.String>

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.search"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch getSearch();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.storage"></a>

```java
public java.lang.String getStorage();
```

- *Type:* java.lang.String

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute;

DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute.builder()
    .aggregation(java.lang.String)
//  .interval(java.lang.Number)
//  .metric(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>java.lang.String</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy;

DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy.builder()
    .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sort(DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort getSort();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort;

DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.builder()
    .aggregation(java.lang.String)
//  .metric(java.lang.String)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>java.lang.String</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch;

DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch.builder()
    .query(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>java.lang.String</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetChangeDefinitionRequestQueryMetricQuery <a name="DashboardWidgetChangeDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery;

DashboardWidgetChangeDefinitionRequestQueryMetricQuery.builder()
    .name(java.lang.String)
    .query(java.lang.String)
//  .aggregator(java.lang.String)
//  .dataSource(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>java.lang.String</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetChangeDefinitionRequestQueryProcessQuery <a name="DashboardWidgetChangeDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery;

DashboardWidgetChangeDefinitionRequestQueryProcessQuery.builder()
    .dataSource(java.lang.String)
    .metric(java.lang.String)
    .name(java.lang.String)
//  .aggregator(java.lang.String)
//  .isNormalizedCpu(java.lang.Boolean)
//  .isNormalizedCpu(IResolvable)
//  .limit(java.lang.Number)
//  .sort(java.lang.String)
//  .tagFilters(java.util.List<java.lang.String>)
//  .textFilter(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>java.util.List<java.lang.String></code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>java.lang.String</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```java
public java.lang.Object getIsNormalizedCpu();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.sort"></a>

```java
public java.lang.String getSort();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```java
public java.util.List<java.lang.String> getTagFilters();
```

- *Type:* java.util.List<java.lang.String>

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```java
public java.lang.String getTextFilter();
```

- *Type:* java.lang.String

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetChangeDefinitionRequestRumQuery <a name="DashboardWidgetChangeDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery;

DashboardWidgetChangeDefinitionRequestRumQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetChangeDefinitionRequestRumQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetChangeDefinitionRequestRumQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.computeQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetChangeDefinitionRequestRumQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery;

DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetChangeDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetChangeDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy;

DashboardWidgetChangeDefinitionRequestRumQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery;

DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute;

DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetChangeDefinitionRequestSecurityQuery <a name="DashboardWidgetChangeDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery;

DashboardWidgetChangeDefinitionRequestSecurityQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.computeQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery;

DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy;

DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery;

DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute;

DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetCheckStatusDefinition <a name="DashboardWidgetCheckStatusDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetCheckStatusDefinition;

DashboardWidgetCheckStatusDefinition.builder()
    .check(java.lang.String)
    .grouping(java.lang.String)
//  .group(java.lang.String)
//  .groupBy(java.util.List<java.lang.String>)
//  .liveSpan(java.lang.String)
//  .tags(java.util.List<java.lang.String>)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.check">check</a></code> | <code>java.lang.String</code> | The check to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.grouping">grouping</a></code> | <code>java.lang.String</code> | The kind of grouping to use. Valid values are `check`, `cluster`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.group">group</a></code> | <code>java.lang.String</code> | The check group to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.groupBy">groupBy</a></code> | <code>java.util.List<java.lang.String></code> | When `grouping = "cluster"`, indicates a list of tags to use for grouping. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.tags">tags</a></code> | <code>java.util.List<java.lang.String></code> | A list of tags to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `check`<sup>Required</sup> <a name="check" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.check"></a>

```java
public java.lang.String getCheck();
```

- *Type:* java.lang.String

The check to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#check Dashboard#check}

---

##### `grouping`<sup>Required</sup> <a name="grouping" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.grouping"></a>

```java
public java.lang.String getGrouping();
```

- *Type:* java.lang.String

The kind of grouping to use. Valid values are `check`, `cluster`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#grouping Dashboard#grouping}

---

##### `group`<sup>Optional</sup> <a name="group" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.group"></a>

```java
public java.lang.String getGroup();
```

- *Type:* java.lang.String

The check group to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group Dashboard#group}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.groupBy"></a>

```java
public java.util.List<java.lang.String> getGroupBy();
```

- *Type:* java.util.List<java.lang.String>

When `grouping = "cluster"`, indicates a list of tags to use for grouping.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `tags`<sup>Optional</sup> <a name="tags" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.tags"></a>

```java
public java.util.List<java.lang.String> getTags();
```

- *Type:* java.util.List<java.lang.String>

A list of tags to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags Dashboard#tags}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetDistributionDefinition <a name="DashboardWidgetDistributionDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinition;

DashboardWidgetDistributionDefinition.builder()
//  .legendSize(java.lang.String)
//  .liveSpan(java.lang.String)
//  .request(IResolvable)
//  .request(java.util.List<DashboardWidgetDistributionDefinitionRequest>)
//  .showLegend(java.lang.Boolean)
//  .showLegend(IResolvable)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.legendSize">legendSize</a></code> | <code>java.lang.String</code> | The size of the legend displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.request">request</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest">DashboardWidgetDistributionDefinitionRequest</a>></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.showLegend">showLegend</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether or not to show the legend on this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `legendSize`<sup>Optional</sup> <a name="legendSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.legendSize"></a>

```java
public java.lang.String getLegendSize();
```

- *Type:* java.lang.String

The size of the legend displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_size Dashboard#legend_size}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.request"></a>

```java
public java.lang.Object getRequest();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest">DashboardWidgetDistributionDefinitionRequest</a>>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `showLegend`<sup>Optional</sup> <a name="showLegend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.showLegend"></a>

```java
public java.lang.Object getShowLegend();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether or not to show the legend on this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_legend Dashboard#show_legend}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetDistributionDefinitionRequest <a name="DashboardWidgetDistributionDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequest;

DashboardWidgetDistributionDefinitionRequest.builder()
//  .apmQuery(DashboardWidgetDistributionDefinitionRequestApmQuery)
//  .apmStatsQuery(DashboardWidgetDistributionDefinitionRequestApmStatsQuery)
//  .logQuery(DashboardWidgetDistributionDefinitionRequestLogQuery)
//  .processQuery(DashboardWidgetDistributionDefinitionRequestProcessQuery)
//  .q(java.lang.String)
//  .rumQuery(DashboardWidgetDistributionDefinitionRequestRumQuery)
//  .securityQuery(DashboardWidgetDistributionDefinitionRequestSecurityQuery)
//  .style(DashboardWidgetDistributionDefinitionRequestStyle)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetDistributionDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.apmStatsQuery">apmStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetDistributionDefinitionRequestApmStatsQuery</a></code> | apm_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetDistributionDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetDistributionDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.q">q</a></code> | <code>java.lang.String</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetDistributionDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetDistributionDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle">DashboardWidgetDistributionDefinitionRequestStyle</a></code> | style block. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.apmQuery"></a>

```java
public DashboardWidgetDistributionDefinitionRequestApmQuery getApmQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetDistributionDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `apmStatsQuery`<sup>Optional</sup> <a name="apmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.apmStatsQuery"></a>

```java
public DashboardWidgetDistributionDefinitionRequestApmStatsQuery getApmStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetDistributionDefinitionRequestApmStatsQuery</a>

apm_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_stats_query Dashboard#apm_stats_query}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.logQuery"></a>

```java
public DashboardWidgetDistributionDefinitionRequestLogQuery getLogQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetDistributionDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.processQuery"></a>

```java
public DashboardWidgetDistributionDefinitionRequestProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetDistributionDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.rumQuery"></a>

```java
public DashboardWidgetDistributionDefinitionRequestRumQuery getRumQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetDistributionDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.securityQuery"></a>

```java
public DashboardWidgetDistributionDefinitionRequestSecurityQuery getSecurityQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetDistributionDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.style"></a>

```java
public DashboardWidgetDistributionDefinitionRequestStyle getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle">DashboardWidgetDistributionDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetDistributionDefinitionRequestApmQuery <a name="DashboardWidgetDistributionDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery;

DashboardWidgetDistributionDefinitionRequestApmQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.computeQuery"></a>

```java
public DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery;

DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy;

DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery;

DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute;

DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestApmStatsQuery <a name="DashboardWidgetDistributionDefinitionRequestApmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery;

DashboardWidgetDistributionDefinitionRequestApmStatsQuery.builder()
    .env(java.lang.String)
    .name(java.lang.String)
    .primaryTag(java.lang.String)
    .rowType(java.lang.String)
    .service(java.lang.String)
//  .columns(IResolvable)
//  .columns(java.util.List<DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns>)
//  .resource(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | The environment name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The operation name associated with the service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.primaryTag">primaryTag</a></code> | <code>java.lang.String</code> | The organization's host group name and value. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.rowType">rowType</a></code> | <code>java.lang.String</code> | The level of detail for the request. Valid values are `service`, `resource`, `span`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | The service name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.columns">columns</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns</a>></code> | columns block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.resource">resource</a></code> | <code>java.lang.String</code> | The resource name. |

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

The environment name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The operation name associated with the service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `primaryTag`<sup>Required</sup> <a name="primaryTag" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.primaryTag"></a>

```java
public java.lang.String getPrimaryTag();
```

- *Type:* java.lang.String

The organization's host group name and value.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag Dashboard#primary_tag}

---

##### `rowType`<sup>Required</sup> <a name="rowType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.rowType"></a>

```java
public java.lang.String getRowType();
```

- *Type:* java.lang.String

The level of detail for the request. Valid values are `service`, `resource`, `span`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#row_type Dashboard#row_type}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

The service name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `columns`<sup>Optional</sup> <a name="columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.columns"></a>

```java
public java.lang.Object getColumns();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns</a>>

columns block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `resource`<sup>Optional</sup> <a name="resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.resource"></a>

```java
public java.lang.String getResource();
```

- *Type:* java.lang.String

The resource name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource Dashboard#resource}

---

### DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns <a name="DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns;

DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.builder()
    .name(java.lang.String)
//  .alias(java.lang.String)
//  .cellDisplayMode(java.lang.String)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.name">name</a></code> | <code>java.lang.String</code> | The column name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.alias">alias</a></code> | <code>java.lang.String</code> | A user-assigned alias for the column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode">cellDisplayMode</a></code> | <code>java.lang.String</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The column name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.alias"></a>

```java
public java.lang.String getAlias();
```

- *Type:* java.lang.String

A user-assigned alias for the column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode"></a>

```java
public java.lang.String getCellDisplayMode();
```

- *Type:* java.lang.String

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetDistributionDefinitionRequestLogQuery <a name="DashboardWidgetDistributionDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery;

DashboardWidgetDistributionDefinitionRequestLogQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.computeQuery"></a>

```java
public DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery;

DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy;

DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery;

DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute;

DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestProcessQuery <a name="DashboardWidgetDistributionDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery;

DashboardWidgetDistributionDefinitionRequestProcessQuery.builder()
    .metric(java.lang.String)
//  .filterBy(java.util.List<java.lang.String>)
//  .limit(java.lang.Number)
//  .searchBy(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>java.util.List<java.lang.String></code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>java.lang.String</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.filterBy"></a>

```java
public java.util.List<java.lang.String> getFilterBy();
```

- *Type:* java.util.List<java.lang.String>

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.searchBy"></a>

```java
public java.lang.String getSearchBy();
```

- *Type:* java.lang.String

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetDistributionDefinitionRequestRumQuery <a name="DashboardWidgetDistributionDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery;

DashboardWidgetDistributionDefinitionRequestRumQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.computeQuery"></a>

```java
public DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery;

DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy;

DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery;

DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute;

DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestSecurityQuery <a name="DashboardWidgetDistributionDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery;

DashboardWidgetDistributionDefinitionRequestSecurityQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.computeQuery"></a>

```java
public DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery;

DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy;

DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery;

DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute;

DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestStyle <a name="DashboardWidgetDistributionDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle;

DashboardWidgetDistributionDefinitionRequestStyle.builder()
//  .palette(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle.property.palette">palette</a></code> | <code>java.lang.String</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetEventStreamDefinition <a name="DashboardWidgetEventStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetEventStreamDefinition;

DashboardWidgetEventStreamDefinition.builder()
    .query(java.lang.String)
//  .eventSize(java.lang.String)
//  .liveSpan(java.lang.String)
//  .tagsExecution(java.lang.String)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.query">query</a></code> | <code>java.lang.String</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.eventSize">eventSize</a></code> | <code>java.lang.String</code> | The size to use to display an event. Valid values are `s`, `l`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.tagsExecution">tagsExecution</a></code> | <code>java.lang.String</code> | The execution method for multi-value filters, options: `and` or `or`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `eventSize`<sup>Optional</sup> <a name="eventSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.eventSize"></a>

```java
public java.lang.String getEventSize();
```

- *Type:* java.lang.String

The size to use to display an event. Valid values are `s`, `l`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_size Dashboard#event_size}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `tagsExecution`<sup>Optional</sup> <a name="tagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.tagsExecution"></a>

```java
public java.lang.String getTagsExecution();
```

- *Type:* java.lang.String

The execution method for multi-value filters, options: `and` or `or`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetEventTimelineDefinition <a name="DashboardWidgetEventTimelineDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetEventTimelineDefinition;

DashboardWidgetEventTimelineDefinition.builder()
    .query(java.lang.String)
//  .liveSpan(java.lang.String)
//  .tagsExecution(java.lang.String)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.query">query</a></code> | <code>java.lang.String</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.tagsExecution">tagsExecution</a></code> | <code>java.lang.String</code> | The execution method for multi-value filters, options: `and` or `or`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `tagsExecution`<sup>Optional</sup> <a name="tagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.tagsExecution"></a>

```java
public java.lang.String getTagsExecution();
```

- *Type:* java.lang.String

The execution method for multi-value filters, options: `and` or `or`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetFreeTextDefinition <a name="DashboardWidgetFreeTextDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetFreeTextDefinition;

DashboardWidgetFreeTextDefinition.builder()
    .text(java.lang.String)
//  .color(java.lang.String)
//  .fontSize(java.lang.String)
//  .textAlign(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.text">text</a></code> | <code>java.lang.String</code> | The text to display in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.color">color</a></code> | <code>java.lang.String</code> | The color of the text in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.fontSize">fontSize</a></code> | <code>java.lang.String</code> | The size of the text in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.textAlign">textAlign</a></code> | <code>java.lang.String</code> | The alignment of the text in the widget. Valid values are `center`, `left`, `right`. |

---

##### `text`<sup>Required</sup> <a name="text" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.text"></a>

```java
public java.lang.String getText();
```

- *Type:* java.lang.String

The text to display in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text Dashboard#text}

---

##### `color`<sup>Optional</sup> <a name="color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.color"></a>

```java
public java.lang.String getColor();
```

- *Type:* java.lang.String

The color of the text in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#color Dashboard#color}

---

##### `fontSize`<sup>Optional</sup> <a name="fontSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.fontSize"></a>

```java
public java.lang.String getFontSize();
```

- *Type:* java.lang.String

The size of the text in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#font_size Dashboard#font_size}

---

##### `textAlign`<sup>Optional</sup> <a name="textAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.textAlign"></a>

```java
public java.lang.String getTextAlign();
```

- *Type:* java.lang.String

The alignment of the text in the widget. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

### DashboardWidgetGeomapDefinition <a name="DashboardWidgetGeomapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinition;

DashboardWidgetGeomapDefinition.builder()
    .view(DashboardWidgetGeomapDefinitionView)
//  .customLink(IResolvable)
//  .customLink(java.util.List<DashboardWidgetGeomapDefinitionCustomLink>)
//  .liveSpan(java.lang.String)
//  .request(IResolvable)
//  .request(java.util.List<DashboardWidgetGeomapDefinitionRequest>)
//  .style(DashboardWidgetGeomapDefinitionStyle)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.view">view</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView">DashboardWidgetGeomapDefinitionView</a></code> | view block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.customLink">customLink</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink">DashboardWidgetGeomapDefinitionCustomLink</a>></code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.request">request</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest">DashboardWidgetGeomapDefinitionRequest</a>></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle">DashboardWidgetGeomapDefinitionStyle</a></code> | style block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `view`<sup>Required</sup> <a name="view" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.view"></a>

```java
public DashboardWidgetGeomapDefinitionView getView();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView">DashboardWidgetGeomapDefinitionView</a>

view block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#view Dashboard#view}

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.customLink"></a>

```java
public java.lang.Object getCustomLink();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink">DashboardWidgetGeomapDefinitionCustomLink</a>>

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.request"></a>

```java
public java.lang.Object getRequest();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest">DashboardWidgetGeomapDefinitionRequest</a>>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.style"></a>

```java
public DashboardWidgetGeomapDefinitionStyle getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle">DashboardWidgetGeomapDefinitionStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGeomapDefinitionCustomLink <a name="DashboardWidgetGeomapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink;

DashboardWidgetGeomapDefinitionCustomLink.builder()
//  .isHidden(java.lang.Boolean)
//  .isHidden(IResolvable)
//  .label(java.lang.String)
//  .link(java.lang.String)
//  .overrideLabel(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.label">label</a></code> | <code>java.lang.String</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.link">link</a></code> | <code>java.lang.String</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>java.lang.String</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.isHidden"></a>

```java
public java.lang.Object getIsHidden();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.link"></a>

```java
public java.lang.String getLink();
```

- *Type:* java.lang.String

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.overrideLabel"></a>

```java
public java.lang.String getOverrideLabel();
```

- *Type:* java.lang.String

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGeomapDefinitionRequest <a name="DashboardWidgetGeomapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequest;

DashboardWidgetGeomapDefinitionRequest.builder()
//  .formula(IResolvable)
//  .formula(java.util.List<DashboardWidgetGeomapDefinitionRequestFormula>)
//  .logQuery(DashboardWidgetGeomapDefinitionRequestLogQuery)
//  .q(java.lang.String)
//  .query(IResolvable)
//  .query(java.util.List<DashboardWidgetGeomapDefinitionRequestQuery>)
//  .rumQuery(DashboardWidgetGeomapDefinitionRequestRumQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.formula">formula</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula">DashboardWidgetGeomapDefinitionRequestFormula</a>></code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGeomapDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.q">q</a></code> | <code>java.lang.String</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.query">query</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery">DashboardWidgetGeomapDefinitionRequestQuery</a>></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGeomapDefinitionRequestRumQuery</a></code> | rum_query block. |

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.formula"></a>

```java
public java.lang.Object getFormula();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula">DashboardWidgetGeomapDefinitionRequestFormula</a>>

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.logQuery"></a>

```java
public DashboardWidgetGeomapDefinitionRequestLogQuery getLogQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGeomapDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.query"></a>

```java
public java.lang.Object getQuery();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery">DashboardWidgetGeomapDefinitionRequestQuery</a>>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.rumQuery"></a>

```java
public DashboardWidgetGeomapDefinitionRequestRumQuery getRumQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGeomapDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

### DashboardWidgetGeomapDefinitionRequestFormula <a name="DashboardWidgetGeomapDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula;

DashboardWidgetGeomapDefinitionRequestFormula.builder()
    .formulaExpression(java.lang.String)
//  .alias(java.lang.String)
//  .cellDisplayMode(java.lang.String)
//  .conditionalFormats(IResolvable)
//  .conditionalFormats(java.util.List<DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats>)
//  .limit(DashboardWidgetGeomapDefinitionRequestFormulaLimit)
//  .style(DashboardWidgetGeomapDefinitionRequestFormulaStyle)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>java.lang.String</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.alias">alias</a></code> | <code>java.lang.String</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>java.lang.String</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats</a>></code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGeomapDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGeomapDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.formulaExpression"></a>

```java
public java.lang.String getFormulaExpression();
```

- *Type:* java.lang.String

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.alias"></a>

```java
public java.lang.String getAlias();
```

- *Type:* java.lang.String

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.cellDisplayMode"></a>

```java
public java.lang.String getCellDisplayMode();
```

- *Type:* java.lang.String

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.conditionalFormats"></a>

```java
public java.lang.Object getConditionalFormats();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats</a>>

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.limit"></a>

```java
public DashboardWidgetGeomapDefinitionRequestFormulaLimit getLimit();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGeomapDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.style"></a>

```java
public DashboardWidgetGeomapDefinitionRequestFormulaStyle getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGeomapDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats;

DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.builder()
    .comparator(java.lang.String)
    .palette(java.lang.String)
    .value(java.lang.Number)
//  .customBgColor(java.lang.String)
//  .customFgColor(java.lang.String)
//  .hideValue(java.lang.Boolean)
//  .hideValue(IResolvable)
//  .imageUrl(java.lang.String)
//  .metric(java.lang.String)
//  .timeframe(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>java.lang.String</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>java.lang.Number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>java.lang.String</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>java.lang.String</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```java
public java.lang.String getComparator();
```

- *Type:* java.lang.String

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.value"></a>

```java
public java.lang.Number getValue();
```

- *Type:* java.lang.Number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```java
public java.lang.String getCustomBgColor();
```

- *Type:* java.lang.String

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```java
public java.lang.String getCustomFgColor();
```

- *Type:* java.lang.String

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```java
public java.lang.Object getHideValue();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```java
public java.lang.String getImageUrl();
```

- *Type:* java.lang.String

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```java
public java.lang.String getTimeframe();
```

- *Type:* java.lang.String

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGeomapDefinitionRequestFormulaLimit <a name="DashboardWidgetGeomapDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit;

DashboardWidgetGeomapDefinitionRequestFormulaLimit.builder()
//  .count(java.lang.Number)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>java.lang.Number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit.property.count"></a>

```java
public java.lang.Number getCount();
```

- *Type:* java.lang.Number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGeomapDefinitionRequestFormulaStyle <a name="DashboardWidgetGeomapDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle;

DashboardWidgetGeomapDefinitionRequestFormulaStyle.builder()
//  .palette(java.lang.String)
//  .paletteIndex(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>java.lang.Number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```java
public java.lang.Number getPaletteIndex();
```

- *Type:* java.lang.Number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGeomapDefinitionRequestLogQuery <a name="DashboardWidgetGeomapDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery;

DashboardWidgetGeomapDefinitionRequestLogQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.computeQuery"></a>

```java
public DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery;

DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy;

DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery;

DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute;

DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGeomapDefinitionRequestQuery <a name="DashboardWidgetGeomapDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery;

DashboardWidgetGeomapDefinitionRequestQuery.builder()
//  .apmDependencyStatsQuery(DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery)
//  .apmResourceStatsQuery(DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery)
//  .eventQuery(DashboardWidgetGeomapDefinitionRequestQueryEventQuery)
//  .metricQuery(DashboardWidgetGeomapDefinitionRequestQueryMetricQuery)
//  .processQuery(DashboardWidgetGeomapDefinitionRequestQueryProcessQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGeomapDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGeomapDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGeomapDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery getApmDependencyStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery getApmResourceStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.eventQuery"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryEventQuery getEventQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGeomapDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.metricQuery"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryMetricQuery getMetricQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGeomapDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.processQuery"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGeomapDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery;

DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .operationName(java.lang.String)
    .resourceName(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .isUpstream(java.lang.Boolean)
//  .isUpstream(IResolvable)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```java
public java.lang.Object getIsUpstream();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery;

DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .groupBy(java.util.List<java.lang.String>)
//  .operationName(java.lang.String)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
//  .resourceName(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>java.util.List<java.lang.String></code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```java
public java.util.List<java.lang.String> getGroupBy();
```

- *Type:* java.util.List<java.lang.String>

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGeomapDefinitionRequestQueryEventQuery <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery;

DashboardWidgetGeomapDefinitionRequestQueryEventQuery.builder()
    .compute(IResolvable)
    .compute(java.util.List<DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute>)
    .dataSource(java.lang.String)
    .name(java.lang.String)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy>)
//  .indexes(java.util.List<java.lang.String>)
//  .search(DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch)
//  .storage(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute</a>></code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>java.util.List<java.lang.String></code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>java.lang.String</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.compute"></a>

```java
public java.lang.Object getCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute</a>>

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.indexes"></a>

```java
public java.util.List<java.lang.String> getIndexes();
```

- *Type:* java.util.List<java.lang.String>

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.search"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch getSearch();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.storage"></a>

```java
public java.lang.String getStorage();
```

- *Type:* java.lang.String

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute;

DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute.builder()
    .aggregation(java.lang.String)
//  .interval(java.lang.Number)
//  .metric(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>java.lang.String</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy;

DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.builder()
    .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sort(DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort getSort();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort;

DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.builder()
    .aggregation(java.lang.String)
//  .metric(java.lang.String)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>java.lang.String</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch;

DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch.builder()
    .query(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>java.lang.String</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGeomapDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGeomapDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery;

DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.builder()
    .name(java.lang.String)
    .query(java.lang.String)
//  .aggregator(java.lang.String)
//  .dataSource(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>java.lang.String</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGeomapDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGeomapDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery;

DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.builder()
    .dataSource(java.lang.String)
    .metric(java.lang.String)
    .name(java.lang.String)
//  .aggregator(java.lang.String)
//  .isNormalizedCpu(java.lang.Boolean)
//  .isNormalizedCpu(IResolvable)
//  .limit(java.lang.Number)
//  .sort(java.lang.String)
//  .tagFilters(java.util.List<java.lang.String>)
//  .textFilter(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>java.util.List<java.lang.String></code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>java.lang.String</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```java
public java.lang.Object getIsNormalizedCpu();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.sort"></a>

```java
public java.lang.String getSort();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```java
public java.util.List<java.lang.String> getTagFilters();
```

- *Type:* java.util.List<java.lang.String>

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```java
public java.lang.String getTextFilter();
```

- *Type:* java.lang.String

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGeomapDefinitionRequestRumQuery <a name="DashboardWidgetGeomapDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery;

DashboardWidgetGeomapDefinitionRequestRumQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.computeQuery"></a>

```java
public DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery;

DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy;

DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery;

DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute;

DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGeomapDefinitionStyle <a name="DashboardWidgetGeomapDefinitionStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionStyle;

DashboardWidgetGeomapDefinitionStyle.builder()
    .palette(java.lang.String)
    .paletteFlip(java.lang.Boolean)
    .paletteFlip(IResolvable)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette to apply to the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle.property.paletteFlip">paletteFlip</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | A Boolean indicating whether to flip the palette tones. |

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette to apply to the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteFlip`<sup>Required</sup> <a name="paletteFlip" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle.property.paletteFlip"></a>

```java
public java.lang.Object getPaletteFlip();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

A Boolean indicating whether to flip the palette tones.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_flip Dashboard#palette_flip}

---

### DashboardWidgetGeomapDefinitionView <a name="DashboardWidgetGeomapDefinitionView" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionView;

DashboardWidgetGeomapDefinitionView.builder()
    .focus(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView.property.focus">focus</a></code> | <code>java.lang.String</code> | The two-letter ISO code of a country to focus the map on (or `WORLD`). |

---

##### `focus`<sup>Required</sup> <a name="focus" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView.property.focus"></a>

```java
public java.lang.String getFocus();
```

- *Type:* java.lang.String

The two-letter ISO code of a country to focus the map on (or `WORLD`).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#focus Dashboard#focus}

---

### DashboardWidgetGroupDefinition <a name="DashboardWidgetGroupDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinition;

DashboardWidgetGroupDefinition.builder()
    .layoutType(java.lang.String)
//  .backgroundColor(java.lang.String)
//  .bannerImg(java.lang.String)
//  .showTitle(java.lang.Boolean)
//  .showTitle(IResolvable)
//  .title(java.lang.String)
//  .widget(IResolvable)
//  .widget(java.util.List<DashboardWidgetGroupDefinitionWidget>)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.layoutType">layoutType</a></code> | <code>java.lang.String</code> | The layout type of the group. Valid values are `ordered`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.backgroundColor">backgroundColor</a></code> | <code>java.lang.String</code> | The background color of the group title, options: `vivid_blue`, `vivid_purple`, `vivid_pink`, `vivid_orange`, `vivid_yellow`, `vivid_green`, `blue`, `purple`, `pink`, `orange`, `yellow`, `green`, `gray` or `white`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.bannerImg">bannerImg</a></code> | <code>java.lang.String</code> | The image URL to display as a banner for the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.showTitle">showTitle</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to show the title or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.widget">widget</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget">DashboardWidgetGroupDefinitionWidget</a>></code> | widget block. |

---

##### `layoutType`<sup>Required</sup> <a name="layoutType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.layoutType"></a>

```java
public java.lang.String getLayoutType();
```

- *Type:* java.lang.String

The layout type of the group. Valid values are `ordered`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#layout_type Dashboard#layout_type}

---

##### `backgroundColor`<sup>Optional</sup> <a name="backgroundColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.backgroundColor"></a>

```java
public java.lang.String getBackgroundColor();
```

- *Type:* java.lang.String

The background color of the group title, options: `vivid_blue`, `vivid_purple`, `vivid_pink`, `vivid_orange`, `vivid_yellow`, `vivid_green`, `blue`, `purple`, `pink`, `orange`, `yellow`, `green`, `gray` or `white`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#background_color Dashboard#background_color}

---

##### `bannerImg`<sup>Optional</sup> <a name="bannerImg" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.bannerImg"></a>

```java
public java.lang.String getBannerImg();
```

- *Type:* java.lang.String

The image URL to display as a banner for the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#banner_img Dashboard#banner_img}

---

##### `showTitle`<sup>Optional</sup> <a name="showTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.showTitle"></a>

```java
public java.lang.Object getShowTitle();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to show the title or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_title Dashboard#show_title}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `widget`<sup>Optional</sup> <a name="widget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.widget"></a>

```java
public java.lang.Object getWidget();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget">DashboardWidgetGroupDefinitionWidget</a>>

widget block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#widget Dashboard#widget}

---

### DashboardWidgetGroupDefinitionWidget <a name="DashboardWidgetGroupDefinitionWidget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidget;

DashboardWidgetGroupDefinitionWidget.builder()
//  .alertGraphDefinition(DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition)
//  .alertValueDefinition(DashboardWidgetGroupDefinitionWidgetAlertValueDefinition)
//  .changeDefinition(DashboardWidgetGroupDefinitionWidgetChangeDefinition)
//  .checkStatusDefinition(DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition)
//  .distributionDefinition(DashboardWidgetGroupDefinitionWidgetDistributionDefinition)
//  .eventStreamDefinition(DashboardWidgetGroupDefinitionWidgetEventStreamDefinition)
//  .eventTimelineDefinition(DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition)
//  .freeTextDefinition(DashboardWidgetGroupDefinitionWidgetFreeTextDefinition)
//  .geomapDefinition(DashboardWidgetGroupDefinitionWidgetGeomapDefinition)
//  .heatmapDefinition(DashboardWidgetGroupDefinitionWidgetHeatmapDefinition)
//  .hostmapDefinition(DashboardWidgetGroupDefinitionWidgetHostmapDefinition)
//  .iframeDefinition(DashboardWidgetGroupDefinitionWidgetIframeDefinition)
//  .imageDefinition(DashboardWidgetGroupDefinitionWidgetImageDefinition)
//  .listStreamDefinition(DashboardWidgetGroupDefinitionWidgetListStreamDefinition)
//  .logStreamDefinition(DashboardWidgetGroupDefinitionWidgetLogStreamDefinition)
//  .manageStatusDefinition(DashboardWidgetGroupDefinitionWidgetManageStatusDefinition)
//  .noteDefinition(DashboardWidgetGroupDefinitionWidgetNoteDefinition)
//  .queryTableDefinition(DashboardWidgetGroupDefinitionWidgetQueryTableDefinition)
//  .queryValueDefinition(DashboardWidgetGroupDefinitionWidgetQueryValueDefinition)
//  .runWorkflowDefinition(DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition)
//  .scatterplotDefinition(DashboardWidgetGroupDefinitionWidgetScatterplotDefinition)
//  .serviceLevelObjectiveDefinition(DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition)
//  .servicemapDefinition(DashboardWidgetGroupDefinitionWidgetServicemapDefinition)
//  .sloListDefinition(DashboardWidgetGroupDefinitionWidgetSloListDefinition)
//  .sunburstDefinition(DashboardWidgetGroupDefinitionWidgetSunburstDefinition)
//  .timeseriesDefinition(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition)
//  .toplistDefinition(DashboardWidgetGroupDefinitionWidgetToplistDefinition)
//  .topologyMapDefinition(DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition)
//  .traceServiceDefinition(DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition)
//  .treemapDefinition(DashboardWidgetGroupDefinitionWidgetTreemapDefinition)
//  .widgetLayout(DashboardWidgetGroupDefinitionWidgetWidgetLayout)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.alertGraphDefinition">alertGraphDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition">DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition</a></code> | alert_graph_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.alertValueDefinition">alertValueDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition">DashboardWidgetGroupDefinitionWidgetAlertValueDefinition</a></code> | alert_value_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.changeDefinition">changeDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition">DashboardWidgetGroupDefinitionWidgetChangeDefinition</a></code> | change_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.checkStatusDefinition">checkStatusDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition">DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition</a></code> | check_status_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.distributionDefinition">distributionDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition">DashboardWidgetGroupDefinitionWidgetDistributionDefinition</a></code> | distribution_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.eventStreamDefinition">eventStreamDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition">DashboardWidgetGroupDefinitionWidgetEventStreamDefinition</a></code> | event_stream_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.eventTimelineDefinition">eventTimelineDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition">DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition</a></code> | event_timeline_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.freeTextDefinition">freeTextDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition">DashboardWidgetGroupDefinitionWidgetFreeTextDefinition</a></code> | free_text_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.geomapDefinition">geomapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition">DashboardWidgetGroupDefinitionWidgetGeomapDefinition</a></code> | geomap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.heatmapDefinition">heatmapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition">DashboardWidgetGroupDefinitionWidgetHeatmapDefinition</a></code> | heatmap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.hostmapDefinition">hostmapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition">DashboardWidgetGroupDefinitionWidgetHostmapDefinition</a></code> | hostmap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.iframeDefinition">iframeDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetIframeDefinition">DashboardWidgetGroupDefinitionWidgetIframeDefinition</a></code> | iframe_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.imageDefinition">imageDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition">DashboardWidgetGroupDefinitionWidgetImageDefinition</a></code> | image_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.listStreamDefinition">listStreamDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition">DashboardWidgetGroupDefinitionWidgetListStreamDefinition</a></code> | list_stream_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.logStreamDefinition">logStreamDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition">DashboardWidgetGroupDefinitionWidgetLogStreamDefinition</a></code> | log_stream_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.manageStatusDefinition">manageStatusDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition">DashboardWidgetGroupDefinitionWidgetManageStatusDefinition</a></code> | manage_status_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.noteDefinition">noteDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition">DashboardWidgetGroupDefinitionWidgetNoteDefinition</a></code> | note_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.queryTableDefinition">queryTableDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition">DashboardWidgetGroupDefinitionWidgetQueryTableDefinition</a></code> | query_table_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.queryValueDefinition">queryValueDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition">DashboardWidgetGroupDefinitionWidgetQueryValueDefinition</a></code> | query_value_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.runWorkflowDefinition">runWorkflowDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition">DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition</a></code> | run_workflow_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.scatterplotDefinition">scatterplotDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition">DashboardWidgetGroupDefinitionWidgetScatterplotDefinition</a></code> | scatterplot_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.serviceLevelObjectiveDefinition">serviceLevelObjectiveDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition">DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition</a></code> | service_level_objective_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.servicemapDefinition">servicemapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition">DashboardWidgetGroupDefinitionWidgetServicemapDefinition</a></code> | servicemap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.sloListDefinition">sloListDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition">DashboardWidgetGroupDefinitionWidgetSloListDefinition</a></code> | slo_list_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.sunburstDefinition">sunburstDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition">DashboardWidgetGroupDefinitionWidgetSunburstDefinition</a></code> | sunburst_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.timeseriesDefinition">timeseriesDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition</a></code> | timeseries_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.toplistDefinition">toplistDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition">DashboardWidgetGroupDefinitionWidgetToplistDefinition</a></code> | toplist_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.topologyMapDefinition">topologyMapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition">DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition</a></code> | topology_map_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.traceServiceDefinition">traceServiceDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition">DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition</a></code> | trace_service_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.treemapDefinition">treemapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition">DashboardWidgetGroupDefinitionWidgetTreemapDefinition</a></code> | treemap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.widgetLayout">widgetLayout</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout">DashboardWidgetGroupDefinitionWidgetWidgetLayout</a></code> | widget_layout block. |

---

##### `alertGraphDefinition`<sup>Optional</sup> <a name="alertGraphDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.alertGraphDefinition"></a>

```java
public DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition getAlertGraphDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition">DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition</a>

alert_graph_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_graph_definition Dashboard#alert_graph_definition}

---

##### `alertValueDefinition`<sup>Optional</sup> <a name="alertValueDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.alertValueDefinition"></a>

```java
public DashboardWidgetGroupDefinitionWidgetAlertValueDefinition getAlertValueDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition">DashboardWidgetGroupDefinitionWidgetAlertValueDefinition</a>

alert_value_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_value_definition Dashboard#alert_value_definition}

---

##### `changeDefinition`<sup>Optional</sup> <a name="changeDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.changeDefinition"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinition getChangeDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition">DashboardWidgetGroupDefinitionWidgetChangeDefinition</a>

change_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#change_definition Dashboard#change_definition}

---

##### `checkStatusDefinition`<sup>Optional</sup> <a name="checkStatusDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.checkStatusDefinition"></a>

```java
public DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition getCheckStatusDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition">DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition</a>

check_status_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#check_status_definition Dashboard#check_status_definition}

---

##### `distributionDefinition`<sup>Optional</sup> <a name="distributionDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.distributionDefinition"></a>

```java
public DashboardWidgetGroupDefinitionWidgetDistributionDefinition getDistributionDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition">DashboardWidgetGroupDefinitionWidgetDistributionDefinition</a>

distribution_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#distribution_definition Dashboard#distribution_definition}

---

##### `eventStreamDefinition`<sup>Optional</sup> <a name="eventStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.eventStreamDefinition"></a>

```java
public DashboardWidgetGroupDefinitionWidgetEventStreamDefinition getEventStreamDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition">DashboardWidgetGroupDefinitionWidgetEventStreamDefinition</a>

event_stream_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_stream_definition Dashboard#event_stream_definition}

---

##### `eventTimelineDefinition`<sup>Optional</sup> <a name="eventTimelineDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.eventTimelineDefinition"></a>

```java
public DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition getEventTimelineDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition">DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition</a>

event_timeline_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_timeline_definition Dashboard#event_timeline_definition}

---

##### `freeTextDefinition`<sup>Optional</sup> <a name="freeTextDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.freeTextDefinition"></a>

```java
public DashboardWidgetGroupDefinitionWidgetFreeTextDefinition getFreeTextDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition">DashboardWidgetGroupDefinitionWidgetFreeTextDefinition</a>

free_text_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#free_text_definition Dashboard#free_text_definition}

---

##### `geomapDefinition`<sup>Optional</sup> <a name="geomapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.geomapDefinition"></a>

```java
public DashboardWidgetGroupDefinitionWidgetGeomapDefinition getGeomapDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition">DashboardWidgetGroupDefinitionWidgetGeomapDefinition</a>

geomap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#geomap_definition Dashboard#geomap_definition}

---

##### `heatmapDefinition`<sup>Optional</sup> <a name="heatmapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.heatmapDefinition"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHeatmapDefinition getHeatmapDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition">DashboardWidgetGroupDefinitionWidgetHeatmapDefinition</a>

heatmap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#heatmap_definition Dashboard#heatmap_definition}

---

##### `hostmapDefinition`<sup>Optional</sup> <a name="hostmapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.hostmapDefinition"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHostmapDefinition getHostmapDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition">DashboardWidgetGroupDefinitionWidgetHostmapDefinition</a>

hostmap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hostmap_definition Dashboard#hostmap_definition}

---

##### `iframeDefinition`<sup>Optional</sup> <a name="iframeDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.iframeDefinition"></a>

```java
public DashboardWidgetGroupDefinitionWidgetIframeDefinition getIframeDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetIframeDefinition">DashboardWidgetGroupDefinitionWidgetIframeDefinition</a>

iframe_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#iframe_definition Dashboard#iframe_definition}

---

##### `imageDefinition`<sup>Optional</sup> <a name="imageDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.imageDefinition"></a>

```java
public DashboardWidgetGroupDefinitionWidgetImageDefinition getImageDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition">DashboardWidgetGroupDefinitionWidgetImageDefinition</a>

image_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_definition Dashboard#image_definition}

---

##### `listStreamDefinition`<sup>Optional</sup> <a name="listStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.listStreamDefinition"></a>

```java
public DashboardWidgetGroupDefinitionWidgetListStreamDefinition getListStreamDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition">DashboardWidgetGroupDefinitionWidgetListStreamDefinition</a>

list_stream_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#list_stream_definition Dashboard#list_stream_definition}

---

##### `logStreamDefinition`<sup>Optional</sup> <a name="logStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.logStreamDefinition"></a>

```java
public DashboardWidgetGroupDefinitionWidgetLogStreamDefinition getLogStreamDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition">DashboardWidgetGroupDefinitionWidgetLogStreamDefinition</a>

log_stream_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_stream_definition Dashboard#log_stream_definition}

---

##### `manageStatusDefinition`<sup>Optional</sup> <a name="manageStatusDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.manageStatusDefinition"></a>

```java
public DashboardWidgetGroupDefinitionWidgetManageStatusDefinition getManageStatusDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition">DashboardWidgetGroupDefinitionWidgetManageStatusDefinition</a>

manage_status_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#manage_status_definition Dashboard#manage_status_definition}

---

##### `noteDefinition`<sup>Optional</sup> <a name="noteDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.noteDefinition"></a>

```java
public DashboardWidgetGroupDefinitionWidgetNoteDefinition getNoteDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition">DashboardWidgetGroupDefinitionWidgetNoteDefinition</a>

note_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#note_definition Dashboard#note_definition}

---

##### `queryTableDefinition`<sup>Optional</sup> <a name="queryTableDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.queryTableDefinition"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryTableDefinition getQueryTableDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition">DashboardWidgetGroupDefinitionWidgetQueryTableDefinition</a>

query_table_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_table_definition Dashboard#query_table_definition}

---

##### `queryValueDefinition`<sup>Optional</sup> <a name="queryValueDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.queryValueDefinition"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryValueDefinition getQueryValueDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition">DashboardWidgetGroupDefinitionWidgetQueryValueDefinition</a>

query_value_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_value_definition Dashboard#query_value_definition}

---

##### `runWorkflowDefinition`<sup>Optional</sup> <a name="runWorkflowDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.runWorkflowDefinition"></a>

```java
public DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition getRunWorkflowDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition">DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition</a>

run_workflow_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#run_workflow_definition Dashboard#run_workflow_definition}

---

##### `scatterplotDefinition`<sup>Optional</sup> <a name="scatterplotDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.scatterplotDefinition"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinition getScatterplotDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition">DashboardWidgetGroupDefinitionWidgetScatterplotDefinition</a>

scatterplot_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scatterplot_definition Dashboard#scatterplot_definition}

---

##### `serviceLevelObjectiveDefinition`<sup>Optional</sup> <a name="serviceLevelObjectiveDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.serviceLevelObjectiveDefinition"></a>

```java
public DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition getServiceLevelObjectiveDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition">DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition</a>

service_level_objective_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service_level_objective_definition Dashboard#service_level_objective_definition}

---

##### `servicemapDefinition`<sup>Optional</sup> <a name="servicemapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.servicemapDefinition"></a>

```java
public DashboardWidgetGroupDefinitionWidgetServicemapDefinition getServicemapDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition">DashboardWidgetGroupDefinitionWidgetServicemapDefinition</a>

servicemap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#servicemap_definition Dashboard#servicemap_definition}

---

##### `sloListDefinition`<sup>Optional</sup> <a name="sloListDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.sloListDefinition"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSloListDefinition getSloListDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition">DashboardWidgetGroupDefinitionWidgetSloListDefinition</a>

slo_list_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#slo_list_definition Dashboard#slo_list_definition}

---

##### `sunburstDefinition`<sup>Optional</sup> <a name="sunburstDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.sunburstDefinition"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinition getSunburstDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition">DashboardWidgetGroupDefinitionWidgetSunburstDefinition</a>

sunburst_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sunburst_definition Dashboard#sunburst_definition}

---

##### `timeseriesDefinition`<sup>Optional</sup> <a name="timeseriesDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.timeseriesDefinition"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition getTimeseriesDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition</a>

timeseries_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeseries_definition Dashboard#timeseries_definition}

---

##### `toplistDefinition`<sup>Optional</sup> <a name="toplistDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.toplistDefinition"></a>

```java
public DashboardWidgetGroupDefinitionWidgetToplistDefinition getToplistDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition">DashboardWidgetGroupDefinitionWidgetToplistDefinition</a>

toplist_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#toplist_definition Dashboard#toplist_definition}

---

##### `topologyMapDefinition`<sup>Optional</sup> <a name="topologyMapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.topologyMapDefinition"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition getTopologyMapDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition">DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition</a>

topology_map_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#topology_map_definition Dashboard#topology_map_definition}

---

##### `traceServiceDefinition`<sup>Optional</sup> <a name="traceServiceDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.traceServiceDefinition"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition getTraceServiceDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition">DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition</a>

trace_service_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#trace_service_definition Dashboard#trace_service_definition}

---

##### `treemapDefinition`<sup>Optional</sup> <a name="treemapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.treemapDefinition"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTreemapDefinition getTreemapDefinition();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition">DashboardWidgetGroupDefinitionWidgetTreemapDefinition</a>

treemap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#treemap_definition Dashboard#treemap_definition}

---

##### `widgetLayout`<sup>Optional</sup> <a name="widgetLayout" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.widgetLayout"></a>

```java
public DashboardWidgetGroupDefinitionWidgetWidgetLayout getWidgetLayout();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout">DashboardWidgetGroupDefinitionWidgetWidgetLayout</a>

widget_layout block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#widget_layout Dashboard#widget_layout}

---

### DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition <a name="DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition;

DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.builder()
    .alertId(java.lang.String)
    .vizType(java.lang.String)
//  .liveSpan(java.lang.String)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.alertId">alertId</a></code> | <code>java.lang.String</code> | The ID of the monitor used by the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.vizType">vizType</a></code> | <code>java.lang.String</code> | Type of visualization to use when displaying the widget. Valid values are `timeseries`, `toplist`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `alertId`<sup>Required</sup> <a name="alertId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.alertId"></a>

```java
public java.lang.String getAlertId();
```

- *Type:* java.lang.String

The ID of the monitor used by the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_id Dashboard#alert_id}

---

##### `vizType`<sup>Required</sup> <a name="vizType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.vizType"></a>

```java
public java.lang.String getVizType();
```

- *Type:* java.lang.String

Type of visualization to use when displaying the widget. Valid values are `timeseries`, `toplist`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#viz_type Dashboard#viz_type}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetAlertValueDefinition <a name="DashboardWidgetGroupDefinitionWidgetAlertValueDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition;

DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.builder()
    .alertId(java.lang.String)
//  .precision(java.lang.Number)
//  .textAlign(java.lang.String)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
//  .unit(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.alertId">alertId</a></code> | <code>java.lang.String</code> | The ID of the monitor used by the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.precision">precision</a></code> | <code>java.lang.Number</code> | The precision to use when displaying the value. Use `*` for maximum precision. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.textAlign">textAlign</a></code> | <code>java.lang.String</code> | The alignment of the text in the widget. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.unit">unit</a></code> | <code>java.lang.String</code> | The unit for the value displayed in the widget. |

---

##### `alertId`<sup>Required</sup> <a name="alertId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.alertId"></a>

```java
public java.lang.String getAlertId();
```

- *Type:* java.lang.String

The ID of the monitor used by the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_id Dashboard#alert_id}

---

##### `precision`<sup>Optional</sup> <a name="precision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.precision"></a>

```java
public java.lang.Number getPrecision();
```

- *Type:* java.lang.Number

The precision to use when displaying the value. Use `*` for maximum precision.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#precision Dashboard#precision}

---

##### `textAlign`<sup>Optional</sup> <a name="textAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.textAlign"></a>

```java
public java.lang.String getTextAlign();
```

- *Type:* java.lang.String

The alignment of the text in the widget. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `unit`<sup>Optional</sup> <a name="unit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.unit"></a>

```java
public java.lang.String getUnit();
```

- *Type:* java.lang.String

The unit for the value displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#unit Dashboard#unit}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinition <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition;

DashboardWidgetGroupDefinitionWidgetChangeDefinition.builder()
//  .customLink(IResolvable)
//  .customLink(java.util.List<DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink>)
//  .liveSpan(java.lang.String)
//  .request(IResolvable)
//  .request(java.util.List<DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest>)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.customLink">customLink</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink</a>></code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.request">request</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest</a>></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.customLink"></a>

```java
public java.lang.Object getCustomLink();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink</a>>

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.request"></a>

```java
public java.lang.Object getRequest();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest</a>>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.builder()
//  .isHidden(java.lang.Boolean)
//  .isHidden(IResolvable)
//  .label(java.lang.String)
//  .link(java.lang.String)
//  .overrideLabel(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.label">label</a></code> | <code>java.lang.String</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.link">link</a></code> | <code>java.lang.String</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>java.lang.String</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.isHidden"></a>

```java
public java.lang.Object getIsHidden();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.link"></a>

```java
public java.lang.String getLink();
```

- *Type:* java.lang.String

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.overrideLabel"></a>

```java
public java.lang.String getOverrideLabel();
```

- *Type:* java.lang.String

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.builder()
//  .apmQuery(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery)
//  .changeType(java.lang.String)
//  .compareTo(java.lang.String)
//  .formula(IResolvable)
//  .formula(java.util.List<DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula>)
//  .increaseGood(java.lang.Boolean)
//  .increaseGood(IResolvable)
//  .logQuery(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery)
//  .orderBy(java.lang.String)
//  .orderDir(java.lang.String)
//  .processQuery(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery)
//  .q(java.lang.String)
//  .query(IResolvable)
//  .query(java.util.List<DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery>)
//  .rumQuery(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery)
//  .securityQuery(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery)
//  .showPresent(java.lang.Boolean)
//  .showPresent(IResolvable)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.changeType">changeType</a></code> | <code>java.lang.String</code> | Whether to show absolute or relative change. Valid values are `absolute`, `relative`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.compareTo">compareTo</a></code> | <code>java.lang.String</code> | Choose from when to compare current data to. Valid values are `hour_before`, `day_before`, `week_before`, `month_before`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.formula">formula</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula</a>></code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.increaseGood">increaseGood</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | A Boolean indicating whether an increase in the value is good (displayed in green) or not (displayed in red). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.orderBy">orderBy</a></code> | <code>java.lang.String</code> | What to order by. Valid values are `change`, `name`, `present`, `past`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.orderDir">orderDir</a></code> | <code>java.lang.String</code> | Widget sorting method. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.q">q</a></code> | <code>java.lang.String</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.query">query</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery</a>></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.showPresent">showPresent</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | If set to `true`, displays the current value. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.apmQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery getApmQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `changeType`<sup>Optional</sup> <a name="changeType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.changeType"></a>

```java
public java.lang.String getChangeType();
```

- *Type:* java.lang.String

Whether to show absolute or relative change. Valid values are `absolute`, `relative`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#change_type Dashboard#change_type}

---

##### `compareTo`<sup>Optional</sup> <a name="compareTo" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.compareTo"></a>

```java
public java.lang.String getCompareTo();
```

- *Type:* java.lang.String

Choose from when to compare current data to. Valid values are `hour_before`, `day_before`, `week_before`, `month_before`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compare_to Dashboard#compare_to}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.formula"></a>

```java
public java.lang.Object getFormula();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula</a>>

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `increaseGood`<sup>Optional</sup> <a name="increaseGood" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.increaseGood"></a>

```java
public java.lang.Object getIncreaseGood();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

A Boolean indicating whether an increase in the value is good (displayed in green) or not (displayed in red).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#increase_good Dashboard#increase_good}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.logQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery getLogQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `orderBy`<sup>Optional</sup> <a name="orderBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.orderBy"></a>

```java
public java.lang.String getOrderBy();
```

- *Type:* java.lang.String

What to order by. Valid values are `change`, `name`, `present`, `past`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order_by Dashboard#order_by}

---

##### `orderDir`<sup>Optional</sup> <a name="orderDir" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.orderDir"></a>

```java
public java.lang.String getOrderDir();
```

- *Type:* java.lang.String

Widget sorting method. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order_dir Dashboard#order_dir}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.processQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.query"></a>

```java
public java.lang.Object getQuery();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery</a>>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.rumQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery getRumQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.securityQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery getSecurityQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `showPresent`<sup>Optional</sup> <a name="showPresent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.showPresent"></a>

```java
public java.lang.Object getShowPresent();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

If set to `true`, displays the current value.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_present Dashboard#show_present}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.builder()
    .formulaExpression(java.lang.String)
//  .alias(java.lang.String)
//  .cellDisplayMode(java.lang.String)
//  .conditionalFormats(IResolvable)
//  .conditionalFormats(java.util.List<DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats>)
//  .limit(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit)
//  .style(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>java.lang.String</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.alias">alias</a></code> | <code>java.lang.String</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>java.lang.String</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats</a>></code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.formulaExpression"></a>

```java
public java.lang.String getFormulaExpression();
```

- *Type:* java.lang.String

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.alias"></a>

```java
public java.lang.String getAlias();
```

- *Type:* java.lang.String

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.cellDisplayMode"></a>

```java
public java.lang.String getCellDisplayMode();
```

- *Type:* java.lang.String

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.conditionalFormats"></a>

```java
public java.lang.Object getConditionalFormats();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats</a>>

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.limit"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit getLimit();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.style"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.builder()
    .comparator(java.lang.String)
    .palette(java.lang.String)
    .value(java.lang.Number)
//  .customBgColor(java.lang.String)
//  .customFgColor(java.lang.String)
//  .hideValue(java.lang.Boolean)
//  .hideValue(IResolvable)
//  .imageUrl(java.lang.String)
//  .metric(java.lang.String)
//  .timeframe(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>java.lang.String</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>java.lang.Number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>java.lang.String</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>java.lang.String</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```java
public java.lang.String getComparator();
```

- *Type:* java.lang.String

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.value"></a>

```java
public java.lang.Number getValue();
```

- *Type:* java.lang.Number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```java
public java.lang.String getCustomBgColor();
```

- *Type:* java.lang.String

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```java
public java.lang.String getCustomFgColor();
```

- *Type:* java.lang.String

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```java
public java.lang.Object getHideValue();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```java
public java.lang.String getImageUrl();
```

- *Type:* java.lang.String

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```java
public java.lang.String getTimeframe();
```

- *Type:* java.lang.String

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit.builder()
//  .count(java.lang.Number)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>java.lang.Number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit.property.count"></a>

```java
public java.lang.Number getCount();
```

- *Type:* java.lang.Number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle.builder()
//  .palette(java.lang.String)
//  .paletteIndex(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>java.lang.Number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```java
public java.lang.Number getPaletteIndex();
```

- *Type:* java.lang.Number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.builder()
    .metric(java.lang.String)
//  .filterBy(java.util.List<java.lang.String>)
//  .limit(java.lang.Number)
//  .searchBy(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>java.util.List<java.lang.String></code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>java.lang.String</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.filterBy"></a>

```java
public java.util.List<java.lang.String> getFilterBy();
```

- *Type:* java.util.List<java.lang.String>

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.searchBy"></a>

```java
public java.lang.String getSearchBy();
```

- *Type:* java.lang.String

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.builder()
//  .apmDependencyStatsQuery(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery)
//  .apmResourceStatsQuery(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery)
//  .eventQuery(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery)
//  .metricQuery(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery)
//  .processQuery(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery getApmDependencyStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery getApmResourceStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.eventQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery getEventQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.metricQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery getMetricQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.processQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .operationName(java.lang.String)
    .resourceName(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .isUpstream(java.lang.Boolean)
//  .isUpstream(IResolvable)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```java
public java.lang.Object getIsUpstream();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .groupBy(java.util.List<java.lang.String>)
//  .operationName(java.lang.String)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
//  .resourceName(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>java.util.List<java.lang.String></code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```java
public java.util.List<java.lang.String> getGroupBy();
```

- *Type:* java.util.List<java.lang.String>

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.builder()
    .compute(IResolvable)
    .compute(java.util.List<DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute>)
    .dataSource(java.lang.String)
    .name(java.lang.String)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy>)
//  .indexes(java.util.List<java.lang.String>)
//  .search(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch)
//  .storage(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute</a>></code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>java.util.List<java.lang.String></code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>java.lang.String</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.compute"></a>

```java
public java.lang.Object getCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute</a>>

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.indexes"></a>

```java
public java.util.List<java.lang.String> getIndexes();
```

- *Type:* java.util.List<java.lang.String>

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.search"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch getSearch();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.storage"></a>

```java
public java.lang.String getStorage();
```

- *Type:* java.lang.String

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute.builder()
    .aggregation(java.lang.String)
//  .interval(java.lang.Number)
//  .metric(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>java.lang.String</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy.builder()
    .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sort(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort getSort();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.builder()
    .aggregation(java.lang.String)
//  .metric(java.lang.String)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>java.lang.String</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch.builder()
    .query(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>java.lang.String</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.builder()
    .name(java.lang.String)
    .query(java.lang.String)
//  .aggregator(java.lang.String)
//  .dataSource(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>java.lang.String</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.builder()
    .dataSource(java.lang.String)
    .metric(java.lang.String)
    .name(java.lang.String)
//  .aggregator(java.lang.String)
//  .isNormalizedCpu(java.lang.Boolean)
//  .isNormalizedCpu(IResolvable)
//  .limit(java.lang.Number)
//  .sort(java.lang.String)
//  .tagFilters(java.util.List<java.lang.String>)
//  .textFilter(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>java.util.List<java.lang.String></code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>java.lang.String</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```java
public java.lang.Object getIsNormalizedCpu();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.sort"></a>

```java
public java.lang.String getSort();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```java
public java.util.List<java.lang.String> getTagFilters();
```

- *Type:* java.util.List<java.lang.String>

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```java
public java.lang.String getTextFilter();
```

- *Type:* java.lang.String

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition <a name="DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition;

DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.builder()
    .check(java.lang.String)
    .grouping(java.lang.String)
//  .group(java.lang.String)
//  .groupBy(java.util.List<java.lang.String>)
//  .liveSpan(java.lang.String)
//  .tags(java.util.List<java.lang.String>)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.check">check</a></code> | <code>java.lang.String</code> | The check to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.grouping">grouping</a></code> | <code>java.lang.String</code> | The kind of grouping to use. Valid values are `check`, `cluster`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.group">group</a></code> | <code>java.lang.String</code> | The check group to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.groupBy">groupBy</a></code> | <code>java.util.List<java.lang.String></code> | When `grouping = "cluster"`, indicates a list of tags to use for grouping. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.tags">tags</a></code> | <code>java.util.List<java.lang.String></code> | A list of tags to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `check`<sup>Required</sup> <a name="check" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.check"></a>

```java
public java.lang.String getCheck();
```

- *Type:* java.lang.String

The check to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#check Dashboard#check}

---

##### `grouping`<sup>Required</sup> <a name="grouping" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.grouping"></a>

```java
public java.lang.String getGrouping();
```

- *Type:* java.lang.String

The kind of grouping to use. Valid values are `check`, `cluster`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#grouping Dashboard#grouping}

---

##### `group`<sup>Optional</sup> <a name="group" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.group"></a>

```java
public java.lang.String getGroup();
```

- *Type:* java.lang.String

The check group to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group Dashboard#group}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.groupBy"></a>

```java
public java.util.List<java.lang.String> getGroupBy();
```

- *Type:* java.util.List<java.lang.String>

When `grouping = "cluster"`, indicates a list of tags to use for grouping.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `tags`<sup>Optional</sup> <a name="tags" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.tags"></a>

```java
public java.util.List<java.lang.String> getTags();
```

- *Type:* java.util.List<java.lang.String>

A list of tags to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags Dashboard#tags}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinition <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition;

DashboardWidgetGroupDefinitionWidgetDistributionDefinition.builder()
//  .legendSize(java.lang.String)
//  .liveSpan(java.lang.String)
//  .request(IResolvable)
//  .request(java.util.List<DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest>)
//  .showLegend(java.lang.Boolean)
//  .showLegend(IResolvable)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.legendSize">legendSize</a></code> | <code>java.lang.String</code> | The size of the legend displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.request">request</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest</a>></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.showLegend">showLegend</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether or not to show the legend on this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `legendSize`<sup>Optional</sup> <a name="legendSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.legendSize"></a>

```java
public java.lang.String getLegendSize();
```

- *Type:* java.lang.String

The size of the legend displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_size Dashboard#legend_size}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.request"></a>

```java
public java.lang.Object getRequest();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest</a>>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `showLegend`<sup>Optional</sup> <a name="showLegend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.showLegend"></a>

```java
public java.lang.Object getShowLegend();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether or not to show the legend on this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_legend Dashboard#show_legend}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest;

DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.builder()
//  .apmQuery(DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery)
//  .apmStatsQuery(DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery)
//  .logQuery(DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery)
//  .processQuery(DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery)
//  .q(java.lang.String)
//  .rumQuery(DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery)
//  .securityQuery(DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery)
//  .style(DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.apmStatsQuery">apmStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery</a></code> | apm_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.q">q</a></code> | <code>java.lang.String</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle</a></code> | style block. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.apmQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery getApmQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `apmStatsQuery`<sup>Optional</sup> <a name="apmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.apmStatsQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery getApmStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery</a>

apm_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_stats_query Dashboard#apm_stats_query}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.logQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery getLogQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.processQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.rumQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery getRumQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.securityQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery getSecurityQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.style"></a>

```java
public DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery;

DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery;

DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.builder()
    .env(java.lang.String)
    .name(java.lang.String)
    .primaryTag(java.lang.String)
    .rowType(java.lang.String)
    .service(java.lang.String)
//  .columns(IResolvable)
//  .columns(java.util.List<DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns>)
//  .resource(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | The environment name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The operation name associated with the service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.primaryTag">primaryTag</a></code> | <code>java.lang.String</code> | The organization's host group name and value. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.rowType">rowType</a></code> | <code>java.lang.String</code> | The level of detail for the request. Valid values are `service`, `resource`, `span`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | The service name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.columns">columns</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns</a>></code> | columns block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.resource">resource</a></code> | <code>java.lang.String</code> | The resource name. |

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

The environment name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The operation name associated with the service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `primaryTag`<sup>Required</sup> <a name="primaryTag" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.primaryTag"></a>

```java
public java.lang.String getPrimaryTag();
```

- *Type:* java.lang.String

The organization's host group name and value.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag Dashboard#primary_tag}

---

##### `rowType`<sup>Required</sup> <a name="rowType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.rowType"></a>

```java
public java.lang.String getRowType();
```

- *Type:* java.lang.String

The level of detail for the request. Valid values are `service`, `resource`, `span`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#row_type Dashboard#row_type}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

The service name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `columns`<sup>Optional</sup> <a name="columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.columns"></a>

```java
public java.lang.Object getColumns();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns</a>>

columns block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `resource`<sup>Optional</sup> <a name="resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.resource"></a>

```java
public java.lang.String getResource();
```

- *Type:* java.lang.String

The resource name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource Dashboard#resource}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns;

DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.builder()
    .name(java.lang.String)
//  .alias(java.lang.String)
//  .cellDisplayMode(java.lang.String)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.name">name</a></code> | <code>java.lang.String</code> | The column name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.alias">alias</a></code> | <code>java.lang.String</code> | A user-assigned alias for the column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode">cellDisplayMode</a></code> | <code>java.lang.String</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The column name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.alias"></a>

```java
public java.lang.String getAlias();
```

- *Type:* java.lang.String

A user-assigned alias for the column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode"></a>

```java
public java.lang.String getCellDisplayMode();
```

- *Type:* java.lang.String

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery;

DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery;

DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.builder()
    .metric(java.lang.String)
//  .filterBy(java.util.List<java.lang.String>)
//  .limit(java.lang.Number)
//  .searchBy(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>java.util.List<java.lang.String></code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>java.lang.String</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.filterBy"></a>

```java
public java.util.List<java.lang.String> getFilterBy();
```

- *Type:* java.util.List<java.lang.String>

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.searchBy"></a>

```java
public java.lang.String getSearchBy();
```

- *Type:* java.lang.String

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery;

DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery;

DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle;

DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle.builder()
//  .palette(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle.property.palette">palette</a></code> | <code>java.lang.String</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetGroupDefinitionWidgetEventStreamDefinition <a name="DashboardWidgetGroupDefinitionWidgetEventStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition;

DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.builder()
    .query(java.lang.String)
//  .eventSize(java.lang.String)
//  .liveSpan(java.lang.String)
//  .tagsExecution(java.lang.String)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.query">query</a></code> | <code>java.lang.String</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.eventSize">eventSize</a></code> | <code>java.lang.String</code> | The size to use to display an event. Valid values are `s`, `l`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.tagsExecution">tagsExecution</a></code> | <code>java.lang.String</code> | The execution method for multi-value filters, options: `and` or `or`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `eventSize`<sup>Optional</sup> <a name="eventSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.eventSize"></a>

```java
public java.lang.String getEventSize();
```

- *Type:* java.lang.String

The size to use to display an event. Valid values are `s`, `l`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_size Dashboard#event_size}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `tagsExecution`<sup>Optional</sup> <a name="tagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.tagsExecution"></a>

```java
public java.lang.String getTagsExecution();
```

- *Type:* java.lang.String

The execution method for multi-value filters, options: `and` or `or`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition <a name="DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition;

DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.builder()
    .query(java.lang.String)
//  .liveSpan(java.lang.String)
//  .tagsExecution(java.lang.String)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.query">query</a></code> | <code>java.lang.String</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.tagsExecution">tagsExecution</a></code> | <code>java.lang.String</code> | The execution method for multi-value filters, options: `and` or `or`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `tagsExecution`<sup>Optional</sup> <a name="tagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.tagsExecution"></a>

```java
public java.lang.String getTagsExecution();
```

- *Type:* java.lang.String

The execution method for multi-value filters, options: `and` or `or`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetFreeTextDefinition <a name="DashboardWidgetGroupDefinitionWidgetFreeTextDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition;

DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.builder()
    .text(java.lang.String)
//  .color(java.lang.String)
//  .fontSize(java.lang.String)
//  .textAlign(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.text">text</a></code> | <code>java.lang.String</code> | The text to display in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.color">color</a></code> | <code>java.lang.String</code> | The color of the text in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.fontSize">fontSize</a></code> | <code>java.lang.String</code> | The size of the text in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.textAlign">textAlign</a></code> | <code>java.lang.String</code> | The alignment of the text in the widget. Valid values are `center`, `left`, `right`. |

---

##### `text`<sup>Required</sup> <a name="text" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.text"></a>

```java
public java.lang.String getText();
```

- *Type:* java.lang.String

The text to display in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text Dashboard#text}

---

##### `color`<sup>Optional</sup> <a name="color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.color"></a>

```java
public java.lang.String getColor();
```

- *Type:* java.lang.String

The color of the text in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#color Dashboard#color}

---

##### `fontSize`<sup>Optional</sup> <a name="fontSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.fontSize"></a>

```java
public java.lang.String getFontSize();
```

- *Type:* java.lang.String

The size of the text in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#font_size Dashboard#font_size}

---

##### `textAlign`<sup>Optional</sup> <a name="textAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.textAlign"></a>

```java
public java.lang.String getTextAlign();
```

- *Type:* java.lang.String

The alignment of the text in the widget. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinition <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition;

DashboardWidgetGroupDefinitionWidgetGeomapDefinition.builder()
    .view(DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView)
//  .customLink(IResolvable)
//  .customLink(java.util.List<DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink>)
//  .liveSpan(java.lang.String)
//  .request(IResolvable)
//  .request(java.util.List<DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest>)
//  .style(DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.view">view</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView</a></code> | view block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.customLink">customLink</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink</a>></code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.request">request</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest</a>></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle</a></code> | style block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `view`<sup>Required</sup> <a name="view" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.view"></a>

```java
public DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView getView();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView</a>

view block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#view Dashboard#view}

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.customLink"></a>

```java
public java.lang.Object getCustomLink();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink</a>>

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.request"></a>

```java
public java.lang.Object getRequest();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest</a>>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.style"></a>

```java
public DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink;

DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.builder()
//  .isHidden(java.lang.Boolean)
//  .isHidden(IResolvable)
//  .label(java.lang.String)
//  .link(java.lang.String)
//  .overrideLabel(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.label">label</a></code> | <code>java.lang.String</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.link">link</a></code> | <code>java.lang.String</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>java.lang.String</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.isHidden"></a>

```java
public java.lang.Object getIsHidden();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.link"></a>

```java
public java.lang.String getLink();
```

- *Type:* java.lang.String

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.overrideLabel"></a>

```java
public java.lang.String getOverrideLabel();
```

- *Type:* java.lang.String

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest;

DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.builder()
//  .formula(IResolvable)
//  .formula(java.util.List<DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula>)
//  .logQuery(DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery)
//  .q(java.lang.String)
//  .query(IResolvable)
//  .query(java.util.List<DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery>)
//  .rumQuery(DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.formula">formula</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula</a>></code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.q">q</a></code> | <code>java.lang.String</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.query">query</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery</a>></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery</a></code> | rum_query block. |

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.formula"></a>

```java
public java.lang.Object getFormula();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula</a>>

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.logQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery getLogQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.query"></a>

```java
public java.lang.Object getQuery();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery</a>>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.rumQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery getRumQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula;

DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.builder()
    .formulaExpression(java.lang.String)
//  .alias(java.lang.String)
//  .cellDisplayMode(java.lang.String)
//  .conditionalFormats(IResolvable)
//  .conditionalFormats(java.util.List<DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats>)
//  .limit(DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit)
//  .style(DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>java.lang.String</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.alias">alias</a></code> | <code>java.lang.String</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>java.lang.String</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats</a>></code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.formulaExpression"></a>

```java
public java.lang.String getFormulaExpression();
```

- *Type:* java.lang.String

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.alias"></a>

```java
public java.lang.String getAlias();
```

- *Type:* java.lang.String

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.cellDisplayMode"></a>

```java
public java.lang.String getCellDisplayMode();
```

- *Type:* java.lang.String

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.conditionalFormats"></a>

```java
public java.lang.Object getConditionalFormats();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats</a>>

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.limit"></a>

```java
public DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit getLimit();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.style"></a>

```java
public DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats;

DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.builder()
    .comparator(java.lang.String)
    .palette(java.lang.String)
    .value(java.lang.Number)
//  .customBgColor(java.lang.String)
//  .customFgColor(java.lang.String)
//  .hideValue(java.lang.Boolean)
//  .hideValue(IResolvable)
//  .imageUrl(java.lang.String)
//  .metric(java.lang.String)
//  .timeframe(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>java.lang.String</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>java.lang.Number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>java.lang.String</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>java.lang.String</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```java
public java.lang.String getComparator();
```

- *Type:* java.lang.String

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.value"></a>

```java
public java.lang.Number getValue();
```

- *Type:* java.lang.Number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```java
public java.lang.String getCustomBgColor();
```

- *Type:* java.lang.String

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```java
public java.lang.String getCustomFgColor();
```

- *Type:* java.lang.String

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```java
public java.lang.Object getHideValue();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```java
public java.lang.String getImageUrl();
```

- *Type:* java.lang.String

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```java
public java.lang.String getTimeframe();
```

- *Type:* java.lang.String

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit;

DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit.builder()
//  .count(java.lang.Number)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>java.lang.Number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit.property.count"></a>

```java
public java.lang.Number getCount();
```

- *Type:* java.lang.Number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle;

DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle.builder()
//  .palette(java.lang.String)
//  .paletteIndex(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>java.lang.Number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```java
public java.lang.Number getPaletteIndex();
```

- *Type:* java.lang.Number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery;

DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery;

DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.builder()
//  .apmDependencyStatsQuery(DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery)
//  .apmResourceStatsQuery(DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery)
//  .eventQuery(DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery)
//  .metricQuery(DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery)
//  .processQuery(DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery getApmDependencyStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery getApmResourceStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.eventQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery getEventQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.metricQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery getMetricQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.processQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery;

DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .operationName(java.lang.String)
    .resourceName(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .isUpstream(java.lang.Boolean)
//  .isUpstream(IResolvable)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```java
public java.lang.Object getIsUpstream();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery;

DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .groupBy(java.util.List<java.lang.String>)
//  .operationName(java.lang.String)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
//  .resourceName(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>java.util.List<java.lang.String></code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```java
public java.util.List<java.lang.String> getGroupBy();
```

- *Type:* java.util.List<java.lang.String>

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery;

DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.builder()
    .compute(IResolvable)
    .compute(java.util.List<DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute>)
    .dataSource(java.lang.String)
    .name(java.lang.String)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy>)
//  .indexes(java.util.List<java.lang.String>)
//  .search(DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch)
//  .storage(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute</a>></code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>java.util.List<java.lang.String></code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>java.lang.String</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.compute"></a>

```java
public java.lang.Object getCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute</a>>

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.indexes"></a>

```java
public java.util.List<java.lang.String> getIndexes();
```

- *Type:* java.util.List<java.lang.String>

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.search"></a>

```java
public DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch getSearch();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.storage"></a>

```java
public java.lang.String getStorage();
```

- *Type:* java.lang.String

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute;

DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute.builder()
    .aggregation(java.lang.String)
//  .interval(java.lang.Number)
//  .metric(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>java.lang.String</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.builder()
    .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sort(DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```java
public DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort getSort();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort;

DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.builder()
    .aggregation(java.lang.String)
//  .metric(java.lang.String)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>java.lang.String</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch;

DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch.builder()
    .query(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>java.lang.String</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery;

DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.builder()
    .name(java.lang.String)
    .query(java.lang.String)
//  .aggregator(java.lang.String)
//  .dataSource(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>java.lang.String</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery;

DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.builder()
    .dataSource(java.lang.String)
    .metric(java.lang.String)
    .name(java.lang.String)
//  .aggregator(java.lang.String)
//  .isNormalizedCpu(java.lang.Boolean)
//  .isNormalizedCpu(IResolvable)
//  .limit(java.lang.Number)
//  .sort(java.lang.String)
//  .tagFilters(java.util.List<java.lang.String>)
//  .textFilter(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>java.util.List<java.lang.String></code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>java.lang.String</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```java
public java.lang.Object getIsNormalizedCpu();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.sort"></a>

```java
public java.lang.String getSort();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```java
public java.util.List<java.lang.String> getTagFilters();
```

- *Type:* java.util.List<java.lang.String>

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```java
public java.lang.String getTextFilter();
```

- *Type:* java.lang.String

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery;

DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle;

DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle.builder()
    .palette(java.lang.String)
    .paletteFlip(java.lang.Boolean)
    .paletteFlip(IResolvable)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette to apply to the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle.property.paletteFlip">paletteFlip</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | A Boolean indicating whether to flip the palette tones. |

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette to apply to the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteFlip`<sup>Required</sup> <a name="paletteFlip" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle.property.paletteFlip"></a>

```java
public java.lang.Object getPaletteFlip();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

A Boolean indicating whether to flip the palette tones.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_flip Dashboard#palette_flip}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView;

DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView.builder()
    .focus(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView.property.focus">focus</a></code> | <code>java.lang.String</code> | The two-letter ISO code of a country to focus the map on (or `WORLD`). |

---

##### `focus`<sup>Required</sup> <a name="focus" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView.property.focus"></a>

```java
public java.lang.String getFocus();
```

- *Type:* java.lang.String

The two-letter ISO code of a country to focus the map on (or `WORLD`).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#focus Dashboard#focus}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinition <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition;

DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.builder()
//  .customLink(IResolvable)
//  .customLink(java.util.List<DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink>)
//  .event(IResolvable)
//  .event(java.util.List<DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent>)
//  .legendSize(java.lang.String)
//  .liveSpan(java.lang.String)
//  .request(IResolvable)
//  .request(java.util.List<DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest>)
//  .showLegend(java.lang.Boolean)
//  .showLegend(IResolvable)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
//  .yaxis(DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.customLink">customLink</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink</a>></code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.event">event</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent</a>></code> | event block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.legendSize">legendSize</a></code> | <code>java.lang.String</code> | The size of the legend displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.request">request</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest</a>></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.showLegend">showLegend</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether or not to show the legend on this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.yaxis">yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis</a></code> | yaxis block. |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.customLink"></a>

```java
public java.lang.Object getCustomLink();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink</a>>

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `event`<sup>Optional</sup> <a name="event" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.event"></a>

```java
public java.lang.Object getEvent();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent</a>>

event block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event Dashboard#event}

---

##### `legendSize`<sup>Optional</sup> <a name="legendSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.legendSize"></a>

```java
public java.lang.String getLegendSize();
```

- *Type:* java.lang.String

The size of the legend displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_size Dashboard#legend_size}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.request"></a>

```java
public java.lang.Object getRequest();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest</a>>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `showLegend`<sup>Optional</sup> <a name="showLegend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.showLegend"></a>

```java
public java.lang.Object getShowLegend();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether or not to show the legend on this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_legend Dashboard#show_legend}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `yaxis`<sup>Optional</sup> <a name="yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.yaxis"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis getYaxis();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink;

DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.builder()
//  .isHidden(java.lang.Boolean)
//  .isHidden(IResolvable)
//  .label(java.lang.String)
//  .link(java.lang.String)
//  .overrideLabel(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.label">label</a></code> | <code>java.lang.String</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.link">link</a></code> | <code>java.lang.String</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>java.lang.String</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.isHidden"></a>

```java
public java.lang.Object getIsHidden();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.link"></a>

```java
public java.lang.String getLink();
```

- *Type:* java.lang.String

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.overrideLabel"></a>

```java
public java.lang.String getOverrideLabel();
```

- *Type:* java.lang.String

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent;

DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent.builder()
    .q(java.lang.String)
//  .tagsExecution(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent.property.q">q</a></code> | <code>java.lang.String</code> | The event query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent.property.tagsExecution">tagsExecution</a></code> | <code>java.lang.String</code> | The execution method for multi-value filters. |

---

##### `q`<sup>Required</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

The event query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `tagsExecution`<sup>Optional</sup> <a name="tagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent.property.tagsExecution"></a>

```java
public java.lang.String getTagsExecution();
```

- *Type:* java.lang.String

The execution method for multi-value filters.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest;

DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.builder()
//  .apmQuery(DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery)
//  .logQuery(DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery)
//  .processQuery(DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery)
//  .q(java.lang.String)
//  .rumQuery(DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery)
//  .securityQuery(DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery)
//  .style(DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.q">q</a></code> | <code>java.lang.String</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle</a></code> | style block. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.apmQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery getApmQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.logQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery getLogQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.processQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.rumQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery getRumQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.securityQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery getSecurityQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.style"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery;

DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery;

DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery;

DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.builder()
    .metric(java.lang.String)
//  .filterBy(java.util.List<java.lang.String>)
//  .limit(java.lang.Number)
//  .searchBy(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>java.util.List<java.lang.String></code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>java.lang.String</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.filterBy"></a>

```java
public java.util.List<java.lang.String> getFilterBy();
```

- *Type:* java.util.List<java.lang.String>

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.searchBy"></a>

```java
public java.lang.String getSearchBy();
```

- *Type:* java.lang.String

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery;

DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery;

DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle;

DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle.builder()
//  .palette(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle.property.palette">palette</a></code> | <code>java.lang.String</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis;

DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.builder()
//  .includeZero(java.lang.Boolean)
//  .includeZero(IResolvable)
//  .label(java.lang.String)
//  .max(java.lang.String)
//  .min(java.lang.String)
//  .scale(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.includeZero">includeZero</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.label">label</a></code> | <code>java.lang.String</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.max">max</a></code> | <code>java.lang.String</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.min">min</a></code> | <code>java.lang.String</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.scale">scale</a></code> | <code>java.lang.String</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `includeZero`<sup>Optional</sup> <a name="includeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.includeZero"></a>

```java
public java.lang.Object getIncludeZero();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.max"></a>

```java
public java.lang.String getMax();
```

- *Type:* java.lang.String

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.min"></a>

```java
public java.lang.String getMin();
```

- *Type:* java.lang.String

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.scale"></a>

```java
public java.lang.String getScale();
```

- *Type:* java.lang.String

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinition <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition;

DashboardWidgetGroupDefinitionWidgetHostmapDefinition.builder()
//  .customLink(IResolvable)
//  .customLink(java.util.List<DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink>)
//  .group(java.util.List<java.lang.String>)
//  .nodeType(java.lang.String)
//  .noGroupHosts(java.lang.Boolean)
//  .noGroupHosts(IResolvable)
//  .noMetricHosts(java.lang.Boolean)
//  .noMetricHosts(IResolvable)
//  .request(DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest)
//  .scope(java.util.List<java.lang.String>)
//  .style(DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.customLink">customLink</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink</a>></code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.group">group</a></code> | <code>java.util.List<java.lang.String></code> | The list of tags to group nodes by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.nodeType">nodeType</a></code> | <code>java.lang.String</code> | The type of node used. Valid values are `host`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.noGroupHosts">noGroupHosts</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | A Boolean indicating whether to show ungrouped nodes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.noMetricHosts">noMetricHosts</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | A Boolean indicating whether to show nodes with no metrics. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.request">request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest</a></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.scope">scope</a></code> | <code>java.util.List<java.lang.String></code> | The list of tags to filter nodes by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle</a></code> | style block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.customLink"></a>

```java
public java.lang.Object getCustomLink();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink</a>>

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `group`<sup>Optional</sup> <a name="group" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.group"></a>

```java
public java.util.List<java.lang.String> getGroup();
```

- *Type:* java.util.List<java.lang.String>

The list of tags to group nodes by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group Dashboard#group}

---

##### `nodeType`<sup>Optional</sup> <a name="nodeType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.nodeType"></a>

```java
public java.lang.String getNodeType();
```

- *Type:* java.lang.String

The type of node used. Valid values are `host`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#node_type Dashboard#node_type}

---

##### `noGroupHosts`<sup>Optional</sup> <a name="noGroupHosts" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.noGroupHosts"></a>

```java
public java.lang.Object getNoGroupHosts();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

A Boolean indicating whether to show ungrouped nodes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#no_group_hosts Dashboard#no_group_hosts}

---

##### `noMetricHosts`<sup>Optional</sup> <a name="noMetricHosts" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.noMetricHosts"></a>

```java
public java.lang.Object getNoMetricHosts();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

A Boolean indicating whether to show nodes with no metrics.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#no_metric_hosts Dashboard#no_metric_hosts}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.request"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest getRequest();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest</a>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `scope`<sup>Optional</sup> <a name="scope" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.scope"></a>

```java
public java.util.List<java.lang.String> getScope();
```

- *Type:* java.util.List<java.lang.String>

The list of tags to filter nodes by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scope Dashboard#scope}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.style"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.builder()
//  .isHidden(java.lang.Boolean)
//  .isHidden(IResolvable)
//  .label(java.lang.String)
//  .link(java.lang.String)
//  .overrideLabel(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.label">label</a></code> | <code>java.lang.String</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.link">link</a></code> | <code>java.lang.String</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>java.lang.String</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.isHidden"></a>

```java
public java.lang.Object getIsHidden();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.link"></a>

```java
public java.lang.String getLink();
```

- *Type:* java.lang.String

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.overrideLabel"></a>

```java
public java.lang.String getOverrideLabel();
```

- *Type:* java.lang.String

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest.builder()
//  .fill(IResolvable)
//  .fill(java.util.List<DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill>)
//  .size(IResolvable)
//  .size(java.util.List<DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize>)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest.property.fill">fill</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill</a>></code> | fill block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest.property.size">size</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize</a>></code> | size block. |

---

##### `fill`<sup>Optional</sup> <a name="fill" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest.property.fill"></a>

```java
public java.lang.Object getFill();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill</a>>

fill block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#fill Dashboard#fill}

---

##### `size`<sup>Optional</sup> <a name="size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest.property.size"></a>

```java
public java.lang.Object getSize();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize</a>>

size block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#size Dashboard#size}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.builder()
//  .apmQuery(DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery)
//  .logQuery(DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery)
//  .processQuery(DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery)
//  .q(java.lang.String)
//  .rumQuery(DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery)
//  .securityQuery(DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.q">q</a></code> | <code>java.lang.String</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery</a></code> | security_query block. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.apmQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery getApmQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.logQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery getLogQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.processQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.rumQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery getRumQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.securityQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery getSecurityQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.builder()
    .metric(java.lang.String)
//  .filterBy(java.util.List<java.lang.String>)
//  .limit(java.lang.Number)
//  .searchBy(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.filterBy">filterBy</a></code> | <code>java.util.List<java.lang.String></code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.searchBy">searchBy</a></code> | <code>java.lang.String</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.filterBy"></a>

```java
public java.util.List<java.lang.String> getFilterBy();
```

- *Type:* java.util.List<java.lang.String>

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.searchBy"></a>

```java
public java.lang.String getSearchBy();
```

- *Type:* java.lang.String

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.builder()
//  .apmQuery(DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery)
//  .logQuery(DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery)
//  .processQuery(DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery)
//  .q(java.lang.String)
//  .rumQuery(DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery)
//  .securityQuery(DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.q">q</a></code> | <code>java.lang.String</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery</a></code> | security_query block. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.apmQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery getApmQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.logQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery getLogQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.processQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.rumQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery getRumQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.securityQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery getSecurityQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.builder()
    .metric(java.lang.String)
//  .filterBy(java.util.List<java.lang.String>)
//  .limit(java.lang.Number)
//  .searchBy(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.filterBy">filterBy</a></code> | <code>java.util.List<java.lang.String></code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.searchBy">searchBy</a></code> | <code>java.lang.String</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.filterBy"></a>

```java
public java.util.List<java.lang.String> getFilterBy();
```

- *Type:* java.util.List<java.lang.String>

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.searchBy"></a>

```java
public java.lang.String getSearchBy();
```

- *Type:* java.lang.String

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle;

DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.builder()
//  .fillMax(java.lang.String)
//  .fillMin(java.lang.String)
//  .palette(java.lang.String)
//  .paletteFlip(java.lang.Boolean)
//  .paletteFlip(IResolvable)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.fillMax">fillMax</a></code> | <code>java.lang.String</code> | The max value to use to color the map. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.fillMin">fillMin</a></code> | <code>java.lang.String</code> | The min value to use to color the map. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.palette">palette</a></code> | <code>java.lang.String</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.paletteFlip">paletteFlip</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | A Boolean indicating whether to flip the palette tones. |

---

##### `fillMax`<sup>Optional</sup> <a name="fillMax" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.fillMax"></a>

```java
public java.lang.String getFillMax();
```

- *Type:* java.lang.String

The max value to use to color the map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#fill_max Dashboard#fill_max}

---

##### `fillMin`<sup>Optional</sup> <a name="fillMin" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.fillMin"></a>

```java
public java.lang.String getFillMin();
```

- *Type:* java.lang.String

The min value to use to color the map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#fill_min Dashboard#fill_min}

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteFlip`<sup>Optional</sup> <a name="paletteFlip" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.paletteFlip"></a>

```java
public java.lang.Object getPaletteFlip();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

A Boolean indicating whether to flip the palette tones.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_flip Dashboard#palette_flip}

---

### DashboardWidgetGroupDefinitionWidgetIframeDefinition <a name="DashboardWidgetGroupDefinitionWidgetIframeDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetIframeDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetIframeDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetIframeDefinition;

DashboardWidgetGroupDefinitionWidgetIframeDefinition.builder()
    .url(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetIframeDefinition.property.url">url</a></code> | <code>java.lang.String</code> | The URL to use as a data source for the widget. |

---

##### `url`<sup>Required</sup> <a name="url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetIframeDefinition.property.url"></a>

```java
public java.lang.String getUrl();
```

- *Type:* java.lang.String

The URL to use as a data source for the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#url Dashboard#url}

---

### DashboardWidgetGroupDefinitionWidgetImageDefinition <a name="DashboardWidgetGroupDefinitionWidgetImageDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition;

DashboardWidgetGroupDefinitionWidgetImageDefinition.builder()
    .url(java.lang.String)
//  .hasBackground(java.lang.Boolean)
//  .hasBackground(IResolvable)
//  .hasBorder(java.lang.Boolean)
//  .hasBorder(IResolvable)
//  .horizontalAlign(java.lang.String)
//  .margin(java.lang.String)
//  .sizing(java.lang.String)
//  .urlDarkTheme(java.lang.String)
//  .verticalAlign(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.url">url</a></code> | <code>java.lang.String</code> | The URL to use as a data source for the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.hasBackground">hasBackground</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to display a background or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.hasBorder">hasBorder</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to display a border or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.horizontalAlign">horizontalAlign</a></code> | <code>java.lang.String</code> | The horizontal alignment for the widget. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.margin">margin</a></code> | <code>java.lang.String</code> | The margins to use around the image. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.sizing">sizing</a></code> | <code>java.lang.String</code> | The preferred method to adapt the dimensions of the image. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.urlDarkTheme">urlDarkTheme</a></code> | <code>java.lang.String</code> | The URL in dark mode to use as a data source for the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.verticalAlign">verticalAlign</a></code> | <code>java.lang.String</code> | The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`. |

---

##### `url`<sup>Required</sup> <a name="url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.url"></a>

```java
public java.lang.String getUrl();
```

- *Type:* java.lang.String

The URL to use as a data source for the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#url Dashboard#url}

---

##### `hasBackground`<sup>Optional</sup> <a name="hasBackground" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.hasBackground"></a>

```java
public java.lang.Object getHasBackground();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to display a background or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_background Dashboard#has_background}

---

##### `hasBorder`<sup>Optional</sup> <a name="hasBorder" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.hasBorder"></a>

```java
public java.lang.Object getHasBorder();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to display a border or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_border Dashboard#has_border}

---

##### `horizontalAlign`<sup>Optional</sup> <a name="horizontalAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.horizontalAlign"></a>

```java
public java.lang.String getHorizontalAlign();
```

- *Type:* java.lang.String

The horizontal alignment for the widget. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#horizontal_align Dashboard#horizontal_align}

---

##### `margin`<sup>Optional</sup> <a name="margin" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.margin"></a>

```java
public java.lang.String getMargin();
```

- *Type:* java.lang.String

The margins to use around the image.

Note: `small` and `large` values are deprecated. Valid values are `sm`, `md`, `lg`, `small`, `large`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#margin Dashboard#margin}

---

##### `sizing`<sup>Optional</sup> <a name="sizing" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.sizing"></a>

```java
public java.lang.String getSizing();
```

- *Type:* java.lang.String

The preferred method to adapt the dimensions of the image.

The values are based on the image `object-fit` CSS properties. Note: `zoom`, `fit` and `center` values are deprecated. Valid values are `fill`, `contain`, `cover`, `none`, `scale-down`, `zoom`, `fit`, `center`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sizing Dashboard#sizing}

---

##### `urlDarkTheme`<sup>Optional</sup> <a name="urlDarkTheme" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.urlDarkTheme"></a>

```java
public java.lang.String getUrlDarkTheme();
```

- *Type:* java.lang.String

The URL in dark mode to use as a data source for the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#url_dark_theme Dashboard#url_dark_theme}

---

##### `verticalAlign`<sup>Optional</sup> <a name="verticalAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.verticalAlign"></a>

```java
public java.lang.String getVerticalAlign();
```

- *Type:* java.lang.String

The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#vertical_align Dashboard#vertical_align}

---

### DashboardWidgetGroupDefinitionWidgetListStreamDefinition <a name="DashboardWidgetGroupDefinitionWidgetListStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition;

DashboardWidgetGroupDefinitionWidgetListStreamDefinition.builder()
    .request(IResolvable)
    .request(java.util.List<DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest>)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.request">request</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest">DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest</a>></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title. Default is 16. |

---

##### `request`<sup>Required</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.request"></a>

```java
public java.lang.Object getRequest();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest">DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest</a>>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title. Default is 16.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest;

DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest.builder()
    .columns(IResolvable)
    .columns(java.util.List<DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns>)
    .query(DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery)
    .responseFormat(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest.property.columns">columns</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns">DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns</a>></code> | columns block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest.property.query">query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery</a></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest.property.responseFormat">responseFormat</a></code> | <code>java.lang.String</code> | Widget response format. Valid values are `event_list`. |

---

##### `columns`<sup>Required</sup> <a name="columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest.property.columns"></a>

```java
public java.lang.Object getColumns();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns">DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns</a>>

columns block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest.property.query"></a>

```java
public DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery getQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery</a>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `responseFormat`<sup>Required</sup> <a name="responseFormat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest.property.responseFormat"></a>

```java
public java.lang.String getResponseFormat();
```

- *Type:* java.lang.String

Widget response format. Valid values are `event_list`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#response_format Dashboard#response_format}

---

### DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns <a name="DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns;

DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns.builder()
    .field(java.lang.String)
    .width(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns.property.field">field</a></code> | <code>java.lang.String</code> | Widget column field. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns.property.width">width</a></code> | <code>java.lang.String</code> | Widget column width. Valid values are `auto`, `compact`, `full`. |

---

##### `field`<sup>Required</sup> <a name="field" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns.property.field"></a>

```java
public java.lang.String getField();
```

- *Type:* java.lang.String

Widget column field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#field Dashboard#field}

---

##### `width`<sup>Required</sup> <a name="width" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns.property.width"></a>

```java
public java.lang.String getWidth();
```

- *Type:* java.lang.String

Widget column width. Valid values are `auto`, `compact`, `full`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#width Dashboard#width}

---

### DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery;

DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.builder()
    .dataSource(java.lang.String)
//  .eventSize(java.lang.String)
//  .indexes(java.util.List<java.lang.String>)
//  .queryString(java.lang.String)
//  .storage(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | Source from which to query items to display in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.eventSize">eventSize</a></code> | <code>java.lang.String</code> | Size of events displayed in widget. Required if `data_source` is `event_stream`. Valid values are `s`, `l`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.indexes">indexes</a></code> | <code>java.util.List<java.lang.String></code> | List of indexes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.queryString">queryString</a></code> | <code>java.lang.String</code> | Widget query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.storage">storage</a></code> | <code>java.lang.String</code> | Storage location (private beta). |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

Source from which to query items to display in the stream.

Valid values are `logs_stream`, `audit_stream`, `ci_pipeline_stream`, `ci_test_stream`, `rum_issue_stream`, `apm_issue_stream`, `logs_issue_stream`, `logs_pattern_stream`, `logs_transaction_stream`, `event_stream`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `eventSize`<sup>Optional</sup> <a name="eventSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.eventSize"></a>

```java
public java.lang.String getEventSize();
```

- *Type:* java.lang.String

Size of events displayed in widget. Required if `data_source` is `event_stream`. Valid values are `s`, `l`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_size Dashboard#event_size}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.indexes"></a>

```java
public java.util.List<java.lang.String> getIndexes();
```

- *Type:* java.util.List<java.lang.String>

List of indexes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `queryString`<sup>Optional</sup> <a name="queryString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.queryString"></a>

```java
public java.lang.String getQueryString();
```

- *Type:* java.lang.String

Widget query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_string Dashboard#query_string}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.storage"></a>

```java
public java.lang.String getStorage();
```

- *Type:* java.lang.String

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetLogStreamDefinition <a name="DashboardWidgetGroupDefinitionWidgetLogStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition;

DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.builder()
//  .columns(java.util.List<java.lang.String>)
//  .indexes(java.util.List<java.lang.String>)
//  .liveSpan(java.lang.String)
//  .messageDisplay(java.lang.String)
//  .query(java.lang.String)
//  .showDateColumn(java.lang.Boolean)
//  .showDateColumn(IResolvable)
//  .showMessageColumn(java.lang.Boolean)
//  .showMessageColumn(IResolvable)
//  .sort(DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.columns">columns</a></code> | <code>java.util.List<java.lang.String></code> | Stringified list of columns to use, for example: `["column1","column2","column3"]`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.indexes">indexes</a></code> | <code>java.util.List<java.lang.String></code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.messageDisplay">messageDisplay</a></code> | <code>java.lang.String</code> | The number of log lines to display. Valid values are `inline`, `expanded-md`, `expanded-lg`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.query">query</a></code> | <code>java.lang.String</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.showDateColumn">showDateColumn</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | If the date column should be displayed. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.showMessageColumn">showMessageColumn</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | If the message column should be displayed. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort">DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort</a></code> | sort block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `columns`<sup>Optional</sup> <a name="columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.columns"></a>

```java
public java.util.List<java.lang.String> getColumns();
```

- *Type:* java.util.List<java.lang.String>

Stringified list of columns to use, for example: `["column1","column2","column3"]`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.indexes"></a>

```java
public java.util.List<java.lang.String> getIndexes();
```

- *Type:* java.util.List<java.lang.String>

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `messageDisplay`<sup>Optional</sup> <a name="messageDisplay" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.messageDisplay"></a>

```java
public java.lang.String getMessageDisplay();
```

- *Type:* java.lang.String

The number of log lines to display. Valid values are `inline`, `expanded-md`, `expanded-lg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#message_display Dashboard#message_display}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `showDateColumn`<sup>Optional</sup> <a name="showDateColumn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.showDateColumn"></a>

```java
public java.lang.Object getShowDateColumn();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

If the date column should be displayed.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_date_column Dashboard#show_date_column}

---

##### `showMessageColumn`<sup>Optional</sup> <a name="showMessageColumn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.showMessageColumn"></a>

```java
public java.lang.Object getShowMessageColumn();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

If the message column should be displayed.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_message_column Dashboard#show_message_column}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.sort"></a>

```java
public DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort getSort();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort">DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort <a name="DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort;

DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort.builder()
    .column(java.lang.String)
    .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort.property.column">column</a></code> | <code>java.lang.String</code> | The facet path for the column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |

---

##### `column`<sup>Required</sup> <a name="column" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort.property.column"></a>

```java
public java.lang.String getColumn();
```

- *Type:* java.lang.String

The facet path for the column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#column Dashboard#column}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetManageStatusDefinition <a name="DashboardWidgetGroupDefinitionWidgetManageStatusDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition;

DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.builder()
    .query(java.lang.String)
//  .colorPreference(java.lang.String)
//  .displayFormat(java.lang.String)
//  .hideZeroCounts(java.lang.Boolean)
//  .hideZeroCounts(IResolvable)
//  .showLastTriggered(java.lang.Boolean)
//  .showLastTriggered(IResolvable)
//  .showPriority(java.lang.Boolean)
//  .showPriority(IResolvable)
//  .sort(java.lang.String)
//  .summaryType(java.lang.String)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.query">query</a></code> | <code>java.lang.String</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.colorPreference">colorPreference</a></code> | <code>java.lang.String</code> | Whether to colorize text or background. Valid values are `background`, `text`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.displayFormat">displayFormat</a></code> | <code>java.lang.String</code> | The display setting to use. Valid values are `counts`, `countsAndList`, `list`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.hideZeroCounts">hideZeroCounts</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | A Boolean indicating whether to hide empty categories. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.showLastTriggered">showLastTriggered</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | A Boolean indicating whether to show when monitors/groups last triggered. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.showPriority">showPriority</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to show the priorities column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.sort">sort</a></code> | <code>java.lang.String</code> | The method to sort the monitors. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.summaryType">summaryType</a></code> | <code>java.lang.String</code> | The summary type to use. Valid values are `monitors`, `groups`, `combined`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `colorPreference`<sup>Optional</sup> <a name="colorPreference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.colorPreference"></a>

```java
public java.lang.String getColorPreference();
```

- *Type:* java.lang.String

Whether to colorize text or background. Valid values are `background`, `text`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#color_preference Dashboard#color_preference}

---

##### `displayFormat`<sup>Optional</sup> <a name="displayFormat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.displayFormat"></a>

```java
public java.lang.String getDisplayFormat();
```

- *Type:* java.lang.String

The display setting to use. Valid values are `counts`, `countsAndList`, `list`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_format Dashboard#display_format}

---

##### `hideZeroCounts`<sup>Optional</sup> <a name="hideZeroCounts" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.hideZeroCounts"></a>

```java
public java.lang.Object getHideZeroCounts();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

A Boolean indicating whether to hide empty categories.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_zero_counts Dashboard#hide_zero_counts}

---

##### `showLastTriggered`<sup>Optional</sup> <a name="showLastTriggered" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.showLastTriggered"></a>

```java
public java.lang.Object getShowLastTriggered();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

A Boolean indicating whether to show when monitors/groups last triggered.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_last_triggered Dashboard#show_last_triggered}

---

##### `showPriority`<sup>Optional</sup> <a name="showPriority" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.showPriority"></a>

```java
public java.lang.Object getShowPriority();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to show the priorities column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_priority Dashboard#show_priority}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.sort"></a>

```java
public java.lang.String getSort();
```

- *Type:* java.lang.String

The method to sort the monitors.

Valid values are `name`, `group`, `status`, `tags`, `triggered`, `group,asc`, `group,desc`, `name,asc`, `name,desc`, `status,asc`, `status,desc`, `tags,asc`, `tags,desc`, `triggered,asc`, `triggered,desc`, `priority,asc`, `priority,desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `summaryType`<sup>Optional</sup> <a name="summaryType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.summaryType"></a>

```java
public java.lang.String getSummaryType();
```

- *Type:* java.lang.String

The summary type to use. Valid values are `monitors`, `groups`, `combined`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#summary_type Dashboard#summary_type}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetNoteDefinition <a name="DashboardWidgetGroupDefinitionWidgetNoteDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition;

DashboardWidgetGroupDefinitionWidgetNoteDefinition.builder()
    .content(java.lang.String)
//  .backgroundColor(java.lang.String)
//  .fontSize(java.lang.String)
//  .hasPadding(java.lang.Boolean)
//  .hasPadding(IResolvable)
//  .showTick(java.lang.Boolean)
//  .showTick(IResolvable)
//  .textAlign(java.lang.String)
//  .tickEdge(java.lang.String)
//  .tickPos(java.lang.String)
//  .verticalAlign(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.content">content</a></code> | <code>java.lang.String</code> | The content of the note. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.backgroundColor">backgroundColor</a></code> | <code>java.lang.String</code> | The background color of the note. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.fontSize">fontSize</a></code> | <code>java.lang.String</code> | The size of the text. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.hasPadding">hasPadding</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to add padding or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.showTick">showTick</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to show a tick or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.textAlign">textAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's text. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.tickEdge">tickEdge</a></code> | <code>java.lang.String</code> | When `tick = true`, a string indicating on which side of the widget the tick should be displayed. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.tickPos">tickPos</a></code> | <code>java.lang.String</code> | When `tick = true`, a string with a percent sign indicating the position of the tick, for example: `tick_pos = "50%"` is centered alignment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.verticalAlign">verticalAlign</a></code> | <code>java.lang.String</code> | The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`. |

---

##### `content`<sup>Required</sup> <a name="content" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.content"></a>

```java
public java.lang.String getContent();
```

- *Type:* java.lang.String

The content of the note.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#content Dashboard#content}

---

##### `backgroundColor`<sup>Optional</sup> <a name="backgroundColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.backgroundColor"></a>

```java
public java.lang.String getBackgroundColor();
```

- *Type:* java.lang.String

The background color of the note.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#background_color Dashboard#background_color}

---

##### `fontSize`<sup>Optional</sup> <a name="fontSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.fontSize"></a>

```java
public java.lang.String getFontSize();
```

- *Type:* java.lang.String

The size of the text.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#font_size Dashboard#font_size}

---

##### `hasPadding`<sup>Optional</sup> <a name="hasPadding" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.hasPadding"></a>

```java
public java.lang.Object getHasPadding();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to add padding or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_padding Dashboard#has_padding}

---

##### `showTick`<sup>Optional</sup> <a name="showTick" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.showTick"></a>

```java
public java.lang.Object getShowTick();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to show a tick or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_tick Dashboard#show_tick}

---

##### `textAlign`<sup>Optional</sup> <a name="textAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.textAlign"></a>

```java
public java.lang.String getTextAlign();
```

- *Type:* java.lang.String

The alignment of the widget's text. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

##### `tickEdge`<sup>Optional</sup> <a name="tickEdge" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.tickEdge"></a>

```java
public java.lang.String getTickEdge();
```

- *Type:* java.lang.String

When `tick = true`, a string indicating on which side of the widget the tick should be displayed.

Valid values are `bottom`, `left`, `right`, `top`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tick_edge Dashboard#tick_edge}

---

##### `tickPos`<sup>Optional</sup> <a name="tickPos" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.tickPos"></a>

```java
public java.lang.String getTickPos();
```

- *Type:* java.lang.String

When `tick = true`, a string with a percent sign indicating the position of the tick, for example: `tick_pos = "50%"` is centered alignment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tick_pos Dashboard#tick_pos}

---

##### `verticalAlign`<sup>Optional</sup> <a name="verticalAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.verticalAlign"></a>

```java
public java.lang.String getVerticalAlign();
```

- *Type:* java.lang.String

The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#vertical_align Dashboard#vertical_align}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinition <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.builder()
//  .customLink(IResolvable)
//  .customLink(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink>)
//  .hasSearchBar(java.lang.String)
//  .liveSpan(java.lang.String)
//  .request(IResolvable)
//  .request(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest>)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.customLink">customLink</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink</a>></code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.hasSearchBar">hasSearchBar</a></code> | <code>java.lang.String</code> | Controls the display of the search bar. Valid values are `always`, `never`, `auto`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.request">request</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest</a>></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.customLink"></a>

```java
public java.lang.Object getCustomLink();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink</a>>

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `hasSearchBar`<sup>Optional</sup> <a name="hasSearchBar" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.hasSearchBar"></a>

```java
public java.lang.String getHasSearchBar();
```

- *Type:* java.lang.String

Controls the display of the search bar. Valid values are `always`, `never`, `auto`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_search_bar Dashboard#has_search_bar}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.request"></a>

```java
public java.lang.Object getRequest();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest</a>>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.builder()
//  .isHidden(java.lang.Boolean)
//  .isHidden(IResolvable)
//  .label(java.lang.String)
//  .link(java.lang.String)
//  .overrideLabel(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.label">label</a></code> | <code>java.lang.String</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.link">link</a></code> | <code>java.lang.String</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>java.lang.String</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.isHidden"></a>

```java
public java.lang.Object getIsHidden();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.link"></a>

```java
public java.lang.String getLink();
```

- *Type:* java.lang.String

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.overrideLabel"></a>

```java
public java.lang.String getOverrideLabel();
```

- *Type:* java.lang.String

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.builder()
//  .aggregator(java.lang.String)
//  .alias(java.lang.String)
//  .apmQuery(DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery)
//  .apmStatsQuery(DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery)
//  .cellDisplayMode(java.util.List<java.lang.String>)
//  .conditionalFormats(IResolvable)
//  .conditionalFormats(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats>)
//  .formula(IResolvable)
//  .formula(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula>)
//  .limit(java.lang.Number)
//  .logQuery(DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery)
//  .order(java.lang.String)
//  .processQuery(DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery)
//  .q(java.lang.String)
//  .query(IResolvable)
//  .query(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery>)
//  .rumQuery(DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery)
//  .securityQuery(DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.alias">alias</a></code> | <code>java.lang.String</code> | The alias for the column name (defaults to metric name). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.apmStatsQuery">apmStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery</a></code> | apm_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.cellDisplayMode">cellDisplayMode</a></code> | <code>java.util.List<java.lang.String></code> | A list of display modes for each table cell. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.conditionalFormats">conditionalFormats</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats</a>></code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.formula">formula</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula</a>></code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of lines to show in the table. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.order">order</a></code> | <code>java.lang.String</code> | The sort order for the rows. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.q">q</a></code> | <code>java.lang.String</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.query">query</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery</a>></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery</a></code> | security_query block. |

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.alias"></a>

```java
public java.lang.String getAlias();
```

- *Type:* java.lang.String

The alias for the column name (defaults to metric name).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.apmQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery getApmQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `apmStatsQuery`<sup>Optional</sup> <a name="apmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.apmStatsQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery getApmStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery</a>

apm_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_stats_query Dashboard#apm_stats_query}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.cellDisplayMode"></a>

```java
public java.util.List<java.lang.String> getCellDisplayMode();
```

- *Type:* java.util.List<java.lang.String>

A list of display modes for each table cell.

List items one of `number`, `bar`. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.conditionalFormats"></a>

```java
public java.lang.Object getConditionalFormats();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats</a>>

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.formula"></a>

```java
public java.lang.Object getFormula();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula</a>>

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of lines to show in the table.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.logQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery getLogQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

The sort order for the rows. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.processQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.query"></a>

```java
public java.lang.Object getQuery();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery</a>>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.rumQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery getRumQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.securityQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery getSecurityQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.builder()
    .env(java.lang.String)
    .name(java.lang.String)
    .primaryTag(java.lang.String)
    .rowType(java.lang.String)
    .service(java.lang.String)
//  .columns(IResolvable)
//  .columns(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns>)
//  .resource(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | The environment name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The operation name associated with the service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.primaryTag">primaryTag</a></code> | <code>java.lang.String</code> | The organization's host group name and value. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.rowType">rowType</a></code> | <code>java.lang.String</code> | The level of detail for the request. Valid values are `service`, `resource`, `span`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | The service name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.columns">columns</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns</a>></code> | columns block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.resource">resource</a></code> | <code>java.lang.String</code> | The resource name. |

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

The environment name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The operation name associated with the service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `primaryTag`<sup>Required</sup> <a name="primaryTag" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.primaryTag"></a>

```java
public java.lang.String getPrimaryTag();
```

- *Type:* java.lang.String

The organization's host group name and value.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag Dashboard#primary_tag}

---

##### `rowType`<sup>Required</sup> <a name="rowType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.rowType"></a>

```java
public java.lang.String getRowType();
```

- *Type:* java.lang.String

The level of detail for the request. Valid values are `service`, `resource`, `span`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#row_type Dashboard#row_type}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

The service name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `columns`<sup>Optional</sup> <a name="columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.columns"></a>

```java
public java.lang.Object getColumns();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns</a>>

columns block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `resource`<sup>Optional</sup> <a name="resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.resource"></a>

```java
public java.lang.String getResource();
```

- *Type:* java.lang.String

The resource name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource Dashboard#resource}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.builder()
    .name(java.lang.String)
//  .alias(java.lang.String)
//  .cellDisplayMode(java.lang.String)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.name">name</a></code> | <code>java.lang.String</code> | The column name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.alias">alias</a></code> | <code>java.lang.String</code> | A user-assigned alias for the column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode">cellDisplayMode</a></code> | <code>java.lang.String</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The column name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.alias"></a>

```java
public java.lang.String getAlias();
```

- *Type:* java.lang.String

A user-assigned alias for the column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode"></a>

```java
public java.lang.String getCellDisplayMode();
```

- *Type:* java.lang.String

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.builder()
    .comparator(java.lang.String)
    .palette(java.lang.String)
    .value(java.lang.Number)
//  .customBgColor(java.lang.String)
//  .customFgColor(java.lang.String)
//  .hideValue(java.lang.Boolean)
//  .hideValue(IResolvable)
//  .imageUrl(java.lang.String)
//  .metric(java.lang.String)
//  .timeframe(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.comparator">comparator</a></code> | <code>java.lang.String</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.value">value</a></code> | <code>java.lang.Number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.hideValue">hideValue</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>java.lang.String</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.timeframe">timeframe</a></code> | <code>java.lang.String</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.comparator"></a>

```java
public java.lang.String getComparator();
```

- *Type:* java.lang.String

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.value"></a>

```java
public java.lang.Number getValue();
```

- *Type:* java.lang.Number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.customBgColor"></a>

```java
public java.lang.String getCustomBgColor();
```

- *Type:* java.lang.String

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.customFgColor"></a>

```java
public java.lang.String getCustomFgColor();
```

- *Type:* java.lang.String

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.hideValue"></a>

```java
public java.lang.Object getHideValue();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.imageUrl"></a>

```java
public java.lang.String getImageUrl();
```

- *Type:* java.lang.String

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.timeframe"></a>

```java
public java.lang.String getTimeframe();
```

- *Type:* java.lang.String

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.builder()
    .formulaExpression(java.lang.String)
//  .alias(java.lang.String)
//  .cellDisplayMode(java.lang.String)
//  .conditionalFormats(IResolvable)
//  .conditionalFormats(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats>)
//  .limit(DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit)
//  .style(DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>java.lang.String</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.alias">alias</a></code> | <code>java.lang.String</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>java.lang.String</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats</a>></code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.formulaExpression"></a>

```java
public java.lang.String getFormulaExpression();
```

- *Type:* java.lang.String

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.alias"></a>

```java
public java.lang.String getAlias();
```

- *Type:* java.lang.String

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.cellDisplayMode"></a>

```java
public java.lang.String getCellDisplayMode();
```

- *Type:* java.lang.String

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.conditionalFormats"></a>

```java
public java.lang.Object getConditionalFormats();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats</a>>

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.limit"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit getLimit();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.style"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.builder()
    .comparator(java.lang.String)
    .palette(java.lang.String)
    .value(java.lang.Number)
//  .customBgColor(java.lang.String)
//  .customFgColor(java.lang.String)
//  .hideValue(java.lang.Boolean)
//  .hideValue(IResolvable)
//  .imageUrl(java.lang.String)
//  .metric(java.lang.String)
//  .timeframe(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>java.lang.String</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>java.lang.Number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>java.lang.String</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>java.lang.String</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```java
public java.lang.String getComparator();
```

- *Type:* java.lang.String

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.value"></a>

```java
public java.lang.Number getValue();
```

- *Type:* java.lang.Number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```java
public java.lang.String getCustomBgColor();
```

- *Type:* java.lang.String

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```java
public java.lang.String getCustomFgColor();
```

- *Type:* java.lang.String

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```java
public java.lang.Object getHideValue();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```java
public java.lang.String getImageUrl();
```

- *Type:* java.lang.String

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```java
public java.lang.String getTimeframe();
```

- *Type:* java.lang.String

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit.builder()
//  .count(java.lang.Number)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>java.lang.Number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit.property.count"></a>

```java
public java.lang.Number getCount();
```

- *Type:* java.lang.Number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle.builder()
//  .palette(java.lang.String)
//  .paletteIndex(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>java.lang.Number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```java
public java.lang.Number getPaletteIndex();
```

- *Type:* java.lang.Number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.builder()
    .metric(java.lang.String)
//  .filterBy(java.util.List<java.lang.String>)
//  .limit(java.lang.Number)
//  .searchBy(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>java.util.List<java.lang.String></code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>java.lang.String</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.filterBy"></a>

```java
public java.util.List<java.lang.String> getFilterBy();
```

- *Type:* java.util.List<java.lang.String>

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.searchBy"></a>

```java
public java.lang.String getSearchBy();
```

- *Type:* java.lang.String

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.builder()
//  .apmDependencyStatsQuery(DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery)
//  .apmResourceStatsQuery(DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery)
//  .eventQuery(DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery)
//  .metricQuery(DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery)
//  .processQuery(DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery getApmDependencyStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery getApmResourceStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.eventQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery getEventQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.metricQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery getMetricQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.processQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .operationName(java.lang.String)
    .resourceName(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .isUpstream(java.lang.Boolean)
//  .isUpstream(IResolvable)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```java
public java.lang.Object getIsUpstream();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .groupBy(java.util.List<java.lang.String>)
//  .operationName(java.lang.String)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
//  .resourceName(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>java.util.List<java.lang.String></code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```java
public java.util.List<java.lang.String> getGroupBy();
```

- *Type:* java.util.List<java.lang.String>

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.builder()
    .compute(IResolvable)
    .compute(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute>)
    .dataSource(java.lang.String)
    .name(java.lang.String)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy>)
//  .indexes(java.util.List<java.lang.String>)
//  .search(DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch)
//  .storage(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute</a>></code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>java.util.List<java.lang.String></code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>java.lang.String</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.compute"></a>

```java
public java.lang.Object getCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute</a>>

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.indexes"></a>

```java
public java.util.List<java.lang.String> getIndexes();
```

- *Type:* java.util.List<java.lang.String>

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.search"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch getSearch();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.storage"></a>

```java
public java.lang.String getStorage();
```

- *Type:* java.lang.String

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute.builder()
    .aggregation(java.lang.String)
//  .interval(java.lang.Number)
//  .metric(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>java.lang.String</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.builder()
    .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sort(DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort getSort();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.builder()
    .aggregation(java.lang.String)
//  .metric(java.lang.String)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>java.lang.String</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch.builder()
    .query(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>java.lang.String</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.builder()
    .name(java.lang.String)
    .query(java.lang.String)
//  .aggregator(java.lang.String)
//  .dataSource(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>java.lang.String</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.builder()
    .dataSource(java.lang.String)
    .metric(java.lang.String)
    .name(java.lang.String)
//  .aggregator(java.lang.String)
//  .isNormalizedCpu(java.lang.Boolean)
//  .isNormalizedCpu(IResolvable)
//  .limit(java.lang.Number)
//  .sort(java.lang.String)
//  .tagFilters(java.util.List<java.lang.String>)
//  .textFilter(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>java.util.List<java.lang.String></code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>java.lang.String</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```java
public java.lang.Object getIsNormalizedCpu();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.sort"></a>

```java
public java.lang.String getSort();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```java
public java.util.List<java.lang.String> getTagFilters();
```

- *Type:* java.util.List<java.lang.String>

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```java
public java.lang.String getTextFilter();
```

- *Type:* java.lang.String

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinition <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.builder()
//  .autoscale(java.lang.Boolean)
//  .autoscale(IResolvable)
//  .customLink(IResolvable)
//  .customLink(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink>)
//  .customUnit(java.lang.String)
//  .liveSpan(java.lang.String)
//  .precision(java.lang.Number)
//  .request(IResolvable)
//  .request(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest>)
//  .textAlign(java.lang.String)
//  .timeseriesBackground(DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.autoscale">autoscale</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | A Boolean indicating whether to automatically scale the tile. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.customLink">customLink</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink</a>></code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.customUnit">customUnit</a></code> | <code>java.lang.String</code> | The unit for the value displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.precision">precision</a></code> | <code>java.lang.Number</code> | The precision to use when displaying the tile. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.request">request</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest</a>></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.textAlign">textAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's text. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.timeseriesBackground">timeseriesBackground</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground</a></code> | timeseries_background block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `autoscale`<sup>Optional</sup> <a name="autoscale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.autoscale"></a>

```java
public java.lang.Object getAutoscale();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

A Boolean indicating whether to automatically scale the tile.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#autoscale Dashboard#autoscale}

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.customLink"></a>

```java
public java.lang.Object getCustomLink();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink</a>>

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `customUnit`<sup>Optional</sup> <a name="customUnit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.customUnit"></a>

```java
public java.lang.String getCustomUnit();
```

- *Type:* java.lang.String

The unit for the value displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_unit Dashboard#custom_unit}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `precision`<sup>Optional</sup> <a name="precision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.precision"></a>

```java
public java.lang.Number getPrecision();
```

- *Type:* java.lang.Number

The precision to use when displaying the tile.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#precision Dashboard#precision}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.request"></a>

```java
public java.lang.Object getRequest();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest</a>>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `textAlign`<sup>Optional</sup> <a name="textAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.textAlign"></a>

```java
public java.lang.String getTextAlign();
```

- *Type:* java.lang.String

The alignment of the widget's text. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

##### `timeseriesBackground`<sup>Optional</sup> <a name="timeseriesBackground" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.timeseriesBackground"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground getTimeseriesBackground();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground</a>

timeseries_background block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeseries_background Dashboard#timeseries_background}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.builder()
//  .isHidden(java.lang.Boolean)
//  .isHidden(IResolvable)
//  .label(java.lang.String)
//  .link(java.lang.String)
//  .overrideLabel(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.label">label</a></code> | <code>java.lang.String</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.link">link</a></code> | <code>java.lang.String</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>java.lang.String</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.isHidden"></a>

```java
public java.lang.Object getIsHidden();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.link"></a>

```java
public java.lang.String getLink();
```

- *Type:* java.lang.String

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.overrideLabel"></a>

```java
public java.lang.String getOverrideLabel();
```

- *Type:* java.lang.String

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.builder()
//  .aggregator(java.lang.String)
//  .apmQuery(DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery)
//  .auditQuery(DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery)
//  .conditionalFormats(IResolvable)
//  .conditionalFormats(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats>)
//  .formula(IResolvable)
//  .formula(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula>)
//  .logQuery(DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery)
//  .processQuery(DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery)
//  .q(java.lang.String)
//  .query(IResolvable)
//  .query(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery>)
//  .rumQuery(DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery)
//  .securityQuery(DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.auditQuery">auditQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.conditionalFormats">conditionalFormats</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats</a>></code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.formula">formula</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula</a>></code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.q">q</a></code> | <code>java.lang.String</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.query">query</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery</a>></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery</a></code> | security_query block. |

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.apmQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery getApmQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `auditQuery`<sup>Optional</sup> <a name="auditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.auditQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery getAuditQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.conditionalFormats"></a>

```java
public java.lang.Object getConditionalFormats();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats</a>>

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.formula"></a>

```java
public java.lang.Object getFormula();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula</a>>

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.logQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery getLogQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.processQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.query"></a>

```java
public java.lang.Object getQuery();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery</a>>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.rumQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery getRumQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.securityQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery getSecurityQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.builder()
    .comparator(java.lang.String)
    .palette(java.lang.String)
    .value(java.lang.Number)
//  .customBgColor(java.lang.String)
//  .customFgColor(java.lang.String)
//  .hideValue(java.lang.Boolean)
//  .hideValue(IResolvable)
//  .imageUrl(java.lang.String)
//  .metric(java.lang.String)
//  .timeframe(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.comparator">comparator</a></code> | <code>java.lang.String</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.value">value</a></code> | <code>java.lang.Number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.hideValue">hideValue</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>java.lang.String</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.timeframe">timeframe</a></code> | <code>java.lang.String</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.comparator"></a>

```java
public java.lang.String getComparator();
```

- *Type:* java.lang.String

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.value"></a>

```java
public java.lang.Number getValue();
```

- *Type:* java.lang.Number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.customBgColor"></a>

```java
public java.lang.String getCustomBgColor();
```

- *Type:* java.lang.String

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.customFgColor"></a>

```java
public java.lang.String getCustomFgColor();
```

- *Type:* java.lang.String

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.hideValue"></a>

```java
public java.lang.Object getHideValue();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.imageUrl"></a>

```java
public java.lang.String getImageUrl();
```

- *Type:* java.lang.String

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.timeframe"></a>

```java
public java.lang.String getTimeframe();
```

- *Type:* java.lang.String

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.builder()
    .formulaExpression(java.lang.String)
//  .alias(java.lang.String)
//  .cellDisplayMode(java.lang.String)
//  .conditionalFormats(IResolvable)
//  .conditionalFormats(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats>)
//  .limit(DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit)
//  .style(DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>java.lang.String</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.alias">alias</a></code> | <code>java.lang.String</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>java.lang.String</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats</a>></code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.formulaExpression"></a>

```java
public java.lang.String getFormulaExpression();
```

- *Type:* java.lang.String

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.alias"></a>

```java
public java.lang.String getAlias();
```

- *Type:* java.lang.String

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.cellDisplayMode"></a>

```java
public java.lang.String getCellDisplayMode();
```

- *Type:* java.lang.String

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.conditionalFormats"></a>

```java
public java.lang.Object getConditionalFormats();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats</a>>

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.limit"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit getLimit();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.style"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.builder()
    .comparator(java.lang.String)
    .palette(java.lang.String)
    .value(java.lang.Number)
//  .customBgColor(java.lang.String)
//  .customFgColor(java.lang.String)
//  .hideValue(java.lang.Boolean)
//  .hideValue(IResolvable)
//  .imageUrl(java.lang.String)
//  .metric(java.lang.String)
//  .timeframe(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>java.lang.String</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>java.lang.Number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>java.lang.String</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>java.lang.String</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```java
public java.lang.String getComparator();
```

- *Type:* java.lang.String

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.value"></a>

```java
public java.lang.Number getValue();
```

- *Type:* java.lang.Number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```java
public java.lang.String getCustomBgColor();
```

- *Type:* java.lang.String

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```java
public java.lang.String getCustomFgColor();
```

- *Type:* java.lang.String

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```java
public java.lang.Object getHideValue();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```java
public java.lang.String getImageUrl();
```

- *Type:* java.lang.String

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```java
public java.lang.String getTimeframe();
```

- *Type:* java.lang.String

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit.builder()
//  .count(java.lang.Number)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>java.lang.Number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit.property.count"></a>

```java
public java.lang.Number getCount();
```

- *Type:* java.lang.Number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle.builder()
//  .palette(java.lang.String)
//  .paletteIndex(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>java.lang.Number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```java
public java.lang.Number getPaletteIndex();
```

- *Type:* java.lang.Number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.builder()
    .metric(java.lang.String)
//  .filterBy(java.util.List<java.lang.String>)
//  .limit(java.lang.Number)
//  .searchBy(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>java.util.List<java.lang.String></code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>java.lang.String</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.filterBy"></a>

```java
public java.util.List<java.lang.String> getFilterBy();
```

- *Type:* java.util.List<java.lang.String>

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.searchBy"></a>

```java
public java.lang.String getSearchBy();
```

- *Type:* java.lang.String

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.builder()
//  .apmDependencyStatsQuery(DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery)
//  .apmResourceStatsQuery(DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery)
//  .eventQuery(DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery)
//  .metricQuery(DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery)
//  .processQuery(DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery getApmDependencyStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery getApmResourceStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.eventQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery getEventQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.metricQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery getMetricQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.processQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .operationName(java.lang.String)
    .resourceName(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .isUpstream(java.lang.Boolean)
//  .isUpstream(IResolvable)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```java
public java.lang.Object getIsUpstream();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .groupBy(java.util.List<java.lang.String>)
//  .operationName(java.lang.String)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
//  .resourceName(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>java.util.List<java.lang.String></code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```java
public java.util.List<java.lang.String> getGroupBy();
```

- *Type:* java.util.List<java.lang.String>

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.builder()
    .compute(IResolvable)
    .compute(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute>)
    .dataSource(java.lang.String)
    .name(java.lang.String)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy>)
//  .indexes(java.util.List<java.lang.String>)
//  .search(DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch)
//  .storage(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute</a>></code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>java.util.List<java.lang.String></code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>java.lang.String</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.compute"></a>

```java
public java.lang.Object getCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute</a>>

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.indexes"></a>

```java
public java.util.List<java.lang.String> getIndexes();
```

- *Type:* java.util.List<java.lang.String>

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.search"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch getSearch();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.storage"></a>

```java
public java.lang.String getStorage();
```

- *Type:* java.lang.String

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute.builder()
    .aggregation(java.lang.String)
//  .interval(java.lang.Number)
//  .metric(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>java.lang.String</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.builder()
    .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sort(DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort getSort();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.builder()
    .aggregation(java.lang.String)
//  .metric(java.lang.String)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>java.lang.String</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch.builder()
    .query(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>java.lang.String</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.builder()
    .name(java.lang.String)
    .query(java.lang.String)
//  .aggregator(java.lang.String)
//  .dataSource(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>java.lang.String</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.builder()
    .dataSource(java.lang.String)
    .metric(java.lang.String)
    .name(java.lang.String)
//  .aggregator(java.lang.String)
//  .isNormalizedCpu(java.lang.Boolean)
//  .isNormalizedCpu(IResolvable)
//  .limit(java.lang.Number)
//  .sort(java.lang.String)
//  .tagFilters(java.util.List<java.lang.String>)
//  .textFilter(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>java.util.List<java.lang.String></code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>java.lang.String</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```java
public java.lang.Object getIsNormalizedCpu();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.sort"></a>

```java
public java.lang.String getSort();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```java
public java.util.List<java.lang.String> getTagFilters();
```

- *Type:* java.util.List<java.lang.String>

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```java
public java.lang.String getTextFilter();
```

- *Type:* java.lang.String

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground.builder()
    .type(java.lang.String)
//  .yaxis(DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground.property.type">type</a></code> | <code>java.lang.String</code> | Whether the Timeseries is made using an area or bars. Valid values are `bars`, `area`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground.property.yaxis">yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis</a></code> | yaxis block. |

---

##### `type`<sup>Required</sup> <a name="type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground.property.type"></a>

```java
public java.lang.String getType();
```

- *Type:* java.lang.String

Whether the Timeseries is made using an area or bars. Valid values are `bars`, `area`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#type Dashboard#type}

---

##### `yaxis`<sup>Optional</sup> <a name="yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground.property.yaxis"></a>

```java
public DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis getYaxis();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis;

DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.builder()
//  .includeZero(java.lang.Boolean)
//  .includeZero(IResolvable)
//  .label(java.lang.String)
//  .max(java.lang.String)
//  .min(java.lang.String)
//  .scale(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.includeZero">includeZero</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.label">label</a></code> | <code>java.lang.String</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.max">max</a></code> | <code>java.lang.String</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.min">min</a></code> | <code>java.lang.String</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.scale">scale</a></code> | <code>java.lang.String</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `includeZero`<sup>Optional</sup> <a name="includeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.includeZero"></a>

```java
public java.lang.Object getIncludeZero();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.max"></a>

```java
public java.lang.String getMax();
```

- *Type:* java.lang.String

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.min"></a>

```java
public java.lang.String getMin();
```

- *Type:* java.lang.String

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.scale"></a>

```java
public java.lang.String getScale();
```

- *Type:* java.lang.String

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition <a name="DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition;

DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.builder()
    .workflowId(java.lang.String)
//  .customLink(IResolvable)
//  .customLink(java.util.List<DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink>)
//  .input(IResolvable)
//  .input(java.util.List<DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput>)
//  .liveSpan(java.lang.String)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.workflowId">workflowId</a></code> | <code>java.lang.String</code> | Workflow ID. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.customLink">customLink</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink</a>></code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.input">input</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput">DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput</a>></code> | input block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `workflowId`<sup>Required</sup> <a name="workflowId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.workflowId"></a>

```java
public java.lang.String getWorkflowId();
```

- *Type:* java.lang.String

Workflow ID.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#workflow_id Dashboard#workflow_id}

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.customLink"></a>

```java
public java.lang.Object getCustomLink();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink</a>>

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `input`<sup>Optional</sup> <a name="input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.input"></a>

```java
public java.lang.Object getInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput">DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput</a>>

input block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#input Dashboard#input}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink;

DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.builder()
//  .isHidden(java.lang.Boolean)
//  .isHidden(IResolvable)
//  .label(java.lang.String)
//  .link(java.lang.String)
//  .overrideLabel(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.label">label</a></code> | <code>java.lang.String</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.link">link</a></code> | <code>java.lang.String</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>java.lang.String</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.isHidden"></a>

```java
public java.lang.Object getIsHidden();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.link"></a>

```java
public java.lang.String getLink();
```

- *Type:* java.lang.String

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.overrideLabel"></a>

```java
public java.lang.String getOverrideLabel();
```

- *Type:* java.lang.String

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput <a name="DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput;

DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput.builder()
    .name(java.lang.String)
    .value(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput.property.name">name</a></code> | <code>java.lang.String</code> | Name of the workflow input. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput.property.value">value</a></code> | <code>java.lang.String</code> | Dashboard template variable. Can be suffixed with `.value` or `.key`. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

Name of the workflow input.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput.property.value"></a>

```java
public java.lang.String getValue();
```

- *Type:* java.lang.String

Dashboard template variable. Can be suffixed with `.value` or `.key`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinition <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.builder()
//  .colorByGroups(java.util.List<java.lang.String>)
//  .customLink(IResolvable)
//  .customLink(java.util.List<DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink>)
//  .liveSpan(java.lang.String)
//  .request(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
//  .xaxis(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis)
//  .yaxis(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.colorByGroups">colorByGroups</a></code> | <code>java.util.List<java.lang.String></code> | List of groups used for colors. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.customLink">customLink</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink</a>></code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.request">request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest</a></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.xaxis">xaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis</a></code> | xaxis block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.yaxis">yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis</a></code> | yaxis block. |

---

##### `colorByGroups`<sup>Optional</sup> <a name="colorByGroups" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.colorByGroups"></a>

```java
public java.util.List<java.lang.String> getColorByGroups();
```

- *Type:* java.util.List<java.lang.String>

List of groups used for colors.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#color_by_groups Dashboard#color_by_groups}

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.customLink"></a>

```java
public java.lang.Object getCustomLink();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink</a>>

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.request"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest getRequest();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest</a>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `xaxis`<sup>Optional</sup> <a name="xaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.xaxis"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis getXaxis();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis</a>

xaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#xaxis Dashboard#xaxis}

---

##### `yaxis`<sup>Optional</sup> <a name="yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.yaxis"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis getYaxis();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.builder()
//  .isHidden(java.lang.Boolean)
//  .isHidden(IResolvable)
//  .label(java.lang.String)
//  .link(java.lang.String)
//  .overrideLabel(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.label">label</a></code> | <code>java.lang.String</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.link">link</a></code> | <code>java.lang.String</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>java.lang.String</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.isHidden"></a>

```java
public java.lang.Object getIsHidden();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.link"></a>

```java
public java.lang.String getLink();
```

- *Type:* java.lang.String

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.overrideLabel"></a>

```java
public java.lang.String getOverrideLabel();
```

- *Type:* java.lang.String

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest.builder()
//  .scatterplotTable(IResolvable)
//  .scatterplotTable(java.util.List<DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable>)
//  .x(IResolvable)
//  .x(java.util.List<DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX>)
//  .y(IResolvable)
//  .y(java.util.List<DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY>)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest.property.scatterplotTable">scatterplotTable</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable</a>></code> | scatterplot_table block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest.property.x">x</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX</a>></code> | x block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest.property.y">y</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY</a>></code> | y block. |

---

##### `scatterplotTable`<sup>Optional</sup> <a name="scatterplotTable" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest.property.scatterplotTable"></a>

```java
public java.lang.Object getScatterplotTable();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable</a>>

scatterplot_table block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scatterplot_table Dashboard#scatterplot_table}

---

##### `x`<sup>Optional</sup> <a name="x" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest.property.x"></a>

```java
public java.lang.Object getX();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX</a>>

x block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#x Dashboard#x}

---

##### `y`<sup>Optional</sup> <a name="y" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest.property.y"></a>

```java
public java.lang.Object getY();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY</a>>

y block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#y Dashboard#y}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable.builder()
//  .formula(IResolvable)
//  .formula(java.util.List<DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula>)
//  .query(IResolvable)
//  .query(java.util.List<DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery>)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable.property.formula">formula</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula</a>></code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable.property.query">query</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery</a>></code> | query block. |

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable.property.formula"></a>

```java
public java.lang.Object getFormula();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula</a>>

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable.property.query"></a>

```java
public java.lang.Object getQuery();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery</a>>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula.builder()
    .dimension(java.lang.String)
    .formulaExpression(java.lang.String)
//  .alias(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.dimension">dimension</a></code> | <code>java.lang.String</code> | Dimension of the Scatterplot. Valid values are `x`, `y`, `radius`, `color`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.formulaExpression">formulaExpression</a></code> | <code>java.lang.String</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.alias">alias</a></code> | <code>java.lang.String</code> | An expression alias. |

---

##### `dimension`<sup>Required</sup> <a name="dimension" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.dimension"></a>

```java
public java.lang.String getDimension();
```

- *Type:* java.lang.String

Dimension of the Scatterplot. Valid values are `x`, `y`, `radius`, `color`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#dimension Dashboard#dimension}

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.formulaExpression"></a>

```java
public java.lang.String getFormulaExpression();
```

- *Type:* java.lang.String

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.alias"></a>

```java
public java.lang.String getAlias();
```

- *Type:* java.lang.String

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.builder()
//  .apmDependencyStatsQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery)
//  .apmResourceStatsQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery)
//  .eventQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery)
//  .metricQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery)
//  .processQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmDependencyStatsQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery getApmDependencyStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmResourceStatsQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery getApmResourceStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.eventQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery getEventQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.metricQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery getMetricQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.processQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .operationName(java.lang.String)
    .resourceName(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .isUpstream(java.lang.Boolean)
//  .isUpstream(IResolvable)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.isUpstream"></a>

```java
public java.lang.Object getIsUpstream();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .groupBy(java.util.List<java.lang.String>)
//  .operationName(java.lang.String)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
//  .resourceName(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>java.util.List<java.lang.String></code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.groupBy"></a>

```java
public java.util.List<java.lang.String> getGroupBy();
```

- *Type:* java.util.List<java.lang.String>

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.builder()
    .compute(IResolvable)
    .compute(java.util.List<DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute>)
    .dataSource(java.lang.String)
    .name(java.lang.String)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy>)
//  .indexes(java.util.List<java.lang.String>)
//  .search(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch)
//  .storage(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.compute">compute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute</a>></code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.indexes">indexes</a></code> | <code>java.util.List<java.lang.String></code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.storage">storage</a></code> | <code>java.lang.String</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.compute"></a>

```java
public java.lang.Object getCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute</a>>

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.indexes"></a>

```java
public java.util.List<java.lang.String> getIndexes();
```

- *Type:* java.util.List<java.lang.String>

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.search"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch getSearch();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.storage"></a>

```java
public java.lang.String getStorage();
```

- *Type:* java.lang.String

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.builder()
    .aggregation(java.lang.String)
//  .interval(java.lang.Number)
//  .metric(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.metric">metric</a></code> | <code>java.lang.String</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.builder()
    .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sort(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.sort"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort getSort();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.builder()
    .aggregation(java.lang.String)
//  .metric(java.lang.String)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.order">order</a></code> | <code>java.lang.String</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch.builder()
    .query(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch.property.query">query</a></code> | <code>java.lang.String</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.builder()
    .name(java.lang.String)
    .query(java.lang.String)
//  .aggregator(java.lang.String)
//  .dataSource(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.query">query</a></code> | <code>java.lang.String</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.builder()
    .dataSource(java.lang.String)
    .metric(java.lang.String)
    .name(java.lang.String)
//  .aggregator(java.lang.String)
//  .isNormalizedCpu(java.lang.Boolean)
//  .isNormalizedCpu(IResolvable)
//  .limit(java.lang.Number)
//  .sort(java.lang.String)
//  .tagFilters(java.util.List<java.lang.String>)
//  .textFilter(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.sort">sort</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>java.util.List<java.lang.String></code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>java.lang.String</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.isNormalizedCpu"></a>

```java
public java.lang.Object getIsNormalizedCpu();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.sort"></a>

```java
public java.lang.String getSort();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.tagFilters"></a>

```java
public java.util.List<java.lang.String> getTagFilters();
```

- *Type:* java.util.List<java.lang.String>

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.textFilter"></a>

```java
public java.lang.String getTextFilter();
```

- *Type:* java.lang.String

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.builder()
//  .aggregator(java.lang.String)
//  .apmQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery)
//  .logQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery)
//  .processQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery)
//  .q(java.lang.String)
//  .rumQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery)
//  .securityQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.q">q</a></code> | <code>java.lang.String</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery</a></code> | security_query block. |

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.apmQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery getApmQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.logQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery getLogQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.processQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.rumQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery getRumQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.securityQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery getSecurityQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.builder()
    .metric(java.lang.String)
//  .filterBy(java.util.List<java.lang.String>)
//  .limit(java.lang.Number)
//  .searchBy(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.filterBy">filterBy</a></code> | <code>java.util.List<java.lang.String></code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.searchBy">searchBy</a></code> | <code>java.lang.String</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.filterBy"></a>

```java
public java.util.List<java.lang.String> getFilterBy();
```

- *Type:* java.util.List<java.lang.String>

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.searchBy"></a>

```java
public java.lang.String getSearchBy();
```

- *Type:* java.lang.String

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.builder()
//  .aggregator(java.lang.String)
//  .apmQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery)
//  .logQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery)
//  .processQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery)
//  .q(java.lang.String)
//  .rumQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery)
//  .securityQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.q">q</a></code> | <code>java.lang.String</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery</a></code> | security_query block. |

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.apmQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery getApmQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.logQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery getLogQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.processQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.rumQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery getRumQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.securityQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery getSecurityQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.builder()
    .metric(java.lang.String)
//  .filterBy(java.util.List<java.lang.String>)
//  .limit(java.lang.Number)
//  .searchBy(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.filterBy">filterBy</a></code> | <code>java.util.List<java.lang.String></code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.searchBy">searchBy</a></code> | <code>java.lang.String</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.filterBy"></a>

```java
public java.util.List<java.lang.String> getFilterBy();
```

- *Type:* java.util.List<java.lang.String>

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.searchBy"></a>

```java
public java.lang.String getSearchBy();
```

- *Type:* java.lang.String

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.builder()
//  .includeZero(java.lang.Boolean)
//  .includeZero(IResolvable)
//  .label(java.lang.String)
//  .max(java.lang.String)
//  .min(java.lang.String)
//  .scale(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.includeZero">includeZero</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.label">label</a></code> | <code>java.lang.String</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.max">max</a></code> | <code>java.lang.String</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.min">min</a></code> | <code>java.lang.String</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.scale">scale</a></code> | <code>java.lang.String</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `includeZero`<sup>Optional</sup> <a name="includeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.includeZero"></a>

```java
public java.lang.Object getIncludeZero();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.max"></a>

```java
public java.lang.String getMax();
```

- *Type:* java.lang.String

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.min"></a>

```java
public java.lang.String getMin();
```

- *Type:* java.lang.String

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.scale"></a>

```java
public java.lang.String getScale();
```

- *Type:* java.lang.String

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis;

DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.builder()
//  .includeZero(java.lang.Boolean)
//  .includeZero(IResolvable)
//  .label(java.lang.String)
//  .max(java.lang.String)
//  .min(java.lang.String)
//  .scale(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.includeZero">includeZero</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.label">label</a></code> | <code>java.lang.String</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.max">max</a></code> | <code>java.lang.String</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.min">min</a></code> | <code>java.lang.String</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.scale">scale</a></code> | <code>java.lang.String</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `includeZero`<sup>Optional</sup> <a name="includeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.includeZero"></a>

```java
public java.lang.Object getIncludeZero();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.max"></a>

```java
public java.lang.String getMax();
```

- *Type:* java.lang.String

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.min"></a>

```java
public java.lang.String getMin();
```

- *Type:* java.lang.String

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.scale"></a>

```java
public java.lang.String getScale();
```

- *Type:* java.lang.String

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition <a name="DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition;

DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.builder()
    .sloId(java.lang.String)
    .timeWindows(java.util.List<java.lang.String>)
    .viewMode(java.lang.String)
    .viewType(java.lang.String)
//  .globalTimeTarget(java.lang.String)
//  .showErrorBudget(java.lang.Boolean)
//  .showErrorBudget(IResolvable)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.sloId">sloId</a></code> | <code>java.lang.String</code> | The ID of the service level objective used by the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.timeWindows">timeWindows</a></code> | <code>java.util.List<java.lang.String></code> | A list of time windows to display in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.viewMode">viewMode</a></code> | <code>java.lang.String</code> | The view mode for the widget. Valid values are `overall`, `component`, `both`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.viewType">viewType</a></code> | <code>java.lang.String</code> | The type of view to use when displaying the widget. Only `detail` is supported. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.globalTimeTarget">globalTimeTarget</a></code> | <code>java.lang.String</code> | The global time target of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.showErrorBudget">showErrorBudget</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to show the error budget or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `sloId`<sup>Required</sup> <a name="sloId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.sloId"></a>

```java
public java.lang.String getSloId();
```

- *Type:* java.lang.String

The ID of the service level objective used by the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#slo_id Dashboard#slo_id}

---

##### `timeWindows`<sup>Required</sup> <a name="timeWindows" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.timeWindows"></a>

```java
public java.util.List<java.lang.String> getTimeWindows();
```

- *Type:* java.util.List<java.lang.String>

A list of time windows to display in the widget.

Valid values are `7d`, `30d`, `90d`, `week_to_date`, `previous_week`, `month_to_date`, `previous_month`, `global_time`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#time_windows Dashboard#time_windows}

---

##### `viewMode`<sup>Required</sup> <a name="viewMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.viewMode"></a>

```java
public java.lang.String getViewMode();
```

- *Type:* java.lang.String

The view mode for the widget. Valid values are `overall`, `component`, `both`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#view_mode Dashboard#view_mode}

---

##### `viewType`<sup>Required</sup> <a name="viewType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.viewType"></a>

```java
public java.lang.String getViewType();
```

- *Type:* java.lang.String

The type of view to use when displaying the widget. Only `detail` is supported.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#view_type Dashboard#view_type}

---

##### `globalTimeTarget`<sup>Optional</sup> <a name="globalTimeTarget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.globalTimeTarget"></a>

```java
public java.lang.String getGlobalTimeTarget();
```

- *Type:* java.lang.String

The global time target of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#global_time_target Dashboard#global_time_target}

---

##### `showErrorBudget`<sup>Optional</sup> <a name="showErrorBudget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.showErrorBudget"></a>

```java
public java.lang.Object getShowErrorBudget();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to show the error budget or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_error_budget Dashboard#show_error_budget}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetServicemapDefinition <a name="DashboardWidgetGroupDefinitionWidgetServicemapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition;

DashboardWidgetGroupDefinitionWidgetServicemapDefinition.builder()
    .filters(java.util.List<java.lang.String>)
    .service(java.lang.String)
//  .customLink(IResolvable)
//  .customLink(java.util.List<DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink>)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.filters">filters</a></code> | <code>java.util.List<java.lang.String></code> | Your environment and primary tag (or `*` if enabled for your account). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.service">service</a></code> | <code>java.lang.String</code> | The ID of the service to map. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.customLink">customLink</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink</a>></code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `filters`<sup>Required</sup> <a name="filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.filters"></a>

```java
public java.util.List<java.lang.String> getFilters();
```

- *Type:* java.util.List<java.lang.String>

Your environment and primary tag (or `*` if enabled for your account).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filters Dashboard#filters}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

The ID of the service to map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.customLink"></a>

```java
public java.lang.Object getCustomLink();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink</a>>

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink;

DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.builder()
//  .isHidden(java.lang.Boolean)
//  .isHidden(IResolvable)
//  .label(java.lang.String)
//  .link(java.lang.String)
//  .overrideLabel(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.label">label</a></code> | <code>java.lang.String</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.link">link</a></code> | <code>java.lang.String</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>java.lang.String</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.isHidden"></a>

```java
public java.lang.Object getIsHidden();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.link"></a>

```java
public java.lang.String getLink();
```

- *Type:* java.lang.String

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.overrideLabel"></a>

```java
public java.lang.String getOverrideLabel();
```

- *Type:* java.lang.String

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetSloListDefinition <a name="DashboardWidgetGroupDefinitionWidgetSloListDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition;

DashboardWidgetGroupDefinitionWidgetSloListDefinition.builder()
    .request(DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.request">request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest">DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest</a></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `request`<sup>Required</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.request"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest getRequest();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest">DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest</a>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest;

DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest.builder()
    .query(DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery)
    .requestType(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest.property.query">query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery</a></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest.property.requestType">requestType</a></code> | <code>java.lang.String</code> | The request type for the SLO List request. Valid values are `slo_list`. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest.property.query"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery getQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery</a>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `requestType`<sup>Required</sup> <a name="requestType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest.property.requestType"></a>

```java
public java.lang.String getRequestType();
```

- *Type:* java.lang.String

The request type for the SLO List request. Valid values are `slo_list`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request_type Dashboard#request_type}

---

### DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery;

DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery.builder()
    .queryString(java.lang.String)
//  .limit(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery.property.queryString">queryString</a></code> | <code>java.lang.String</code> | Widget query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | Maximum number of results to display in the table. |

---

##### `queryString`<sup>Required</sup> <a name="queryString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery.property.queryString"></a>

```java
public java.lang.String getQueryString();
```

- *Type:* java.lang.String

Widget query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_string Dashboard#query_string}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

Maximum number of results to display in the table.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinition <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition;

DashboardWidgetGroupDefinitionWidgetSunburstDefinition.builder()
//  .customLink(IResolvable)
//  .customLink(java.util.List<DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink>)
//  .hideTotal(java.lang.Boolean)
//  .hideTotal(IResolvable)
//  .legendInline(DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline)
//  .legendTable(DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable)
//  .liveSpan(java.lang.String)
//  .request(IResolvable)
//  .request(java.util.List<DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest>)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.customLink">customLink</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink</a>></code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.hideTotal">hideTotal</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether or not to show the total value in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.legendInline">legendInline</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline</a></code> | legend_inline block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.legendTable">legendTable</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable</a></code> | legend_table block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.request">request</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest</a>></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. One of `left`, `center`, or `right`. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title. Default is 16. |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.customLink"></a>

```java
public java.lang.Object getCustomLink();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink</a>>

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `hideTotal`<sup>Optional</sup> <a name="hideTotal" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.hideTotal"></a>

```java
public java.lang.Object getHideTotal();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether or not to show the total value in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_total Dashboard#hide_total}

---

##### `legendInline`<sup>Optional</sup> <a name="legendInline" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.legendInline"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline getLegendInline();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline</a>

legend_inline block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_inline Dashboard#legend_inline}

---

##### `legendTable`<sup>Optional</sup> <a name="legendTable" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.legendTable"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable getLegendTable();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable</a>

legend_table block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_table Dashboard#legend_table}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.request"></a>

```java
public java.lang.Object getRequest();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest</a>>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. One of `left`, `center`, or `right`. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title. Default is 16.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.builder()
//  .isHidden(java.lang.Boolean)
//  .isHidden(IResolvable)
//  .label(java.lang.String)
//  .link(java.lang.String)
//  .overrideLabel(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.label">label</a></code> | <code>java.lang.String</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.link">link</a></code> | <code>java.lang.String</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>java.lang.String</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.isHidden"></a>

```java
public java.lang.Object getIsHidden();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.link"></a>

```java
public java.lang.String getLink();
```

- *Type:* java.lang.String

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.overrideLabel"></a>

```java
public java.lang.String getOverrideLabel();
```

- *Type:* java.lang.String

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline.builder()
    .type(java.lang.String)
//  .hidePercent(java.lang.Boolean)
//  .hidePercent(IResolvable)
//  .hideValue(java.lang.Boolean)
//  .hideValue(IResolvable)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline.property.type">type</a></code> | <code>java.lang.String</code> | The type of legend (inline or automatic). Valid values are `inline`, `automatic`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline.property.hidePercent">hidePercent</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to hide the percentages of the groups. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline.property.hideValue">hideValue</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to hide the values of the groups. |

---

##### `type`<sup>Required</sup> <a name="type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline.property.type"></a>

```java
public java.lang.String getType();
```

- *Type:* java.lang.String

The type of legend (inline or automatic). Valid values are `inline`, `automatic`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#type Dashboard#type}

---

##### `hidePercent`<sup>Optional</sup> <a name="hidePercent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline.property.hidePercent"></a>

```java
public java.lang.Object getHidePercent();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to hide the percentages of the groups.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_percent Dashboard#hide_percent}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline.property.hideValue"></a>

```java
public java.lang.Object getHideValue();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to hide the values of the groups.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable.builder()
    .type(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable.property.type">type</a></code> | <code>java.lang.String</code> | The type of legend (table or none). Valid values are `table`, `none`. |

---

##### `type`<sup>Required</sup> <a name="type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable.property.type"></a>

```java
public java.lang.String getType();
```

- *Type:* java.lang.String

The type of legend (table or none). Valid values are `table`, `none`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#type Dashboard#type}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.builder()
//  .apmQuery(DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery)
//  .auditQuery(DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery)
//  .formula(IResolvable)
//  .formula(java.util.List<DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula>)
//  .logQuery(DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery)
//  .networkQuery(DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery)
//  .processQuery(DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery)
//  .q(java.lang.String)
//  .query(IResolvable)
//  .query(java.util.List<DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery>)
//  .rumQuery(DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery)
//  .securityQuery(DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.auditQuery">auditQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.formula">formula</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula</a>></code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.networkQuery">networkQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery</a></code> | network_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.q">q</a></code> | <code>java.lang.String</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.query">query</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery</a>></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery</a></code> | security_query block. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.apmQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery getApmQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `auditQuery`<sup>Optional</sup> <a name="auditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.auditQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery getAuditQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.formula"></a>

```java
public java.lang.Object getFormula();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula</a>>

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.logQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery getLogQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `networkQuery`<sup>Optional</sup> <a name="networkQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.networkQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery getNetworkQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery</a>

network_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#network_query Dashboard#network_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.processQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.query"></a>

```java
public java.lang.Object getQuery();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery</a>>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.rumQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery getRumQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.securityQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery getSecurityQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.builder()
    .formulaExpression(java.lang.String)
//  .alias(java.lang.String)
//  .cellDisplayMode(java.lang.String)
//  .conditionalFormats(IResolvable)
//  .conditionalFormats(java.util.List<DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats>)
//  .limit(DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit)
//  .style(DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>java.lang.String</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.alias">alias</a></code> | <code>java.lang.String</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>java.lang.String</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats</a>></code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.formulaExpression"></a>

```java
public java.lang.String getFormulaExpression();
```

- *Type:* java.lang.String

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.alias"></a>

```java
public java.lang.String getAlias();
```

- *Type:* java.lang.String

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.cellDisplayMode"></a>

```java
public java.lang.String getCellDisplayMode();
```

- *Type:* java.lang.String

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.conditionalFormats"></a>

```java
public java.lang.Object getConditionalFormats();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats</a>>

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.limit"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit getLimit();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.style"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.builder()
    .comparator(java.lang.String)
    .palette(java.lang.String)
    .value(java.lang.Number)
//  .customBgColor(java.lang.String)
//  .customFgColor(java.lang.String)
//  .hideValue(java.lang.Boolean)
//  .hideValue(IResolvable)
//  .imageUrl(java.lang.String)
//  .metric(java.lang.String)
//  .timeframe(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>java.lang.String</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>java.lang.Number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>java.lang.String</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>java.lang.String</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```java
public java.lang.String getComparator();
```

- *Type:* java.lang.String

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.value"></a>

```java
public java.lang.Number getValue();
```

- *Type:* java.lang.Number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```java
public java.lang.String getCustomBgColor();
```

- *Type:* java.lang.String

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```java
public java.lang.String getCustomFgColor();
```

- *Type:* java.lang.String

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```java
public java.lang.Object getHideValue();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```java
public java.lang.String getImageUrl();
```

- *Type:* java.lang.String

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```java
public java.lang.String getTimeframe();
```

- *Type:* java.lang.String

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit.builder()
//  .count(java.lang.Number)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>java.lang.Number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit.property.count"></a>

```java
public java.lang.Number getCount();
```

- *Type:* java.lang.Number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle.builder()
//  .palette(java.lang.String)
//  .paletteIndex(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>java.lang.Number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```java
public java.lang.Number getPaletteIndex();
```

- *Type:* java.lang.Number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.builder()
    .metric(java.lang.String)
//  .filterBy(java.util.List<java.lang.String>)
//  .limit(java.lang.Number)
//  .searchBy(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>java.util.List<java.lang.String></code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>java.lang.String</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.filterBy"></a>

```java
public java.util.List<java.lang.String> getFilterBy();
```

- *Type:* java.util.List<java.lang.String>

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.searchBy"></a>

```java
public java.lang.String getSearchBy();
```

- *Type:* java.lang.String

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.builder()
//  .apmDependencyStatsQuery(DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery)
//  .apmResourceStatsQuery(DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery)
//  .eventQuery(DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery)
//  .metricQuery(DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery)
//  .processQuery(DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery getApmDependencyStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery getApmResourceStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.eventQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery getEventQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.metricQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery getMetricQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.processQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .operationName(java.lang.String)
    .resourceName(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .isUpstream(java.lang.Boolean)
//  .isUpstream(IResolvable)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```java
public java.lang.Object getIsUpstream();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .groupBy(java.util.List<java.lang.String>)
//  .operationName(java.lang.String)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
//  .resourceName(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>java.util.List<java.lang.String></code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```java
public java.util.List<java.lang.String> getGroupBy();
```

- *Type:* java.util.List<java.lang.String>

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.builder()
    .compute(IResolvable)
    .compute(java.util.List<DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute>)
    .dataSource(java.lang.String)
    .name(java.lang.String)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy>)
//  .indexes(java.util.List<java.lang.String>)
//  .search(DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch)
//  .storage(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute</a>></code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>java.util.List<java.lang.String></code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>java.lang.String</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.compute"></a>

```java
public java.lang.Object getCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute</a>>

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.indexes"></a>

```java
public java.util.List<java.lang.String> getIndexes();
```

- *Type:* java.util.List<java.lang.String>

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.search"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch getSearch();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.storage"></a>

```java
public java.lang.String getStorage();
```

- *Type:* java.lang.String

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute.builder()
    .aggregation(java.lang.String)
//  .interval(java.lang.Number)
//  .metric(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>java.lang.String</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.builder()
    .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sort(DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort getSort();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.builder()
    .aggregation(java.lang.String)
//  .metric(java.lang.String)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>java.lang.String</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch.builder()
    .query(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>java.lang.String</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.builder()
    .name(java.lang.String)
    .query(java.lang.String)
//  .aggregator(java.lang.String)
//  .dataSource(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>java.lang.String</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.builder()
    .dataSource(java.lang.String)
    .metric(java.lang.String)
    .name(java.lang.String)
//  .aggregator(java.lang.String)
//  .isNormalizedCpu(java.lang.Boolean)
//  .isNormalizedCpu(IResolvable)
//  .limit(java.lang.Number)
//  .sort(java.lang.String)
//  .tagFilters(java.util.List<java.lang.String>)
//  .textFilter(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>java.util.List<java.lang.String></code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>java.lang.String</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```java
public java.lang.Object getIsNormalizedCpu();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.sort"></a>

```java
public java.lang.String getSort();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```java
public java.util.List<java.lang.String> getTagFilters();
```

- *Type:* java.util.List<java.lang.String>

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```java
public java.lang.String getTextFilter();
```

- *Type:* java.lang.String

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.builder()
//  .customLink(IResolvable)
//  .customLink(java.util.List<DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink>)
//  .event(IResolvable)
//  .event(java.util.List<DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent>)
//  .legendColumns(java.util.List<java.lang.String>)
//  .legendLayout(java.lang.String)
//  .legendSize(java.lang.String)
//  .liveSpan(java.lang.String)
//  .marker(IResolvable)
//  .marker(java.util.List<DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker>)
//  .request(IResolvable)
//  .request(java.util.List<DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest>)
//  .rightYaxis(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis)
//  .showLegend(java.lang.Boolean)
//  .showLegend(IResolvable)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
//  .yaxis(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.customLink">customLink</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink</a>></code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.event">event</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent</a>></code> | event block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.legendColumns">legendColumns</a></code> | <code>java.util.List<java.lang.String></code> | A list of columns to display in the legend. Valid values are `value`, `avg`, `sum`, `min`, `max`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.legendLayout">legendLayout</a></code> | <code>java.lang.String</code> | The layout of the legend displayed in the widget. Valid values are `auto`, `horizontal`, `vertical`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.legendSize">legendSize</a></code> | <code>java.lang.String</code> | The size of the legend displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.marker">marker</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker</a>></code> | marker block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.request">request</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest</a>></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.rightYaxis">rightYaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis</a></code> | right_yaxis block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.showLegend">showLegend</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether or not to show the legend on this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.yaxis">yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis</a></code> | yaxis block. |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.customLink"></a>

```java
public java.lang.Object getCustomLink();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink</a>>

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `event`<sup>Optional</sup> <a name="event" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.event"></a>

```java
public java.lang.Object getEvent();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent</a>>

event block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event Dashboard#event}

---

##### `legendColumns`<sup>Optional</sup> <a name="legendColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.legendColumns"></a>

```java
public java.util.List<java.lang.String> getLegendColumns();
```

- *Type:* java.util.List<java.lang.String>

A list of columns to display in the legend. Valid values are `value`, `avg`, `sum`, `min`, `max`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_columns Dashboard#legend_columns}

---

##### `legendLayout`<sup>Optional</sup> <a name="legendLayout" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.legendLayout"></a>

```java
public java.lang.String getLegendLayout();
```

- *Type:* java.lang.String

The layout of the legend displayed in the widget. Valid values are `auto`, `horizontal`, `vertical`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_layout Dashboard#legend_layout}

---

##### `legendSize`<sup>Optional</sup> <a name="legendSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.legendSize"></a>

```java
public java.lang.String getLegendSize();
```

- *Type:* java.lang.String

The size of the legend displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_size Dashboard#legend_size}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `marker`<sup>Optional</sup> <a name="marker" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.marker"></a>

```java
public java.lang.Object getMarker();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker</a>>

marker block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#marker Dashboard#marker}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.request"></a>

```java
public java.lang.Object getRequest();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest</a>>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `rightYaxis`<sup>Optional</sup> <a name="rightYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.rightYaxis"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis getRightYaxis();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis</a>

right_yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#right_yaxis Dashboard#right_yaxis}

---

##### `showLegend`<sup>Optional</sup> <a name="showLegend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.showLegend"></a>

```java
public java.lang.Object getShowLegend();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether or not to show the legend on this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_legend Dashboard#show_legend}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `yaxis`<sup>Optional</sup> <a name="yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.yaxis"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis getYaxis();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.builder()
//  .isHidden(java.lang.Boolean)
//  .isHidden(IResolvable)
//  .label(java.lang.String)
//  .link(java.lang.String)
//  .overrideLabel(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.label">label</a></code> | <code>java.lang.String</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.link">link</a></code> | <code>java.lang.String</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>java.lang.String</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.isHidden"></a>

```java
public java.lang.Object getIsHidden();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.link"></a>

```java
public java.lang.String getLink();
```

- *Type:* java.lang.String

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.overrideLabel"></a>

```java
public java.lang.String getOverrideLabel();
```

- *Type:* java.lang.String

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent.builder()
    .q(java.lang.String)
//  .tagsExecution(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent.property.q">q</a></code> | <code>java.lang.String</code> | The event query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent.property.tagsExecution">tagsExecution</a></code> | <code>java.lang.String</code> | The execution method for multi-value filters. |

---

##### `q`<sup>Required</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

The event query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `tagsExecution`<sup>Optional</sup> <a name="tagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent.property.tagsExecution"></a>

```java
public java.lang.String getTagsExecution();
```

- *Type:* java.lang.String

The execution method for multi-value filters.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker.builder()
    .value(java.lang.String)
//  .displayType(java.lang.String)
//  .label(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker.property.value">value</a></code> | <code>java.lang.String</code> | A mathematical expression describing the marker, for example: `y > 1`, `-5 < y < 0`, `y = 19`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker.property.displayType">displayType</a></code> | <code>java.lang.String</code> | How the marker lines are displayed, options are one of {`error`, `warning`, `info`, `ok`} combined with one of {`dashed`, `solid`, `bold`}. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker.property.label">label</a></code> | <code>java.lang.String</code> | A label for the line or range. |

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker.property.value"></a>

```java
public java.lang.String getValue();
```

- *Type:* java.lang.String

A mathematical expression describing the marker, for example: `y > 1`, `-5 < y < 0`, `y = 19`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `displayType`<sup>Optional</sup> <a name="displayType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker.property.displayType"></a>

```java
public java.lang.String getDisplayType();
```

- *Type:* java.lang.String

How the marker lines are displayed, options are one of {`error`, `warning`, `info`, `ok`} combined with one of {`dashed`, `solid`, `bold`}.

Example: `error dashed`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_type Dashboard#display_type}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

A label for the line or range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.builder()
//  .apmQuery(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery)
//  .auditQuery(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery)
//  .displayType(java.lang.String)
//  .formula(IResolvable)
//  .formula(java.util.List<DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula>)
//  .logQuery(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery)
//  .metadata(IResolvable)
//  .metadata(java.util.List<DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata>)
//  .networkQuery(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery)
//  .onRightYaxis(java.lang.Boolean)
//  .onRightYaxis(IResolvable)
//  .processQuery(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery)
//  .q(java.lang.String)
//  .query(IResolvable)
//  .query(java.util.List<DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery>)
//  .rumQuery(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery)
//  .securityQuery(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery)
//  .style(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.auditQuery">auditQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.displayType">displayType</a></code> | <code>java.lang.String</code> | How to display the marker lines. Valid values are `area`, `bars`, `line`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.formula">formula</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula</a>></code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.metadata">metadata</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata</a>></code> | metadata block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.networkQuery">networkQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery</a></code> | network_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.onRightYaxis">onRightYaxis</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | A Boolean indicating whether the request uses the right or left Y-Axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.q">q</a></code> | <code>java.lang.String</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.query">query</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery</a>></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle</a></code> | style block. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.apmQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery getApmQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `auditQuery`<sup>Optional</sup> <a name="auditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.auditQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery getAuditQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `displayType`<sup>Optional</sup> <a name="displayType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.displayType"></a>

```java
public java.lang.String getDisplayType();
```

- *Type:* java.lang.String

How to display the marker lines. Valid values are `area`, `bars`, `line`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_type Dashboard#display_type}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.formula"></a>

```java
public java.lang.Object getFormula();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula</a>>

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.logQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery getLogQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `metadata`<sup>Optional</sup> <a name="metadata" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.metadata"></a>

```java
public java.lang.Object getMetadata();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata</a>>

metadata block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metadata Dashboard#metadata}

---

##### `networkQuery`<sup>Optional</sup> <a name="networkQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.networkQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery getNetworkQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery</a>

network_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#network_query Dashboard#network_query}

---

##### `onRightYaxis`<sup>Optional</sup> <a name="onRightYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.onRightYaxis"></a>

```java
public java.lang.Object getOnRightYaxis();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

A Boolean indicating whether the request uses the right or left Y-Axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#on_right_yaxis Dashboard#on_right_yaxis}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.processQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.query"></a>

```java
public java.lang.Object getQuery();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery</a>>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.rumQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery getRumQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.securityQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery getSecurityQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.style"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.builder()
    .formulaExpression(java.lang.String)
//  .alias(java.lang.String)
//  .cellDisplayMode(java.lang.String)
//  .conditionalFormats(IResolvable)
//  .conditionalFormats(java.util.List<DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats>)
//  .limit(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit)
//  .style(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>java.lang.String</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.alias">alias</a></code> | <code>java.lang.String</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>java.lang.String</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats</a>></code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.formulaExpression"></a>

```java
public java.lang.String getFormulaExpression();
```

- *Type:* java.lang.String

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.alias"></a>

```java
public java.lang.String getAlias();
```

- *Type:* java.lang.String

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.cellDisplayMode"></a>

```java
public java.lang.String getCellDisplayMode();
```

- *Type:* java.lang.String

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.conditionalFormats"></a>

```java
public java.lang.Object getConditionalFormats();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats</a>>

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.limit"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit getLimit();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.style"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.builder()
    .comparator(java.lang.String)
    .palette(java.lang.String)
    .value(java.lang.Number)
//  .customBgColor(java.lang.String)
//  .customFgColor(java.lang.String)
//  .hideValue(java.lang.Boolean)
//  .hideValue(IResolvable)
//  .imageUrl(java.lang.String)
//  .metric(java.lang.String)
//  .timeframe(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>java.lang.String</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>java.lang.Number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>java.lang.String</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>java.lang.String</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```java
public java.lang.String getComparator();
```

- *Type:* java.lang.String

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.value"></a>

```java
public java.lang.Number getValue();
```

- *Type:* java.lang.Number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```java
public java.lang.String getCustomBgColor();
```

- *Type:* java.lang.String

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```java
public java.lang.String getCustomFgColor();
```

- *Type:* java.lang.String

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```java
public java.lang.Object getHideValue();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```java
public java.lang.String getImageUrl();
```

- *Type:* java.lang.String

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```java
public java.lang.String getTimeframe();
```

- *Type:* java.lang.String

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit.builder()
//  .count(java.lang.Number)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>java.lang.Number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit.property.count"></a>

```java
public java.lang.Number getCount();
```

- *Type:* java.lang.Number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle.builder()
//  .palette(java.lang.String)
//  .paletteIndex(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>java.lang.Number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```java
public java.lang.Number getPaletteIndex();
```

- *Type:* java.lang.Number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata.builder()
    .expression(java.lang.String)
//  .aliasName(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata.property.expression">expression</a></code> | <code>java.lang.String</code> | The expression name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata.property.aliasName">aliasName</a></code> | <code>java.lang.String</code> | The expression alias. |

---

##### `expression`<sup>Required</sup> <a name="expression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata.property.expression"></a>

```java
public java.lang.String getExpression();
```

- *Type:* java.lang.String

The expression name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#expression Dashboard#expression}

---

##### `aliasName`<sup>Optional</sup> <a name="aliasName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata.property.aliasName"></a>

```java
public java.lang.String getAliasName();
```

- *Type:* java.lang.String

The expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias_name Dashboard#alias_name}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.builder()
    .metric(java.lang.String)
//  .filterBy(java.util.List<java.lang.String>)
//  .limit(java.lang.Number)
//  .searchBy(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>java.util.List<java.lang.String></code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>java.lang.String</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.filterBy"></a>

```java
public java.util.List<java.lang.String> getFilterBy();
```

- *Type:* java.util.List<java.lang.String>

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.searchBy"></a>

```java
public java.lang.String getSearchBy();
```

- *Type:* java.lang.String

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.builder()
//  .apmDependencyStatsQuery(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery)
//  .apmResourceStatsQuery(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery)
//  .eventQuery(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery)
//  .metricQuery(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery)
//  .processQuery(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery getApmDependencyStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery getApmResourceStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.eventQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery getEventQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.metricQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery getMetricQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.processQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .operationName(java.lang.String)
    .resourceName(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .isUpstream(java.lang.Boolean)
//  .isUpstream(IResolvable)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```java
public java.lang.Object getIsUpstream();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .groupBy(java.util.List<java.lang.String>)
//  .operationName(java.lang.String)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
//  .resourceName(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>java.util.List<java.lang.String></code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```java
public java.util.List<java.lang.String> getGroupBy();
```

- *Type:* java.util.List<java.lang.String>

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.builder()
    .compute(IResolvable)
    .compute(java.util.List<DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute>)
    .dataSource(java.lang.String)
    .name(java.lang.String)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy>)
//  .indexes(java.util.List<java.lang.String>)
//  .search(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch)
//  .storage(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute</a>></code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>java.util.List<java.lang.String></code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>java.lang.String</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.compute"></a>

```java
public java.lang.Object getCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute</a>>

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.indexes"></a>

```java
public java.util.List<java.lang.String> getIndexes();
```

- *Type:* java.util.List<java.lang.String>

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.search"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch getSearch();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.storage"></a>

```java
public java.lang.String getStorage();
```

- *Type:* java.lang.String

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.builder()
    .aggregation(java.lang.String)
//  .interval(java.lang.Number)
//  .metric(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>java.lang.String</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.builder()
    .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sort(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort getSort();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.builder()
    .aggregation(java.lang.String)
//  .metric(java.lang.String)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>java.lang.String</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch.builder()
    .query(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>java.lang.String</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.builder()
    .name(java.lang.String)
    .query(java.lang.String)
//  .aggregator(java.lang.String)
//  .dataSource(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>java.lang.String</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.builder()
    .dataSource(java.lang.String)
    .metric(java.lang.String)
    .name(java.lang.String)
//  .aggregator(java.lang.String)
//  .isNormalizedCpu(java.lang.Boolean)
//  .isNormalizedCpu(IResolvable)
//  .limit(java.lang.Number)
//  .sort(java.lang.String)
//  .tagFilters(java.util.List<java.lang.String>)
//  .textFilter(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>java.util.List<java.lang.String></code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>java.lang.String</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```java
public java.lang.Object getIsNormalizedCpu();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.sort"></a>

```java
public java.lang.String getSort();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```java
public java.util.List<java.lang.String> getTagFilters();
```

- *Type:* java.util.List<java.lang.String>

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```java
public java.lang.String getTextFilter();
```

- *Type:* java.lang.String

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle.builder()
//  .lineType(java.lang.String)
//  .lineWidth(java.lang.String)
//  .palette(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle.property.lineType">lineType</a></code> | <code>java.lang.String</code> | The type of lines displayed. Valid values are `dashed`, `dotted`, `solid`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle.property.lineWidth">lineWidth</a></code> | <code>java.lang.String</code> | The width of line displayed. Valid values are `normal`, `thick`, `thin`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle.property.palette">palette</a></code> | <code>java.lang.String</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `lineType`<sup>Optional</sup> <a name="lineType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle.property.lineType"></a>

```java
public java.lang.String getLineType();
```

- *Type:* java.lang.String

The type of lines displayed. Valid values are `dashed`, `dotted`, `solid`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#line_type Dashboard#line_type}

---

##### `lineWidth`<sup>Optional</sup> <a name="lineWidth" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle.property.lineWidth"></a>

```java
public java.lang.String getLineWidth();
```

- *Type:* java.lang.String

The width of line displayed. Valid values are `normal`, `thick`, `thin`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#line_width Dashboard#line_width}

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.builder()
//  .includeZero(java.lang.Boolean)
//  .includeZero(IResolvable)
//  .label(java.lang.String)
//  .max(java.lang.String)
//  .min(java.lang.String)
//  .scale(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.includeZero">includeZero</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.label">label</a></code> | <code>java.lang.String</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.max">max</a></code> | <code>java.lang.String</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.min">min</a></code> | <code>java.lang.String</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.scale">scale</a></code> | <code>java.lang.String</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `includeZero`<sup>Optional</sup> <a name="includeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.includeZero"></a>

```java
public java.lang.Object getIncludeZero();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.max"></a>

```java
public java.lang.String getMax();
```

- *Type:* java.lang.String

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.min"></a>

```java
public java.lang.String getMin();
```

- *Type:* java.lang.String

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.scale"></a>

```java
public java.lang.String getScale();
```

- *Type:* java.lang.String

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis;

DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.builder()
//  .includeZero(java.lang.Boolean)
//  .includeZero(IResolvable)
//  .label(java.lang.String)
//  .max(java.lang.String)
//  .min(java.lang.String)
//  .scale(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.includeZero">includeZero</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.label">label</a></code> | <code>java.lang.String</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.max">max</a></code> | <code>java.lang.String</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.min">min</a></code> | <code>java.lang.String</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.scale">scale</a></code> | <code>java.lang.String</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `includeZero`<sup>Optional</sup> <a name="includeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.includeZero"></a>

```java
public java.lang.Object getIncludeZero();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.max"></a>

```java
public java.lang.String getMax();
```

- *Type:* java.lang.String

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.min"></a>

```java
public java.lang.String getMin();
```

- *Type:* java.lang.String

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.scale"></a>

```java
public java.lang.String getScale();
```

- *Type:* java.lang.String

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinition <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition;

DashboardWidgetGroupDefinitionWidgetToplistDefinition.builder()
//  .customLink(IResolvable)
//  .customLink(java.util.List<DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink>)
//  .liveSpan(java.lang.String)
//  .request(IResolvable)
//  .request(java.util.List<DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest>)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.customLink">customLink</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink</a>></code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.request">request</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest</a>></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.customLink"></a>

```java
public java.lang.Object getCustomLink();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink</a>>

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.request"></a>

```java
public java.lang.Object getRequest();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest</a>>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.builder()
//  .isHidden(java.lang.Boolean)
//  .isHidden(IResolvable)
//  .label(java.lang.String)
//  .link(java.lang.String)
//  .overrideLabel(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.label">label</a></code> | <code>java.lang.String</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.link">link</a></code> | <code>java.lang.String</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>java.lang.String</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.isHidden"></a>

```java
public java.lang.Object getIsHidden();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.link"></a>

```java
public java.lang.String getLink();
```

- *Type:* java.lang.String

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.overrideLabel"></a>

```java
public java.lang.String getOverrideLabel();
```

- *Type:* java.lang.String

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.builder()
//  .apmQuery(DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery)
//  .auditQuery(DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery)
//  .conditionalFormats(IResolvable)
//  .conditionalFormats(java.util.List<DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats>)
//  .formula(IResolvable)
//  .formula(java.util.List<DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula>)
//  .logQuery(DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery)
//  .processQuery(DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery)
//  .q(java.lang.String)
//  .query(IResolvable)
//  .query(java.util.List<DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery>)
//  .rumQuery(DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery)
//  .securityQuery(DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery)
//  .style(DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.auditQuery">auditQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.conditionalFormats">conditionalFormats</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats</a>></code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.formula">formula</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula</a>></code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.q">q</a></code> | <code>java.lang.String</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.query">query</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery</a>></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle</a></code> | style block. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.apmQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery getApmQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `auditQuery`<sup>Optional</sup> <a name="auditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.auditQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery getAuditQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.conditionalFormats"></a>

```java
public java.lang.Object getConditionalFormats();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats</a>>

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.formula"></a>

```java
public java.lang.Object getFormula();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula</a>>

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.logQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery getLogQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.processQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.query"></a>

```java
public java.lang.Object getQuery();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery</a>>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.rumQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery getRumQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.securityQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery getSecurityQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.style"></a>

```java
public DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.builder()
    .comparator(java.lang.String)
    .palette(java.lang.String)
    .value(java.lang.Number)
//  .customBgColor(java.lang.String)
//  .customFgColor(java.lang.String)
//  .hideValue(java.lang.Boolean)
//  .hideValue(IResolvable)
//  .imageUrl(java.lang.String)
//  .metric(java.lang.String)
//  .timeframe(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.comparator">comparator</a></code> | <code>java.lang.String</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.value">value</a></code> | <code>java.lang.Number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.hideValue">hideValue</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>java.lang.String</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.timeframe">timeframe</a></code> | <code>java.lang.String</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.comparator"></a>

```java
public java.lang.String getComparator();
```

- *Type:* java.lang.String

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.value"></a>

```java
public java.lang.Number getValue();
```

- *Type:* java.lang.Number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.customBgColor"></a>

```java
public java.lang.String getCustomBgColor();
```

- *Type:* java.lang.String

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.customFgColor"></a>

```java
public java.lang.String getCustomFgColor();
```

- *Type:* java.lang.String

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.hideValue"></a>

```java
public java.lang.Object getHideValue();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.imageUrl"></a>

```java
public java.lang.String getImageUrl();
```

- *Type:* java.lang.String

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.timeframe"></a>

```java
public java.lang.String getTimeframe();
```

- *Type:* java.lang.String

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.builder()
    .formulaExpression(java.lang.String)
//  .alias(java.lang.String)
//  .cellDisplayMode(java.lang.String)
//  .conditionalFormats(IResolvable)
//  .conditionalFormats(java.util.List<DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats>)
//  .limit(DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit)
//  .style(DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>java.lang.String</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.alias">alias</a></code> | <code>java.lang.String</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>java.lang.String</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats</a>></code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.formulaExpression"></a>

```java
public java.lang.String getFormulaExpression();
```

- *Type:* java.lang.String

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.alias"></a>

```java
public java.lang.String getAlias();
```

- *Type:* java.lang.String

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.cellDisplayMode"></a>

```java
public java.lang.String getCellDisplayMode();
```

- *Type:* java.lang.String

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.conditionalFormats"></a>

```java
public java.lang.Object getConditionalFormats();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats</a>>

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.limit"></a>

```java
public DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit getLimit();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.style"></a>

```java
public DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.builder()
    .comparator(java.lang.String)
    .palette(java.lang.String)
    .value(java.lang.Number)
//  .customBgColor(java.lang.String)
//  .customFgColor(java.lang.String)
//  .hideValue(java.lang.Boolean)
//  .hideValue(IResolvable)
//  .imageUrl(java.lang.String)
//  .metric(java.lang.String)
//  .timeframe(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>java.lang.String</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>java.lang.Number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>java.lang.String</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>java.lang.String</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```java
public java.lang.String getComparator();
```

- *Type:* java.lang.String

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.value"></a>

```java
public java.lang.Number getValue();
```

- *Type:* java.lang.Number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```java
public java.lang.String getCustomBgColor();
```

- *Type:* java.lang.String

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```java
public java.lang.String getCustomFgColor();
```

- *Type:* java.lang.String

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```java
public java.lang.Object getHideValue();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```java
public java.lang.String getImageUrl();
```

- *Type:* java.lang.String

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```java
public java.lang.String getTimeframe();
```

- *Type:* java.lang.String

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit.builder()
//  .count(java.lang.Number)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>java.lang.Number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit.property.count"></a>

```java
public java.lang.Number getCount();
```

- *Type:* java.lang.Number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle.builder()
//  .palette(java.lang.String)
//  .paletteIndex(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>java.lang.Number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```java
public java.lang.Number getPaletteIndex();
```

- *Type:* java.lang.Number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.builder()
    .metric(java.lang.String)
//  .filterBy(java.util.List<java.lang.String>)
//  .limit(java.lang.Number)
//  .searchBy(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>java.util.List<java.lang.String></code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>java.lang.String</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.filterBy"></a>

```java
public java.util.List<java.lang.String> getFilterBy();
```

- *Type:* java.util.List<java.lang.String>

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.searchBy"></a>

```java
public java.lang.String getSearchBy();
```

- *Type:* java.lang.String

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.builder()
//  .apmDependencyStatsQuery(DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery)
//  .apmResourceStatsQuery(DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery)
//  .eventQuery(DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery)
//  .metricQuery(DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery)
//  .processQuery(DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery getApmDependencyStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery getApmResourceStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.eventQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery getEventQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.metricQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery getMetricQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.processQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .operationName(java.lang.String)
    .resourceName(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .isUpstream(java.lang.Boolean)
//  .isUpstream(IResolvable)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```java
public java.lang.Object getIsUpstream();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .groupBy(java.util.List<java.lang.String>)
//  .operationName(java.lang.String)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
//  .resourceName(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>java.util.List<java.lang.String></code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```java
public java.util.List<java.lang.String> getGroupBy();
```

- *Type:* java.util.List<java.lang.String>

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.builder()
    .compute(IResolvable)
    .compute(java.util.List<DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute>)
    .dataSource(java.lang.String)
    .name(java.lang.String)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy>)
//  .indexes(java.util.List<java.lang.String>)
//  .search(DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch)
//  .storage(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute</a>></code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>java.util.List<java.lang.String></code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>java.lang.String</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.compute"></a>

```java
public java.lang.Object getCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute</a>>

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.indexes"></a>

```java
public java.util.List<java.lang.String> getIndexes();
```

- *Type:* java.util.List<java.lang.String>

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.search"></a>

```java
public DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch getSearch();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.storage"></a>

```java
public java.lang.String getStorage();
```

- *Type:* java.lang.String

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute.builder()
    .aggregation(java.lang.String)
//  .interval(java.lang.Number)
//  .metric(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>java.lang.String</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy.builder()
    .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sort(DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```java
public DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort getSort();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.builder()
    .aggregation(java.lang.String)
//  .metric(java.lang.String)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>java.lang.String</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch.builder()
    .query(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>java.lang.String</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.builder()
    .name(java.lang.String)
    .query(java.lang.String)
//  .aggregator(java.lang.String)
//  .dataSource(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>java.lang.String</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.builder()
    .dataSource(java.lang.String)
    .metric(java.lang.String)
    .name(java.lang.String)
//  .aggregator(java.lang.String)
//  .isNormalizedCpu(java.lang.Boolean)
//  .isNormalizedCpu(IResolvable)
//  .limit(java.lang.Number)
//  .sort(java.lang.String)
//  .tagFilters(java.util.List<java.lang.String>)
//  .textFilter(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>java.util.List<java.lang.String></code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>java.lang.String</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```java
public java.lang.Object getIsNormalizedCpu();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.sort"></a>

```java
public java.lang.String getSort();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```java
public java.util.List<java.lang.String> getTagFilters();
```

- *Type:* java.util.List<java.lang.String>

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```java
public java.lang.String getTextFilter();
```

- *Type:* java.lang.String

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle;

DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle.builder()
//  .palette(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle.property.palette">palette</a></code> | <code>java.lang.String</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition <a name="DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition;

DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.builder()
//  .customLink(IResolvable)
//  .customLink(java.util.List<DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink>)
//  .request(IResolvable)
//  .request(java.util.List<DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest>)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.customLink">customLink</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink</a>></code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.request">request</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest</a>></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.customLink"></a>

```java
public java.lang.Object getCustomLink();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink</a>>

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.request"></a>

```java
public java.lang.Object getRequest();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest</a>>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink;

DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.builder()
//  .isHidden(java.lang.Boolean)
//  .isHidden(IResolvable)
//  .label(java.lang.String)
//  .link(java.lang.String)
//  .overrideLabel(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.label">label</a></code> | <code>java.lang.String</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.link">link</a></code> | <code>java.lang.String</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>java.lang.String</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.isHidden"></a>

```java
public java.lang.Object getIsHidden();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.link"></a>

```java
public java.lang.String getLink();
```

- *Type:* java.lang.String

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.overrideLabel"></a>

```java
public java.lang.String getOverrideLabel();
```

- *Type:* java.lang.String

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest;

DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest.builder()
    .query(IResolvable)
    .query(java.util.List<DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery>)
    .requestType(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest.property.query">query</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery</a>></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest.property.requestType">requestType</a></code> | <code>java.lang.String</code> | The request type for the Topology request ('topology'). Valid values are `topology`. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest.property.query"></a>

```java
public java.lang.Object getQuery();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery</a>>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `requestType`<sup>Required</sup> <a name="requestType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest.property.requestType"></a>

```java
public java.lang.String getRequestType();
```

- *Type:* java.lang.String

The request type for the Topology request ('topology'). Valid values are `topology`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request_type Dashboard#request_type}

---

### DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery;

DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery.builder()
    .dataSource(java.lang.String)
    .filters(java.util.List<java.lang.String>)
    .service(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for the Topology request ('service_map' or 'data_streams'). Valid values are `data_streams`, `service_map`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery.property.filters">filters</a></code> | <code>java.util.List<java.lang.String></code> | Your environment and primary tag (or `*` if enabled for your account). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery.property.service">service</a></code> | <code>java.lang.String</code> | The ID of the service to map. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for the Topology request ('service_map' or 'data_streams'). Valid values are `data_streams`, `service_map`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `filters`<sup>Required</sup> <a name="filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery.property.filters"></a>

```java
public java.util.List<java.lang.String> getFilters();
```

- *Type:* java.util.List<java.lang.String>

Your environment and primary tag (or `*` if enabled for your account).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filters Dashboard#filters}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

The ID of the service to map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

### DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition <a name="DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition;

DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.builder()
    .env(java.lang.String)
    .service(java.lang.String)
    .spanName(java.lang.String)
//  .displayFormat(java.lang.String)
//  .liveSpan(java.lang.String)
//  .showBreakdown(java.lang.Boolean)
//  .showBreakdown(IResolvable)
//  .showDistribution(java.lang.Boolean)
//  .showDistribution(IResolvable)
//  .showErrors(java.lang.Boolean)
//  .showErrors(IResolvable)
//  .showHits(java.lang.Boolean)
//  .showHits(IResolvable)
//  .showLatency(java.lang.Boolean)
//  .showLatency(IResolvable)
//  .showResourceList(java.lang.Boolean)
//  .showResourceList(IResolvable)
//  .sizeFormat(java.lang.String)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.env">env</a></code> | <code>java.lang.String</code> | APM environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.spanName">spanName</a></code> | <code>java.lang.String</code> | APM span name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.displayFormat">displayFormat</a></code> | <code>java.lang.String</code> | The number of columns to display. Valid values are `one_column`, `two_column`, `three_column`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showBreakdown">showBreakdown</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to show the latency breakdown or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showDistribution">showDistribution</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to show the latency distribution or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showErrors">showErrors</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to show the error metrics or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showHits">showHits</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to show the hits metrics or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showLatency">showLatency</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to show the latency metrics or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showResourceList">showResourceList</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to show the resource list or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.sizeFormat">sizeFormat</a></code> | <code>java.lang.String</code> | The size of the widget. Valid values are `small`, `medium`, `large`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `spanName`<sup>Required</sup> <a name="spanName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.spanName"></a>

```java
public java.lang.String getSpanName();
```

- *Type:* java.lang.String

APM span name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#span_name Dashboard#span_name}

---

##### `displayFormat`<sup>Optional</sup> <a name="displayFormat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.displayFormat"></a>

```java
public java.lang.String getDisplayFormat();
```

- *Type:* java.lang.String

The number of columns to display. Valid values are `one_column`, `two_column`, `three_column`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_format Dashboard#display_format}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `showBreakdown`<sup>Optional</sup> <a name="showBreakdown" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showBreakdown"></a>

```java
public java.lang.Object getShowBreakdown();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to show the latency breakdown or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_breakdown Dashboard#show_breakdown}

---

##### `showDistribution`<sup>Optional</sup> <a name="showDistribution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showDistribution"></a>

```java
public java.lang.Object getShowDistribution();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to show the latency distribution or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_distribution Dashboard#show_distribution}

---

##### `showErrors`<sup>Optional</sup> <a name="showErrors" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showErrors"></a>

```java
public java.lang.Object getShowErrors();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to show the error metrics or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_errors Dashboard#show_errors}

---

##### `showHits`<sup>Optional</sup> <a name="showHits" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showHits"></a>

```java
public java.lang.Object getShowHits();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to show the hits metrics or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_hits Dashboard#show_hits}

---

##### `showLatency`<sup>Optional</sup> <a name="showLatency" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showLatency"></a>

```java
public java.lang.Object getShowLatency();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to show the latency metrics or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_latency Dashboard#show_latency}

---

##### `showResourceList`<sup>Optional</sup> <a name="showResourceList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showResourceList"></a>

```java
public java.lang.Object getShowResourceList();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to show the resource list or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_resource_list Dashboard#show_resource_list}

---

##### `sizeFormat`<sup>Optional</sup> <a name="sizeFormat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.sizeFormat"></a>

```java
public java.lang.String getSizeFormat();
```

- *Type:* java.lang.String

The size of the widget. Valid values are `small`, `medium`, `large`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#size_format Dashboard#size_format}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinition <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition;

DashboardWidgetGroupDefinitionWidgetTreemapDefinition.builder()
//  .request(IResolvable)
//  .request(java.util.List<DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest>)
//  .title(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition.property.request">request</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest</a>></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition.property.request"></a>

```java
public java.lang.Object getRequest();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest</a>>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest;

DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest.builder()
//  .formula(IResolvable)
//  .formula(java.util.List<DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula>)
//  .query(IResolvable)
//  .query(java.util.List<DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery>)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest.property.formula">formula</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula</a>></code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest.property.query">query</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery</a>></code> | query block. |

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest.property.formula"></a>

```java
public java.lang.Object getFormula();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula</a>>

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest.property.query"></a>

```java
public java.lang.Object getQuery();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery</a>>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula;

DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.builder()
    .formulaExpression(java.lang.String)
//  .alias(java.lang.String)
//  .cellDisplayMode(java.lang.String)
//  .conditionalFormats(IResolvable)
//  .conditionalFormats(java.util.List<DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats>)
//  .limit(DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit)
//  .style(DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>java.lang.String</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.alias">alias</a></code> | <code>java.lang.String</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>java.lang.String</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats</a>></code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.formulaExpression"></a>

```java
public java.lang.String getFormulaExpression();
```

- *Type:* java.lang.String

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.alias"></a>

```java
public java.lang.String getAlias();
```

- *Type:* java.lang.String

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.cellDisplayMode"></a>

```java
public java.lang.String getCellDisplayMode();
```

- *Type:* java.lang.String

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.conditionalFormats"></a>

```java
public java.lang.Object getConditionalFormats();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats</a>>

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.limit"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit getLimit();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.style"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats;

DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.builder()
    .comparator(java.lang.String)
    .palette(java.lang.String)
    .value(java.lang.Number)
//  .customBgColor(java.lang.String)
//  .customFgColor(java.lang.String)
//  .hideValue(java.lang.Boolean)
//  .hideValue(IResolvable)
//  .imageUrl(java.lang.String)
//  .metric(java.lang.String)
//  .timeframe(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>java.lang.String</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>java.lang.Number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>java.lang.String</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>java.lang.String</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```java
public java.lang.String getComparator();
```

- *Type:* java.lang.String

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.value"></a>

```java
public java.lang.Number getValue();
```

- *Type:* java.lang.Number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```java
public java.lang.String getCustomBgColor();
```

- *Type:* java.lang.String

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```java
public java.lang.String getCustomFgColor();
```

- *Type:* java.lang.String

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```java
public java.lang.Object getHideValue();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```java
public java.lang.String getImageUrl();
```

- *Type:* java.lang.String

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```java
public java.lang.String getTimeframe();
```

- *Type:* java.lang.String

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit;

DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit.builder()
//  .count(java.lang.Number)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>java.lang.Number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit.property.count"></a>

```java
public java.lang.Number getCount();
```

- *Type:* java.lang.Number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle;

DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle.builder()
//  .palette(java.lang.String)
//  .paletteIndex(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>java.lang.Number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```java
public java.lang.Number getPaletteIndex();
```

- *Type:* java.lang.Number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery;

DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.builder()
//  .apmDependencyStatsQuery(DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery)
//  .apmResourceStatsQuery(DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery)
//  .eventQuery(DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery)
//  .metricQuery(DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery)
//  .processQuery(DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery getApmDependencyStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery getApmResourceStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.eventQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery getEventQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.metricQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery getMetricQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.processQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery;

DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .operationName(java.lang.String)
    .resourceName(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .isUpstream(java.lang.Boolean)
//  .isUpstream(IResolvable)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```java
public java.lang.Object getIsUpstream();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery;

DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .groupBy(java.util.List<java.lang.String>)
//  .operationName(java.lang.String)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
//  .resourceName(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>java.util.List<java.lang.String></code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```java
public java.util.List<java.lang.String> getGroupBy();
```

- *Type:* java.util.List<java.lang.String>

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery;

DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.builder()
    .compute(IResolvable)
    .compute(java.util.List<DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute>)
    .dataSource(java.lang.String)
    .name(java.lang.String)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy>)
//  .indexes(java.util.List<java.lang.String>)
//  .search(DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch)
//  .storage(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute</a>></code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>java.util.List<java.lang.String></code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>java.lang.String</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.compute"></a>

```java
public java.lang.Object getCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute</a>>

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.indexes"></a>

```java
public java.util.List<java.lang.String> getIndexes();
```

- *Type:* java.util.List<java.lang.String>

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.search"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch getSearch();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.storage"></a>

```java
public java.lang.String getStorage();
```

- *Type:* java.lang.String

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute;

DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute.builder()
    .aggregation(java.lang.String)
//  .interval(java.lang.Number)
//  .metric(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>java.lang.String</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy;

DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.builder()
    .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sort(DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```java
public DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort getSort();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort;

DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.builder()
    .aggregation(java.lang.String)
//  .metric(java.lang.String)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>java.lang.String</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch;

DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch.builder()
    .query(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>java.lang.String</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery;

DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.builder()
    .name(java.lang.String)
    .query(java.lang.String)
//  .aggregator(java.lang.String)
//  .dataSource(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>java.lang.String</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery;

DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.builder()
    .dataSource(java.lang.String)
    .metric(java.lang.String)
    .name(java.lang.String)
//  .aggregator(java.lang.String)
//  .isNormalizedCpu(java.lang.Boolean)
//  .isNormalizedCpu(IResolvable)
//  .limit(java.lang.Number)
//  .sort(java.lang.String)
//  .tagFilters(java.util.List<java.lang.String>)
//  .textFilter(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>java.util.List<java.lang.String></code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>java.lang.String</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```java
public java.lang.Object getIsNormalizedCpu();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.sort"></a>

```java
public java.lang.String getSort();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```java
public java.util.List<java.lang.String> getTagFilters();
```

- *Type:* java.util.List<java.lang.String>

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```java
public java.lang.String getTextFilter();
```

- *Type:* java.lang.String

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetWidgetLayout <a name="DashboardWidgetGroupDefinitionWidgetWidgetLayout" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout;

DashboardWidgetGroupDefinitionWidgetWidgetLayout.builder()
    .height(java.lang.Number)
    .width(java.lang.Number)
    .x(java.lang.Number)
    .y(java.lang.Number)
//  .isColumnBreak(java.lang.Boolean)
//  .isColumnBreak(IResolvable)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.height">height</a></code> | <code>java.lang.Number</code> | The height of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.width">width</a></code> | <code>java.lang.Number</code> | The width of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.x">x</a></code> | <code>java.lang.Number</code> | The position of the widget on the x (horizontal) axis. Should be greater than or equal to 0. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.y">y</a></code> | <code>java.lang.Number</code> | The position of the widget on the y (vertical) axis. Should be greater than or equal to 0. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.isColumnBreak">isColumnBreak</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether the widget should be the first one on the second column in high density or not. |

---

##### `height`<sup>Required</sup> <a name="height" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.height"></a>

```java
public java.lang.Number getHeight();
```

- *Type:* java.lang.Number

The height of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#height Dashboard#height}

---

##### `width`<sup>Required</sup> <a name="width" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.width"></a>

```java
public java.lang.Number getWidth();
```

- *Type:* java.lang.Number

The width of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#width Dashboard#width}

---

##### `x`<sup>Required</sup> <a name="x" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.x"></a>

```java
public java.lang.Number getX();
```

- *Type:* java.lang.Number

The position of the widget on the x (horizontal) axis. Should be greater than or equal to 0.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#x Dashboard#x}

---

##### `y`<sup>Required</sup> <a name="y" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.y"></a>

```java
public java.lang.Number getY();
```

- *Type:* java.lang.Number

The position of the widget on the y (vertical) axis. Should be greater than or equal to 0.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#y Dashboard#y}

---

##### `isColumnBreak`<sup>Optional</sup> <a name="isColumnBreak" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.isColumnBreak"></a>

```java
public java.lang.Object getIsColumnBreak();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether the widget should be the first one on the second column in high density or not.

Only for the new dashboard layout and only one widget in the dashboard should have this property set to `true`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_column_break Dashboard#is_column_break}

---

### DashboardWidgetHeatmapDefinition <a name="DashboardWidgetHeatmapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHeatmapDefinition;

DashboardWidgetHeatmapDefinition.builder()
//  .customLink(IResolvable)
//  .customLink(java.util.List<DashboardWidgetHeatmapDefinitionCustomLink>)
//  .event(IResolvable)
//  .event(java.util.List<DashboardWidgetHeatmapDefinitionEvent>)
//  .legendSize(java.lang.String)
//  .liveSpan(java.lang.String)
//  .request(IResolvable)
//  .request(java.util.List<DashboardWidgetHeatmapDefinitionRequest>)
//  .showLegend(java.lang.Boolean)
//  .showLegend(IResolvable)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
//  .yaxis(DashboardWidgetHeatmapDefinitionYaxis)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.customLink">customLink</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink">DashboardWidgetHeatmapDefinitionCustomLink</a>></code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.event">event</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent">DashboardWidgetHeatmapDefinitionEvent</a>></code> | event block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.legendSize">legendSize</a></code> | <code>java.lang.String</code> | The size of the legend displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.request">request</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest">DashboardWidgetHeatmapDefinitionRequest</a>></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.showLegend">showLegend</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether or not to show the legend on this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.yaxis">yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis">DashboardWidgetHeatmapDefinitionYaxis</a></code> | yaxis block. |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.customLink"></a>

```java
public java.lang.Object getCustomLink();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink">DashboardWidgetHeatmapDefinitionCustomLink</a>>

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `event`<sup>Optional</sup> <a name="event" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.event"></a>

```java
public java.lang.Object getEvent();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent">DashboardWidgetHeatmapDefinitionEvent</a>>

event block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event Dashboard#event}

---

##### `legendSize`<sup>Optional</sup> <a name="legendSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.legendSize"></a>

```java
public java.lang.String getLegendSize();
```

- *Type:* java.lang.String

The size of the legend displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_size Dashboard#legend_size}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.request"></a>

```java
public java.lang.Object getRequest();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest">DashboardWidgetHeatmapDefinitionRequest</a>>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `showLegend`<sup>Optional</sup> <a name="showLegend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.showLegend"></a>

```java
public java.lang.Object getShowLegend();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether or not to show the legend on this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_legend Dashboard#show_legend}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `yaxis`<sup>Optional</sup> <a name="yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.yaxis"></a>

```java
public DashboardWidgetHeatmapDefinitionYaxis getYaxis();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis">DashboardWidgetHeatmapDefinitionYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetHeatmapDefinitionCustomLink <a name="DashboardWidgetHeatmapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink;

DashboardWidgetHeatmapDefinitionCustomLink.builder()
//  .isHidden(java.lang.Boolean)
//  .isHidden(IResolvable)
//  .label(java.lang.String)
//  .link(java.lang.String)
//  .overrideLabel(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.label">label</a></code> | <code>java.lang.String</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.link">link</a></code> | <code>java.lang.String</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>java.lang.String</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.isHidden"></a>

```java
public java.lang.Object getIsHidden();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.link"></a>

```java
public java.lang.String getLink();
```

- *Type:* java.lang.String

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.overrideLabel"></a>

```java
public java.lang.String getOverrideLabel();
```

- *Type:* java.lang.String

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetHeatmapDefinitionEvent <a name="DashboardWidgetHeatmapDefinitionEvent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent;

DashboardWidgetHeatmapDefinitionEvent.builder()
    .q(java.lang.String)
//  .tagsExecution(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent.property.q">q</a></code> | <code>java.lang.String</code> | The event query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent.property.tagsExecution">tagsExecution</a></code> | <code>java.lang.String</code> | The execution method for multi-value filters. |

---

##### `q`<sup>Required</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

The event query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `tagsExecution`<sup>Optional</sup> <a name="tagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent.property.tagsExecution"></a>

```java
public java.lang.String getTagsExecution();
```

- *Type:* java.lang.String

The execution method for multi-value filters.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

### DashboardWidgetHeatmapDefinitionRequest <a name="DashboardWidgetHeatmapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest;

DashboardWidgetHeatmapDefinitionRequest.builder()
//  .apmQuery(DashboardWidgetHeatmapDefinitionRequestApmQuery)
//  .logQuery(DashboardWidgetHeatmapDefinitionRequestLogQuery)
//  .processQuery(DashboardWidgetHeatmapDefinitionRequestProcessQuery)
//  .q(java.lang.String)
//  .rumQuery(DashboardWidgetHeatmapDefinitionRequestRumQuery)
//  .securityQuery(DashboardWidgetHeatmapDefinitionRequestSecurityQuery)
//  .style(DashboardWidgetHeatmapDefinitionRequestStyle)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery">DashboardWidgetHeatmapDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery">DashboardWidgetHeatmapDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery">DashboardWidgetHeatmapDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.q">q</a></code> | <code>java.lang.String</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery">DashboardWidgetHeatmapDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery">DashboardWidgetHeatmapDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestStyle">DashboardWidgetHeatmapDefinitionRequestStyle</a></code> | style block. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.apmQuery"></a>

```java
public DashboardWidgetHeatmapDefinitionRequestApmQuery getApmQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery">DashboardWidgetHeatmapDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.logQuery"></a>

```java
public DashboardWidgetHeatmapDefinitionRequestLogQuery getLogQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery">DashboardWidgetHeatmapDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.processQuery"></a>

```java
public DashboardWidgetHeatmapDefinitionRequestProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery">DashboardWidgetHeatmapDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.rumQuery"></a>

```java
public DashboardWidgetHeatmapDefinitionRequestRumQuery getRumQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery">DashboardWidgetHeatmapDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.securityQuery"></a>

```java
public DashboardWidgetHeatmapDefinitionRequestSecurityQuery getSecurityQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery">DashboardWidgetHeatmapDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.style"></a>

```java
public DashboardWidgetHeatmapDefinitionRequestStyle getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestStyle">DashboardWidgetHeatmapDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetHeatmapDefinitionRequestApmQuery <a name="DashboardWidgetHeatmapDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery;

DashboardWidgetHeatmapDefinitionRequestApmQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy">DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute">DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.computeQuery"></a>

```java
public DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy">DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute">DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery;

DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy;

DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery;

DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute;

DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestLogQuery <a name="DashboardWidgetHeatmapDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery;

DashboardWidgetHeatmapDefinitionRequestLogQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy">DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute">DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.computeQuery"></a>

```java
public DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy">DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute">DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery;

DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy;

DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery;

DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute;

DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestProcessQuery <a name="DashboardWidgetHeatmapDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery;

DashboardWidgetHeatmapDefinitionRequestProcessQuery.builder()
    .metric(java.lang.String)
//  .filterBy(java.util.List<java.lang.String>)
//  .limit(java.lang.Number)
//  .searchBy(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>java.util.List<java.lang.String></code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>java.lang.String</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.filterBy"></a>

```java
public java.util.List<java.lang.String> getFilterBy();
```

- *Type:* java.util.List<java.lang.String>

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.searchBy"></a>

```java
public java.lang.String getSearchBy();
```

- *Type:* java.lang.String

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetHeatmapDefinitionRequestRumQuery <a name="DashboardWidgetHeatmapDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery;

DashboardWidgetHeatmapDefinitionRequestRumQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy">DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute">DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.computeQuery"></a>

```java
public DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy">DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute">DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery;

DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy;

DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery;

DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute;

DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestSecurityQuery <a name="DashboardWidgetHeatmapDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery;

DashboardWidgetHeatmapDefinitionRequestSecurityQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy">DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.computeQuery"></a>

```java
public DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy">DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery;

DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy;

DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery;

DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute;

DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestStyle <a name="DashboardWidgetHeatmapDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestStyle.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestStyle;

DashboardWidgetHeatmapDefinitionRequestStyle.builder()
//  .palette(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestStyle.property.palette">palette</a></code> | <code>java.lang.String</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestStyle.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetHeatmapDefinitionYaxis <a name="DashboardWidgetHeatmapDefinitionYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis;

DashboardWidgetHeatmapDefinitionYaxis.builder()
//  .includeZero(java.lang.Boolean)
//  .includeZero(IResolvable)
//  .label(java.lang.String)
//  .max(java.lang.String)
//  .min(java.lang.String)
//  .scale(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.includeZero">includeZero</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.label">label</a></code> | <code>java.lang.String</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.max">max</a></code> | <code>java.lang.String</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.min">min</a></code> | <code>java.lang.String</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.scale">scale</a></code> | <code>java.lang.String</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `includeZero`<sup>Optional</sup> <a name="includeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.includeZero"></a>

```java
public java.lang.Object getIncludeZero();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.max"></a>

```java
public java.lang.String getMax();
```

- *Type:* java.lang.String

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.min"></a>

```java
public java.lang.String getMin();
```

- *Type:* java.lang.String

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.scale"></a>

```java
public java.lang.String getScale();
```

- *Type:* java.lang.String

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetHostmapDefinition <a name="DashboardWidgetHostmapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinition;

DashboardWidgetHostmapDefinition.builder()
//  .customLink(IResolvable)
//  .customLink(java.util.List<DashboardWidgetHostmapDefinitionCustomLink>)
//  .group(java.util.List<java.lang.String>)
//  .nodeType(java.lang.String)
//  .noGroupHosts(java.lang.Boolean)
//  .noGroupHosts(IResolvable)
//  .noMetricHosts(java.lang.Boolean)
//  .noMetricHosts(IResolvable)
//  .request(DashboardWidgetHostmapDefinitionRequest)
//  .scope(java.util.List<java.lang.String>)
//  .style(DashboardWidgetHostmapDefinitionStyle)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.customLink">customLink</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink">DashboardWidgetHostmapDefinitionCustomLink</a>></code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.group">group</a></code> | <code>java.util.List<java.lang.String></code> | The list of tags to group nodes by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.nodeType">nodeType</a></code> | <code>java.lang.String</code> | The type of node used. Valid values are `host`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.noGroupHosts">noGroupHosts</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | A Boolean indicating whether to show ungrouped nodes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.noMetricHosts">noMetricHosts</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | A Boolean indicating whether to show nodes with no metrics. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.request">request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest">DashboardWidgetHostmapDefinitionRequest</a></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.scope">scope</a></code> | <code>java.util.List<java.lang.String></code> | The list of tags to filter nodes by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle">DashboardWidgetHostmapDefinitionStyle</a></code> | style block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.customLink"></a>

```java
public java.lang.Object getCustomLink();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink">DashboardWidgetHostmapDefinitionCustomLink</a>>

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `group`<sup>Optional</sup> <a name="group" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.group"></a>

```java
public java.util.List<java.lang.String> getGroup();
```

- *Type:* java.util.List<java.lang.String>

The list of tags to group nodes by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group Dashboard#group}

---

##### `nodeType`<sup>Optional</sup> <a name="nodeType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.nodeType"></a>

```java
public java.lang.String getNodeType();
```

- *Type:* java.lang.String

The type of node used. Valid values are `host`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#node_type Dashboard#node_type}

---

##### `noGroupHosts`<sup>Optional</sup> <a name="noGroupHosts" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.noGroupHosts"></a>

```java
public java.lang.Object getNoGroupHosts();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

A Boolean indicating whether to show ungrouped nodes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#no_group_hosts Dashboard#no_group_hosts}

---

##### `noMetricHosts`<sup>Optional</sup> <a name="noMetricHosts" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.noMetricHosts"></a>

```java
public java.lang.Object getNoMetricHosts();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

A Boolean indicating whether to show nodes with no metrics.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#no_metric_hosts Dashboard#no_metric_hosts}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.request"></a>

```java
public DashboardWidgetHostmapDefinitionRequest getRequest();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest">DashboardWidgetHostmapDefinitionRequest</a>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `scope`<sup>Optional</sup> <a name="scope" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.scope"></a>

```java
public java.util.List<java.lang.String> getScope();
```

- *Type:* java.util.List<java.lang.String>

The list of tags to filter nodes by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scope Dashboard#scope}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.style"></a>

```java
public DashboardWidgetHostmapDefinitionStyle getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle">DashboardWidgetHostmapDefinitionStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetHostmapDefinitionCustomLink <a name="DashboardWidgetHostmapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink;

DashboardWidgetHostmapDefinitionCustomLink.builder()
//  .isHidden(java.lang.Boolean)
//  .isHidden(IResolvable)
//  .label(java.lang.String)
//  .link(java.lang.String)
//  .overrideLabel(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.label">label</a></code> | <code>java.lang.String</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.link">link</a></code> | <code>java.lang.String</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>java.lang.String</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.isHidden"></a>

```java
public java.lang.Object getIsHidden();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.link"></a>

```java
public java.lang.String getLink();
```

- *Type:* java.lang.String

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.overrideLabel"></a>

```java
public java.lang.String getOverrideLabel();
```

- *Type:* java.lang.String

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetHostmapDefinitionRequest <a name="DashboardWidgetHostmapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequest;

DashboardWidgetHostmapDefinitionRequest.builder()
//  .fill(IResolvable)
//  .fill(java.util.List<DashboardWidgetHostmapDefinitionRequestFill>)
//  .size(IResolvable)
//  .size(java.util.List<DashboardWidgetHostmapDefinitionRequestSize>)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest.property.fill">fill</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill">DashboardWidgetHostmapDefinitionRequestFill</a>></code> | fill block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest.property.size">size</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize">DashboardWidgetHostmapDefinitionRequestSize</a>></code> | size block. |

---

##### `fill`<sup>Optional</sup> <a name="fill" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest.property.fill"></a>

```java
public java.lang.Object getFill();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill">DashboardWidgetHostmapDefinitionRequestFill</a>>

fill block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#fill Dashboard#fill}

---

##### `size`<sup>Optional</sup> <a name="size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest.property.size"></a>

```java
public java.lang.Object getSize();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize">DashboardWidgetHostmapDefinitionRequestSize</a>>

size block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#size Dashboard#size}

---

### DashboardWidgetHostmapDefinitionRequestFill <a name="DashboardWidgetHostmapDefinitionRequestFill" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill;

DashboardWidgetHostmapDefinitionRequestFill.builder()
//  .apmQuery(DashboardWidgetHostmapDefinitionRequestFillApmQuery)
//  .logQuery(DashboardWidgetHostmapDefinitionRequestFillLogQuery)
//  .processQuery(DashboardWidgetHostmapDefinitionRequestFillProcessQuery)
//  .q(java.lang.String)
//  .rumQuery(DashboardWidgetHostmapDefinitionRequestFillRumQuery)
//  .securityQuery(DashboardWidgetHostmapDefinitionRequestFillSecurityQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery">DashboardWidgetHostmapDefinitionRequestFillApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery">DashboardWidgetHostmapDefinitionRequestFillLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery">DashboardWidgetHostmapDefinitionRequestFillProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.q">q</a></code> | <code>java.lang.String</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery">DashboardWidgetHostmapDefinitionRequestFillRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery">DashboardWidgetHostmapDefinitionRequestFillSecurityQuery</a></code> | security_query block. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.apmQuery"></a>

```java
public DashboardWidgetHostmapDefinitionRequestFillApmQuery getApmQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery">DashboardWidgetHostmapDefinitionRequestFillApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.logQuery"></a>

```java
public DashboardWidgetHostmapDefinitionRequestFillLogQuery getLogQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery">DashboardWidgetHostmapDefinitionRequestFillLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.processQuery"></a>

```java
public DashboardWidgetHostmapDefinitionRequestFillProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery">DashboardWidgetHostmapDefinitionRequestFillProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.rumQuery"></a>

```java
public DashboardWidgetHostmapDefinitionRequestFillRumQuery getRumQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery">DashboardWidgetHostmapDefinitionRequestFillRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.securityQuery"></a>

```java
public DashboardWidgetHostmapDefinitionRequestFillSecurityQuery getSecurityQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery">DashboardWidgetHostmapDefinitionRequestFillSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetHostmapDefinitionRequestFillApmQuery <a name="DashboardWidgetHostmapDefinitionRequestFillApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery;

DashboardWidgetHostmapDefinitionRequestFillApmQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy">DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.computeQuery"></a>

```java
public DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy">DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery;

DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy;

DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery;

DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute;

DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestFillLogQuery <a name="DashboardWidgetHostmapDefinitionRequestFillLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery;

DashboardWidgetHostmapDefinitionRequestFillLogQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy">DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.computeQuery"></a>

```java
public DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy">DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery;

DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy;

DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery;

DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute;

DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestFillProcessQuery <a name="DashboardWidgetHostmapDefinitionRequestFillProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery;

DashboardWidgetHostmapDefinitionRequestFillProcessQuery.builder()
    .metric(java.lang.String)
//  .filterBy(java.util.List<java.lang.String>)
//  .limit(java.lang.Number)
//  .searchBy(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.filterBy">filterBy</a></code> | <code>java.util.List<java.lang.String></code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.searchBy">searchBy</a></code> | <code>java.lang.String</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.filterBy"></a>

```java
public java.util.List<java.lang.String> getFilterBy();
```

- *Type:* java.util.List<java.lang.String>

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.searchBy"></a>

```java
public java.lang.String getSearchBy();
```

- *Type:* java.lang.String

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetHostmapDefinitionRequestFillRumQuery <a name="DashboardWidgetHostmapDefinitionRequestFillRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery;

DashboardWidgetHostmapDefinitionRequestFillRumQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy">DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.computeQuery"></a>

```java
public DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy">DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery;

DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy;

DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery;

DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute;

DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestFillSecurityQuery <a name="DashboardWidgetHostmapDefinitionRequestFillSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery;

DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy">DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.computeQuery"></a>

```java
public DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy">DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery;

DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy;

DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery;

DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute;

DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSize <a name="DashboardWidgetHostmapDefinitionRequestSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize;

DashboardWidgetHostmapDefinitionRequestSize.builder()
//  .apmQuery(DashboardWidgetHostmapDefinitionRequestSizeApmQuery)
//  .logQuery(DashboardWidgetHostmapDefinitionRequestSizeLogQuery)
//  .processQuery(DashboardWidgetHostmapDefinitionRequestSizeProcessQuery)
//  .q(java.lang.String)
//  .rumQuery(DashboardWidgetHostmapDefinitionRequestSizeRumQuery)
//  .securityQuery(DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery">DashboardWidgetHostmapDefinitionRequestSizeApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery">DashboardWidgetHostmapDefinitionRequestSizeLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery">DashboardWidgetHostmapDefinitionRequestSizeProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.q">q</a></code> | <code>java.lang.String</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery">DashboardWidgetHostmapDefinitionRequestSizeRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery">DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery</a></code> | security_query block. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.apmQuery"></a>

```java
public DashboardWidgetHostmapDefinitionRequestSizeApmQuery getApmQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery">DashboardWidgetHostmapDefinitionRequestSizeApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.logQuery"></a>

```java
public DashboardWidgetHostmapDefinitionRequestSizeLogQuery getLogQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery">DashboardWidgetHostmapDefinitionRequestSizeLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.processQuery"></a>

```java
public DashboardWidgetHostmapDefinitionRequestSizeProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery">DashboardWidgetHostmapDefinitionRequestSizeProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.rumQuery"></a>

```java
public DashboardWidgetHostmapDefinitionRequestSizeRumQuery getRumQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery">DashboardWidgetHostmapDefinitionRequestSizeRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.securityQuery"></a>

```java
public DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery getSecurityQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery">DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeApmQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery;

DashboardWidgetHostmapDefinitionRequestSizeApmQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy">DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.computeQuery"></a>

```java
public DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy">DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery;

DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy;

DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery;

DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute;

DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSizeLogQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery;

DashboardWidgetHostmapDefinitionRequestSizeLogQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy">DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.computeQuery"></a>

```java
public DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy">DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery;

DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy;

DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery;

DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute;

DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSizeProcessQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery;

DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.builder()
    .metric(java.lang.String)
//  .filterBy(java.util.List<java.lang.String>)
//  .limit(java.lang.Number)
//  .searchBy(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.filterBy">filterBy</a></code> | <code>java.util.List<java.lang.String></code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.searchBy">searchBy</a></code> | <code>java.lang.String</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.filterBy"></a>

```java
public java.util.List<java.lang.String> getFilterBy();
```

- *Type:* java.util.List<java.lang.String>

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.searchBy"></a>

```java
public java.lang.String getSearchBy();
```

- *Type:* java.lang.String

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetHostmapDefinitionRequestSizeRumQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery;

DashboardWidgetHostmapDefinitionRequestSizeRumQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy">DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.computeQuery"></a>

```java
public DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy">DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery;

DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy;

DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery;

DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute;

DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery;

DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy">DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.computeQuery"></a>

```java
public DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy">DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery;

DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy;

DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery;

DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute;

DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionStyle <a name="DashboardWidgetHostmapDefinitionStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetHostmapDefinitionStyle;

DashboardWidgetHostmapDefinitionStyle.builder()
//  .fillMax(java.lang.String)
//  .fillMin(java.lang.String)
//  .palette(java.lang.String)
//  .paletteFlip(java.lang.Boolean)
//  .paletteFlip(IResolvable)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.fillMax">fillMax</a></code> | <code>java.lang.String</code> | The max value to use to color the map. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.fillMin">fillMin</a></code> | <code>java.lang.String</code> | The min value to use to color the map. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.palette">palette</a></code> | <code>java.lang.String</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.paletteFlip">paletteFlip</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | A Boolean indicating whether to flip the palette tones. |

---

##### `fillMax`<sup>Optional</sup> <a name="fillMax" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.fillMax"></a>

```java
public java.lang.String getFillMax();
```

- *Type:* java.lang.String

The max value to use to color the map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#fill_max Dashboard#fill_max}

---

##### `fillMin`<sup>Optional</sup> <a name="fillMin" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.fillMin"></a>

```java
public java.lang.String getFillMin();
```

- *Type:* java.lang.String

The min value to use to color the map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#fill_min Dashboard#fill_min}

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteFlip`<sup>Optional</sup> <a name="paletteFlip" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.paletteFlip"></a>

```java
public java.lang.Object getPaletteFlip();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

A Boolean indicating whether to flip the palette tones.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_flip Dashboard#palette_flip}

---

### DashboardWidgetIframeDefinition <a name="DashboardWidgetIframeDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetIframeDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetIframeDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetIframeDefinition;

DashboardWidgetIframeDefinition.builder()
    .url(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetIframeDefinition.property.url">url</a></code> | <code>java.lang.String</code> | The URL to use as a data source for the widget. |

---

##### `url`<sup>Required</sup> <a name="url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetIframeDefinition.property.url"></a>

```java
public java.lang.String getUrl();
```

- *Type:* java.lang.String

The URL to use as a data source for the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#url Dashboard#url}

---

### DashboardWidgetImageDefinition <a name="DashboardWidgetImageDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetImageDefinition;

DashboardWidgetImageDefinition.builder()
    .url(java.lang.String)
//  .hasBackground(java.lang.Boolean)
//  .hasBackground(IResolvable)
//  .hasBorder(java.lang.Boolean)
//  .hasBorder(IResolvable)
//  .horizontalAlign(java.lang.String)
//  .margin(java.lang.String)
//  .sizing(java.lang.String)
//  .urlDarkTheme(java.lang.String)
//  .verticalAlign(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.url">url</a></code> | <code>java.lang.String</code> | The URL to use as a data source for the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.hasBackground">hasBackground</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to display a background or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.hasBorder">hasBorder</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to display a border or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.horizontalAlign">horizontalAlign</a></code> | <code>java.lang.String</code> | The horizontal alignment for the widget. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.margin">margin</a></code> | <code>java.lang.String</code> | The margins to use around the image. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.sizing">sizing</a></code> | <code>java.lang.String</code> | The preferred method to adapt the dimensions of the image. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.urlDarkTheme">urlDarkTheme</a></code> | <code>java.lang.String</code> | The URL in dark mode to use as a data source for the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.verticalAlign">verticalAlign</a></code> | <code>java.lang.String</code> | The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`. |

---

##### `url`<sup>Required</sup> <a name="url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.url"></a>

```java
public java.lang.String getUrl();
```

- *Type:* java.lang.String

The URL to use as a data source for the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#url Dashboard#url}

---

##### `hasBackground`<sup>Optional</sup> <a name="hasBackground" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.hasBackground"></a>

```java
public java.lang.Object getHasBackground();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to display a background or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_background Dashboard#has_background}

---

##### `hasBorder`<sup>Optional</sup> <a name="hasBorder" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.hasBorder"></a>

```java
public java.lang.Object getHasBorder();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to display a border or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_border Dashboard#has_border}

---

##### `horizontalAlign`<sup>Optional</sup> <a name="horizontalAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.horizontalAlign"></a>

```java
public java.lang.String getHorizontalAlign();
```

- *Type:* java.lang.String

The horizontal alignment for the widget. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#horizontal_align Dashboard#horizontal_align}

---

##### `margin`<sup>Optional</sup> <a name="margin" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.margin"></a>

```java
public java.lang.String getMargin();
```

- *Type:* java.lang.String

The margins to use around the image.

Note: `small` and `large` values are deprecated. Valid values are `sm`, `md`, `lg`, `small`, `large`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#margin Dashboard#margin}

---

##### `sizing`<sup>Optional</sup> <a name="sizing" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.sizing"></a>

```java
public java.lang.String getSizing();
```

- *Type:* java.lang.String

The preferred method to adapt the dimensions of the image.

The values are based on the image `object-fit` CSS properties. Note: `zoom`, `fit` and `center` values are deprecated. Valid values are `fill`, `contain`, `cover`, `none`, `scale-down`, `zoom`, `fit`, `center`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sizing Dashboard#sizing}

---

##### `urlDarkTheme`<sup>Optional</sup> <a name="urlDarkTheme" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.urlDarkTheme"></a>

```java
public java.lang.String getUrlDarkTheme();
```

- *Type:* java.lang.String

The URL in dark mode to use as a data source for the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#url_dark_theme Dashboard#url_dark_theme}

---

##### `verticalAlign`<sup>Optional</sup> <a name="verticalAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.verticalAlign"></a>

```java
public java.lang.String getVerticalAlign();
```

- *Type:* java.lang.String

The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#vertical_align Dashboard#vertical_align}

---

### DashboardWidgetListStreamDefinition <a name="DashboardWidgetListStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetListStreamDefinition;

DashboardWidgetListStreamDefinition.builder()
    .request(IResolvable)
    .request(java.util.List<DashboardWidgetListStreamDefinitionRequest>)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.request">request</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest">DashboardWidgetListStreamDefinitionRequest</a>></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title. Default is 16. |

---

##### `request`<sup>Required</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.request"></a>

```java
public java.lang.Object getRequest();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest">DashboardWidgetListStreamDefinitionRequest</a>>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title. Default is 16.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetListStreamDefinitionRequest <a name="DashboardWidgetListStreamDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetListStreamDefinitionRequest;

DashboardWidgetListStreamDefinitionRequest.builder()
    .columns(IResolvable)
    .columns(java.util.List<DashboardWidgetListStreamDefinitionRequestColumns>)
    .query(DashboardWidgetListStreamDefinitionRequestQuery)
    .responseFormat(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest.property.columns">columns</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns">DashboardWidgetListStreamDefinitionRequestColumns</a>></code> | columns block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest.property.query">query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery">DashboardWidgetListStreamDefinitionRequestQuery</a></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest.property.responseFormat">responseFormat</a></code> | <code>java.lang.String</code> | Widget response format. Valid values are `event_list`. |

---

##### `columns`<sup>Required</sup> <a name="columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest.property.columns"></a>

```java
public java.lang.Object getColumns();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns">DashboardWidgetListStreamDefinitionRequestColumns</a>>

columns block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest.property.query"></a>

```java
public DashboardWidgetListStreamDefinitionRequestQuery getQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery">DashboardWidgetListStreamDefinitionRequestQuery</a>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `responseFormat`<sup>Required</sup> <a name="responseFormat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest.property.responseFormat"></a>

```java
public java.lang.String getResponseFormat();
```

- *Type:* java.lang.String

Widget response format. Valid values are `event_list`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#response_format Dashboard#response_format}

---

### DashboardWidgetListStreamDefinitionRequestColumns <a name="DashboardWidgetListStreamDefinitionRequestColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns;

DashboardWidgetListStreamDefinitionRequestColumns.builder()
    .field(java.lang.String)
    .width(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns.property.field">field</a></code> | <code>java.lang.String</code> | Widget column field. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns.property.width">width</a></code> | <code>java.lang.String</code> | Widget column width. Valid values are `auto`, `compact`, `full`. |

---

##### `field`<sup>Required</sup> <a name="field" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns.property.field"></a>

```java
public java.lang.String getField();
```

- *Type:* java.lang.String

Widget column field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#field Dashboard#field}

---

##### `width`<sup>Required</sup> <a name="width" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns.property.width"></a>

```java
public java.lang.String getWidth();
```

- *Type:* java.lang.String

Widget column width. Valid values are `auto`, `compact`, `full`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#width Dashboard#width}

---

### DashboardWidgetListStreamDefinitionRequestQuery <a name="DashboardWidgetListStreamDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery;

DashboardWidgetListStreamDefinitionRequestQuery.builder()
    .dataSource(java.lang.String)
//  .eventSize(java.lang.String)
//  .indexes(java.util.List<java.lang.String>)
//  .queryString(java.lang.String)
//  .storage(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | Source from which to query items to display in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.eventSize">eventSize</a></code> | <code>java.lang.String</code> | Size of events displayed in widget. Required if `data_source` is `event_stream`. Valid values are `s`, `l`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.indexes">indexes</a></code> | <code>java.util.List<java.lang.String></code> | List of indexes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.queryString">queryString</a></code> | <code>java.lang.String</code> | Widget query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.storage">storage</a></code> | <code>java.lang.String</code> | Storage location (private beta). |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

Source from which to query items to display in the stream.

Valid values are `logs_stream`, `audit_stream`, `ci_pipeline_stream`, `ci_test_stream`, `rum_issue_stream`, `apm_issue_stream`, `logs_issue_stream`, `logs_pattern_stream`, `logs_transaction_stream`, `event_stream`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `eventSize`<sup>Optional</sup> <a name="eventSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.eventSize"></a>

```java
public java.lang.String getEventSize();
```

- *Type:* java.lang.String

Size of events displayed in widget. Required if `data_source` is `event_stream`. Valid values are `s`, `l`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_size Dashboard#event_size}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.indexes"></a>

```java
public java.util.List<java.lang.String> getIndexes();
```

- *Type:* java.util.List<java.lang.String>

List of indexes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `queryString`<sup>Optional</sup> <a name="queryString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.queryString"></a>

```java
public java.lang.String getQueryString();
```

- *Type:* java.lang.String

Widget query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_string Dashboard#query_string}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.storage"></a>

```java
public java.lang.String getStorage();
```

- *Type:* java.lang.String

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetLogStreamDefinition <a name="DashboardWidgetLogStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetLogStreamDefinition;

DashboardWidgetLogStreamDefinition.builder()
//  .columns(java.util.List<java.lang.String>)
//  .indexes(java.util.List<java.lang.String>)
//  .liveSpan(java.lang.String)
//  .messageDisplay(java.lang.String)
//  .query(java.lang.String)
//  .showDateColumn(java.lang.Boolean)
//  .showDateColumn(IResolvable)
//  .showMessageColumn(java.lang.Boolean)
//  .showMessageColumn(IResolvable)
//  .sort(DashboardWidgetLogStreamDefinitionSort)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.columns">columns</a></code> | <code>java.util.List<java.lang.String></code> | Stringified list of columns to use, for example: `["column1","column2","column3"]`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.indexes">indexes</a></code> | <code>java.util.List<java.lang.String></code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.messageDisplay">messageDisplay</a></code> | <code>java.lang.String</code> | The number of log lines to display. Valid values are `inline`, `expanded-md`, `expanded-lg`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.query">query</a></code> | <code>java.lang.String</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.showDateColumn">showDateColumn</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | If the date column should be displayed. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.showMessageColumn">showMessageColumn</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | If the message column should be displayed. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort">DashboardWidgetLogStreamDefinitionSort</a></code> | sort block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `columns`<sup>Optional</sup> <a name="columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.columns"></a>

```java
public java.util.List<java.lang.String> getColumns();
```

- *Type:* java.util.List<java.lang.String>

Stringified list of columns to use, for example: `["column1","column2","column3"]`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.indexes"></a>

```java
public java.util.List<java.lang.String> getIndexes();
```

- *Type:* java.util.List<java.lang.String>

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `messageDisplay`<sup>Optional</sup> <a name="messageDisplay" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.messageDisplay"></a>

```java
public java.lang.String getMessageDisplay();
```

- *Type:* java.lang.String

The number of log lines to display. Valid values are `inline`, `expanded-md`, `expanded-lg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#message_display Dashboard#message_display}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `showDateColumn`<sup>Optional</sup> <a name="showDateColumn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.showDateColumn"></a>

```java
public java.lang.Object getShowDateColumn();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

If the date column should be displayed.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_date_column Dashboard#show_date_column}

---

##### `showMessageColumn`<sup>Optional</sup> <a name="showMessageColumn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.showMessageColumn"></a>

```java
public java.lang.Object getShowMessageColumn();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

If the message column should be displayed.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_message_column Dashboard#show_message_column}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.sort"></a>

```java
public DashboardWidgetLogStreamDefinitionSort getSort();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort">DashboardWidgetLogStreamDefinitionSort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetLogStreamDefinitionSort <a name="DashboardWidgetLogStreamDefinitionSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetLogStreamDefinitionSort;

DashboardWidgetLogStreamDefinitionSort.builder()
    .column(java.lang.String)
    .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort.property.column">column</a></code> | <code>java.lang.String</code> | The facet path for the column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |

---

##### `column`<sup>Required</sup> <a name="column" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort.property.column"></a>

```java
public java.lang.String getColumn();
```

- *Type:* java.lang.String

The facet path for the column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#column Dashboard#column}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetManageStatusDefinition <a name="DashboardWidgetManageStatusDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetManageStatusDefinition;

DashboardWidgetManageStatusDefinition.builder()
    .query(java.lang.String)
//  .colorPreference(java.lang.String)
//  .displayFormat(java.lang.String)
//  .hideZeroCounts(java.lang.Boolean)
//  .hideZeroCounts(IResolvable)
//  .showLastTriggered(java.lang.Boolean)
//  .showLastTriggered(IResolvable)
//  .showPriority(java.lang.Boolean)
//  .showPriority(IResolvable)
//  .sort(java.lang.String)
//  .summaryType(java.lang.String)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.query">query</a></code> | <code>java.lang.String</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.colorPreference">colorPreference</a></code> | <code>java.lang.String</code> | Whether to colorize text or background. Valid values are `background`, `text`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.displayFormat">displayFormat</a></code> | <code>java.lang.String</code> | The display setting to use. Valid values are `counts`, `countsAndList`, `list`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.hideZeroCounts">hideZeroCounts</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | A Boolean indicating whether to hide empty categories. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.showLastTriggered">showLastTriggered</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | A Boolean indicating whether to show when monitors/groups last triggered. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.showPriority">showPriority</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to show the priorities column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.sort">sort</a></code> | <code>java.lang.String</code> | The method to sort the monitors. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.summaryType">summaryType</a></code> | <code>java.lang.String</code> | The summary type to use. Valid values are `monitors`, `groups`, `combined`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `colorPreference`<sup>Optional</sup> <a name="colorPreference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.colorPreference"></a>

```java
public java.lang.String getColorPreference();
```

- *Type:* java.lang.String

Whether to colorize text or background. Valid values are `background`, `text`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#color_preference Dashboard#color_preference}

---

##### `displayFormat`<sup>Optional</sup> <a name="displayFormat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.displayFormat"></a>

```java
public java.lang.String getDisplayFormat();
```

- *Type:* java.lang.String

The display setting to use. Valid values are `counts`, `countsAndList`, `list`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_format Dashboard#display_format}

---

##### `hideZeroCounts`<sup>Optional</sup> <a name="hideZeroCounts" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.hideZeroCounts"></a>

```java
public java.lang.Object getHideZeroCounts();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

A Boolean indicating whether to hide empty categories.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_zero_counts Dashboard#hide_zero_counts}

---

##### `showLastTriggered`<sup>Optional</sup> <a name="showLastTriggered" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.showLastTriggered"></a>

```java
public java.lang.Object getShowLastTriggered();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

A Boolean indicating whether to show when monitors/groups last triggered.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_last_triggered Dashboard#show_last_triggered}

---

##### `showPriority`<sup>Optional</sup> <a name="showPriority" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.showPriority"></a>

```java
public java.lang.Object getShowPriority();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to show the priorities column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_priority Dashboard#show_priority}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.sort"></a>

```java
public java.lang.String getSort();
```

- *Type:* java.lang.String

The method to sort the monitors.

Valid values are `name`, `group`, `status`, `tags`, `triggered`, `group,asc`, `group,desc`, `name,asc`, `name,desc`, `status,asc`, `status,desc`, `tags,asc`, `tags,desc`, `triggered,asc`, `triggered,desc`, `priority,asc`, `priority,desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `summaryType`<sup>Optional</sup> <a name="summaryType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.summaryType"></a>

```java
public java.lang.String getSummaryType();
```

- *Type:* java.lang.String

The summary type to use. Valid values are `monitors`, `groups`, `combined`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#summary_type Dashboard#summary_type}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetNoteDefinition <a name="DashboardWidgetNoteDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetNoteDefinition;

DashboardWidgetNoteDefinition.builder()
    .content(java.lang.String)
//  .backgroundColor(java.lang.String)
//  .fontSize(java.lang.String)
//  .hasPadding(java.lang.Boolean)
//  .hasPadding(IResolvable)
//  .showTick(java.lang.Boolean)
//  .showTick(IResolvable)
//  .textAlign(java.lang.String)
//  .tickEdge(java.lang.String)
//  .tickPos(java.lang.String)
//  .verticalAlign(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.content">content</a></code> | <code>java.lang.String</code> | The content of the note. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.backgroundColor">backgroundColor</a></code> | <code>java.lang.String</code> | The background color of the note. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.fontSize">fontSize</a></code> | <code>java.lang.String</code> | The size of the text. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.hasPadding">hasPadding</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to add padding or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.showTick">showTick</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to show a tick or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.textAlign">textAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's text. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.tickEdge">tickEdge</a></code> | <code>java.lang.String</code> | When `tick = true`, a string indicating on which side of the widget the tick should be displayed. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.tickPos">tickPos</a></code> | <code>java.lang.String</code> | When `tick = true`, a string with a percent sign indicating the position of the tick, for example: `tick_pos = "50%"` is centered alignment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.verticalAlign">verticalAlign</a></code> | <code>java.lang.String</code> | The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`. |

---

##### `content`<sup>Required</sup> <a name="content" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.content"></a>

```java
public java.lang.String getContent();
```

- *Type:* java.lang.String

The content of the note.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#content Dashboard#content}

---

##### `backgroundColor`<sup>Optional</sup> <a name="backgroundColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.backgroundColor"></a>

```java
public java.lang.String getBackgroundColor();
```

- *Type:* java.lang.String

The background color of the note.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#background_color Dashboard#background_color}

---

##### `fontSize`<sup>Optional</sup> <a name="fontSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.fontSize"></a>

```java
public java.lang.String getFontSize();
```

- *Type:* java.lang.String

The size of the text.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#font_size Dashboard#font_size}

---

##### `hasPadding`<sup>Optional</sup> <a name="hasPadding" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.hasPadding"></a>

```java
public java.lang.Object getHasPadding();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to add padding or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_padding Dashboard#has_padding}

---

##### `showTick`<sup>Optional</sup> <a name="showTick" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.showTick"></a>

```java
public java.lang.Object getShowTick();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to show a tick or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_tick Dashboard#show_tick}

---

##### `textAlign`<sup>Optional</sup> <a name="textAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.textAlign"></a>

```java
public java.lang.String getTextAlign();
```

- *Type:* java.lang.String

The alignment of the widget's text. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

##### `tickEdge`<sup>Optional</sup> <a name="tickEdge" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.tickEdge"></a>

```java
public java.lang.String getTickEdge();
```

- *Type:* java.lang.String

When `tick = true`, a string indicating on which side of the widget the tick should be displayed.

Valid values are `bottom`, `left`, `right`, `top`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tick_edge Dashboard#tick_edge}

---

##### `tickPos`<sup>Optional</sup> <a name="tickPos" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.tickPos"></a>

```java
public java.lang.String getTickPos();
```

- *Type:* java.lang.String

When `tick = true`, a string with a percent sign indicating the position of the tick, for example: `tick_pos = "50%"` is centered alignment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tick_pos Dashboard#tick_pos}

---

##### `verticalAlign`<sup>Optional</sup> <a name="verticalAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.verticalAlign"></a>

```java
public java.lang.String getVerticalAlign();
```

- *Type:* java.lang.String

The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#vertical_align Dashboard#vertical_align}

---

### DashboardWidgetQueryTableDefinition <a name="DashboardWidgetQueryTableDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinition;

DashboardWidgetQueryTableDefinition.builder()
//  .customLink(IResolvable)
//  .customLink(java.util.List<DashboardWidgetQueryTableDefinitionCustomLink>)
//  .hasSearchBar(java.lang.String)
//  .liveSpan(java.lang.String)
//  .request(IResolvable)
//  .request(java.util.List<DashboardWidgetQueryTableDefinitionRequest>)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.customLink">customLink</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink">DashboardWidgetQueryTableDefinitionCustomLink</a>></code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.hasSearchBar">hasSearchBar</a></code> | <code>java.lang.String</code> | Controls the display of the search bar. Valid values are `always`, `never`, `auto`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.request">request</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest">DashboardWidgetQueryTableDefinitionRequest</a>></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.customLink"></a>

```java
public java.lang.Object getCustomLink();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink">DashboardWidgetQueryTableDefinitionCustomLink</a>>

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `hasSearchBar`<sup>Optional</sup> <a name="hasSearchBar" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.hasSearchBar"></a>

```java
public java.lang.String getHasSearchBar();
```

- *Type:* java.lang.String

Controls the display of the search bar. Valid values are `always`, `never`, `auto`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_search_bar Dashboard#has_search_bar}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.request"></a>

```java
public java.lang.Object getRequest();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest">DashboardWidgetQueryTableDefinitionRequest</a>>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetQueryTableDefinitionCustomLink <a name="DashboardWidgetQueryTableDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink;

DashboardWidgetQueryTableDefinitionCustomLink.builder()
//  .isHidden(java.lang.Boolean)
//  .isHidden(IResolvable)
//  .label(java.lang.String)
//  .link(java.lang.String)
//  .overrideLabel(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.label">label</a></code> | <code>java.lang.String</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.link">link</a></code> | <code>java.lang.String</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>java.lang.String</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.isHidden"></a>

```java
public java.lang.Object getIsHidden();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.link"></a>

```java
public java.lang.String getLink();
```

- *Type:* java.lang.String

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.overrideLabel"></a>

```java
public java.lang.String getOverrideLabel();
```

- *Type:* java.lang.String

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetQueryTableDefinitionRequest <a name="DashboardWidgetQueryTableDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest;

DashboardWidgetQueryTableDefinitionRequest.builder()
//  .aggregator(java.lang.String)
//  .alias(java.lang.String)
//  .apmQuery(DashboardWidgetQueryTableDefinitionRequestApmQuery)
//  .apmStatsQuery(DashboardWidgetQueryTableDefinitionRequestApmStatsQuery)
//  .cellDisplayMode(java.util.List<java.lang.String>)
//  .conditionalFormats(IResolvable)
//  .conditionalFormats(java.util.List<DashboardWidgetQueryTableDefinitionRequestConditionalFormats>)
//  .formula(IResolvable)
//  .formula(java.util.List<DashboardWidgetQueryTableDefinitionRequestFormula>)
//  .limit(java.lang.Number)
//  .logQuery(DashboardWidgetQueryTableDefinitionRequestLogQuery)
//  .order(java.lang.String)
//  .processQuery(DashboardWidgetQueryTableDefinitionRequestProcessQuery)
//  .q(java.lang.String)
//  .query(IResolvable)
//  .query(java.util.List<DashboardWidgetQueryTableDefinitionRequestQuery>)
//  .rumQuery(DashboardWidgetQueryTableDefinitionRequestRumQuery)
//  .securityQuery(DashboardWidgetQueryTableDefinitionRequestSecurityQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.alias">alias</a></code> | <code>java.lang.String</code> | The alias for the column name (defaults to metric name). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery">DashboardWidgetQueryTableDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.apmStatsQuery">apmStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery">DashboardWidgetQueryTableDefinitionRequestApmStatsQuery</a></code> | apm_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.cellDisplayMode">cellDisplayMode</a></code> | <code>java.util.List<java.lang.String></code> | A list of display modes for each table cell. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.conditionalFormats">conditionalFormats</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats">DashboardWidgetQueryTableDefinitionRequestConditionalFormats</a>></code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.formula">formula</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula">DashboardWidgetQueryTableDefinitionRequestFormula</a>></code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of lines to show in the table. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery">DashboardWidgetQueryTableDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.order">order</a></code> | <code>java.lang.String</code> | The sort order for the rows. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery">DashboardWidgetQueryTableDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.q">q</a></code> | <code>java.lang.String</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.query">query</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery">DashboardWidgetQueryTableDefinitionRequestQuery</a>></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery">DashboardWidgetQueryTableDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery">DashboardWidgetQueryTableDefinitionRequestSecurityQuery</a></code> | security_query block. |

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.alias"></a>

```java
public java.lang.String getAlias();
```

- *Type:* java.lang.String

The alias for the column name (defaults to metric name).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.apmQuery"></a>

```java
public DashboardWidgetQueryTableDefinitionRequestApmQuery getApmQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery">DashboardWidgetQueryTableDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `apmStatsQuery`<sup>Optional</sup> <a name="apmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.apmStatsQuery"></a>

```java
public DashboardWidgetQueryTableDefinitionRequestApmStatsQuery getApmStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery">DashboardWidgetQueryTableDefinitionRequestApmStatsQuery</a>

apm_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_stats_query Dashboard#apm_stats_query}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.cellDisplayMode"></a>

```java
public java.util.List<java.lang.String> getCellDisplayMode();
```

- *Type:* java.util.List<java.lang.String>

A list of display modes for each table cell.

List items one of `number`, `bar`. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.conditionalFormats"></a>

```java
public java.lang.Object getConditionalFormats();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats">DashboardWidgetQueryTableDefinitionRequestConditionalFormats</a>>

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.formula"></a>

```java
public java.lang.Object getFormula();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula">DashboardWidgetQueryTableDefinitionRequestFormula</a>>

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of lines to show in the table.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.logQuery"></a>

```java
public DashboardWidgetQueryTableDefinitionRequestLogQuery getLogQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery">DashboardWidgetQueryTableDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

The sort order for the rows. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.processQuery"></a>

```java
public DashboardWidgetQueryTableDefinitionRequestProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery">DashboardWidgetQueryTableDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.query"></a>

```java
public java.lang.Object getQuery();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery">DashboardWidgetQueryTableDefinitionRequestQuery</a>>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.rumQuery"></a>

```java
public DashboardWidgetQueryTableDefinitionRequestRumQuery getRumQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery">DashboardWidgetQueryTableDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.securityQuery"></a>

```java
public DashboardWidgetQueryTableDefinitionRequestSecurityQuery getSecurityQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery">DashboardWidgetQueryTableDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetQueryTableDefinitionRequestApmQuery <a name="DashboardWidgetQueryTableDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery;

DashboardWidgetQueryTableDefinitionRequestApmQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy">DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute">DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.computeQuery"></a>

```java
public DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy">DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute">DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery;

DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy;

DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery;

DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute;

DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryTableDefinitionRequestApmStatsQuery <a name="DashboardWidgetQueryTableDefinitionRequestApmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery;

DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.builder()
    .env(java.lang.String)
    .name(java.lang.String)
    .primaryTag(java.lang.String)
    .rowType(java.lang.String)
    .service(java.lang.String)
//  .columns(IResolvable)
//  .columns(java.util.List<DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns>)
//  .resource(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | The environment name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The operation name associated with the service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.primaryTag">primaryTag</a></code> | <code>java.lang.String</code> | The organization's host group name and value. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.rowType">rowType</a></code> | <code>java.lang.String</code> | The level of detail for the request. Valid values are `service`, `resource`, `span`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | The service name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.columns">columns</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns">DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns</a>></code> | columns block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.resource">resource</a></code> | <code>java.lang.String</code> | The resource name. |

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

The environment name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The operation name associated with the service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `primaryTag`<sup>Required</sup> <a name="primaryTag" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.primaryTag"></a>

```java
public java.lang.String getPrimaryTag();
```

- *Type:* java.lang.String

The organization's host group name and value.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag Dashboard#primary_tag}

---

##### `rowType`<sup>Required</sup> <a name="rowType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.rowType"></a>

```java
public java.lang.String getRowType();
```

- *Type:* java.lang.String

The level of detail for the request. Valid values are `service`, `resource`, `span`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#row_type Dashboard#row_type}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

The service name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `columns`<sup>Optional</sup> <a name="columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.columns"></a>

```java
public java.lang.Object getColumns();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns">DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns</a>>

columns block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `resource`<sup>Optional</sup> <a name="resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.resource"></a>

```java
public java.lang.String getResource();
```

- *Type:* java.lang.String

The resource name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource Dashboard#resource}

---

### DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns <a name="DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns;

DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.builder()
    .name(java.lang.String)
//  .alias(java.lang.String)
//  .cellDisplayMode(java.lang.String)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.name">name</a></code> | <code>java.lang.String</code> | The column name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.alias">alias</a></code> | <code>java.lang.String</code> | A user-assigned alias for the column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode">cellDisplayMode</a></code> | <code>java.lang.String</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The column name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.alias"></a>

```java
public java.lang.String getAlias();
```

- *Type:* java.lang.String

A user-assigned alias for the column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode"></a>

```java
public java.lang.String getCellDisplayMode();
```

- *Type:* java.lang.String

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetQueryTableDefinitionRequestConditionalFormats <a name="DashboardWidgetQueryTableDefinitionRequestConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats;

DashboardWidgetQueryTableDefinitionRequestConditionalFormats.builder()
    .comparator(java.lang.String)
    .palette(java.lang.String)
    .value(java.lang.Number)
//  .customBgColor(java.lang.String)
//  .customFgColor(java.lang.String)
//  .hideValue(java.lang.Boolean)
//  .hideValue(IResolvable)
//  .imageUrl(java.lang.String)
//  .metric(java.lang.String)
//  .timeframe(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.comparator">comparator</a></code> | <code>java.lang.String</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.value">value</a></code> | <code>java.lang.Number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.hideValue">hideValue</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>java.lang.String</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.timeframe">timeframe</a></code> | <code>java.lang.String</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.comparator"></a>

```java
public java.lang.String getComparator();
```

- *Type:* java.lang.String

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.value"></a>

```java
public java.lang.Number getValue();
```

- *Type:* java.lang.Number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.customBgColor"></a>

```java
public java.lang.String getCustomBgColor();
```

- *Type:* java.lang.String

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.customFgColor"></a>

```java
public java.lang.String getCustomFgColor();
```

- *Type:* java.lang.String

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.hideValue"></a>

```java
public java.lang.Object getHideValue();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.imageUrl"></a>

```java
public java.lang.String getImageUrl();
```

- *Type:* java.lang.String

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.timeframe"></a>

```java
public java.lang.String getTimeframe();
```

- *Type:* java.lang.String

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetQueryTableDefinitionRequestFormula <a name="DashboardWidgetQueryTableDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula;

DashboardWidgetQueryTableDefinitionRequestFormula.builder()
    .formulaExpression(java.lang.String)
//  .alias(java.lang.String)
//  .cellDisplayMode(java.lang.String)
//  .conditionalFormats(IResolvable)
//  .conditionalFormats(java.util.List<DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats>)
//  .limit(DashboardWidgetQueryTableDefinitionRequestFormulaLimit)
//  .style(DashboardWidgetQueryTableDefinitionRequestFormulaStyle)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>java.lang.String</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.alias">alias</a></code> | <code>java.lang.String</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>java.lang.String</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats">DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats</a>></code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit">DashboardWidgetQueryTableDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle">DashboardWidgetQueryTableDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.formulaExpression"></a>

```java
public java.lang.String getFormulaExpression();
```

- *Type:* java.lang.String

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.alias"></a>

```java
public java.lang.String getAlias();
```

- *Type:* java.lang.String

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.cellDisplayMode"></a>

```java
public java.lang.String getCellDisplayMode();
```

- *Type:* java.lang.String

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.conditionalFormats"></a>

```java
public java.lang.Object getConditionalFormats();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats">DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats</a>>

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.limit"></a>

```java
public DashboardWidgetQueryTableDefinitionRequestFormulaLimit getLimit();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit">DashboardWidgetQueryTableDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.style"></a>

```java
public DashboardWidgetQueryTableDefinitionRequestFormulaStyle getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle">DashboardWidgetQueryTableDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats;

DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.builder()
    .comparator(java.lang.String)
    .palette(java.lang.String)
    .value(java.lang.Number)
//  .customBgColor(java.lang.String)
//  .customFgColor(java.lang.String)
//  .hideValue(java.lang.Boolean)
//  .hideValue(IResolvable)
//  .imageUrl(java.lang.String)
//  .metric(java.lang.String)
//  .timeframe(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>java.lang.String</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>java.lang.Number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>java.lang.String</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>java.lang.String</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```java
public java.lang.String getComparator();
```

- *Type:* java.lang.String

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.value"></a>

```java
public java.lang.Number getValue();
```

- *Type:* java.lang.Number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```java
public java.lang.String getCustomBgColor();
```

- *Type:* java.lang.String

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```java
public java.lang.String getCustomFgColor();
```

- *Type:* java.lang.String

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```java
public java.lang.Object getHideValue();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```java
public java.lang.String getImageUrl();
```

- *Type:* java.lang.String

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```java
public java.lang.String getTimeframe();
```

- *Type:* java.lang.String

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetQueryTableDefinitionRequestFormulaLimit <a name="DashboardWidgetQueryTableDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit;

DashboardWidgetQueryTableDefinitionRequestFormulaLimit.builder()
//  .count(java.lang.Number)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>java.lang.Number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit.property.count"></a>

```java
public java.lang.Number getCount();
```

- *Type:* java.lang.Number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetQueryTableDefinitionRequestFormulaStyle <a name="DashboardWidgetQueryTableDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle;

DashboardWidgetQueryTableDefinitionRequestFormulaStyle.builder()
//  .palette(java.lang.String)
//  .paletteIndex(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>java.lang.Number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```java
public java.lang.Number getPaletteIndex();
```

- *Type:* java.lang.Number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetQueryTableDefinitionRequestLogQuery <a name="DashboardWidgetQueryTableDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery;

DashboardWidgetQueryTableDefinitionRequestLogQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy">DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute">DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.computeQuery"></a>

```java
public DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy">DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute">DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery;

DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy;

DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery;

DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute;

DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryTableDefinitionRequestProcessQuery <a name="DashboardWidgetQueryTableDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery;

DashboardWidgetQueryTableDefinitionRequestProcessQuery.builder()
    .metric(java.lang.String)
//  .filterBy(java.util.List<java.lang.String>)
//  .limit(java.lang.Number)
//  .searchBy(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>java.util.List<java.lang.String></code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>java.lang.String</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.filterBy"></a>

```java
public java.util.List<java.lang.String> getFilterBy();
```

- *Type:* java.util.List<java.lang.String>

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.searchBy"></a>

```java
public java.lang.String getSearchBy();
```

- *Type:* java.lang.String

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetQueryTableDefinitionRequestQuery <a name="DashboardWidgetQueryTableDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery;

DashboardWidgetQueryTableDefinitionRequestQuery.builder()
//  .apmDependencyStatsQuery(DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery)
//  .apmResourceStatsQuery(DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery)
//  .eventQuery(DashboardWidgetQueryTableDefinitionRequestQueryEventQuery)
//  .metricQuery(DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery)
//  .processQuery(DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery">DashboardWidgetQueryTableDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery">DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery">DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```java
public DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery getApmDependencyStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```java
public DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery getApmResourceStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.eventQuery"></a>

```java
public DashboardWidgetQueryTableDefinitionRequestQueryEventQuery getEventQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery">DashboardWidgetQueryTableDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.metricQuery"></a>

```java
public DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery getMetricQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery">DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.processQuery"></a>

```java
public DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery">DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery;

DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .operationName(java.lang.String)
    .resourceName(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .isUpstream(java.lang.Boolean)
//  .isUpstream(IResolvable)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```java
public java.lang.Object getIsUpstream();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery;

DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .groupBy(java.util.List<java.lang.String>)
//  .operationName(java.lang.String)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
//  .resourceName(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>java.util.List<java.lang.String></code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```java
public java.util.List<java.lang.String> getGroupBy();
```

- *Type:* java.util.List<java.lang.String>

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetQueryTableDefinitionRequestQueryEventQuery <a name="DashboardWidgetQueryTableDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery;

DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.builder()
    .compute(IResolvable)
    .compute(java.util.List<DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute>)
    .dataSource(java.lang.String)
    .name(java.lang.String)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy>)
//  .indexes(java.util.List<java.lang.String>)
//  .search(DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch)
//  .storage(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute">DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute</a>></code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>java.util.List<java.lang.String></code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch">DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>java.lang.String</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.compute"></a>

```java
public java.lang.Object getCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute">DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute</a>>

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.indexes"></a>

```java
public java.util.List<java.lang.String> getIndexes();
```

- *Type:* java.util.List<java.lang.String>

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.search"></a>

```java
public DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch getSearch();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch">DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.storage"></a>

```java
public java.lang.String getStorage();
```

- *Type:* java.lang.String

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute;

DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute.builder()
    .aggregation(java.lang.String)
//  .interval(java.lang.Number)
//  .metric(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>java.lang.String</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy;

DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.builder()
    .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sort(DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```java
public DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort getSort();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort;

DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.builder()
    .aggregation(java.lang.String)
//  .metric(java.lang.String)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>java.lang.String</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch;

DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch.builder()
    .query(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>java.lang.String</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery <a name="DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery;

DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.builder()
    .name(java.lang.String)
    .query(java.lang.String)
//  .aggregator(java.lang.String)
//  .dataSource(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>java.lang.String</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery <a name="DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery;

DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.builder()
    .dataSource(java.lang.String)
    .metric(java.lang.String)
    .name(java.lang.String)
//  .aggregator(java.lang.String)
//  .isNormalizedCpu(java.lang.Boolean)
//  .isNormalizedCpu(IResolvable)
//  .limit(java.lang.Number)
//  .sort(java.lang.String)
//  .tagFilters(java.util.List<java.lang.String>)
//  .textFilter(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>java.util.List<java.lang.String></code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>java.lang.String</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```java
public java.lang.Object getIsNormalizedCpu();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.sort"></a>

```java
public java.lang.String getSort();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```java
public java.util.List<java.lang.String> getTagFilters();
```

- *Type:* java.util.List<java.lang.String>

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```java
public java.lang.String getTextFilter();
```

- *Type:* java.lang.String

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetQueryTableDefinitionRequestRumQuery <a name="DashboardWidgetQueryTableDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery;

DashboardWidgetQueryTableDefinitionRequestRumQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy">DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute">DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.computeQuery"></a>

```java
public DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy">DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute">DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery;

DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy;

DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery;

DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute;

DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryTableDefinitionRequestSecurityQuery <a name="DashboardWidgetQueryTableDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery;

DashboardWidgetQueryTableDefinitionRequestSecurityQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy">DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.computeQuery"></a>

```java
public DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy">DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery;

DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy;

DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery;

DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute;

DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinition <a name="DashboardWidgetQueryValueDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinition;

DashboardWidgetQueryValueDefinition.builder()
//  .autoscale(java.lang.Boolean)
//  .autoscale(IResolvable)
//  .customLink(IResolvable)
//  .customLink(java.util.List<DashboardWidgetQueryValueDefinitionCustomLink>)
//  .customUnit(java.lang.String)
//  .liveSpan(java.lang.String)
//  .precision(java.lang.Number)
//  .request(IResolvable)
//  .request(java.util.List<DashboardWidgetQueryValueDefinitionRequest>)
//  .textAlign(java.lang.String)
//  .timeseriesBackground(DashboardWidgetQueryValueDefinitionTimeseriesBackground)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.autoscale">autoscale</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | A Boolean indicating whether to automatically scale the tile. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.customLink">customLink</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink">DashboardWidgetQueryValueDefinitionCustomLink</a>></code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.customUnit">customUnit</a></code> | <code>java.lang.String</code> | The unit for the value displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.precision">precision</a></code> | <code>java.lang.Number</code> | The precision to use when displaying the tile. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.request">request</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest">DashboardWidgetQueryValueDefinitionRequest</a>></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.textAlign">textAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's text. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.timeseriesBackground">timeseriesBackground</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground">DashboardWidgetQueryValueDefinitionTimeseriesBackground</a></code> | timeseries_background block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `autoscale`<sup>Optional</sup> <a name="autoscale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.autoscale"></a>

```java
public java.lang.Object getAutoscale();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

A Boolean indicating whether to automatically scale the tile.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#autoscale Dashboard#autoscale}

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.customLink"></a>

```java
public java.lang.Object getCustomLink();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink">DashboardWidgetQueryValueDefinitionCustomLink</a>>

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `customUnit`<sup>Optional</sup> <a name="customUnit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.customUnit"></a>

```java
public java.lang.String getCustomUnit();
```

- *Type:* java.lang.String

The unit for the value displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_unit Dashboard#custom_unit}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `precision`<sup>Optional</sup> <a name="precision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.precision"></a>

```java
public java.lang.Number getPrecision();
```

- *Type:* java.lang.Number

The precision to use when displaying the tile.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#precision Dashboard#precision}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.request"></a>

```java
public java.lang.Object getRequest();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest">DashboardWidgetQueryValueDefinitionRequest</a>>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `textAlign`<sup>Optional</sup> <a name="textAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.textAlign"></a>

```java
public java.lang.String getTextAlign();
```

- *Type:* java.lang.String

The alignment of the widget's text. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

##### `timeseriesBackground`<sup>Optional</sup> <a name="timeseriesBackground" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.timeseriesBackground"></a>

```java
public DashboardWidgetQueryValueDefinitionTimeseriesBackground getTimeseriesBackground();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground">DashboardWidgetQueryValueDefinitionTimeseriesBackground</a>

timeseries_background block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeseries_background Dashboard#timeseries_background}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetQueryValueDefinitionCustomLink <a name="DashboardWidgetQueryValueDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink;

DashboardWidgetQueryValueDefinitionCustomLink.builder()
//  .isHidden(java.lang.Boolean)
//  .isHidden(IResolvable)
//  .label(java.lang.String)
//  .link(java.lang.String)
//  .overrideLabel(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.label">label</a></code> | <code>java.lang.String</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.link">link</a></code> | <code>java.lang.String</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>java.lang.String</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.isHidden"></a>

```java
public java.lang.Object getIsHidden();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.link"></a>

```java
public java.lang.String getLink();
```

- *Type:* java.lang.String

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.overrideLabel"></a>

```java
public java.lang.String getOverrideLabel();
```

- *Type:* java.lang.String

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetQueryValueDefinitionRequest <a name="DashboardWidgetQueryValueDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest;

DashboardWidgetQueryValueDefinitionRequest.builder()
//  .aggregator(java.lang.String)
//  .apmQuery(DashboardWidgetQueryValueDefinitionRequestApmQuery)
//  .auditQuery(DashboardWidgetQueryValueDefinitionRequestAuditQuery)
//  .conditionalFormats(IResolvable)
//  .conditionalFormats(java.util.List<DashboardWidgetQueryValueDefinitionRequestConditionalFormats>)
//  .formula(IResolvable)
//  .formula(java.util.List<DashboardWidgetQueryValueDefinitionRequestFormula>)
//  .logQuery(DashboardWidgetQueryValueDefinitionRequestLogQuery)
//  .processQuery(DashboardWidgetQueryValueDefinitionRequestProcessQuery)
//  .q(java.lang.String)
//  .query(IResolvable)
//  .query(java.util.List<DashboardWidgetQueryValueDefinitionRequestQuery>)
//  .rumQuery(DashboardWidgetQueryValueDefinitionRequestRumQuery)
//  .securityQuery(DashboardWidgetQueryValueDefinitionRequestSecurityQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery">DashboardWidgetQueryValueDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.auditQuery">auditQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery">DashboardWidgetQueryValueDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.conditionalFormats">conditionalFormats</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats">DashboardWidgetQueryValueDefinitionRequestConditionalFormats</a>></code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.formula">formula</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula">DashboardWidgetQueryValueDefinitionRequestFormula</a>></code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery">DashboardWidgetQueryValueDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery">DashboardWidgetQueryValueDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.q">q</a></code> | <code>java.lang.String</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.query">query</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery">DashboardWidgetQueryValueDefinitionRequestQuery</a>></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery">DashboardWidgetQueryValueDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery">DashboardWidgetQueryValueDefinitionRequestSecurityQuery</a></code> | security_query block. |

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.apmQuery"></a>

```java
public DashboardWidgetQueryValueDefinitionRequestApmQuery getApmQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery">DashboardWidgetQueryValueDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `auditQuery`<sup>Optional</sup> <a name="auditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.auditQuery"></a>

```java
public DashboardWidgetQueryValueDefinitionRequestAuditQuery getAuditQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery">DashboardWidgetQueryValueDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.conditionalFormats"></a>

```java
public java.lang.Object getConditionalFormats();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats">DashboardWidgetQueryValueDefinitionRequestConditionalFormats</a>>

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.formula"></a>

```java
public java.lang.Object getFormula();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula">DashboardWidgetQueryValueDefinitionRequestFormula</a>>

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.logQuery"></a>

```java
public DashboardWidgetQueryValueDefinitionRequestLogQuery getLogQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery">DashboardWidgetQueryValueDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.processQuery"></a>

```java
public DashboardWidgetQueryValueDefinitionRequestProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery">DashboardWidgetQueryValueDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.query"></a>

```java
public java.lang.Object getQuery();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery">DashboardWidgetQueryValueDefinitionRequestQuery</a>>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.rumQuery"></a>

```java
public DashboardWidgetQueryValueDefinitionRequestRumQuery getRumQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery">DashboardWidgetQueryValueDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.securityQuery"></a>

```java
public DashboardWidgetQueryValueDefinitionRequestSecurityQuery getSecurityQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery">DashboardWidgetQueryValueDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetQueryValueDefinitionRequestApmQuery <a name="DashboardWidgetQueryValueDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery;

DashboardWidgetQueryValueDefinitionRequestApmQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute">DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.computeQuery"></a>

```java
public DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute">DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery;

DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy;

DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery;

DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute;

DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestAuditQuery <a name="DashboardWidgetQueryValueDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery;

DashboardWidgetQueryValueDefinitionRequestAuditQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute">DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.computeQuery"></a>

```java
public DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute">DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery;

DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy;

DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery;

DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute;

DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestConditionalFormats <a name="DashboardWidgetQueryValueDefinitionRequestConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats;

DashboardWidgetQueryValueDefinitionRequestConditionalFormats.builder()
    .comparator(java.lang.String)
    .palette(java.lang.String)
    .value(java.lang.Number)
//  .customBgColor(java.lang.String)
//  .customFgColor(java.lang.String)
//  .hideValue(java.lang.Boolean)
//  .hideValue(IResolvable)
//  .imageUrl(java.lang.String)
//  .metric(java.lang.String)
//  .timeframe(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.comparator">comparator</a></code> | <code>java.lang.String</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.value">value</a></code> | <code>java.lang.Number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.hideValue">hideValue</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>java.lang.String</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.timeframe">timeframe</a></code> | <code>java.lang.String</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.comparator"></a>

```java
public java.lang.String getComparator();
```

- *Type:* java.lang.String

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.value"></a>

```java
public java.lang.Number getValue();
```

- *Type:* java.lang.Number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.customBgColor"></a>

```java
public java.lang.String getCustomBgColor();
```

- *Type:* java.lang.String

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.customFgColor"></a>

```java
public java.lang.String getCustomFgColor();
```

- *Type:* java.lang.String

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.hideValue"></a>

```java
public java.lang.Object getHideValue();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.imageUrl"></a>

```java
public java.lang.String getImageUrl();
```

- *Type:* java.lang.String

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.timeframe"></a>

```java
public java.lang.String getTimeframe();
```

- *Type:* java.lang.String

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetQueryValueDefinitionRequestFormula <a name="DashboardWidgetQueryValueDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula;

DashboardWidgetQueryValueDefinitionRequestFormula.builder()
    .formulaExpression(java.lang.String)
//  .alias(java.lang.String)
//  .cellDisplayMode(java.lang.String)
//  .conditionalFormats(IResolvable)
//  .conditionalFormats(java.util.List<DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats>)
//  .limit(DashboardWidgetQueryValueDefinitionRequestFormulaLimit)
//  .style(DashboardWidgetQueryValueDefinitionRequestFormulaStyle)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>java.lang.String</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.alias">alias</a></code> | <code>java.lang.String</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>java.lang.String</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats">DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats</a>></code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit">DashboardWidgetQueryValueDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle">DashboardWidgetQueryValueDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.formulaExpression"></a>

```java
public java.lang.String getFormulaExpression();
```

- *Type:* java.lang.String

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.alias"></a>

```java
public java.lang.String getAlias();
```

- *Type:* java.lang.String

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.cellDisplayMode"></a>

```java
public java.lang.String getCellDisplayMode();
```

- *Type:* java.lang.String

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.conditionalFormats"></a>

```java
public java.lang.Object getConditionalFormats();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats">DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats</a>>

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.limit"></a>

```java
public DashboardWidgetQueryValueDefinitionRequestFormulaLimit getLimit();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit">DashboardWidgetQueryValueDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.style"></a>

```java
public DashboardWidgetQueryValueDefinitionRequestFormulaStyle getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle">DashboardWidgetQueryValueDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats;

DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.builder()
    .comparator(java.lang.String)
    .palette(java.lang.String)
    .value(java.lang.Number)
//  .customBgColor(java.lang.String)
//  .customFgColor(java.lang.String)
//  .hideValue(java.lang.Boolean)
//  .hideValue(IResolvable)
//  .imageUrl(java.lang.String)
//  .metric(java.lang.String)
//  .timeframe(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>java.lang.String</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>java.lang.Number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>java.lang.String</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>java.lang.String</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```java
public java.lang.String getComparator();
```

- *Type:* java.lang.String

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.value"></a>

```java
public java.lang.Number getValue();
```

- *Type:* java.lang.Number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```java
public java.lang.String getCustomBgColor();
```

- *Type:* java.lang.String

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```java
public java.lang.String getCustomFgColor();
```

- *Type:* java.lang.String

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```java
public java.lang.Object getHideValue();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```java
public java.lang.String getImageUrl();
```

- *Type:* java.lang.String

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```java
public java.lang.String getTimeframe();
```

- *Type:* java.lang.String

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetQueryValueDefinitionRequestFormulaLimit <a name="DashboardWidgetQueryValueDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit;

DashboardWidgetQueryValueDefinitionRequestFormulaLimit.builder()
//  .count(java.lang.Number)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>java.lang.Number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit.property.count"></a>

```java
public java.lang.Number getCount();
```

- *Type:* java.lang.Number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetQueryValueDefinitionRequestFormulaStyle <a name="DashboardWidgetQueryValueDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle;

DashboardWidgetQueryValueDefinitionRequestFormulaStyle.builder()
//  .palette(java.lang.String)
//  .paletteIndex(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>java.lang.Number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```java
public java.lang.Number getPaletteIndex();
```

- *Type:* java.lang.Number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetQueryValueDefinitionRequestLogQuery <a name="DashboardWidgetQueryValueDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery;

DashboardWidgetQueryValueDefinitionRequestLogQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute">DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.computeQuery"></a>

```java
public DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute">DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery;

DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy;

DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery;

DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute;

DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestProcessQuery <a name="DashboardWidgetQueryValueDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery;

DashboardWidgetQueryValueDefinitionRequestProcessQuery.builder()
    .metric(java.lang.String)
//  .filterBy(java.util.List<java.lang.String>)
//  .limit(java.lang.Number)
//  .searchBy(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>java.util.List<java.lang.String></code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>java.lang.String</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.filterBy"></a>

```java
public java.util.List<java.lang.String> getFilterBy();
```

- *Type:* java.util.List<java.lang.String>

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.searchBy"></a>

```java
public java.lang.String getSearchBy();
```

- *Type:* java.lang.String

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetQueryValueDefinitionRequestQuery <a name="DashboardWidgetQueryValueDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery;

DashboardWidgetQueryValueDefinitionRequestQuery.builder()
//  .apmDependencyStatsQuery(DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery)
//  .apmResourceStatsQuery(DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery)
//  .eventQuery(DashboardWidgetQueryValueDefinitionRequestQueryEventQuery)
//  .metricQuery(DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery)
//  .processQuery(DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery">DashboardWidgetQueryValueDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery">DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery">DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```java
public DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery getApmDependencyStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```java
public DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery getApmResourceStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.eventQuery"></a>

```java
public DashboardWidgetQueryValueDefinitionRequestQueryEventQuery getEventQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery">DashboardWidgetQueryValueDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.metricQuery"></a>

```java
public DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery getMetricQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery">DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.processQuery"></a>

```java
public DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery">DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery;

DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .operationName(java.lang.String)
    .resourceName(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .isUpstream(java.lang.Boolean)
//  .isUpstream(IResolvable)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```java
public java.lang.Object getIsUpstream();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery;

DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .groupBy(java.util.List<java.lang.String>)
//  .operationName(java.lang.String)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
//  .resourceName(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>java.util.List<java.lang.String></code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```java
public java.util.List<java.lang.String> getGroupBy();
```

- *Type:* java.util.List<java.lang.String>

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetQueryValueDefinitionRequestQueryEventQuery <a name="DashboardWidgetQueryValueDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery;

DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.builder()
    .compute(IResolvable)
    .compute(java.util.List<DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute>)
    .dataSource(java.lang.String)
    .name(java.lang.String)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy>)
//  .indexes(java.util.List<java.lang.String>)
//  .search(DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch)
//  .storage(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute">DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute</a>></code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>java.util.List<java.lang.String></code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch">DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>java.lang.String</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.compute"></a>

```java
public java.lang.Object getCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute">DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute</a>>

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.indexes"></a>

```java
public java.util.List<java.lang.String> getIndexes();
```

- *Type:* java.util.List<java.lang.String>

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.search"></a>

```java
public DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch getSearch();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch">DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.storage"></a>

```java
public java.lang.String getStorage();
```

- *Type:* java.lang.String

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute;

DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute.builder()
    .aggregation(java.lang.String)
//  .interval(java.lang.Number)
//  .metric(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>java.lang.String</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy;

DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.builder()
    .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sort(DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```java
public DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort getSort();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort;

DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.builder()
    .aggregation(java.lang.String)
//  .metric(java.lang.String)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>java.lang.String</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch;

DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch.builder()
    .query(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>java.lang.String</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery <a name="DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery;

DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.builder()
    .name(java.lang.String)
    .query(java.lang.String)
//  .aggregator(java.lang.String)
//  .dataSource(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>java.lang.String</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery <a name="DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery;

DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.builder()
    .dataSource(java.lang.String)
    .metric(java.lang.String)
    .name(java.lang.String)
//  .aggregator(java.lang.String)
//  .isNormalizedCpu(java.lang.Boolean)
//  .isNormalizedCpu(IResolvable)
//  .limit(java.lang.Number)
//  .sort(java.lang.String)
//  .tagFilters(java.util.List<java.lang.String>)
//  .textFilter(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>java.util.List<java.lang.String></code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>java.lang.String</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```java
public java.lang.Object getIsNormalizedCpu();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.sort"></a>

```java
public java.lang.String getSort();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```java
public java.util.List<java.lang.String> getTagFilters();
```

- *Type:* java.util.List<java.lang.String>

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```java
public java.lang.String getTextFilter();
```

- *Type:* java.lang.String

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetQueryValueDefinitionRequestRumQuery <a name="DashboardWidgetQueryValueDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery;

DashboardWidgetQueryValueDefinitionRequestRumQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute">DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.computeQuery"></a>

```java
public DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute">DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery;

DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy;

DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery;

DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute;

DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestSecurityQuery <a name="DashboardWidgetQueryValueDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery;

DashboardWidgetQueryValueDefinitionRequestSecurityQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.computeQuery"></a>

```java
public DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery;

DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy;

DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery;

DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute;

DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionTimeseriesBackground <a name="DashboardWidgetQueryValueDefinitionTimeseriesBackground" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground;

DashboardWidgetQueryValueDefinitionTimeseriesBackground.builder()
    .type(java.lang.String)
//  .yaxis(DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground.property.type">type</a></code> | <code>java.lang.String</code> | Whether the Timeseries is made using an area or bars. Valid values are `bars`, `area`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground.property.yaxis">yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis">DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis</a></code> | yaxis block. |

---

##### `type`<sup>Required</sup> <a name="type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground.property.type"></a>

```java
public java.lang.String getType();
```

- *Type:* java.lang.String

Whether the Timeseries is made using an area or bars. Valid values are `bars`, `area`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#type Dashboard#type}

---

##### `yaxis`<sup>Optional</sup> <a name="yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground.property.yaxis"></a>

```java
public DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis getYaxis();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis">DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis <a name="DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis;

DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.builder()
//  .includeZero(java.lang.Boolean)
//  .includeZero(IResolvable)
//  .label(java.lang.String)
//  .max(java.lang.String)
//  .min(java.lang.String)
//  .scale(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.includeZero">includeZero</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.label">label</a></code> | <code>java.lang.String</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.max">max</a></code> | <code>java.lang.String</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.min">min</a></code> | <code>java.lang.String</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.scale">scale</a></code> | <code>java.lang.String</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `includeZero`<sup>Optional</sup> <a name="includeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.includeZero"></a>

```java
public java.lang.Object getIncludeZero();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.max"></a>

```java
public java.lang.String getMax();
```

- *Type:* java.lang.String

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.min"></a>

```java
public java.lang.String getMin();
```

- *Type:* java.lang.String

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.scale"></a>

```java
public java.lang.String getScale();
```

- *Type:* java.lang.String

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetRunWorkflowDefinition <a name="DashboardWidgetRunWorkflowDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetRunWorkflowDefinition;

DashboardWidgetRunWorkflowDefinition.builder()
    .workflowId(java.lang.String)
//  .customLink(IResolvable)
//  .customLink(java.util.List<DashboardWidgetRunWorkflowDefinitionCustomLink>)
//  .input(IResolvable)
//  .input(java.util.List<DashboardWidgetRunWorkflowDefinitionInput>)
//  .liveSpan(java.lang.String)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.workflowId">workflowId</a></code> | <code>java.lang.String</code> | Workflow ID. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.customLink">customLink</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink">DashboardWidgetRunWorkflowDefinitionCustomLink</a>></code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.input">input</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput">DashboardWidgetRunWorkflowDefinitionInput</a>></code> | input block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `workflowId`<sup>Required</sup> <a name="workflowId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.workflowId"></a>

```java
public java.lang.String getWorkflowId();
```

- *Type:* java.lang.String

Workflow ID.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#workflow_id Dashboard#workflow_id}

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.customLink"></a>

```java
public java.lang.Object getCustomLink();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink">DashboardWidgetRunWorkflowDefinitionCustomLink</a>>

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `input`<sup>Optional</sup> <a name="input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.input"></a>

```java
public java.lang.Object getInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput">DashboardWidgetRunWorkflowDefinitionInput</a>>

input block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#input Dashboard#input}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetRunWorkflowDefinitionCustomLink <a name="DashboardWidgetRunWorkflowDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink;

DashboardWidgetRunWorkflowDefinitionCustomLink.builder()
//  .isHidden(java.lang.Boolean)
//  .isHidden(IResolvable)
//  .label(java.lang.String)
//  .link(java.lang.String)
//  .overrideLabel(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.label">label</a></code> | <code>java.lang.String</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.link">link</a></code> | <code>java.lang.String</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>java.lang.String</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.isHidden"></a>

```java
public java.lang.Object getIsHidden();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.link"></a>

```java
public java.lang.String getLink();
```

- *Type:* java.lang.String

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.overrideLabel"></a>

```java
public java.lang.String getOverrideLabel();
```

- *Type:* java.lang.String

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetRunWorkflowDefinitionInput <a name="DashboardWidgetRunWorkflowDefinitionInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput;

DashboardWidgetRunWorkflowDefinitionInput.builder()
    .name(java.lang.String)
    .value(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput.property.name">name</a></code> | <code>java.lang.String</code> | Name of the workflow input. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput.property.value">value</a></code> | <code>java.lang.String</code> | Dashboard template variable. Can be suffixed with `.value` or `.key`. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

Name of the workflow input.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput.property.value"></a>

```java
public java.lang.String getValue();
```

- *Type:* java.lang.String

Dashboard template variable. Can be suffixed with `.value` or `.key`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

### DashboardWidgetScatterplotDefinition <a name="DashboardWidgetScatterplotDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinition;

DashboardWidgetScatterplotDefinition.builder()
//  .colorByGroups(java.util.List<java.lang.String>)
//  .customLink(IResolvable)
//  .customLink(java.util.List<DashboardWidgetScatterplotDefinitionCustomLink>)
//  .liveSpan(java.lang.String)
//  .request(DashboardWidgetScatterplotDefinitionRequest)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
//  .xaxis(DashboardWidgetScatterplotDefinitionXaxis)
//  .yaxis(DashboardWidgetScatterplotDefinitionYaxis)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.colorByGroups">colorByGroups</a></code> | <code>java.util.List<java.lang.String></code> | List of groups used for colors. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.customLink">customLink</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink">DashboardWidgetScatterplotDefinitionCustomLink</a>></code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.request">request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest">DashboardWidgetScatterplotDefinitionRequest</a></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.xaxis">xaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis">DashboardWidgetScatterplotDefinitionXaxis</a></code> | xaxis block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.yaxis">yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis">DashboardWidgetScatterplotDefinitionYaxis</a></code> | yaxis block. |

---

##### `colorByGroups`<sup>Optional</sup> <a name="colorByGroups" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.colorByGroups"></a>

```java
public java.util.List<java.lang.String> getColorByGroups();
```

- *Type:* java.util.List<java.lang.String>

List of groups used for colors.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#color_by_groups Dashboard#color_by_groups}

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.customLink"></a>

```java
public java.lang.Object getCustomLink();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink">DashboardWidgetScatterplotDefinitionCustomLink</a>>

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.request"></a>

```java
public DashboardWidgetScatterplotDefinitionRequest getRequest();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest">DashboardWidgetScatterplotDefinitionRequest</a>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `xaxis`<sup>Optional</sup> <a name="xaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.xaxis"></a>

```java
public DashboardWidgetScatterplotDefinitionXaxis getXaxis();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis">DashboardWidgetScatterplotDefinitionXaxis</a>

xaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#xaxis Dashboard#xaxis}

---

##### `yaxis`<sup>Optional</sup> <a name="yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.yaxis"></a>

```java
public DashboardWidgetScatterplotDefinitionYaxis getYaxis();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis">DashboardWidgetScatterplotDefinitionYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetScatterplotDefinitionCustomLink <a name="DashboardWidgetScatterplotDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink;

DashboardWidgetScatterplotDefinitionCustomLink.builder()
//  .isHidden(java.lang.Boolean)
//  .isHidden(IResolvable)
//  .label(java.lang.String)
//  .link(java.lang.String)
//  .overrideLabel(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.label">label</a></code> | <code>java.lang.String</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.link">link</a></code> | <code>java.lang.String</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>java.lang.String</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.isHidden"></a>

```java
public java.lang.Object getIsHidden();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.link"></a>

```java
public java.lang.String getLink();
```

- *Type:* java.lang.String

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.overrideLabel"></a>

```java
public java.lang.String getOverrideLabel();
```

- *Type:* java.lang.String

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetScatterplotDefinitionRequest <a name="DashboardWidgetScatterplotDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest;

DashboardWidgetScatterplotDefinitionRequest.builder()
//  .scatterplotTable(IResolvable)
//  .scatterplotTable(java.util.List<DashboardWidgetScatterplotDefinitionRequestScatterplotTable>)
//  .x(IResolvable)
//  .x(java.util.List<DashboardWidgetScatterplotDefinitionRequestX>)
//  .y(IResolvable)
//  .y(java.util.List<DashboardWidgetScatterplotDefinitionRequestY>)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest.property.scatterplotTable">scatterplotTable</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable">DashboardWidgetScatterplotDefinitionRequestScatterplotTable</a>></code> | scatterplot_table block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest.property.x">x</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX">DashboardWidgetScatterplotDefinitionRequestX</a>></code> | x block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest.property.y">y</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY">DashboardWidgetScatterplotDefinitionRequestY</a>></code> | y block. |

---

##### `scatterplotTable`<sup>Optional</sup> <a name="scatterplotTable" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest.property.scatterplotTable"></a>

```java
public java.lang.Object getScatterplotTable();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable">DashboardWidgetScatterplotDefinitionRequestScatterplotTable</a>>

scatterplot_table block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scatterplot_table Dashboard#scatterplot_table}

---

##### `x`<sup>Optional</sup> <a name="x" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest.property.x"></a>

```java
public java.lang.Object getX();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX">DashboardWidgetScatterplotDefinitionRequestX</a>>

x block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#x Dashboard#x}

---

##### `y`<sup>Optional</sup> <a name="y" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest.property.y"></a>

```java
public java.lang.Object getY();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY">DashboardWidgetScatterplotDefinitionRequestY</a>>

y block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#y Dashboard#y}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTable <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTable" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable;

DashboardWidgetScatterplotDefinitionRequestScatterplotTable.builder()
//  .formula(IResolvable)
//  .formula(java.util.List<DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula>)
//  .query(IResolvable)
//  .query(java.util.List<DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery>)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable.property.formula">formula</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula">DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula</a>></code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable.property.query">query</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery</a>></code> | query block. |

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable.property.formula"></a>

```java
public java.lang.Object getFormula();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula">DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula</a>>

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable.property.query"></a>

```java
public java.lang.Object getQuery();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery</a>>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula;

DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula.builder()
    .dimension(java.lang.String)
    .formulaExpression(java.lang.String)
//  .alias(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.dimension">dimension</a></code> | <code>java.lang.String</code> | Dimension of the Scatterplot. Valid values are `x`, `y`, `radius`, `color`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.formulaExpression">formulaExpression</a></code> | <code>java.lang.String</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.alias">alias</a></code> | <code>java.lang.String</code> | An expression alias. |

---

##### `dimension`<sup>Required</sup> <a name="dimension" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.dimension"></a>

```java
public java.lang.String getDimension();
```

- *Type:* java.lang.String

Dimension of the Scatterplot. Valid values are `x`, `y`, `radius`, `color`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#dimension Dashboard#dimension}

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.formulaExpression"></a>

```java
public java.lang.String getFormulaExpression();
```

- *Type:* java.lang.String

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.alias"></a>

```java
public java.lang.String getAlias();
```

- *Type:* java.lang.String

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery;

DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.builder()
//  .apmDependencyStatsQuery(DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery)
//  .apmResourceStatsQuery(DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery)
//  .eventQuery(DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery)
//  .metricQuery(DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery)
//  .processQuery(DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmDependencyStatsQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery getApmDependencyStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmResourceStatsQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery getApmResourceStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.eventQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery getEventQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.metricQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery getMetricQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.processQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery;

DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .operationName(java.lang.String)
    .resourceName(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .isUpstream(java.lang.Boolean)
//  .isUpstream(IResolvable)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.isUpstream"></a>

```java
public java.lang.Object getIsUpstream();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery;

DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .groupBy(java.util.List<java.lang.String>)
//  .operationName(java.lang.String)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
//  .resourceName(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>java.util.List<java.lang.String></code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.groupBy"></a>

```java
public java.util.List<java.lang.String> getGroupBy();
```

- *Type:* java.util.List<java.lang.String>

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery;

DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.builder()
    .compute(IResolvable)
    .compute(java.util.List<DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute>)
    .dataSource(java.lang.String)
    .name(java.lang.String)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy>)
//  .indexes(java.util.List<java.lang.String>)
//  .search(DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch)
//  .storage(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.compute">compute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute</a>></code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.indexes">indexes</a></code> | <code>java.util.List<java.lang.String></code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.storage">storage</a></code> | <code>java.lang.String</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.compute"></a>

```java
public java.lang.Object getCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute</a>>

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.indexes"></a>

```java
public java.util.List<java.lang.String> getIndexes();
```

- *Type:* java.util.List<java.lang.String>

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.search"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch getSearch();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.storage"></a>

```java
public java.lang.String getStorage();
```

- *Type:* java.lang.String

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute;

DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.builder()
    .aggregation(java.lang.String)
//  .interval(java.lang.Number)
//  .metric(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.metric">metric</a></code> | <code>java.lang.String</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy;

DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.builder()
    .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sort(DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.sort"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort getSort();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort;

DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.builder()
    .aggregation(java.lang.String)
//  .metric(java.lang.String)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.order">order</a></code> | <code>java.lang.String</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch;

DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch.builder()
    .query(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch.property.query">query</a></code> | <code>java.lang.String</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery;

DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.builder()
    .name(java.lang.String)
    .query(java.lang.String)
//  .aggregator(java.lang.String)
//  .dataSource(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.query">query</a></code> | <code>java.lang.String</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery;

DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.builder()
    .dataSource(java.lang.String)
    .metric(java.lang.String)
    .name(java.lang.String)
//  .aggregator(java.lang.String)
//  .isNormalizedCpu(java.lang.Boolean)
//  .isNormalizedCpu(IResolvable)
//  .limit(java.lang.Number)
//  .sort(java.lang.String)
//  .tagFilters(java.util.List<java.lang.String>)
//  .textFilter(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.sort">sort</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>java.util.List<java.lang.String></code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>java.lang.String</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.isNormalizedCpu"></a>

```java
public java.lang.Object getIsNormalizedCpu();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.sort"></a>

```java
public java.lang.String getSort();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.tagFilters"></a>

```java
public java.util.List<java.lang.String> getTagFilters();
```

- *Type:* java.util.List<java.lang.String>

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.textFilter"></a>

```java
public java.lang.String getTextFilter();
```

- *Type:* java.lang.String

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetScatterplotDefinitionRequestX <a name="DashboardWidgetScatterplotDefinitionRequestX" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX;

DashboardWidgetScatterplotDefinitionRequestX.builder()
//  .aggregator(java.lang.String)
//  .apmQuery(DashboardWidgetScatterplotDefinitionRequestXApmQuery)
//  .logQuery(DashboardWidgetScatterplotDefinitionRequestXLogQuery)
//  .processQuery(DashboardWidgetScatterplotDefinitionRequestXProcessQuery)
//  .q(java.lang.String)
//  .rumQuery(DashboardWidgetScatterplotDefinitionRequestXRumQuery)
//  .securityQuery(DashboardWidgetScatterplotDefinitionRequestXSecurityQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery">DashboardWidgetScatterplotDefinitionRequestXApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery">DashboardWidgetScatterplotDefinitionRequestXLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery">DashboardWidgetScatterplotDefinitionRequestXProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.q">q</a></code> | <code>java.lang.String</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery">DashboardWidgetScatterplotDefinitionRequestXRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery">DashboardWidgetScatterplotDefinitionRequestXSecurityQuery</a></code> | security_query block. |

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.apmQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestXApmQuery getApmQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery">DashboardWidgetScatterplotDefinitionRequestXApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.logQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestXLogQuery getLogQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery">DashboardWidgetScatterplotDefinitionRequestXLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.processQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestXProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery">DashboardWidgetScatterplotDefinitionRequestXProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.rumQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestXRumQuery getRumQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery">DashboardWidgetScatterplotDefinitionRequestXRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.securityQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestXSecurityQuery getSecurityQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery">DashboardWidgetScatterplotDefinitionRequestXSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetScatterplotDefinitionRequestXApmQuery <a name="DashboardWidgetScatterplotDefinitionRequestXApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery;

DashboardWidgetScatterplotDefinitionRequestXApmQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.computeQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery;

DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy;

DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery;

DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute;

DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestXLogQuery <a name="DashboardWidgetScatterplotDefinitionRequestXLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery;

DashboardWidgetScatterplotDefinitionRequestXLogQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.computeQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery;

DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy;

DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery;

DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute;

DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestXProcessQuery <a name="DashboardWidgetScatterplotDefinitionRequestXProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery;

DashboardWidgetScatterplotDefinitionRequestXProcessQuery.builder()
    .metric(java.lang.String)
//  .filterBy(java.util.List<java.lang.String>)
//  .limit(java.lang.Number)
//  .searchBy(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.filterBy">filterBy</a></code> | <code>java.util.List<java.lang.String></code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.searchBy">searchBy</a></code> | <code>java.lang.String</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.filterBy"></a>

```java
public java.util.List<java.lang.String> getFilterBy();
```

- *Type:* java.util.List<java.lang.String>

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.searchBy"></a>

```java
public java.lang.String getSearchBy();
```

- *Type:* java.lang.String

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetScatterplotDefinitionRequestXRumQuery <a name="DashboardWidgetScatterplotDefinitionRequestXRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery;

DashboardWidgetScatterplotDefinitionRequestXRumQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.computeQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery;

DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy;

DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery;

DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute;

DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestXSecurityQuery <a name="DashboardWidgetScatterplotDefinitionRequestXSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery;

DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.computeQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery;

DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy;

DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery;

DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute;

DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestY <a name="DashboardWidgetScatterplotDefinitionRequestY" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY;

DashboardWidgetScatterplotDefinitionRequestY.builder()
//  .aggregator(java.lang.String)
//  .apmQuery(DashboardWidgetScatterplotDefinitionRequestYApmQuery)
//  .logQuery(DashboardWidgetScatterplotDefinitionRequestYLogQuery)
//  .processQuery(DashboardWidgetScatterplotDefinitionRequestYProcessQuery)
//  .q(java.lang.String)
//  .rumQuery(DashboardWidgetScatterplotDefinitionRequestYRumQuery)
//  .securityQuery(DashboardWidgetScatterplotDefinitionRequestYSecurityQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery">DashboardWidgetScatterplotDefinitionRequestYApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery">DashboardWidgetScatterplotDefinitionRequestYLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery">DashboardWidgetScatterplotDefinitionRequestYProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.q">q</a></code> | <code>java.lang.String</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery">DashboardWidgetScatterplotDefinitionRequestYRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery">DashboardWidgetScatterplotDefinitionRequestYSecurityQuery</a></code> | security_query block. |

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.apmQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestYApmQuery getApmQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery">DashboardWidgetScatterplotDefinitionRequestYApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.logQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestYLogQuery getLogQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery">DashboardWidgetScatterplotDefinitionRequestYLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.processQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestYProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery">DashboardWidgetScatterplotDefinitionRequestYProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.rumQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestYRumQuery getRumQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery">DashboardWidgetScatterplotDefinitionRequestYRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.securityQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestYSecurityQuery getSecurityQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery">DashboardWidgetScatterplotDefinitionRequestYSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetScatterplotDefinitionRequestYApmQuery <a name="DashboardWidgetScatterplotDefinitionRequestYApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery;

DashboardWidgetScatterplotDefinitionRequestYApmQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.computeQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery;

DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy;

DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery;

DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute;

DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestYLogQuery <a name="DashboardWidgetScatterplotDefinitionRequestYLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery;

DashboardWidgetScatterplotDefinitionRequestYLogQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.computeQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery;

DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy;

DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery;

DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute;

DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestYProcessQuery <a name="DashboardWidgetScatterplotDefinitionRequestYProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery;

DashboardWidgetScatterplotDefinitionRequestYProcessQuery.builder()
    .metric(java.lang.String)
//  .filterBy(java.util.List<java.lang.String>)
//  .limit(java.lang.Number)
//  .searchBy(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.filterBy">filterBy</a></code> | <code>java.util.List<java.lang.String></code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.searchBy">searchBy</a></code> | <code>java.lang.String</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.filterBy"></a>

```java
public java.util.List<java.lang.String> getFilterBy();
```

- *Type:* java.util.List<java.lang.String>

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.searchBy"></a>

```java
public java.lang.String getSearchBy();
```

- *Type:* java.lang.String

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetScatterplotDefinitionRequestYRumQuery <a name="DashboardWidgetScatterplotDefinitionRequestYRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery;

DashboardWidgetScatterplotDefinitionRequestYRumQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.computeQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery;

DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy;

DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery;

DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute;

DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestYSecurityQuery <a name="DashboardWidgetScatterplotDefinitionRequestYSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery;

DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.computeQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery;

DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy;

DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery;

DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute;

DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionXaxis <a name="DashboardWidgetScatterplotDefinitionXaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis;

DashboardWidgetScatterplotDefinitionXaxis.builder()
//  .includeZero(java.lang.Boolean)
//  .includeZero(IResolvable)
//  .label(java.lang.String)
//  .max(java.lang.String)
//  .min(java.lang.String)
//  .scale(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.includeZero">includeZero</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.label">label</a></code> | <code>java.lang.String</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.max">max</a></code> | <code>java.lang.String</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.min">min</a></code> | <code>java.lang.String</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.scale">scale</a></code> | <code>java.lang.String</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `includeZero`<sup>Optional</sup> <a name="includeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.includeZero"></a>

```java
public java.lang.Object getIncludeZero();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.max"></a>

```java
public java.lang.String getMax();
```

- *Type:* java.lang.String

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.min"></a>

```java
public java.lang.String getMin();
```

- *Type:* java.lang.String

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.scale"></a>

```java
public java.lang.String getScale();
```

- *Type:* java.lang.String

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetScatterplotDefinitionYaxis <a name="DashboardWidgetScatterplotDefinitionYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis;

DashboardWidgetScatterplotDefinitionYaxis.builder()
//  .includeZero(java.lang.Boolean)
//  .includeZero(IResolvable)
//  .label(java.lang.String)
//  .max(java.lang.String)
//  .min(java.lang.String)
//  .scale(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.includeZero">includeZero</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.label">label</a></code> | <code>java.lang.String</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.max">max</a></code> | <code>java.lang.String</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.min">min</a></code> | <code>java.lang.String</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.scale">scale</a></code> | <code>java.lang.String</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `includeZero`<sup>Optional</sup> <a name="includeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.includeZero"></a>

```java
public java.lang.Object getIncludeZero();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.max"></a>

```java
public java.lang.String getMax();
```

- *Type:* java.lang.String

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.min"></a>

```java
public java.lang.String getMin();
```

- *Type:* java.lang.String

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.scale"></a>

```java
public java.lang.String getScale();
```

- *Type:* java.lang.String

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetServiceLevelObjectiveDefinition <a name="DashboardWidgetServiceLevelObjectiveDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition;

DashboardWidgetServiceLevelObjectiveDefinition.builder()
    .sloId(java.lang.String)
    .timeWindows(java.util.List<java.lang.String>)
    .viewMode(java.lang.String)
    .viewType(java.lang.String)
//  .globalTimeTarget(java.lang.String)
//  .showErrorBudget(java.lang.Boolean)
//  .showErrorBudget(IResolvable)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.sloId">sloId</a></code> | <code>java.lang.String</code> | The ID of the service level objective used by the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.timeWindows">timeWindows</a></code> | <code>java.util.List<java.lang.String></code> | A list of time windows to display in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.viewMode">viewMode</a></code> | <code>java.lang.String</code> | The view mode for the widget. Valid values are `overall`, `component`, `both`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.viewType">viewType</a></code> | <code>java.lang.String</code> | The type of view to use when displaying the widget. Only `detail` is supported. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.globalTimeTarget">globalTimeTarget</a></code> | <code>java.lang.String</code> | The global time target of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.showErrorBudget">showErrorBudget</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to show the error budget or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `sloId`<sup>Required</sup> <a name="sloId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.sloId"></a>

```java
public java.lang.String getSloId();
```

- *Type:* java.lang.String

The ID of the service level objective used by the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#slo_id Dashboard#slo_id}

---

##### `timeWindows`<sup>Required</sup> <a name="timeWindows" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.timeWindows"></a>

```java
public java.util.List<java.lang.String> getTimeWindows();
```

- *Type:* java.util.List<java.lang.String>

A list of time windows to display in the widget.

Valid values are `7d`, `30d`, `90d`, `week_to_date`, `previous_week`, `month_to_date`, `previous_month`, `global_time`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#time_windows Dashboard#time_windows}

---

##### `viewMode`<sup>Required</sup> <a name="viewMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.viewMode"></a>

```java
public java.lang.String getViewMode();
```

- *Type:* java.lang.String

The view mode for the widget. Valid values are `overall`, `component`, `both`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#view_mode Dashboard#view_mode}

---

##### `viewType`<sup>Required</sup> <a name="viewType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.viewType"></a>

```java
public java.lang.String getViewType();
```

- *Type:* java.lang.String

The type of view to use when displaying the widget. Only `detail` is supported.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#view_type Dashboard#view_type}

---

##### `globalTimeTarget`<sup>Optional</sup> <a name="globalTimeTarget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.globalTimeTarget"></a>

```java
public java.lang.String getGlobalTimeTarget();
```

- *Type:* java.lang.String

The global time target of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#global_time_target Dashboard#global_time_target}

---

##### `showErrorBudget`<sup>Optional</sup> <a name="showErrorBudget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.showErrorBudget"></a>

```java
public java.lang.Object getShowErrorBudget();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to show the error budget or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_error_budget Dashboard#show_error_budget}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetServicemapDefinition <a name="DashboardWidgetServicemapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetServicemapDefinition;

DashboardWidgetServicemapDefinition.builder()
    .filters(java.util.List<java.lang.String>)
    .service(java.lang.String)
//  .customLink(IResolvable)
//  .customLink(java.util.List<DashboardWidgetServicemapDefinitionCustomLink>)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.filters">filters</a></code> | <code>java.util.List<java.lang.String></code> | Your environment and primary tag (or `*` if enabled for your account). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.service">service</a></code> | <code>java.lang.String</code> | The ID of the service to map. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.customLink">customLink</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink">DashboardWidgetServicemapDefinitionCustomLink</a>></code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `filters`<sup>Required</sup> <a name="filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.filters"></a>

```java
public java.util.List<java.lang.String> getFilters();
```

- *Type:* java.util.List<java.lang.String>

Your environment and primary tag (or `*` if enabled for your account).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filters Dashboard#filters}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

The ID of the service to map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.customLink"></a>

```java
public java.lang.Object getCustomLink();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink">DashboardWidgetServicemapDefinitionCustomLink</a>>

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetServicemapDefinitionCustomLink <a name="DashboardWidgetServicemapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink;

DashboardWidgetServicemapDefinitionCustomLink.builder()
//  .isHidden(java.lang.Boolean)
//  .isHidden(IResolvable)
//  .label(java.lang.String)
//  .link(java.lang.String)
//  .overrideLabel(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.label">label</a></code> | <code>java.lang.String</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.link">link</a></code> | <code>java.lang.String</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>java.lang.String</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.isHidden"></a>

```java
public java.lang.Object getIsHidden();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.link"></a>

```java
public java.lang.String getLink();
```

- *Type:* java.lang.String

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.overrideLabel"></a>

```java
public java.lang.String getOverrideLabel();
```

- *Type:* java.lang.String

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetSloListDefinition <a name="DashboardWidgetSloListDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSloListDefinition;

DashboardWidgetSloListDefinition.builder()
    .request(DashboardWidgetSloListDefinitionRequest)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.request">request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest">DashboardWidgetSloListDefinitionRequest</a></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `request`<sup>Required</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.request"></a>

```java
public DashboardWidgetSloListDefinitionRequest getRequest();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest">DashboardWidgetSloListDefinitionRequest</a>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetSloListDefinitionRequest <a name="DashboardWidgetSloListDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSloListDefinitionRequest;

DashboardWidgetSloListDefinitionRequest.builder()
    .query(DashboardWidgetSloListDefinitionRequestQuery)
    .requestType(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest.property.query">query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery">DashboardWidgetSloListDefinitionRequestQuery</a></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest.property.requestType">requestType</a></code> | <code>java.lang.String</code> | The request type for the SLO List request. Valid values are `slo_list`. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest.property.query"></a>

```java
public DashboardWidgetSloListDefinitionRequestQuery getQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery">DashboardWidgetSloListDefinitionRequestQuery</a>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `requestType`<sup>Required</sup> <a name="requestType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest.property.requestType"></a>

```java
public java.lang.String getRequestType();
```

- *Type:* java.lang.String

The request type for the SLO List request. Valid values are `slo_list`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request_type Dashboard#request_type}

---

### DashboardWidgetSloListDefinitionRequestQuery <a name="DashboardWidgetSloListDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery;

DashboardWidgetSloListDefinitionRequestQuery.builder()
    .queryString(java.lang.String)
//  .limit(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery.property.queryString">queryString</a></code> | <code>java.lang.String</code> | Widget query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | Maximum number of results to display in the table. |

---

##### `queryString`<sup>Required</sup> <a name="queryString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery.property.queryString"></a>

```java
public java.lang.String getQueryString();
```

- *Type:* java.lang.String

Widget query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_string Dashboard#query_string}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

Maximum number of results to display in the table.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

### DashboardWidgetSunburstDefinition <a name="DashboardWidgetSunburstDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinition;

DashboardWidgetSunburstDefinition.builder()
//  .customLink(IResolvable)
//  .customLink(java.util.List<DashboardWidgetSunburstDefinitionCustomLink>)
//  .hideTotal(java.lang.Boolean)
//  .hideTotal(IResolvable)
//  .legendInline(DashboardWidgetSunburstDefinitionLegendInline)
//  .legendTable(DashboardWidgetSunburstDefinitionLegendTable)
//  .liveSpan(java.lang.String)
//  .request(IResolvable)
//  .request(java.util.List<DashboardWidgetSunburstDefinitionRequest>)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.customLink">customLink</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink">DashboardWidgetSunburstDefinitionCustomLink</a>></code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.hideTotal">hideTotal</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether or not to show the total value in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.legendInline">legendInline</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline">DashboardWidgetSunburstDefinitionLegendInline</a></code> | legend_inline block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.legendTable">legendTable</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendTable">DashboardWidgetSunburstDefinitionLegendTable</a></code> | legend_table block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.request">request</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest">DashboardWidgetSunburstDefinitionRequest</a>></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. One of `left`, `center`, or `right`. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title. Default is 16. |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.customLink"></a>

```java
public java.lang.Object getCustomLink();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink">DashboardWidgetSunburstDefinitionCustomLink</a>>

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `hideTotal`<sup>Optional</sup> <a name="hideTotal" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.hideTotal"></a>

```java
public java.lang.Object getHideTotal();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether or not to show the total value in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_total Dashboard#hide_total}

---

##### `legendInline`<sup>Optional</sup> <a name="legendInline" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.legendInline"></a>

```java
public DashboardWidgetSunburstDefinitionLegendInline getLegendInline();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline">DashboardWidgetSunburstDefinitionLegendInline</a>

legend_inline block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_inline Dashboard#legend_inline}

---

##### `legendTable`<sup>Optional</sup> <a name="legendTable" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.legendTable"></a>

```java
public DashboardWidgetSunburstDefinitionLegendTable getLegendTable();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendTable">DashboardWidgetSunburstDefinitionLegendTable</a>

legend_table block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_table Dashboard#legend_table}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.request"></a>

```java
public java.lang.Object getRequest();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest">DashboardWidgetSunburstDefinitionRequest</a>>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. One of `left`, `center`, or `right`. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title. Default is 16.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetSunburstDefinitionCustomLink <a name="DashboardWidgetSunburstDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink;

DashboardWidgetSunburstDefinitionCustomLink.builder()
//  .isHidden(java.lang.Boolean)
//  .isHidden(IResolvable)
//  .label(java.lang.String)
//  .link(java.lang.String)
//  .overrideLabel(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.label">label</a></code> | <code>java.lang.String</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.link">link</a></code> | <code>java.lang.String</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>java.lang.String</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.isHidden"></a>

```java
public java.lang.Object getIsHidden();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.link"></a>

```java
public java.lang.String getLink();
```

- *Type:* java.lang.String

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.overrideLabel"></a>

```java
public java.lang.String getOverrideLabel();
```

- *Type:* java.lang.String

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetSunburstDefinitionLegendInline <a name="DashboardWidgetSunburstDefinitionLegendInline" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline;

DashboardWidgetSunburstDefinitionLegendInline.builder()
    .type(java.lang.String)
//  .hidePercent(java.lang.Boolean)
//  .hidePercent(IResolvable)
//  .hideValue(java.lang.Boolean)
//  .hideValue(IResolvable)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline.property.type">type</a></code> | <code>java.lang.String</code> | The type of legend (inline or automatic). Valid values are `inline`, `automatic`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline.property.hidePercent">hidePercent</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to hide the percentages of the groups. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline.property.hideValue">hideValue</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to hide the values of the groups. |

---

##### `type`<sup>Required</sup> <a name="type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline.property.type"></a>

```java
public java.lang.String getType();
```

- *Type:* java.lang.String

The type of legend (inline or automatic). Valid values are `inline`, `automatic`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#type Dashboard#type}

---

##### `hidePercent`<sup>Optional</sup> <a name="hidePercent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline.property.hidePercent"></a>

```java
public java.lang.Object getHidePercent();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to hide the percentages of the groups.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_percent Dashboard#hide_percent}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline.property.hideValue"></a>

```java
public java.lang.Object getHideValue();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to hide the values of the groups.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

### DashboardWidgetSunburstDefinitionLegendTable <a name="DashboardWidgetSunburstDefinitionLegendTable" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendTable"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendTable.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionLegendTable;

DashboardWidgetSunburstDefinitionLegendTable.builder()
    .type(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendTable.property.type">type</a></code> | <code>java.lang.String</code> | The type of legend (table or none). Valid values are `table`, `none`. |

---

##### `type`<sup>Required</sup> <a name="type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendTable.property.type"></a>

```java
public java.lang.String getType();
```

- *Type:* java.lang.String

The type of legend (table or none). Valid values are `table`, `none`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#type Dashboard#type}

---

### DashboardWidgetSunburstDefinitionRequest <a name="DashboardWidgetSunburstDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequest;

DashboardWidgetSunburstDefinitionRequest.builder()
//  .apmQuery(DashboardWidgetSunburstDefinitionRequestApmQuery)
//  .auditQuery(DashboardWidgetSunburstDefinitionRequestAuditQuery)
//  .formula(IResolvable)
//  .formula(java.util.List<DashboardWidgetSunburstDefinitionRequestFormula>)
//  .logQuery(DashboardWidgetSunburstDefinitionRequestLogQuery)
//  .networkQuery(DashboardWidgetSunburstDefinitionRequestNetworkQuery)
//  .processQuery(DashboardWidgetSunburstDefinitionRequestProcessQuery)
//  .q(java.lang.String)
//  .query(IResolvable)
//  .query(java.util.List<DashboardWidgetSunburstDefinitionRequestQuery>)
//  .rumQuery(DashboardWidgetSunburstDefinitionRequestRumQuery)
//  .securityQuery(DashboardWidgetSunburstDefinitionRequestSecurityQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery">DashboardWidgetSunburstDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.auditQuery">auditQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery">DashboardWidgetSunburstDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.formula">formula</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula">DashboardWidgetSunburstDefinitionRequestFormula</a>></code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery">DashboardWidgetSunburstDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.networkQuery">networkQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery">DashboardWidgetSunburstDefinitionRequestNetworkQuery</a></code> | network_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery">DashboardWidgetSunburstDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.q">q</a></code> | <code>java.lang.String</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.query">query</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery">DashboardWidgetSunburstDefinitionRequestQuery</a>></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery">DashboardWidgetSunburstDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery">DashboardWidgetSunburstDefinitionRequestSecurityQuery</a></code> | security_query block. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.apmQuery"></a>

```java
public DashboardWidgetSunburstDefinitionRequestApmQuery getApmQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery">DashboardWidgetSunburstDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `auditQuery`<sup>Optional</sup> <a name="auditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.auditQuery"></a>

```java
public DashboardWidgetSunburstDefinitionRequestAuditQuery getAuditQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery">DashboardWidgetSunburstDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.formula"></a>

```java
public java.lang.Object getFormula();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula">DashboardWidgetSunburstDefinitionRequestFormula</a>>

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.logQuery"></a>

```java
public DashboardWidgetSunburstDefinitionRequestLogQuery getLogQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery">DashboardWidgetSunburstDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `networkQuery`<sup>Optional</sup> <a name="networkQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.networkQuery"></a>

```java
public DashboardWidgetSunburstDefinitionRequestNetworkQuery getNetworkQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery">DashboardWidgetSunburstDefinitionRequestNetworkQuery</a>

network_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#network_query Dashboard#network_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.processQuery"></a>

```java
public DashboardWidgetSunburstDefinitionRequestProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery">DashboardWidgetSunburstDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.query"></a>

```java
public java.lang.Object getQuery();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery">DashboardWidgetSunburstDefinitionRequestQuery</a>>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.rumQuery"></a>

```java
public DashboardWidgetSunburstDefinitionRequestRumQuery getRumQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery">DashboardWidgetSunburstDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.securityQuery"></a>

```java
public DashboardWidgetSunburstDefinitionRequestSecurityQuery getSecurityQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery">DashboardWidgetSunburstDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetSunburstDefinitionRequestApmQuery <a name="DashboardWidgetSunburstDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery;

DashboardWidgetSunburstDefinitionRequestApmQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy">DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.computeQuery"></a>

```java
public DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy">DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery;

DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy;

DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery;

DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute;

DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestAuditQuery <a name="DashboardWidgetSunburstDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery;

DashboardWidgetSunburstDefinitionRequestAuditQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy">DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.computeQuery"></a>

```java
public DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy">DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery;

DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy;

DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery;

DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute;

DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestFormula <a name="DashboardWidgetSunburstDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula;

DashboardWidgetSunburstDefinitionRequestFormula.builder()
    .formulaExpression(java.lang.String)
//  .alias(java.lang.String)
//  .cellDisplayMode(java.lang.String)
//  .conditionalFormats(IResolvable)
//  .conditionalFormats(java.util.List<DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats>)
//  .limit(DashboardWidgetSunburstDefinitionRequestFormulaLimit)
//  .style(DashboardWidgetSunburstDefinitionRequestFormulaStyle)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>java.lang.String</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.alias">alias</a></code> | <code>java.lang.String</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>java.lang.String</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats">DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats</a>></code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit">DashboardWidgetSunburstDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle">DashboardWidgetSunburstDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.formulaExpression"></a>

```java
public java.lang.String getFormulaExpression();
```

- *Type:* java.lang.String

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.alias"></a>

```java
public java.lang.String getAlias();
```

- *Type:* java.lang.String

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.cellDisplayMode"></a>

```java
public java.lang.String getCellDisplayMode();
```

- *Type:* java.lang.String

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.conditionalFormats"></a>

```java
public java.lang.Object getConditionalFormats();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats">DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats</a>>

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.limit"></a>

```java
public DashboardWidgetSunburstDefinitionRequestFormulaLimit getLimit();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit">DashboardWidgetSunburstDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.style"></a>

```java
public DashboardWidgetSunburstDefinitionRequestFormulaStyle getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle">DashboardWidgetSunburstDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats;

DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.builder()
    .comparator(java.lang.String)
    .palette(java.lang.String)
    .value(java.lang.Number)
//  .customBgColor(java.lang.String)
//  .customFgColor(java.lang.String)
//  .hideValue(java.lang.Boolean)
//  .hideValue(IResolvable)
//  .imageUrl(java.lang.String)
//  .metric(java.lang.String)
//  .timeframe(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>java.lang.String</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>java.lang.Number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>java.lang.String</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>java.lang.String</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```java
public java.lang.String getComparator();
```

- *Type:* java.lang.String

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.value"></a>

```java
public java.lang.Number getValue();
```

- *Type:* java.lang.Number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```java
public java.lang.String getCustomBgColor();
```

- *Type:* java.lang.String

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```java
public java.lang.String getCustomFgColor();
```

- *Type:* java.lang.String

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```java
public java.lang.Object getHideValue();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```java
public java.lang.String getImageUrl();
```

- *Type:* java.lang.String

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```java
public java.lang.String getTimeframe();
```

- *Type:* java.lang.String

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetSunburstDefinitionRequestFormulaLimit <a name="DashboardWidgetSunburstDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit;

DashboardWidgetSunburstDefinitionRequestFormulaLimit.builder()
//  .count(java.lang.Number)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>java.lang.Number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit.property.count"></a>

```java
public java.lang.Number getCount();
```

- *Type:* java.lang.Number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetSunburstDefinitionRequestFormulaStyle <a name="DashboardWidgetSunburstDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle;

DashboardWidgetSunburstDefinitionRequestFormulaStyle.builder()
//  .palette(java.lang.String)
//  .paletteIndex(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>java.lang.Number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```java
public java.lang.Number getPaletteIndex();
```

- *Type:* java.lang.Number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetSunburstDefinitionRequestLogQuery <a name="DashboardWidgetSunburstDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery;

DashboardWidgetSunburstDefinitionRequestLogQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy">DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.computeQuery"></a>

```java
public DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy">DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery;

DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy;

DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery;

DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute;

DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestNetworkQuery <a name="DashboardWidgetSunburstDefinitionRequestNetworkQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery;

DashboardWidgetSunburstDefinitionRequestNetworkQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy">DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.computeQuery"></a>

```java
public DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy">DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery <a name="DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery;

DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy <a name="DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy;

DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery <a name="DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery;

DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute <a name="DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute;

DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestProcessQuery <a name="DashboardWidgetSunburstDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery;

DashboardWidgetSunburstDefinitionRequestProcessQuery.builder()
    .metric(java.lang.String)
//  .filterBy(java.util.List<java.lang.String>)
//  .limit(java.lang.Number)
//  .searchBy(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>java.util.List<java.lang.String></code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>java.lang.String</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.filterBy"></a>

```java
public java.util.List<java.lang.String> getFilterBy();
```

- *Type:* java.util.List<java.lang.String>

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.searchBy"></a>

```java
public java.lang.String getSearchBy();
```

- *Type:* java.lang.String

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetSunburstDefinitionRequestQuery <a name="DashboardWidgetSunburstDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery;

DashboardWidgetSunburstDefinitionRequestQuery.builder()
//  .apmDependencyStatsQuery(DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery)
//  .apmResourceStatsQuery(DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery)
//  .eventQuery(DashboardWidgetSunburstDefinitionRequestQueryEventQuery)
//  .metricQuery(DashboardWidgetSunburstDefinitionRequestQueryMetricQuery)
//  .processQuery(DashboardWidgetSunburstDefinitionRequestQueryProcessQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery">DashboardWidgetSunburstDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery">DashboardWidgetSunburstDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery">DashboardWidgetSunburstDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```java
public DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery getApmDependencyStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```java
public DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery getApmResourceStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.eventQuery"></a>

```java
public DashboardWidgetSunburstDefinitionRequestQueryEventQuery getEventQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery">DashboardWidgetSunburstDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.metricQuery"></a>

```java
public DashboardWidgetSunburstDefinitionRequestQueryMetricQuery getMetricQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery">DashboardWidgetSunburstDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.processQuery"></a>

```java
public DashboardWidgetSunburstDefinitionRequestQueryProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery">DashboardWidgetSunburstDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery;

DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .operationName(java.lang.String)
    .resourceName(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .isUpstream(java.lang.Boolean)
//  .isUpstream(IResolvable)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```java
public java.lang.Object getIsUpstream();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery;

DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .groupBy(java.util.List<java.lang.String>)
//  .operationName(java.lang.String)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
//  .resourceName(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>java.util.List<java.lang.String></code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```java
public java.util.List<java.lang.String> getGroupBy();
```

- *Type:* java.util.List<java.lang.String>

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetSunburstDefinitionRequestQueryEventQuery <a name="DashboardWidgetSunburstDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery;

DashboardWidgetSunburstDefinitionRequestQueryEventQuery.builder()
    .compute(IResolvable)
    .compute(java.util.List<DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute>)
    .dataSource(java.lang.String)
    .name(java.lang.String)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy>)
//  .indexes(java.util.List<java.lang.String>)
//  .search(DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch)
//  .storage(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute">DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute</a>></code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>java.util.List<java.lang.String></code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch">DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>java.lang.String</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.compute"></a>

```java
public java.lang.Object getCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute">DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute</a>>

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.indexes"></a>

```java
public java.util.List<java.lang.String> getIndexes();
```

- *Type:* java.util.List<java.lang.String>

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.search"></a>

```java
public DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch getSearch();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch">DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.storage"></a>

```java
public java.lang.String getStorage();
```

- *Type:* java.lang.String

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute;

DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute.builder()
    .aggregation(java.lang.String)
//  .interval(java.lang.Number)
//  .metric(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>java.lang.String</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy;

DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.builder()
    .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sort(DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```java
public DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort getSort();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort;

DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.builder()
    .aggregation(java.lang.String)
//  .metric(java.lang.String)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>java.lang.String</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch;

DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch.builder()
    .query(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>java.lang.String</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetSunburstDefinitionRequestQueryMetricQuery <a name="DashboardWidgetSunburstDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery;

DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.builder()
    .name(java.lang.String)
    .query(java.lang.String)
//  .aggregator(java.lang.String)
//  .dataSource(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>java.lang.String</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetSunburstDefinitionRequestQueryProcessQuery <a name="DashboardWidgetSunburstDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery;

DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.builder()
    .dataSource(java.lang.String)
    .metric(java.lang.String)
    .name(java.lang.String)
//  .aggregator(java.lang.String)
//  .isNormalizedCpu(java.lang.Boolean)
//  .isNormalizedCpu(IResolvable)
//  .limit(java.lang.Number)
//  .sort(java.lang.String)
//  .tagFilters(java.util.List<java.lang.String>)
//  .textFilter(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>java.util.List<java.lang.String></code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>java.lang.String</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```java
public java.lang.Object getIsNormalizedCpu();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.sort"></a>

```java
public java.lang.String getSort();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```java
public java.util.List<java.lang.String> getTagFilters();
```

- *Type:* java.util.List<java.lang.String>

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```java
public java.lang.String getTextFilter();
```

- *Type:* java.lang.String

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetSunburstDefinitionRequestRumQuery <a name="DashboardWidgetSunburstDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery;

DashboardWidgetSunburstDefinitionRequestRumQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy">DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.computeQuery"></a>

```java
public DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy">DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery;

DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy;

DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery;

DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute;

DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestSecurityQuery <a name="DashboardWidgetSunburstDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery;

DashboardWidgetSunburstDefinitionRequestSecurityQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy">DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.computeQuery"></a>

```java
public DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy">DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery;

DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy;

DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery;

DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute;

DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinition <a name="DashboardWidgetTimeseriesDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinition;

DashboardWidgetTimeseriesDefinition.builder()
//  .customLink(IResolvable)
//  .customLink(java.util.List<DashboardWidgetTimeseriesDefinitionCustomLink>)
//  .event(IResolvable)
//  .event(java.util.List<DashboardWidgetTimeseriesDefinitionEvent>)
//  .legendColumns(java.util.List<java.lang.String>)
//  .legendLayout(java.lang.String)
//  .legendSize(java.lang.String)
//  .liveSpan(java.lang.String)
//  .marker(IResolvable)
//  .marker(java.util.List<DashboardWidgetTimeseriesDefinitionMarker>)
//  .request(IResolvable)
//  .request(java.util.List<DashboardWidgetTimeseriesDefinitionRequest>)
//  .rightYaxis(DashboardWidgetTimeseriesDefinitionRightYaxis)
//  .showLegend(java.lang.Boolean)
//  .showLegend(IResolvable)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
//  .yaxis(DashboardWidgetTimeseriesDefinitionYaxis)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.customLink">customLink</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink">DashboardWidgetTimeseriesDefinitionCustomLink</a>></code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.event">event</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent">DashboardWidgetTimeseriesDefinitionEvent</a>></code> | event block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.legendColumns">legendColumns</a></code> | <code>java.util.List<java.lang.String></code> | A list of columns to display in the legend. Valid values are `value`, `avg`, `sum`, `min`, `max`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.legendLayout">legendLayout</a></code> | <code>java.lang.String</code> | The layout of the legend displayed in the widget. Valid values are `auto`, `horizontal`, `vertical`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.legendSize">legendSize</a></code> | <code>java.lang.String</code> | The size of the legend displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.marker">marker</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker">DashboardWidgetTimeseriesDefinitionMarker</a>></code> | marker block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.request">request</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest">DashboardWidgetTimeseriesDefinitionRequest</a>></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.rightYaxis">rightYaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis">DashboardWidgetTimeseriesDefinitionRightYaxis</a></code> | right_yaxis block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.showLegend">showLegend</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether or not to show the legend on this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.yaxis">yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis">DashboardWidgetTimeseriesDefinitionYaxis</a></code> | yaxis block. |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.customLink"></a>

```java
public java.lang.Object getCustomLink();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink">DashboardWidgetTimeseriesDefinitionCustomLink</a>>

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `event`<sup>Optional</sup> <a name="event" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.event"></a>

```java
public java.lang.Object getEvent();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent">DashboardWidgetTimeseriesDefinitionEvent</a>>

event block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event Dashboard#event}

---

##### `legendColumns`<sup>Optional</sup> <a name="legendColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.legendColumns"></a>

```java
public java.util.List<java.lang.String> getLegendColumns();
```

- *Type:* java.util.List<java.lang.String>

A list of columns to display in the legend. Valid values are `value`, `avg`, `sum`, `min`, `max`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_columns Dashboard#legend_columns}

---

##### `legendLayout`<sup>Optional</sup> <a name="legendLayout" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.legendLayout"></a>

```java
public java.lang.String getLegendLayout();
```

- *Type:* java.lang.String

The layout of the legend displayed in the widget. Valid values are `auto`, `horizontal`, `vertical`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_layout Dashboard#legend_layout}

---

##### `legendSize`<sup>Optional</sup> <a name="legendSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.legendSize"></a>

```java
public java.lang.String getLegendSize();
```

- *Type:* java.lang.String

The size of the legend displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_size Dashboard#legend_size}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `marker`<sup>Optional</sup> <a name="marker" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.marker"></a>

```java
public java.lang.Object getMarker();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker">DashboardWidgetTimeseriesDefinitionMarker</a>>

marker block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#marker Dashboard#marker}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.request"></a>

```java
public java.lang.Object getRequest();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest">DashboardWidgetTimeseriesDefinitionRequest</a>>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `rightYaxis`<sup>Optional</sup> <a name="rightYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.rightYaxis"></a>

```java
public DashboardWidgetTimeseriesDefinitionRightYaxis getRightYaxis();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis">DashboardWidgetTimeseriesDefinitionRightYaxis</a>

right_yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#right_yaxis Dashboard#right_yaxis}

---

##### `showLegend`<sup>Optional</sup> <a name="showLegend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.showLegend"></a>

```java
public java.lang.Object getShowLegend();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether or not to show the legend on this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_legend Dashboard#show_legend}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `yaxis`<sup>Optional</sup> <a name="yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.yaxis"></a>

```java
public DashboardWidgetTimeseriesDefinitionYaxis getYaxis();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis">DashboardWidgetTimeseriesDefinitionYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetTimeseriesDefinitionCustomLink <a name="DashboardWidgetTimeseriesDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink;

DashboardWidgetTimeseriesDefinitionCustomLink.builder()
//  .isHidden(java.lang.Boolean)
//  .isHidden(IResolvable)
//  .label(java.lang.String)
//  .link(java.lang.String)
//  .overrideLabel(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.label">label</a></code> | <code>java.lang.String</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.link">link</a></code> | <code>java.lang.String</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>java.lang.String</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.isHidden"></a>

```java
public java.lang.Object getIsHidden();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.link"></a>

```java
public java.lang.String getLink();
```

- *Type:* java.lang.String

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.overrideLabel"></a>

```java
public java.lang.String getOverrideLabel();
```

- *Type:* java.lang.String

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetTimeseriesDefinitionEvent <a name="DashboardWidgetTimeseriesDefinitionEvent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent;

DashboardWidgetTimeseriesDefinitionEvent.builder()
    .q(java.lang.String)
//  .tagsExecution(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent.property.q">q</a></code> | <code>java.lang.String</code> | The event query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent.property.tagsExecution">tagsExecution</a></code> | <code>java.lang.String</code> | The execution method for multi-value filters. |

---

##### `q`<sup>Required</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

The event query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `tagsExecution`<sup>Optional</sup> <a name="tagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent.property.tagsExecution"></a>

```java
public java.lang.String getTagsExecution();
```

- *Type:* java.lang.String

The execution method for multi-value filters.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

### DashboardWidgetTimeseriesDefinitionMarker <a name="DashboardWidgetTimeseriesDefinitionMarker" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker;

DashboardWidgetTimeseriesDefinitionMarker.builder()
    .value(java.lang.String)
//  .displayType(java.lang.String)
//  .label(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker.property.value">value</a></code> | <code>java.lang.String</code> | A mathematical expression describing the marker, for example: `y > 1`, `-5 < y < 0`, `y = 19`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker.property.displayType">displayType</a></code> | <code>java.lang.String</code> | How the marker lines are displayed, options are one of {`error`, `warning`, `info`, `ok`} combined with one of {`dashed`, `solid`, `bold`}. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker.property.label">label</a></code> | <code>java.lang.String</code> | A label for the line or range. |

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker.property.value"></a>

```java
public java.lang.String getValue();
```

- *Type:* java.lang.String

A mathematical expression describing the marker, for example: `y > 1`, `-5 < y < 0`, `y = 19`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `displayType`<sup>Optional</sup> <a name="displayType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker.property.displayType"></a>

```java
public java.lang.String getDisplayType();
```

- *Type:* java.lang.String

How the marker lines are displayed, options are one of {`error`, `warning`, `info`, `ok`} combined with one of {`dashed`, `solid`, `bold`}.

Example: `error dashed`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_type Dashboard#display_type}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

A label for the line or range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

### DashboardWidgetTimeseriesDefinitionRequest <a name="DashboardWidgetTimeseriesDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest;

DashboardWidgetTimeseriesDefinitionRequest.builder()
//  .apmQuery(DashboardWidgetTimeseriesDefinitionRequestApmQuery)
//  .auditQuery(DashboardWidgetTimeseriesDefinitionRequestAuditQuery)
//  .displayType(java.lang.String)
//  .formula(IResolvable)
//  .formula(java.util.List<DashboardWidgetTimeseriesDefinitionRequestFormula>)
//  .logQuery(DashboardWidgetTimeseriesDefinitionRequestLogQuery)
//  .metadata(IResolvable)
//  .metadata(java.util.List<DashboardWidgetTimeseriesDefinitionRequestMetadata>)
//  .networkQuery(DashboardWidgetTimeseriesDefinitionRequestNetworkQuery)
//  .onRightYaxis(java.lang.Boolean)
//  .onRightYaxis(IResolvable)
//  .processQuery(DashboardWidgetTimeseriesDefinitionRequestProcessQuery)
//  .q(java.lang.String)
//  .query(IResolvable)
//  .query(java.util.List<DashboardWidgetTimeseriesDefinitionRequestQuery>)
//  .rumQuery(DashboardWidgetTimeseriesDefinitionRequestRumQuery)
//  .securityQuery(DashboardWidgetTimeseriesDefinitionRequestSecurityQuery)
//  .style(DashboardWidgetTimeseriesDefinitionRequestStyle)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery">DashboardWidgetTimeseriesDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.auditQuery">auditQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery">DashboardWidgetTimeseriesDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.displayType">displayType</a></code> | <code>java.lang.String</code> | How to display the marker lines. Valid values are `area`, `bars`, `line`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.formula">formula</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula">DashboardWidgetTimeseriesDefinitionRequestFormula</a>></code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery">DashboardWidgetTimeseriesDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.metadata">metadata</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata">DashboardWidgetTimeseriesDefinitionRequestMetadata</a>></code> | metadata block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.networkQuery">networkQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery">DashboardWidgetTimeseriesDefinitionRequestNetworkQuery</a></code> | network_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.onRightYaxis">onRightYaxis</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | A Boolean indicating whether the request uses the right or left Y-Axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery">DashboardWidgetTimeseriesDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.q">q</a></code> | <code>java.lang.String</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.query">query</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery">DashboardWidgetTimeseriesDefinitionRequestQuery</a>></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery">DashboardWidgetTimeseriesDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery">DashboardWidgetTimeseriesDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle">DashboardWidgetTimeseriesDefinitionRequestStyle</a></code> | style block. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.apmQuery"></a>

```java
public DashboardWidgetTimeseriesDefinitionRequestApmQuery getApmQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery">DashboardWidgetTimeseriesDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `auditQuery`<sup>Optional</sup> <a name="auditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.auditQuery"></a>

```java
public DashboardWidgetTimeseriesDefinitionRequestAuditQuery getAuditQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery">DashboardWidgetTimeseriesDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `displayType`<sup>Optional</sup> <a name="displayType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.displayType"></a>

```java
public java.lang.String getDisplayType();
```

- *Type:* java.lang.String

How to display the marker lines. Valid values are `area`, `bars`, `line`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_type Dashboard#display_type}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.formula"></a>

```java
public java.lang.Object getFormula();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula">DashboardWidgetTimeseriesDefinitionRequestFormula</a>>

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.logQuery"></a>

```java
public DashboardWidgetTimeseriesDefinitionRequestLogQuery getLogQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery">DashboardWidgetTimeseriesDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `metadata`<sup>Optional</sup> <a name="metadata" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.metadata"></a>

```java
public java.lang.Object getMetadata();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata">DashboardWidgetTimeseriesDefinitionRequestMetadata</a>>

metadata block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metadata Dashboard#metadata}

---

##### `networkQuery`<sup>Optional</sup> <a name="networkQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.networkQuery"></a>

```java
public DashboardWidgetTimeseriesDefinitionRequestNetworkQuery getNetworkQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery">DashboardWidgetTimeseriesDefinitionRequestNetworkQuery</a>

network_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#network_query Dashboard#network_query}

---

##### `onRightYaxis`<sup>Optional</sup> <a name="onRightYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.onRightYaxis"></a>

```java
public java.lang.Object getOnRightYaxis();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

A Boolean indicating whether the request uses the right or left Y-Axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#on_right_yaxis Dashboard#on_right_yaxis}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.processQuery"></a>

```java
public DashboardWidgetTimeseriesDefinitionRequestProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery">DashboardWidgetTimeseriesDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.query"></a>

```java
public java.lang.Object getQuery();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery">DashboardWidgetTimeseriesDefinitionRequestQuery</a>>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.rumQuery"></a>

```java
public DashboardWidgetTimeseriesDefinitionRequestRumQuery getRumQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery">DashboardWidgetTimeseriesDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.securityQuery"></a>

```java
public DashboardWidgetTimeseriesDefinitionRequestSecurityQuery getSecurityQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery">DashboardWidgetTimeseriesDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.style"></a>

```java
public DashboardWidgetTimeseriesDefinitionRequestStyle getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle">DashboardWidgetTimeseriesDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetTimeseriesDefinitionRequestApmQuery <a name="DashboardWidgetTimeseriesDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery;

DashboardWidgetTimeseriesDefinitionRequestApmQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.computeQuery"></a>

```java
public DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery;

DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy;

DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery;

DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute;

DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestAuditQuery <a name="DashboardWidgetTimeseriesDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery;

DashboardWidgetTimeseriesDefinitionRequestAuditQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.computeQuery"></a>

```java
public DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery;

DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy;

DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery;

DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute;

DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestFormula <a name="DashboardWidgetTimeseriesDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula;

DashboardWidgetTimeseriesDefinitionRequestFormula.builder()
    .formulaExpression(java.lang.String)
//  .alias(java.lang.String)
//  .cellDisplayMode(java.lang.String)
//  .conditionalFormats(IResolvable)
//  .conditionalFormats(java.util.List<DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats>)
//  .limit(DashboardWidgetTimeseriesDefinitionRequestFormulaLimit)
//  .style(DashboardWidgetTimeseriesDefinitionRequestFormulaStyle)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>java.lang.String</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.alias">alias</a></code> | <code>java.lang.String</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>java.lang.String</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats">DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats</a>></code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit">DashboardWidgetTimeseriesDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle">DashboardWidgetTimeseriesDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.formulaExpression"></a>

```java
public java.lang.String getFormulaExpression();
```

- *Type:* java.lang.String

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.alias"></a>

```java
public java.lang.String getAlias();
```

- *Type:* java.lang.String

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.cellDisplayMode"></a>

```java
public java.lang.String getCellDisplayMode();
```

- *Type:* java.lang.String

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.conditionalFormats"></a>

```java
public java.lang.Object getConditionalFormats();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats">DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats</a>>

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.limit"></a>

```java
public DashboardWidgetTimeseriesDefinitionRequestFormulaLimit getLimit();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit">DashboardWidgetTimeseriesDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.style"></a>

```java
public DashboardWidgetTimeseriesDefinitionRequestFormulaStyle getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle">DashboardWidgetTimeseriesDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats;

DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.builder()
    .comparator(java.lang.String)
    .palette(java.lang.String)
    .value(java.lang.Number)
//  .customBgColor(java.lang.String)
//  .customFgColor(java.lang.String)
//  .hideValue(java.lang.Boolean)
//  .hideValue(IResolvable)
//  .imageUrl(java.lang.String)
//  .metric(java.lang.String)
//  .timeframe(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>java.lang.String</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>java.lang.Number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>java.lang.String</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>java.lang.String</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```java
public java.lang.String getComparator();
```

- *Type:* java.lang.String

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.value"></a>

```java
public java.lang.Number getValue();
```

- *Type:* java.lang.Number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```java
public java.lang.String getCustomBgColor();
```

- *Type:* java.lang.String

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```java
public java.lang.String getCustomFgColor();
```

- *Type:* java.lang.String

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```java
public java.lang.Object getHideValue();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```java
public java.lang.String getImageUrl();
```

- *Type:* java.lang.String

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```java
public java.lang.String getTimeframe();
```

- *Type:* java.lang.String

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetTimeseriesDefinitionRequestFormulaLimit <a name="DashboardWidgetTimeseriesDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit;

DashboardWidgetTimeseriesDefinitionRequestFormulaLimit.builder()
//  .count(java.lang.Number)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>java.lang.Number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit.property.count"></a>

```java
public java.lang.Number getCount();
```

- *Type:* java.lang.Number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetTimeseriesDefinitionRequestFormulaStyle <a name="DashboardWidgetTimeseriesDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle;

DashboardWidgetTimeseriesDefinitionRequestFormulaStyle.builder()
//  .palette(java.lang.String)
//  .paletteIndex(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>java.lang.Number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```java
public java.lang.Number getPaletteIndex();
```

- *Type:* java.lang.Number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetTimeseriesDefinitionRequestLogQuery <a name="DashboardWidgetTimeseriesDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery;

DashboardWidgetTimeseriesDefinitionRequestLogQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.computeQuery"></a>

```java
public DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery;

DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy;

DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery;

DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute;

DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestMetadata <a name="DashboardWidgetTimeseriesDefinitionRequestMetadata" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata;

DashboardWidgetTimeseriesDefinitionRequestMetadata.builder()
    .expression(java.lang.String)
//  .aliasName(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata.property.expression">expression</a></code> | <code>java.lang.String</code> | The expression name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata.property.aliasName">aliasName</a></code> | <code>java.lang.String</code> | The expression alias. |

---

##### `expression`<sup>Required</sup> <a name="expression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata.property.expression"></a>

```java
public java.lang.String getExpression();
```

- *Type:* java.lang.String

The expression name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#expression Dashboard#expression}

---

##### `aliasName`<sup>Optional</sup> <a name="aliasName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata.property.aliasName"></a>

```java
public java.lang.String getAliasName();
```

- *Type:* java.lang.String

The expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias_name Dashboard#alias_name}

---

### DashboardWidgetTimeseriesDefinitionRequestNetworkQuery <a name="DashboardWidgetTimeseriesDefinitionRequestNetworkQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery;

DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.computeQuery"></a>

```java
public DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery <a name="DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery;

DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy <a name="DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy;

DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery <a name="DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery;

DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute <a name="DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute;

DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestProcessQuery <a name="DashboardWidgetTimeseriesDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery;

DashboardWidgetTimeseriesDefinitionRequestProcessQuery.builder()
    .metric(java.lang.String)
//  .filterBy(java.util.List<java.lang.String>)
//  .limit(java.lang.Number)
//  .searchBy(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>java.util.List<java.lang.String></code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>java.lang.String</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.filterBy"></a>

```java
public java.util.List<java.lang.String> getFilterBy();
```

- *Type:* java.util.List<java.lang.String>

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.searchBy"></a>

```java
public java.lang.String getSearchBy();
```

- *Type:* java.lang.String

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetTimeseriesDefinitionRequestQuery <a name="DashboardWidgetTimeseriesDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery;

DashboardWidgetTimeseriesDefinitionRequestQuery.builder()
//  .apmDependencyStatsQuery(DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery)
//  .apmResourceStatsQuery(DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery)
//  .eventQuery(DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery)
//  .metricQuery(DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery)
//  .processQuery(DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery">DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery">DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery">DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```java
public DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery getApmDependencyStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```java
public DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery getApmResourceStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.eventQuery"></a>

```java
public DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery getEventQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery">DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.metricQuery"></a>

```java
public DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery getMetricQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery">DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.processQuery"></a>

```java
public DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery">DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery;

DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .operationName(java.lang.String)
    .resourceName(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .isUpstream(java.lang.Boolean)
//  .isUpstream(IResolvable)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```java
public java.lang.Object getIsUpstream();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery;

DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .groupBy(java.util.List<java.lang.String>)
//  .operationName(java.lang.String)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
//  .resourceName(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>java.util.List<java.lang.String></code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```java
public java.util.List<java.lang.String> getGroupBy();
```

- *Type:* java.util.List<java.lang.String>

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery <a name="DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery;

DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.builder()
    .compute(IResolvable)
    .compute(java.util.List<DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute>)
    .dataSource(java.lang.String)
    .name(java.lang.String)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy>)
//  .indexes(java.util.List<java.lang.String>)
//  .search(DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch)
//  .storage(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute">DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute</a>></code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>java.util.List<java.lang.String></code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch">DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>java.lang.String</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.compute"></a>

```java
public java.lang.Object getCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute">DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute</a>>

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.indexes"></a>

```java
public java.util.List<java.lang.String> getIndexes();
```

- *Type:* java.util.List<java.lang.String>

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.search"></a>

```java
public DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch getSearch();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch">DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.storage"></a>

```java
public java.lang.String getStorage();
```

- *Type:* java.lang.String

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute;

DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.builder()
    .aggregation(java.lang.String)
//  .interval(java.lang.Number)
//  .metric(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>java.lang.String</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy;

DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.builder()
    .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sort(DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```java
public DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort getSort();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort;

DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.builder()
    .aggregation(java.lang.String)
//  .metric(java.lang.String)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>java.lang.String</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch;

DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch.builder()
    .query(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>java.lang.String</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery <a name="DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery;

DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.builder()
    .name(java.lang.String)
    .query(java.lang.String)
//  .aggregator(java.lang.String)
//  .dataSource(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>java.lang.String</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery <a name="DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery;

DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.builder()
    .dataSource(java.lang.String)
    .metric(java.lang.String)
    .name(java.lang.String)
//  .aggregator(java.lang.String)
//  .isNormalizedCpu(java.lang.Boolean)
//  .isNormalizedCpu(IResolvable)
//  .limit(java.lang.Number)
//  .sort(java.lang.String)
//  .tagFilters(java.util.List<java.lang.String>)
//  .textFilter(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>java.util.List<java.lang.String></code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>java.lang.String</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```java
public java.lang.Object getIsNormalizedCpu();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.sort"></a>

```java
public java.lang.String getSort();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```java
public java.util.List<java.lang.String> getTagFilters();
```

- *Type:* java.util.List<java.lang.String>

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```java
public java.lang.String getTextFilter();
```

- *Type:* java.lang.String

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetTimeseriesDefinitionRequestRumQuery <a name="DashboardWidgetTimeseriesDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery;

DashboardWidgetTimeseriesDefinitionRequestRumQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.computeQuery"></a>

```java
public DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery;

DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy;

DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery;

DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute;

DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestSecurityQuery <a name="DashboardWidgetTimeseriesDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery;

DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.computeQuery"></a>

```java
public DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery;

DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy;

DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery;

DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute;

DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestStyle <a name="DashboardWidgetTimeseriesDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle;

DashboardWidgetTimeseriesDefinitionRequestStyle.builder()
//  .lineType(java.lang.String)
//  .lineWidth(java.lang.String)
//  .palette(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle.property.lineType">lineType</a></code> | <code>java.lang.String</code> | The type of lines displayed. Valid values are `dashed`, `dotted`, `solid`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle.property.lineWidth">lineWidth</a></code> | <code>java.lang.String</code> | The width of line displayed. Valid values are `normal`, `thick`, `thin`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle.property.palette">palette</a></code> | <code>java.lang.String</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `lineType`<sup>Optional</sup> <a name="lineType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle.property.lineType"></a>

```java
public java.lang.String getLineType();
```

- *Type:* java.lang.String

The type of lines displayed. Valid values are `dashed`, `dotted`, `solid`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#line_type Dashboard#line_type}

---

##### `lineWidth`<sup>Optional</sup> <a name="lineWidth" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle.property.lineWidth"></a>

```java
public java.lang.String getLineWidth();
```

- *Type:* java.lang.String

The width of line displayed. Valid values are `normal`, `thick`, `thin`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#line_width Dashboard#line_width}

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetTimeseriesDefinitionRightYaxis <a name="DashboardWidgetTimeseriesDefinitionRightYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis;

DashboardWidgetTimeseriesDefinitionRightYaxis.builder()
//  .includeZero(java.lang.Boolean)
//  .includeZero(IResolvable)
//  .label(java.lang.String)
//  .max(java.lang.String)
//  .min(java.lang.String)
//  .scale(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.includeZero">includeZero</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.label">label</a></code> | <code>java.lang.String</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.max">max</a></code> | <code>java.lang.String</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.min">min</a></code> | <code>java.lang.String</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.scale">scale</a></code> | <code>java.lang.String</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `includeZero`<sup>Optional</sup> <a name="includeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.includeZero"></a>

```java
public java.lang.Object getIncludeZero();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.max"></a>

```java
public java.lang.String getMax();
```

- *Type:* java.lang.String

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.min"></a>

```java
public java.lang.String getMin();
```

- *Type:* java.lang.String

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.scale"></a>

```java
public java.lang.String getScale();
```

- *Type:* java.lang.String

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetTimeseriesDefinitionYaxis <a name="DashboardWidgetTimeseriesDefinitionYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis;

DashboardWidgetTimeseriesDefinitionYaxis.builder()
//  .includeZero(java.lang.Boolean)
//  .includeZero(IResolvable)
//  .label(java.lang.String)
//  .max(java.lang.String)
//  .min(java.lang.String)
//  .scale(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.includeZero">includeZero</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.label">label</a></code> | <code>java.lang.String</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.max">max</a></code> | <code>java.lang.String</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.min">min</a></code> | <code>java.lang.String</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.scale">scale</a></code> | <code>java.lang.String</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `includeZero`<sup>Optional</sup> <a name="includeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.includeZero"></a>

```java
public java.lang.Object getIncludeZero();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.max"></a>

```java
public java.lang.String getMax();
```

- *Type:* java.lang.String

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.min"></a>

```java
public java.lang.String getMin();
```

- *Type:* java.lang.String

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.scale"></a>

```java
public java.lang.String getScale();
```

- *Type:* java.lang.String

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetToplistDefinition <a name="DashboardWidgetToplistDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinition;

DashboardWidgetToplistDefinition.builder()
//  .customLink(IResolvable)
//  .customLink(java.util.List<DashboardWidgetToplistDefinitionCustomLink>)
//  .liveSpan(java.lang.String)
//  .request(IResolvable)
//  .request(java.util.List<DashboardWidgetToplistDefinitionRequest>)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.customLink">customLink</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink">DashboardWidgetToplistDefinitionCustomLink</a>></code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.request">request</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest">DashboardWidgetToplistDefinitionRequest</a>></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.customLink"></a>

```java
public java.lang.Object getCustomLink();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink">DashboardWidgetToplistDefinitionCustomLink</a>>

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.request"></a>

```java
public java.lang.Object getRequest();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest">DashboardWidgetToplistDefinitionRequest</a>>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetToplistDefinitionCustomLink <a name="DashboardWidgetToplistDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink;

DashboardWidgetToplistDefinitionCustomLink.builder()
//  .isHidden(java.lang.Boolean)
//  .isHidden(IResolvable)
//  .label(java.lang.String)
//  .link(java.lang.String)
//  .overrideLabel(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.label">label</a></code> | <code>java.lang.String</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.link">link</a></code> | <code>java.lang.String</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>java.lang.String</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.isHidden"></a>

```java
public java.lang.Object getIsHidden();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.link"></a>

```java
public java.lang.String getLink();
```

- *Type:* java.lang.String

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.overrideLabel"></a>

```java
public java.lang.String getOverrideLabel();
```

- *Type:* java.lang.String

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetToplistDefinitionRequest <a name="DashboardWidgetToplistDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequest;

DashboardWidgetToplistDefinitionRequest.builder()
//  .apmQuery(DashboardWidgetToplistDefinitionRequestApmQuery)
//  .auditQuery(DashboardWidgetToplistDefinitionRequestAuditQuery)
//  .conditionalFormats(IResolvable)
//  .conditionalFormats(java.util.List<DashboardWidgetToplistDefinitionRequestConditionalFormats>)
//  .formula(IResolvable)
//  .formula(java.util.List<DashboardWidgetToplistDefinitionRequestFormula>)
//  .logQuery(DashboardWidgetToplistDefinitionRequestLogQuery)
//  .processQuery(DashboardWidgetToplistDefinitionRequestProcessQuery)
//  .q(java.lang.String)
//  .query(IResolvable)
//  .query(java.util.List<DashboardWidgetToplistDefinitionRequestQuery>)
//  .rumQuery(DashboardWidgetToplistDefinitionRequestRumQuery)
//  .securityQuery(DashboardWidgetToplistDefinitionRequestSecurityQuery)
//  .style(DashboardWidgetToplistDefinitionRequestStyle)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery">DashboardWidgetToplistDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.auditQuery">auditQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery">DashboardWidgetToplistDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.conditionalFormats">conditionalFormats</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats">DashboardWidgetToplistDefinitionRequestConditionalFormats</a>></code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.formula">formula</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula">DashboardWidgetToplistDefinitionRequestFormula</a>></code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery">DashboardWidgetToplistDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery">DashboardWidgetToplistDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.q">q</a></code> | <code>java.lang.String</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.query">query</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery">DashboardWidgetToplistDefinitionRequestQuery</a>></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery">DashboardWidgetToplistDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery">DashboardWidgetToplistDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestStyle">DashboardWidgetToplistDefinitionRequestStyle</a></code> | style block. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.apmQuery"></a>

```java
public DashboardWidgetToplistDefinitionRequestApmQuery getApmQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery">DashboardWidgetToplistDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `auditQuery`<sup>Optional</sup> <a name="auditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.auditQuery"></a>

```java
public DashboardWidgetToplistDefinitionRequestAuditQuery getAuditQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery">DashboardWidgetToplistDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.conditionalFormats"></a>

```java
public java.lang.Object getConditionalFormats();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats">DashboardWidgetToplistDefinitionRequestConditionalFormats</a>>

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.formula"></a>

```java
public java.lang.Object getFormula();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula">DashboardWidgetToplistDefinitionRequestFormula</a>>

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.logQuery"></a>

```java
public DashboardWidgetToplistDefinitionRequestLogQuery getLogQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery">DashboardWidgetToplistDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.processQuery"></a>

```java
public DashboardWidgetToplistDefinitionRequestProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery">DashboardWidgetToplistDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.query"></a>

```java
public java.lang.Object getQuery();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery">DashboardWidgetToplistDefinitionRequestQuery</a>>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.rumQuery"></a>

```java
public DashboardWidgetToplistDefinitionRequestRumQuery getRumQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery">DashboardWidgetToplistDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.securityQuery"></a>

```java
public DashboardWidgetToplistDefinitionRequestSecurityQuery getSecurityQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery">DashboardWidgetToplistDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.style"></a>

```java
public DashboardWidgetToplistDefinitionRequestStyle getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestStyle">DashboardWidgetToplistDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetToplistDefinitionRequestApmQuery <a name="DashboardWidgetToplistDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery;

DashboardWidgetToplistDefinitionRequestApmQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetToplistDefinitionRequestApmQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery">DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy">DashboardWidgetToplistDefinitionRequestApmQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute">DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.computeQuery"></a>

```java
public DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery">DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy">DashboardWidgetToplistDefinitionRequestApmQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute">DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery;

DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetToplistDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy;

DashboardWidgetToplistDefinitionRequestApmQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery;

DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute;

DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestAuditQuery <a name="DashboardWidgetToplistDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery;

DashboardWidgetToplistDefinitionRequestAuditQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery">DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy">DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute">DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.computeQuery"></a>

```java
public DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery">DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy">DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute">DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery;

DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy;

DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery;

DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute;

DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestConditionalFormats <a name="DashboardWidgetToplistDefinitionRequestConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats;

DashboardWidgetToplistDefinitionRequestConditionalFormats.builder()
    .comparator(java.lang.String)
    .palette(java.lang.String)
    .value(java.lang.Number)
//  .customBgColor(java.lang.String)
//  .customFgColor(java.lang.String)
//  .hideValue(java.lang.Boolean)
//  .hideValue(IResolvable)
//  .imageUrl(java.lang.String)
//  .metric(java.lang.String)
//  .timeframe(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.comparator">comparator</a></code> | <code>java.lang.String</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.value">value</a></code> | <code>java.lang.Number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.hideValue">hideValue</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>java.lang.String</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.timeframe">timeframe</a></code> | <code>java.lang.String</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.comparator"></a>

```java
public java.lang.String getComparator();
```

- *Type:* java.lang.String

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.value"></a>

```java
public java.lang.Number getValue();
```

- *Type:* java.lang.Number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.customBgColor"></a>

```java
public java.lang.String getCustomBgColor();
```

- *Type:* java.lang.String

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.customFgColor"></a>

```java
public java.lang.String getCustomFgColor();
```

- *Type:* java.lang.String

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.hideValue"></a>

```java
public java.lang.Object getHideValue();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.imageUrl"></a>

```java
public java.lang.String getImageUrl();
```

- *Type:* java.lang.String

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.timeframe"></a>

```java
public java.lang.String getTimeframe();
```

- *Type:* java.lang.String

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetToplistDefinitionRequestFormula <a name="DashboardWidgetToplistDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula;

DashboardWidgetToplistDefinitionRequestFormula.builder()
    .formulaExpression(java.lang.String)
//  .alias(java.lang.String)
//  .cellDisplayMode(java.lang.String)
//  .conditionalFormats(IResolvable)
//  .conditionalFormats(java.util.List<DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats>)
//  .limit(DashboardWidgetToplistDefinitionRequestFormulaLimit)
//  .style(DashboardWidgetToplistDefinitionRequestFormulaStyle)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>java.lang.String</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.alias">alias</a></code> | <code>java.lang.String</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>java.lang.String</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats">DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats</a>></code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit">DashboardWidgetToplistDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle">DashboardWidgetToplistDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.formulaExpression"></a>

```java
public java.lang.String getFormulaExpression();
```

- *Type:* java.lang.String

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.alias"></a>

```java
public java.lang.String getAlias();
```

- *Type:* java.lang.String

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.cellDisplayMode"></a>

```java
public java.lang.String getCellDisplayMode();
```

- *Type:* java.lang.String

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.conditionalFormats"></a>

```java
public java.lang.Object getConditionalFormats();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats">DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats</a>>

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.limit"></a>

```java
public DashboardWidgetToplistDefinitionRequestFormulaLimit getLimit();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit">DashboardWidgetToplistDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.style"></a>

```java
public DashboardWidgetToplistDefinitionRequestFormulaStyle getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle">DashboardWidgetToplistDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats;

DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.builder()
    .comparator(java.lang.String)
    .palette(java.lang.String)
    .value(java.lang.Number)
//  .customBgColor(java.lang.String)
//  .customFgColor(java.lang.String)
//  .hideValue(java.lang.Boolean)
//  .hideValue(IResolvable)
//  .imageUrl(java.lang.String)
//  .metric(java.lang.String)
//  .timeframe(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>java.lang.String</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>java.lang.Number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>java.lang.String</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>java.lang.String</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```java
public java.lang.String getComparator();
```

- *Type:* java.lang.String

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.value"></a>

```java
public java.lang.Number getValue();
```

- *Type:* java.lang.Number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```java
public java.lang.String getCustomBgColor();
```

- *Type:* java.lang.String

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```java
public java.lang.String getCustomFgColor();
```

- *Type:* java.lang.String

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```java
public java.lang.Object getHideValue();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```java
public java.lang.String getImageUrl();
```

- *Type:* java.lang.String

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```java
public java.lang.String getTimeframe();
```

- *Type:* java.lang.String

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetToplistDefinitionRequestFormulaLimit <a name="DashboardWidgetToplistDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit;

DashboardWidgetToplistDefinitionRequestFormulaLimit.builder()
//  .count(java.lang.Number)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>java.lang.Number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit.property.count"></a>

```java
public java.lang.Number getCount();
```

- *Type:* java.lang.Number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetToplistDefinitionRequestFormulaStyle <a name="DashboardWidgetToplistDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle;

DashboardWidgetToplistDefinitionRequestFormulaStyle.builder()
//  .palette(java.lang.String)
//  .paletteIndex(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>java.lang.Number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```java
public java.lang.Number getPaletteIndex();
```

- *Type:* java.lang.Number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetToplistDefinitionRequestLogQuery <a name="DashboardWidgetToplistDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery;

DashboardWidgetToplistDefinitionRequestLogQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetToplistDefinitionRequestLogQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery">DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy">DashboardWidgetToplistDefinitionRequestLogQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute">DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.computeQuery"></a>

```java
public DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery">DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy">DashboardWidgetToplistDefinitionRequestLogQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute">DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery;

DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetToplistDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy;

DashboardWidgetToplistDefinitionRequestLogQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery;

DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute;

DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestProcessQuery <a name="DashboardWidgetToplistDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery;

DashboardWidgetToplistDefinitionRequestProcessQuery.builder()
    .metric(java.lang.String)
//  .filterBy(java.util.List<java.lang.String>)
//  .limit(java.lang.Number)
//  .searchBy(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>java.util.List<java.lang.String></code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>java.lang.String</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.filterBy"></a>

```java
public java.util.List<java.lang.String> getFilterBy();
```

- *Type:* java.util.List<java.lang.String>

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.searchBy"></a>

```java
public java.lang.String getSearchBy();
```

- *Type:* java.lang.String

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetToplistDefinitionRequestQuery <a name="DashboardWidgetToplistDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery;

DashboardWidgetToplistDefinitionRequestQuery.builder()
//  .apmDependencyStatsQuery(DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery)
//  .apmResourceStatsQuery(DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery)
//  .eventQuery(DashboardWidgetToplistDefinitionRequestQueryEventQuery)
//  .metricQuery(DashboardWidgetToplistDefinitionRequestQueryMetricQuery)
//  .processQuery(DashboardWidgetToplistDefinitionRequestQueryProcessQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery">DashboardWidgetToplistDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery">DashboardWidgetToplistDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery">DashboardWidgetToplistDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```java
public DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery getApmDependencyStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```java
public DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery getApmResourceStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.eventQuery"></a>

```java
public DashboardWidgetToplistDefinitionRequestQueryEventQuery getEventQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery">DashboardWidgetToplistDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.metricQuery"></a>

```java
public DashboardWidgetToplistDefinitionRequestQueryMetricQuery getMetricQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery">DashboardWidgetToplistDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.processQuery"></a>

```java
public DashboardWidgetToplistDefinitionRequestQueryProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery">DashboardWidgetToplistDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery;

DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .operationName(java.lang.String)
    .resourceName(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .isUpstream(java.lang.Boolean)
//  .isUpstream(IResolvable)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```java
public java.lang.Object getIsUpstream();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery;

DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .groupBy(java.util.List<java.lang.String>)
//  .operationName(java.lang.String)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
//  .resourceName(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>java.util.List<java.lang.String></code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```java
public java.util.List<java.lang.String> getGroupBy();
```

- *Type:* java.util.List<java.lang.String>

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetToplistDefinitionRequestQueryEventQuery <a name="DashboardWidgetToplistDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery;

DashboardWidgetToplistDefinitionRequestQueryEventQuery.builder()
    .compute(IResolvable)
    .compute(java.util.List<DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute>)
    .dataSource(java.lang.String)
    .name(java.lang.String)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy>)
//  .indexes(java.util.List<java.lang.String>)
//  .search(DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch)
//  .storage(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute">DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute</a>></code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>java.util.List<java.lang.String></code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch">DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>java.lang.String</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.compute"></a>

```java
public java.lang.Object getCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute">DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute</a>>

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.indexes"></a>

```java
public java.util.List<java.lang.String> getIndexes();
```

- *Type:* java.util.List<java.lang.String>

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.search"></a>

```java
public DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch getSearch();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch">DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.storage"></a>

```java
public java.lang.String getStorage();
```

- *Type:* java.lang.String

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute;

DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute.builder()
    .aggregation(java.lang.String)
//  .interval(java.lang.Number)
//  .metric(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>java.lang.String</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy;

DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy.builder()
    .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sort(DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```java
public DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort getSort();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort;

DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.builder()
    .aggregation(java.lang.String)
//  .metric(java.lang.String)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>java.lang.String</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch;

DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch.builder()
    .query(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>java.lang.String</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetToplistDefinitionRequestQueryMetricQuery <a name="DashboardWidgetToplistDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery;

DashboardWidgetToplistDefinitionRequestQueryMetricQuery.builder()
    .name(java.lang.String)
    .query(java.lang.String)
//  .aggregator(java.lang.String)
//  .dataSource(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>java.lang.String</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetToplistDefinitionRequestQueryProcessQuery <a name="DashboardWidgetToplistDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery;

DashboardWidgetToplistDefinitionRequestQueryProcessQuery.builder()
    .dataSource(java.lang.String)
    .metric(java.lang.String)
    .name(java.lang.String)
//  .aggregator(java.lang.String)
//  .isNormalizedCpu(java.lang.Boolean)
//  .isNormalizedCpu(IResolvable)
//  .limit(java.lang.Number)
//  .sort(java.lang.String)
//  .tagFilters(java.util.List<java.lang.String>)
//  .textFilter(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>java.util.List<java.lang.String></code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>java.lang.String</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```java
public java.lang.Object getIsNormalizedCpu();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.sort"></a>

```java
public java.lang.String getSort();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```java
public java.util.List<java.lang.String> getTagFilters();
```

- *Type:* java.util.List<java.lang.String>

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```java
public java.lang.String getTextFilter();
```

- *Type:* java.lang.String

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetToplistDefinitionRequestRumQuery <a name="DashboardWidgetToplistDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery;

DashboardWidgetToplistDefinitionRequestRumQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetToplistDefinitionRequestRumQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery">DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy">DashboardWidgetToplistDefinitionRequestRumQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute">DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.computeQuery"></a>

```java
public DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery">DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy">DashboardWidgetToplistDefinitionRequestRumQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute">DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery;

DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetToplistDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy;

DashboardWidgetToplistDefinitionRequestRumQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery;

DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute;

DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestSecurityQuery <a name="DashboardWidgetToplistDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery;

DashboardWidgetToplistDefinitionRequestSecurityQuery.builder()
    .index(java.lang.String)
//  .computeQuery(DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy>)
//  .multiCompute(IResolvable)
//  .multiCompute(java.util.List<DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute>)
//  .searchQuery(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>java.lang.String</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy">DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute</a>></code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.computeQuery"></a>

```java
public DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy">DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.multiCompute"></a>

```java
public java.lang.Object getMultiCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute</a>>

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery;

DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy;

DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy.builder()
//  .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sortQuery(DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```java
public DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery;

DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.builder()
    .aggregation(java.lang.String)
    .order(java.lang.String)
//  .facet(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>java.lang.String</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute;

DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute.builder()
    .aggregation(java.lang.String)
//  .facet(java.lang.String)
//  .interval(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>java.lang.String</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestStyle <a name="DashboardWidgetToplistDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestStyle.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetToplistDefinitionRequestStyle;

DashboardWidgetToplistDefinitionRequestStyle.builder()
//  .palette(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestStyle.property.palette">palette</a></code> | <code>java.lang.String</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestStyle.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetTopologyMapDefinition <a name="DashboardWidgetTopologyMapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTopologyMapDefinition;

DashboardWidgetTopologyMapDefinition.builder()
//  .customLink(IResolvable)
//  .customLink(java.util.List<DashboardWidgetTopologyMapDefinitionCustomLink>)
//  .request(IResolvable)
//  .request(java.util.List<DashboardWidgetTopologyMapDefinitionRequest>)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.customLink">customLink</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink">DashboardWidgetTopologyMapDefinitionCustomLink</a>></code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.request">request</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest">DashboardWidgetTopologyMapDefinitionRequest</a>></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.customLink"></a>

```java
public java.lang.Object getCustomLink();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink">DashboardWidgetTopologyMapDefinitionCustomLink</a>>

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.request"></a>

```java
public java.lang.Object getRequest();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest">DashboardWidgetTopologyMapDefinitionRequest</a>>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetTopologyMapDefinitionCustomLink <a name="DashboardWidgetTopologyMapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink;

DashboardWidgetTopologyMapDefinitionCustomLink.builder()
//  .isHidden(java.lang.Boolean)
//  .isHidden(IResolvable)
//  .label(java.lang.String)
//  .link(java.lang.String)
//  .overrideLabel(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.label">label</a></code> | <code>java.lang.String</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.link">link</a></code> | <code>java.lang.String</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>java.lang.String</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.isHidden"></a>

```java
public java.lang.Object getIsHidden();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.link"></a>

```java
public java.lang.String getLink();
```

- *Type:* java.lang.String

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.overrideLabel"></a>

```java
public java.lang.String getOverrideLabel();
```

- *Type:* java.lang.String

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetTopologyMapDefinitionRequest <a name="DashboardWidgetTopologyMapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest;

DashboardWidgetTopologyMapDefinitionRequest.builder()
    .query(IResolvable)
    .query(java.util.List<DashboardWidgetTopologyMapDefinitionRequestQuery>)
    .requestType(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest.property.query">query</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery">DashboardWidgetTopologyMapDefinitionRequestQuery</a>></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest.property.requestType">requestType</a></code> | <code>java.lang.String</code> | The request type for the Topology request ('topology'). Valid values are `topology`. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest.property.query"></a>

```java
public java.lang.Object getQuery();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery">DashboardWidgetTopologyMapDefinitionRequestQuery</a>>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `requestType`<sup>Required</sup> <a name="requestType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest.property.requestType"></a>

```java
public java.lang.String getRequestType();
```

- *Type:* java.lang.String

The request type for the Topology request ('topology'). Valid values are `topology`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request_type Dashboard#request_type}

---

### DashboardWidgetTopologyMapDefinitionRequestQuery <a name="DashboardWidgetTopologyMapDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery;

DashboardWidgetTopologyMapDefinitionRequestQuery.builder()
    .dataSource(java.lang.String)
    .filters(java.util.List<java.lang.String>)
    .service(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for the Topology request ('service_map' or 'data_streams'). Valid values are `data_streams`, `service_map`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery.property.filters">filters</a></code> | <code>java.util.List<java.lang.String></code> | Your environment and primary tag (or `*` if enabled for your account). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery.property.service">service</a></code> | <code>java.lang.String</code> | The ID of the service to map. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for the Topology request ('service_map' or 'data_streams'). Valid values are `data_streams`, `service_map`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `filters`<sup>Required</sup> <a name="filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery.property.filters"></a>

```java
public java.util.List<java.lang.String> getFilters();
```

- *Type:* java.util.List<java.lang.String>

Your environment and primary tag (or `*` if enabled for your account).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filters Dashboard#filters}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

The ID of the service to map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

### DashboardWidgetTraceServiceDefinition <a name="DashboardWidgetTraceServiceDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTraceServiceDefinition;

DashboardWidgetTraceServiceDefinition.builder()
    .env(java.lang.String)
    .service(java.lang.String)
    .spanName(java.lang.String)
//  .displayFormat(java.lang.String)
//  .liveSpan(java.lang.String)
//  .showBreakdown(java.lang.Boolean)
//  .showBreakdown(IResolvable)
//  .showDistribution(java.lang.Boolean)
//  .showDistribution(IResolvable)
//  .showErrors(java.lang.Boolean)
//  .showErrors(IResolvable)
//  .showHits(java.lang.Boolean)
//  .showHits(IResolvable)
//  .showLatency(java.lang.Boolean)
//  .showLatency(IResolvable)
//  .showResourceList(java.lang.Boolean)
//  .showResourceList(IResolvable)
//  .sizeFormat(java.lang.String)
//  .title(java.lang.String)
//  .titleAlign(java.lang.String)
//  .titleSize(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.env">env</a></code> | <code>java.lang.String</code> | APM environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.spanName">spanName</a></code> | <code>java.lang.String</code> | APM span name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.displayFormat">displayFormat</a></code> | <code>java.lang.String</code> | The number of columns to display. Valid values are `one_column`, `two_column`, `three_column`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showBreakdown">showBreakdown</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to show the latency breakdown or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showDistribution">showDistribution</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to show the latency distribution or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showErrors">showErrors</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to show the error metrics or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showHits">showHits</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to show the hits metrics or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showLatency">showLatency</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to show the latency metrics or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showResourceList">showResourceList</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to show the resource list or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.sizeFormat">sizeFormat</a></code> | <code>java.lang.String</code> | The size of the widget. Valid values are `small`, `medium`, `large`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | The size of the widget's title (defaults to 16). |

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `spanName`<sup>Required</sup> <a name="spanName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.spanName"></a>

```java
public java.lang.String getSpanName();
```

- *Type:* java.lang.String

APM span name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#span_name Dashboard#span_name}

---

##### `displayFormat`<sup>Optional</sup> <a name="displayFormat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.displayFormat"></a>

```java
public java.lang.String getDisplayFormat();
```

- *Type:* java.lang.String

The number of columns to display. Valid values are `one_column`, `two_column`, `three_column`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_format Dashboard#display_format}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `showBreakdown`<sup>Optional</sup> <a name="showBreakdown" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showBreakdown"></a>

```java
public java.lang.Object getShowBreakdown();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to show the latency breakdown or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_breakdown Dashboard#show_breakdown}

---

##### `showDistribution`<sup>Optional</sup> <a name="showDistribution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showDistribution"></a>

```java
public java.lang.Object getShowDistribution();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to show the latency distribution or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_distribution Dashboard#show_distribution}

---

##### `showErrors`<sup>Optional</sup> <a name="showErrors" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showErrors"></a>

```java
public java.lang.Object getShowErrors();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to show the error metrics or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_errors Dashboard#show_errors}

---

##### `showHits`<sup>Optional</sup> <a name="showHits" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showHits"></a>

```java
public java.lang.Object getShowHits();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to show the hits metrics or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_hits Dashboard#show_hits}

---

##### `showLatency`<sup>Optional</sup> <a name="showLatency" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showLatency"></a>

```java
public java.lang.Object getShowLatency();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to show the latency metrics or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_latency Dashboard#show_latency}

---

##### `showResourceList`<sup>Optional</sup> <a name="showResourceList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showResourceList"></a>

```java
public java.lang.Object getShowResourceList();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to show the resource list or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_resource_list Dashboard#show_resource_list}

---

##### `sizeFormat`<sup>Optional</sup> <a name="sizeFormat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.sizeFormat"></a>

```java
public java.lang.String getSizeFormat();
```

- *Type:* java.lang.String

The size of the widget. Valid values are `small`, `medium`, `large`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#size_format Dashboard#size_format}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetTreemapDefinition <a name="DashboardWidgetTreemapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTreemapDefinition;

DashboardWidgetTreemapDefinition.builder()
//  .request(IResolvable)
//  .request(java.util.List<DashboardWidgetTreemapDefinitionRequest>)
//  .title(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition.property.request">request</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequest">DashboardWidgetTreemapDefinitionRequest</a>></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition.property.title">title</a></code> | <code>java.lang.String</code> | The title of the widget. |

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition.property.request"></a>

```java
public java.lang.Object getRequest();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequest">DashboardWidgetTreemapDefinitionRequest</a>>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

### DashboardWidgetTreemapDefinitionRequest <a name="DashboardWidgetTreemapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequest.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTreemapDefinitionRequest;

DashboardWidgetTreemapDefinitionRequest.builder()
//  .formula(IResolvable)
//  .formula(java.util.List<DashboardWidgetTreemapDefinitionRequestFormula>)
//  .query(IResolvable)
//  .query(java.util.List<DashboardWidgetTreemapDefinitionRequestQuery>)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequest.property.formula">formula</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula">DashboardWidgetTreemapDefinitionRequestFormula</a>></code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequest.property.query">query</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery">DashboardWidgetTreemapDefinitionRequestQuery</a>></code> | query block. |

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequest.property.formula"></a>

```java
public java.lang.Object getFormula();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula">DashboardWidgetTreemapDefinitionRequestFormula</a>>

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequest.property.query"></a>

```java
public java.lang.Object getQuery();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery">DashboardWidgetTreemapDefinitionRequestQuery</a>>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetTreemapDefinitionRequestFormula <a name="DashboardWidgetTreemapDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula;

DashboardWidgetTreemapDefinitionRequestFormula.builder()
    .formulaExpression(java.lang.String)
//  .alias(java.lang.String)
//  .cellDisplayMode(java.lang.String)
//  .conditionalFormats(IResolvable)
//  .conditionalFormats(java.util.List<DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats>)
//  .limit(DashboardWidgetTreemapDefinitionRequestFormulaLimit)
//  .style(DashboardWidgetTreemapDefinitionRequestFormulaStyle)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>java.lang.String</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.alias">alias</a></code> | <code>java.lang.String</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>java.lang.String</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats">DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats</a>></code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit">DashboardWidgetTreemapDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle">DashboardWidgetTreemapDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.formulaExpression"></a>

```java
public java.lang.String getFormulaExpression();
```

- *Type:* java.lang.String

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.alias"></a>

```java
public java.lang.String getAlias();
```

- *Type:* java.lang.String

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.cellDisplayMode"></a>

```java
public java.lang.String getCellDisplayMode();
```

- *Type:* java.lang.String

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.conditionalFormats"></a>

```java
public java.lang.Object getConditionalFormats();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats">DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats</a>>

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.limit"></a>

```java
public DashboardWidgetTreemapDefinitionRequestFormulaLimit getLimit();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit">DashboardWidgetTreemapDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.style"></a>

```java
public DashboardWidgetTreemapDefinitionRequestFormulaStyle getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle">DashboardWidgetTreemapDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats;

DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.builder()
    .comparator(java.lang.String)
    .palette(java.lang.String)
    .value(java.lang.Number)
//  .customBgColor(java.lang.String)
//  .customFgColor(java.lang.String)
//  .hideValue(java.lang.Boolean)
//  .hideValue(IResolvable)
//  .imageUrl(java.lang.String)
//  .metric(java.lang.String)
//  .timeframe(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>java.lang.String</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>java.lang.Number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>java.lang.String</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>java.lang.String</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>java.lang.String</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```java
public java.lang.String getComparator();
```

- *Type:* java.lang.String

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.value"></a>

```java
public java.lang.Number getValue();
```

- *Type:* java.lang.Number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```java
public java.lang.String getCustomBgColor();
```

- *Type:* java.lang.String

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```java
public java.lang.String getCustomFgColor();
```

- *Type:* java.lang.String

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```java
public java.lang.Object getHideValue();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```java
public java.lang.String getImageUrl();
```

- *Type:* java.lang.String

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```java
public java.lang.String getTimeframe();
```

- *Type:* java.lang.String

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetTreemapDefinitionRequestFormulaLimit <a name="DashboardWidgetTreemapDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit;

DashboardWidgetTreemapDefinitionRequestFormulaLimit.builder()
//  .count(java.lang.Number)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>java.lang.Number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit.property.count"></a>

```java
public java.lang.Number getCount();
```

- *Type:* java.lang.Number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetTreemapDefinitionRequestFormulaStyle <a name="DashboardWidgetTreemapDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle;

DashboardWidgetTreemapDefinitionRequestFormulaStyle.builder()
//  .palette(java.lang.String)
//  .paletteIndex(java.lang.Number)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>java.lang.String</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>java.lang.Number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```java
public java.lang.Number getPaletteIndex();
```

- *Type:* java.lang.Number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetTreemapDefinitionRequestQuery <a name="DashboardWidgetTreemapDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery;

DashboardWidgetTreemapDefinitionRequestQuery.builder()
//  .apmDependencyStatsQuery(DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery)
//  .apmResourceStatsQuery(DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery)
//  .eventQuery(DashboardWidgetTreemapDefinitionRequestQueryEventQuery)
//  .metricQuery(DashboardWidgetTreemapDefinitionRequestQueryMetricQuery)
//  .processQuery(DashboardWidgetTreemapDefinitionRequestQueryProcessQuery)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery">DashboardWidgetTreemapDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery">DashboardWidgetTreemapDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery">DashboardWidgetTreemapDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```java
public DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery getApmDependencyStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```java
public DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery getApmResourceStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.eventQuery"></a>

```java
public DashboardWidgetTreemapDefinitionRequestQueryEventQuery getEventQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery">DashboardWidgetTreemapDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.metricQuery"></a>

```java
public DashboardWidgetTreemapDefinitionRequestQueryMetricQuery getMetricQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery">DashboardWidgetTreemapDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.processQuery"></a>

```java
public DashboardWidgetTreemapDefinitionRequestQueryProcessQuery getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery">DashboardWidgetTreemapDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery;

DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .operationName(java.lang.String)
    .resourceName(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .isUpstream(java.lang.Boolean)
//  .isUpstream(IResolvable)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```java
public java.lang.Object getIsUpstream();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery;

DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.builder()
    .dataSource(java.lang.String)
    .env(java.lang.String)
    .name(java.lang.String)
    .service(java.lang.String)
    .stat(java.lang.String)
//  .groupBy(java.util.List<java.lang.String>)
//  .operationName(java.lang.String)
//  .primaryTagName(java.lang.String)
//  .primaryTagValue(java.lang.String)
//  .resourceName(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>java.lang.String</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>java.lang.String</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>java.lang.String</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>java.util.List<java.lang.String></code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>java.lang.String</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```java
public java.util.List<java.lang.String> getGroupBy();
```

- *Type:* java.util.List<java.lang.String>

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetTreemapDefinitionRequestQueryEventQuery <a name="DashboardWidgetTreemapDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery;

DashboardWidgetTreemapDefinitionRequestQueryEventQuery.builder()
    .compute(IResolvable)
    .compute(java.util.List<DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute>)
    .dataSource(java.lang.String)
    .name(java.lang.String)
//  .groupBy(IResolvable)
//  .groupBy(java.util.List<DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy>)
//  .indexes(java.util.List<java.lang.String>)
//  .search(DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch)
//  .storage(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute">DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute</a>></code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy</a>></code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>java.util.List<java.lang.String></code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch">DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>java.lang.String</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.compute"></a>

```java
public java.lang.Object getCompute();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute">DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute</a>>

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.groupBy"></a>

```java
public java.lang.Object getGroupBy();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy</a>>

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.indexes"></a>

```java
public java.util.List<java.lang.String> getIndexes();
```

- *Type:* java.util.List<java.lang.String>

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.search"></a>

```java
public DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch getSearch();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch">DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.storage"></a>

```java
public java.lang.String getStorage();
```

- *Type:* java.lang.String

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute;

DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute.builder()
    .aggregation(java.lang.String)
//  .interval(java.lang.Number)
//  .metric(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>java.lang.Number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>java.lang.String</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy;

DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.builder()
    .facet(java.lang.String)
//  .limit(java.lang.Number)
//  .sort(DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>java.lang.String</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```java
public DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort getSort();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort;

DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.builder()
    .aggregation(java.lang.String)
//  .metric(java.lang.String)
//  .order(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>java.lang.String</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>java.lang.String</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch;

DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch.builder()
    .query(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>java.lang.String</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetTreemapDefinitionRequestQueryMetricQuery <a name="DashboardWidgetTreemapDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery;

DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.builder()
    .name(java.lang.String)
    .query(java.lang.String)
//  .aggregator(java.lang.String)
//  .dataSource(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>java.lang.String</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetTreemapDefinitionRequestQueryProcessQuery <a name="DashboardWidgetTreemapDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery;

DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.builder()
    .dataSource(java.lang.String)
    .metric(java.lang.String)
    .name(java.lang.String)
//  .aggregator(java.lang.String)
//  .isNormalizedCpu(java.lang.Boolean)
//  .isNormalizedCpu(IResolvable)
//  .limit(java.lang.Number)
//  .sort(java.lang.String)
//  .tagFilters(java.util.List<java.lang.String>)
//  .textFilter(java.lang.String)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>java.lang.String</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>java.lang.String</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>java.lang.Number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>java.lang.String</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>java.util.List<java.lang.String></code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>java.lang.String</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```java
public java.lang.Object getIsNormalizedCpu();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.sort"></a>

```java
public java.lang.String getSort();
```

- *Type:* java.lang.String

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```java
public java.util.List<java.lang.String> getTagFilters();
```

- *Type:* java.util.List<java.lang.String>

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```java
public java.lang.String getTextFilter();
```

- *Type:* java.lang.String

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetWidgetLayout <a name="DashboardWidgetWidgetLayout" id="@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetWidgetLayout;

DashboardWidgetWidgetLayout.builder()
    .height(java.lang.Number)
    .width(java.lang.Number)
    .x(java.lang.Number)
    .y(java.lang.Number)
//  .isColumnBreak(java.lang.Boolean)
//  .isColumnBreak(IResolvable)
    .build();
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.height">height</a></code> | <code>java.lang.Number</code> | The height of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.width">width</a></code> | <code>java.lang.Number</code> | The width of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.x">x</a></code> | <code>java.lang.Number</code> | The position of the widget on the x (horizontal) axis. Should be greater than or equal to 0. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.y">y</a></code> | <code>java.lang.Number</code> | The position of the widget on the y (vertical) axis. Should be greater than or equal to 0. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.isColumnBreak">isColumnBreak</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | Whether the widget should be the first one on the second column in high density or not. |

---

##### `height`<sup>Required</sup> <a name="height" id="@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.height"></a>

```java
public java.lang.Number getHeight();
```

- *Type:* java.lang.Number

The height of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#height Dashboard#height}

---

##### `width`<sup>Required</sup> <a name="width" id="@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.width"></a>

```java
public java.lang.Number getWidth();
```

- *Type:* java.lang.Number

The width of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#width Dashboard#width}

---

##### `x`<sup>Required</sup> <a name="x" id="@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.x"></a>

```java
public java.lang.Number getX();
```

- *Type:* java.lang.Number

The position of the widget on the x (horizontal) axis. Should be greater than or equal to 0.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#x Dashboard#x}

---

##### `y`<sup>Required</sup> <a name="y" id="@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.y"></a>

```java
public java.lang.Number getY();
```

- *Type:* java.lang.Number

The position of the widget on the y (vertical) axis. Should be greater than or equal to 0.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#y Dashboard#y}

---

##### `isColumnBreak`<sup>Optional</sup> <a name="isColumnBreak" id="@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.isColumnBreak"></a>

```java
public java.lang.Object getIsColumnBreak();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

Whether the widget should be the first one on the second column in high density or not.

Only for the new dashboard layout and only one widget in the dashboard should have this property set to `true`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_column_break Dashboard#is_column_break}

---

## Classes <a name="Classes" id="Classes"></a>

### DashboardTemplateVariableList <a name="DashboardTemplateVariableList" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardTemplateVariableList;

new DashboardTemplateVariableList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.get"></a>

```java
public DashboardTemplateVariableOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a>>

---


### DashboardTemplateVariableOutputReference <a name="DashboardTemplateVariableOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardTemplateVariableOutputReference;

new DashboardTemplateVariableOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetAvailableValues">resetAvailableValues</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetDefault">resetDefault</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetDefaults">resetDefaults</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetPrefix">resetPrefix</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetAvailableValues` <a name="resetAvailableValues" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetAvailableValues"></a>

```java
public void resetAvailableValues()
```

##### `resetDefault` <a name="resetDefault" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetDefault"></a>

```java
public void resetDefault()
```

##### `resetDefaults` <a name="resetDefaults" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetDefaults"></a>

```java
public void resetDefaults()
```

##### `resetPrefix` <a name="resetPrefix" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetPrefix"></a>

```java
public void resetPrefix()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.availableValuesInput">availableValuesInput</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.defaultInput">defaultInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.defaultsInput">defaultsInput</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.nameInput">nameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.prefixInput">prefixInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.availableValues">availableValues</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.default">default</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.defaults">defaults</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.name">name</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.prefix">prefix</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `availableValuesInput`<sup>Optional</sup> <a name="availableValuesInput" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.availableValuesInput"></a>

```java
public java.util.List<java.lang.String> getAvailableValuesInput();
```

- *Type:* java.util.List<java.lang.String>

---

##### `defaultInput`<sup>Optional</sup> <a name="defaultInput" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.defaultInput"></a>

```java
public java.lang.String getDefaultInput();
```

- *Type:* java.lang.String

---

##### `defaultsInput`<sup>Optional</sup> <a name="defaultsInput" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.defaultsInput"></a>

```java
public java.util.List<java.lang.String> getDefaultsInput();
```

- *Type:* java.util.List<java.lang.String>

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.nameInput"></a>

```java
public java.lang.String getNameInput();
```

- *Type:* java.lang.String

---

##### `prefixInput`<sup>Optional</sup> <a name="prefixInput" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.prefixInput"></a>

```java
public java.lang.String getPrefixInput();
```

- *Type:* java.lang.String

---

##### `availableValues`<sup>Required</sup> <a name="availableValues" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.availableValues"></a>

```java
public java.util.List<java.lang.String> getAvailableValues();
```

- *Type:* java.util.List<java.lang.String>

---

##### `default`<sup>Required</sup> <a name="default" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.default"></a>

```java
public java.lang.String getDefault();
```

- *Type:* java.lang.String

---

##### `defaults`<sup>Required</sup> <a name="defaults" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.defaults"></a>

```java
public java.util.List<java.lang.String> getDefaults();
```

- *Type:* java.util.List<java.lang.String>

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

---

##### `prefix`<sup>Required</sup> <a name="prefix" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.prefix"></a>

```java
public java.lang.String getPrefix();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardTemplateVariablePresetList <a name="DashboardTemplateVariablePresetList" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardTemplateVariablePresetList;

new DashboardTemplateVariablePresetList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.get"></a>

```java
public DashboardTemplateVariablePresetOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a>>

---


### DashboardTemplateVariablePresetOutputReference <a name="DashboardTemplateVariablePresetOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardTemplateVariablePresetOutputReference;

new DashboardTemplateVariablePresetOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.putTemplateVariable">putTemplateVariable</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.resetName">resetName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.resetTemplateVariable">resetTemplateVariable</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putTemplateVariable` <a name="putTemplateVariable" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.putTemplateVariable"></a>

```java
public void putTemplateVariable(IResolvable OR java.util.List<DashboardTemplateVariablePresetTemplateVariable> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.putTemplateVariable.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable">DashboardTemplateVariablePresetTemplateVariable</a>>

---

##### `resetName` <a name="resetName" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.resetName"></a>

```java
public void resetName()
```

##### `resetTemplateVariable` <a name="resetTemplateVariable" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.resetTemplateVariable"></a>

```java
public void resetTemplateVariable()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.templateVariable">templateVariable</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList">DashboardTemplateVariablePresetTemplateVariableList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.nameInput">nameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.templateVariableInput">templateVariableInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable">DashboardTemplateVariablePresetTemplateVariable</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.name">name</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `templateVariable`<sup>Required</sup> <a name="templateVariable" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.templateVariable"></a>

```java
public DashboardTemplateVariablePresetTemplateVariableList getTemplateVariable();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList">DashboardTemplateVariablePresetTemplateVariableList</a>

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.nameInput"></a>

```java
public java.lang.String getNameInput();
```

- *Type:* java.lang.String

---

##### `templateVariableInput`<sup>Optional</sup> <a name="templateVariableInput" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.templateVariableInput"></a>

```java
public java.lang.Object getTemplateVariableInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable">DashboardTemplateVariablePresetTemplateVariable</a>>

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardTemplateVariablePresetTemplateVariableList <a name="DashboardTemplateVariablePresetTemplateVariableList" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList;

new DashboardTemplateVariablePresetTemplateVariableList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.get"></a>

```java
public DashboardTemplateVariablePresetTemplateVariableOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable">DashboardTemplateVariablePresetTemplateVariable</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable">DashboardTemplateVariablePresetTemplateVariable</a>>

---


### DashboardTemplateVariablePresetTemplateVariableOutputReference <a name="DashboardTemplateVariablePresetTemplateVariableOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference;

new DashboardTemplateVariablePresetTemplateVariableOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resetName">resetName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resetValue">resetValue</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resetValues">resetValues</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetName` <a name="resetName" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resetName"></a>

```java
public void resetName()
```

##### `resetValue` <a name="resetValue" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resetValue"></a>

```java
public void resetValue()
```

##### `resetValues` <a name="resetValues" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resetValues"></a>

```java
public void resetValues()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.nameInput">nameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.valueInput">valueInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.valuesInput">valuesInput</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.name">name</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.value">value</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.values">values</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable">DashboardTemplateVariablePresetTemplateVariable</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.nameInput"></a>

```java
public java.lang.String getNameInput();
```

- *Type:* java.lang.String

---

##### `valueInput`<sup>Optional</sup> <a name="valueInput" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.valueInput"></a>

```java
public java.lang.String getValueInput();
```

- *Type:* java.lang.String

---

##### `valuesInput`<sup>Optional</sup> <a name="valuesInput" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.valuesInput"></a>

```java
public java.util.List<java.lang.String> getValuesInput();
```

- *Type:* java.util.List<java.lang.String>

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.value"></a>

```java
public java.lang.String getValue();
```

- *Type:* java.lang.String

---

##### `values`<sup>Required</sup> <a name="values" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.values"></a>

```java
public java.util.List<java.lang.String> getValues();
```

- *Type:* java.util.List<java.lang.String>

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable">DashboardTemplateVariablePresetTemplateVariable</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetAlertGraphDefinitionOutputReference <a name="DashboardWidgetAlertGraphDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference;

new DashboardWidgetAlertGraphDefinitionOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetLiveSpan">resetLiveSpan</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetTitle">resetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetTitleAlign">resetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetTitleSize">resetTitleSize</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetLiveSpan` <a name="resetLiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetLiveSpan"></a>

```java
public void resetLiveSpan()
```

##### `resetTitle` <a name="resetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetTitle"></a>

```java
public void resetTitle()
```

##### `resetTitleAlign` <a name="resetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetTitleAlign"></a>

```java
public void resetTitleAlign()
```

##### `resetTitleSize` <a name="resetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetTitleSize"></a>

```java
public void resetTitleSize()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.alertIdInput">alertIdInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.liveSpanInput">liveSpanInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleAlignInput">titleAlignInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleInput">titleInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleSizeInput">titleSizeInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.vizTypeInput">vizTypeInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.alertId">alertId</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.title">title</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.vizType">vizType</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition">DashboardWidgetAlertGraphDefinition</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `alertIdInput`<sup>Optional</sup> <a name="alertIdInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.alertIdInput"></a>

```java
public java.lang.String getAlertIdInput();
```

- *Type:* java.lang.String

---

##### `liveSpanInput`<sup>Optional</sup> <a name="liveSpanInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.liveSpanInput"></a>

```java
public java.lang.String getLiveSpanInput();
```

- *Type:* java.lang.String

---

##### `titleAlignInput`<sup>Optional</sup> <a name="titleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleAlignInput"></a>

```java
public java.lang.String getTitleAlignInput();
```

- *Type:* java.lang.String

---

##### `titleInput`<sup>Optional</sup> <a name="titleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleInput"></a>

```java
public java.lang.String getTitleInput();
```

- *Type:* java.lang.String

---

##### `titleSizeInput`<sup>Optional</sup> <a name="titleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleSizeInput"></a>

```java
public java.lang.String getTitleSizeInput();
```

- *Type:* java.lang.String

---

##### `vizTypeInput`<sup>Optional</sup> <a name="vizTypeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.vizTypeInput"></a>

```java
public java.lang.String getVizTypeInput();
```

- *Type:* java.lang.String

---

##### `alertId`<sup>Required</sup> <a name="alertId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.alertId"></a>

```java
public java.lang.String getAlertId();
```

- *Type:* java.lang.String

---

##### `liveSpan`<sup>Required</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

---

##### `titleAlign`<sup>Required</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

---

##### `titleSize`<sup>Required</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

---

##### `vizType`<sup>Required</sup> <a name="vizType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.vizType"></a>

```java
public java.lang.String getVizType();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.internalValue"></a>

```java
public DashboardWidgetAlertGraphDefinition getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition">DashboardWidgetAlertGraphDefinition</a>

---


### DashboardWidgetAlertValueDefinitionOutputReference <a name="DashboardWidgetAlertValueDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference;

new DashboardWidgetAlertValueDefinitionOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetPrecision">resetPrecision</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTextAlign">resetTextAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTitle">resetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTitleAlign">resetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTitleSize">resetTitleSize</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetUnit">resetUnit</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetPrecision` <a name="resetPrecision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetPrecision"></a>

```java
public void resetPrecision()
```

##### `resetTextAlign` <a name="resetTextAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTextAlign"></a>

```java
public void resetTextAlign()
```

##### `resetTitle` <a name="resetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTitle"></a>

```java
public void resetTitle()
```

##### `resetTitleAlign` <a name="resetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTitleAlign"></a>

```java
public void resetTitleAlign()
```

##### `resetTitleSize` <a name="resetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTitleSize"></a>

```java
public void resetTitleSize()
```

##### `resetUnit` <a name="resetUnit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetUnit"></a>

```java
public void resetUnit()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.alertIdInput">alertIdInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.precisionInput">precisionInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.textAlignInput">textAlignInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleAlignInput">titleAlignInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleInput">titleInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleSizeInput">titleSizeInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.unitInput">unitInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.alertId">alertId</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.precision">precision</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.textAlign">textAlign</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.title">title</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.unit">unit</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition">DashboardWidgetAlertValueDefinition</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `alertIdInput`<sup>Optional</sup> <a name="alertIdInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.alertIdInput"></a>

```java
public java.lang.String getAlertIdInput();
```

- *Type:* java.lang.String

---

##### `precisionInput`<sup>Optional</sup> <a name="precisionInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.precisionInput"></a>

```java
public java.lang.Number getPrecisionInput();
```

- *Type:* java.lang.Number

---

##### `textAlignInput`<sup>Optional</sup> <a name="textAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.textAlignInput"></a>

```java
public java.lang.String getTextAlignInput();
```

- *Type:* java.lang.String

---

##### `titleAlignInput`<sup>Optional</sup> <a name="titleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleAlignInput"></a>

```java
public java.lang.String getTitleAlignInput();
```

- *Type:* java.lang.String

---

##### `titleInput`<sup>Optional</sup> <a name="titleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleInput"></a>

```java
public java.lang.String getTitleInput();
```

- *Type:* java.lang.String

---

##### `titleSizeInput`<sup>Optional</sup> <a name="titleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleSizeInput"></a>

```java
public java.lang.String getTitleSizeInput();
```

- *Type:* java.lang.String

---

##### `unitInput`<sup>Optional</sup> <a name="unitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.unitInput"></a>

```java
public java.lang.String getUnitInput();
```

- *Type:* java.lang.String

---

##### `alertId`<sup>Required</sup> <a name="alertId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.alertId"></a>

```java
public java.lang.String getAlertId();
```

- *Type:* java.lang.String

---

##### `precision`<sup>Required</sup> <a name="precision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.precision"></a>

```java
public java.lang.Number getPrecision();
```

- *Type:* java.lang.Number

---

##### `textAlign`<sup>Required</sup> <a name="textAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.textAlign"></a>

```java
public java.lang.String getTextAlign();
```

- *Type:* java.lang.String

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

---

##### `titleAlign`<sup>Required</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

---

##### `titleSize`<sup>Required</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

---

##### `unit`<sup>Required</sup> <a name="unit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.unit"></a>

```java
public java.lang.String getUnit();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.internalValue"></a>

```java
public DashboardWidgetAlertValueDefinition getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition">DashboardWidgetAlertValueDefinition</a>

---


### DashboardWidgetChangeDefinitionCustomLinkList <a name="DashboardWidgetChangeDefinitionCustomLinkList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList;

new DashboardWidgetChangeDefinitionCustomLinkList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.get"></a>

```java
public DashboardWidgetChangeDefinitionCustomLinkOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink">DashboardWidgetChangeDefinitionCustomLink</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink">DashboardWidgetChangeDefinitionCustomLink</a>>

---


### DashboardWidgetChangeDefinitionCustomLinkOutputReference <a name="DashboardWidgetChangeDefinitionCustomLinkOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference;

new DashboardWidgetChangeDefinitionCustomLinkOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetIsHidden">resetIsHidden</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetLabel">resetLabel</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetLink">resetLink</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetOverrideLabel">resetOverrideLabel</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetIsHidden` <a name="resetIsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetIsHidden"></a>

```java
public void resetIsHidden()
```

##### `resetLabel` <a name="resetLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetLabel"></a>

```java
public void resetLabel()
```

##### `resetLink` <a name="resetLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetLink"></a>

```java
public void resetLink()
```

##### `resetOverrideLabel` <a name="resetOverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetOverrideLabel"></a>

```java
public void resetOverrideLabel()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.isHiddenInput">isHiddenInput</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.labelInput">labelInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.linkInput">linkInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabelInput">overrideLabelInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.isHidden">isHidden</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.label">label</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.link">link</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabel">overrideLabel</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink">DashboardWidgetChangeDefinitionCustomLink</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `isHiddenInput`<sup>Optional</sup> <a name="isHiddenInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.isHiddenInput"></a>

```java
public java.lang.Object getIsHiddenInput();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `labelInput`<sup>Optional</sup> <a name="labelInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.labelInput"></a>

```java
public java.lang.String getLabelInput();
```

- *Type:* java.lang.String

---

##### `linkInput`<sup>Optional</sup> <a name="linkInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.linkInput"></a>

```java
public java.lang.String getLinkInput();
```

- *Type:* java.lang.String

---

##### `overrideLabelInput`<sup>Optional</sup> <a name="overrideLabelInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabelInput"></a>

```java
public java.lang.String getOverrideLabelInput();
```

- *Type:* java.lang.String

---

##### `isHidden`<sup>Required</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.isHidden"></a>

```java
public java.lang.Object getIsHidden();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `label`<sup>Required</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

---

##### `link`<sup>Required</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.link"></a>

```java
public java.lang.String getLink();
```

- *Type:* java.lang.String

---

##### `overrideLabel`<sup>Required</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabel"></a>

```java
public java.lang.String getOverrideLabel();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink">DashboardWidgetChangeDefinitionCustomLink</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetChangeDefinitionOutputReference <a name="DashboardWidgetChangeDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference;

new DashboardWidgetChangeDefinitionOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.putCustomLink">putCustomLink</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.putRequest">putRequest</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetCustomLink">resetCustomLink</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetLiveSpan">resetLiveSpan</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetRequest">resetRequest</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetTitle">resetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetTitleAlign">resetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetTitleSize">resetTitleSize</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putCustomLink` <a name="putCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.putCustomLink"></a>

```java
public void putCustomLink(IResolvable OR java.util.List<DashboardWidgetChangeDefinitionCustomLink> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.putCustomLink.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink">DashboardWidgetChangeDefinitionCustomLink</a>>

---

##### `putRequest` <a name="putRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.putRequest"></a>

```java
public void putRequest(IResolvable OR java.util.List<DashboardWidgetChangeDefinitionRequest> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.putRequest.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest">DashboardWidgetChangeDefinitionRequest</a>>

---

##### `resetCustomLink` <a name="resetCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetCustomLink"></a>

```java
public void resetCustomLink()
```

##### `resetLiveSpan` <a name="resetLiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetLiveSpan"></a>

```java
public void resetLiveSpan()
```

##### `resetRequest` <a name="resetRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetRequest"></a>

```java
public void resetRequest()
```

##### `resetTitle` <a name="resetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetTitle"></a>

```java
public void resetTitle()
```

##### `resetTitleAlign` <a name="resetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetTitleAlign"></a>

```java
public void resetTitleAlign()
```

##### `resetTitleSize` <a name="resetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetTitleSize"></a>

```java
public void resetTitleSize()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.customLink">customLink</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList">DashboardWidgetChangeDefinitionCustomLinkList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.request">request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList">DashboardWidgetChangeDefinitionRequestList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.customLinkInput">customLinkInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink">DashboardWidgetChangeDefinitionCustomLink</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.liveSpanInput">liveSpanInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.requestInput">requestInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest">DashboardWidgetChangeDefinitionRequest</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleAlignInput">titleAlignInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleInput">titleInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleSizeInput">titleSizeInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.title">title</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition">DashboardWidgetChangeDefinition</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `customLink`<sup>Required</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.customLink"></a>

```java
public DashboardWidgetChangeDefinitionCustomLinkList getCustomLink();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList">DashboardWidgetChangeDefinitionCustomLinkList</a>

---

##### `request`<sup>Required</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.request"></a>

```java
public DashboardWidgetChangeDefinitionRequestList getRequest();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList">DashboardWidgetChangeDefinitionRequestList</a>

---

##### `customLinkInput`<sup>Optional</sup> <a name="customLinkInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.customLinkInput"></a>

```java
public java.lang.Object getCustomLinkInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink">DashboardWidgetChangeDefinitionCustomLink</a>>

---

##### `liveSpanInput`<sup>Optional</sup> <a name="liveSpanInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.liveSpanInput"></a>

```java
public java.lang.String getLiveSpanInput();
```

- *Type:* java.lang.String

---

##### `requestInput`<sup>Optional</sup> <a name="requestInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.requestInput"></a>

```java
public java.lang.Object getRequestInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest">DashboardWidgetChangeDefinitionRequest</a>>

---

##### `titleAlignInput`<sup>Optional</sup> <a name="titleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleAlignInput"></a>

```java
public java.lang.String getTitleAlignInput();
```

- *Type:* java.lang.String

---

##### `titleInput`<sup>Optional</sup> <a name="titleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleInput"></a>

```java
public java.lang.String getTitleInput();
```

- *Type:* java.lang.String

---

##### `titleSizeInput`<sup>Optional</sup> <a name="titleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleSizeInput"></a>

```java
public java.lang.String getTitleSizeInput();
```

- *Type:* java.lang.String

---

##### `liveSpan`<sup>Required</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

---

##### `titleAlign`<sup>Required</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

---

##### `titleSize`<sup>Required</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.internalValue"></a>

```java
public DashboardWidgetChangeDefinition getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition">DashboardWidgetChangeDefinition</a>

---


### DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference;

new DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetInterval"></a>

```java
public void resetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.intervalInput">intervalInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.intervalInput"></a>

```java
public java.lang.Number getIntervalInput();
```

- *Type:* java.lang.Number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

---


### DashboardWidgetChangeDefinitionRequestApmQueryGroupByList <a name="DashboardWidgetChangeDefinitionRequestApmQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList;

new DashboardWidgetChangeDefinitionRequestApmQueryGroupByList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.get"></a>

```java
public DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetChangeDefinitionRequestApmQueryGroupBy</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetChangeDefinitionRequestApmQueryGroupBy</a>>

---


### DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference <a name="DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference;

new DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.putSortQuery">putSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetSortQuery">resetSortQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSortQuery` <a name="putSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.putSortQuery"></a>

```java
public void putSortQuery(DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a>

---

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetLimit"></a>

```java
public void resetLimit()
```

##### `resetSortQuery` <a name="resetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetSortQuery"></a>

```java
public void resetSortQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQueryInput">sortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limit">limit</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetChangeDefinitionRequestApmQueryGroupBy</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `sortQuery`<sup>Required</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limitInput"></a>

```java
public java.lang.Number getLimitInput();
```

- *Type:* java.lang.Number

---

##### `sortQueryInput`<sup>Optional</sup> <a name="sortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQueryInput"></a>

```java
public DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery getSortQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetChangeDefinitionRequestApmQueryGroupBy</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference;

new DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resetFacet"></a>

```java
public void resetFacet()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.orderInput">orderInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```java
public java.lang.String getOrderInput();
```

- *Type:* java.lang.String

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a>

---


### DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList <a name="DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList;

new DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.get"></a>

```java
public DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute</a>>

---


### DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference <a name="DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference;

new DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetInterval"></a>

```java
public void resetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.intervalInput"></a>

```java
public java.lang.Number getIntervalInput();
```

- *Type:* java.lang.Number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetChangeDefinitionRequestApmQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestApmQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference;

new DashboardWidgetChangeDefinitionRequestApmQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putComputeQuery">putComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putMultiCompute">putMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetComputeQuery">resetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetMultiCompute">resetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetSearchQuery">resetSearchQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putComputeQuery` <a name="putComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putComputeQuery"></a>

```java
public void putComputeQuery(DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putGroupBy"></a>

```java
public void putGroupBy(IResolvable OR java.util.List<DashboardWidgetChangeDefinitionRequestApmQueryGroupBy> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetChangeDefinitionRequestApmQueryGroupBy</a>>

---

##### `putMultiCompute` <a name="putMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putMultiCompute"></a>

```java
public void putMultiCompute(IResolvable OR java.util.List<DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute</a>>

---

##### `resetComputeQuery` <a name="resetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetComputeQuery"></a>

```java
public void resetComputeQuery()
```

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetGroupBy"></a>

```java
public void resetGroupBy()
```

##### `resetMultiCompute` <a name="resetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetMultiCompute"></a>

```java
public void resetMultiCompute()
```

##### `resetSearchQuery` <a name="resetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetSearchQuery"></a>

```java
public void resetSearchQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList">DashboardWidgetChangeDefinitionRequestApmQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiCompute">multiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQueryInput">computeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetChangeDefinitionRequestApmQueryGroupBy</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.indexInput">indexInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiComputeInput">multiComputeInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQueryInput">searchQueryInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.index">index</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery">DashboardWidgetChangeDefinitionRequestApmQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `computeQuery`<sup>Required</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupBy"></a>

```java
public DashboardWidgetChangeDefinitionRequestApmQueryGroupByList getGroupBy();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList">DashboardWidgetChangeDefinitionRequestApmQueryGroupByList</a>

---

##### `multiCompute`<sup>Required</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiCompute"></a>

```java
public DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList getMultiCompute();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList</a>

---

##### `computeQueryInput`<sup>Optional</sup> <a name="computeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQueryInput"></a>

```java
public DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery getComputeQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupByInput"></a>

```java
public java.lang.Object getGroupByInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetChangeDefinitionRequestApmQueryGroupBy</a>>

---

##### `indexInput`<sup>Optional</sup> <a name="indexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.indexInput"></a>

```java
public java.lang.String getIndexInput();
```

- *Type:* java.lang.String

---

##### `multiComputeInput`<sup>Optional</sup> <a name="multiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiComputeInput"></a>

```java
public java.lang.Object getMultiComputeInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute</a>>

---

##### `searchQueryInput`<sup>Optional</sup> <a name="searchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQueryInput"></a>

```java
public java.lang.String getSearchQueryInput();
```

- *Type:* java.lang.String

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

---

##### `searchQuery`<sup>Required</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetChangeDefinitionRequestApmQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery">DashboardWidgetChangeDefinitionRequestApmQuery</a>

---


### DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList <a name="DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList;

new DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.get"></a>

```java
public DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats</a>>

---


### DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference <a name="DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference;

new DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomBgColor">resetCustomBgColor</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomFgColor">resetCustomFgColor</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetHideValue">resetHideValue</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetImageUrl">resetImageUrl</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetMetric">resetMetric</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetTimeframe">resetTimeframe</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetCustomBgColor` <a name="resetCustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomBgColor"></a>

```java
public void resetCustomBgColor()
```

##### `resetCustomFgColor` <a name="resetCustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomFgColor"></a>

```java
public void resetCustomFgColor()
```

##### `resetHideValue` <a name="resetHideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetHideValue"></a>

```java
public void resetHideValue()
```

##### `resetImageUrl` <a name="resetImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetImageUrl"></a>

```java
public void resetImageUrl()
```

##### `resetMetric` <a name="resetMetric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetMetric"></a>

```java
public void resetMetric()
```

##### `resetTimeframe` <a name="resetTimeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetTimeframe"></a>

```java
public void resetTimeframe()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparatorInput">comparatorInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColorInput">customBgColorInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColorInput">customFgColorInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValueInput">hideValueInput</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrlInput">imageUrlInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metricInput">metricInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.paletteInput">paletteInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframeInput">timeframeInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.valueInput">valueInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparator">comparator</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColor">customBgColor</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColor">customFgColor</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValue">hideValue</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrl">imageUrl</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metric">metric</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.palette">palette</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframe">timeframe</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.value">value</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `comparatorInput`<sup>Optional</sup> <a name="comparatorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparatorInput"></a>

```java
public java.lang.String getComparatorInput();
```

- *Type:* java.lang.String

---

##### `customBgColorInput`<sup>Optional</sup> <a name="customBgColorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColorInput"></a>

```java
public java.lang.String getCustomBgColorInput();
```

- *Type:* java.lang.String

---

##### `customFgColorInput`<sup>Optional</sup> <a name="customFgColorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColorInput"></a>

```java
public java.lang.String getCustomFgColorInput();
```

- *Type:* java.lang.String

---

##### `hideValueInput`<sup>Optional</sup> <a name="hideValueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValueInput"></a>

```java
public java.lang.Object getHideValueInput();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `imageUrlInput`<sup>Optional</sup> <a name="imageUrlInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrlInput"></a>

```java
public java.lang.String getImageUrlInput();
```

- *Type:* java.lang.String

---

##### `metricInput`<sup>Optional</sup> <a name="metricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metricInput"></a>

```java
public java.lang.String getMetricInput();
```

- *Type:* java.lang.String

---

##### `paletteInput`<sup>Optional</sup> <a name="paletteInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.paletteInput"></a>

```java
public java.lang.String getPaletteInput();
```

- *Type:* java.lang.String

---

##### `timeframeInput`<sup>Optional</sup> <a name="timeframeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframeInput"></a>

```java
public java.lang.String getTimeframeInput();
```

- *Type:* java.lang.String

---

##### `valueInput`<sup>Optional</sup> <a name="valueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.valueInput"></a>

```java
public java.lang.Number getValueInput();
```

- *Type:* java.lang.Number

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparator"></a>

```java
public java.lang.String getComparator();
```

- *Type:* java.lang.String

---

##### `customBgColor`<sup>Required</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColor"></a>

```java
public java.lang.String getCustomBgColor();
```

- *Type:* java.lang.String

---

##### `customFgColor`<sup>Required</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColor"></a>

```java
public java.lang.String getCustomFgColor();
```

- *Type:* java.lang.String

---

##### `hideValue`<sup>Required</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValue"></a>

```java
public java.lang.Object getHideValue();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `imageUrl`<sup>Required</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrl"></a>

```java
public java.lang.String getImageUrl();
```

- *Type:* java.lang.String

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

---

##### `timeframe`<sup>Required</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframe"></a>

```java
public java.lang.String getTimeframe();
```

- *Type:* java.lang.String

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.value"></a>

```java
public java.lang.Number getValue();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference <a name="DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference;

new DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetCount">resetCount</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetOrder">resetOrder</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetCount` <a name="resetCount" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetCount"></a>

```java
public void resetCount()
```

##### `resetOrder` <a name="resetOrder" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetOrder"></a>

```java
public void resetOrder()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.countInput">countInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.orderInput">orderInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.count">count</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.order">order</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetChangeDefinitionRequestFormulaLimit</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `countInput`<sup>Optional</sup> <a name="countInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.countInput"></a>

```java
public java.lang.Number getCountInput();
```

- *Type:* java.lang.Number

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.orderInput"></a>

```java
public java.lang.String getOrderInput();
```

- *Type:* java.lang.String

---

##### `count`<sup>Required</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.count"></a>

```java
public java.lang.Number getCount();
```

- *Type:* java.lang.Number

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.internalValue"></a>

```java
public DashboardWidgetChangeDefinitionRequestFormulaLimit getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetChangeDefinitionRequestFormulaLimit</a>

---


### DashboardWidgetChangeDefinitionRequestFormulaList <a name="DashboardWidgetChangeDefinitionRequestFormulaList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList;

new DashboardWidgetChangeDefinitionRequestFormulaList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.get"></a>

```java
public DashboardWidgetChangeDefinitionRequestFormulaOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula">DashboardWidgetChangeDefinitionRequestFormula</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula">DashboardWidgetChangeDefinitionRequestFormula</a>>

---


### DashboardWidgetChangeDefinitionRequestFormulaOutputReference <a name="DashboardWidgetChangeDefinitionRequestFormulaOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference;

new DashboardWidgetChangeDefinitionRequestFormulaOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putConditionalFormats">putConditionalFormats</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putLimit">putLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putStyle">putStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetAlias">resetAlias</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetCellDisplayMode">resetCellDisplayMode</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetConditionalFormats">resetConditionalFormats</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetStyle">resetStyle</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putConditionalFormats` <a name="putConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putConditionalFormats"></a>

```java
public void putConditionalFormats(IResolvable OR java.util.List<DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putConditionalFormats.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats</a>>

---

##### `putLimit` <a name="putLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putLimit"></a>

```java
public void putLimit(DashboardWidgetChangeDefinitionRequestFormulaLimit value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putLimit.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetChangeDefinitionRequestFormulaLimit</a>

---

##### `putStyle` <a name="putStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putStyle"></a>

```java
public void putStyle(DashboardWidgetChangeDefinitionRequestFormulaStyle value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putStyle.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetChangeDefinitionRequestFormulaStyle</a>

---

##### `resetAlias` <a name="resetAlias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetAlias"></a>

```java
public void resetAlias()
```

##### `resetCellDisplayMode` <a name="resetCellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetCellDisplayMode"></a>

```java
public void resetCellDisplayMode()
```

##### `resetConditionalFormats` <a name="resetConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetConditionalFormats"></a>

```java
public void resetConditionalFormats()
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetLimit"></a>

```java
public void resetLimit()
```

##### `resetStyle` <a name="resetStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetStyle"></a>

```java
public void resetStyle()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormats">conditionalFormats</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference">DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference">DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.aliasInput">aliasInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayModeInput">cellDisplayModeInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormatsInput">conditionalFormatsInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpressionInput">formulaExpressionInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.limitInput">limitInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetChangeDefinitionRequestFormulaLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.styleInput">styleInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetChangeDefinitionRequestFormulaStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.alias">alias</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayMode">cellDisplayMode</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpression">formulaExpression</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula">DashboardWidgetChangeDefinitionRequestFormula</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `conditionalFormats`<sup>Required</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormats"></a>

```java
public DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList getConditionalFormats();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList</a>

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.limit"></a>

```java
public DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference getLimit();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference">DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference</a>

---

##### `style`<sup>Required</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.style"></a>

```java
public DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference">DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference</a>

---

##### `aliasInput`<sup>Optional</sup> <a name="aliasInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.aliasInput"></a>

```java
public java.lang.String getAliasInput();
```

- *Type:* java.lang.String

---

##### `cellDisplayModeInput`<sup>Optional</sup> <a name="cellDisplayModeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayModeInput"></a>

```java
public java.lang.String getCellDisplayModeInput();
```

- *Type:* java.lang.String

---

##### `conditionalFormatsInput`<sup>Optional</sup> <a name="conditionalFormatsInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormatsInput"></a>

```java
public java.lang.Object getConditionalFormatsInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats</a>>

---

##### `formulaExpressionInput`<sup>Optional</sup> <a name="formulaExpressionInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpressionInput"></a>

```java
public java.lang.String getFormulaExpressionInput();
```

- *Type:* java.lang.String

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.limitInput"></a>

```java
public DashboardWidgetChangeDefinitionRequestFormulaLimit getLimitInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetChangeDefinitionRequestFormulaLimit</a>

---

##### `styleInput`<sup>Optional</sup> <a name="styleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.styleInput"></a>

```java
public DashboardWidgetChangeDefinitionRequestFormulaStyle getStyleInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetChangeDefinitionRequestFormulaStyle</a>

---

##### `alias`<sup>Required</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.alias"></a>

```java
public java.lang.String getAlias();
```

- *Type:* java.lang.String

---

##### `cellDisplayMode`<sup>Required</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayMode"></a>

```java
public java.lang.String getCellDisplayMode();
```

- *Type:* java.lang.String

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpression"></a>

```java
public java.lang.String getFormulaExpression();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula">DashboardWidgetChangeDefinitionRequestFormula</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference <a name="DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference;

new DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPalette">resetPalette</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPaletteIndex">resetPaletteIndex</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetPalette` <a name="resetPalette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPalette"></a>

```java
public void resetPalette()
```

##### `resetPaletteIndex` <a name="resetPaletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPaletteIndex"></a>

```java
public void resetPaletteIndex()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndexInput">paletteIndexInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteInput">paletteInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.palette">palette</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndex">paletteIndex</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetChangeDefinitionRequestFormulaStyle</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `paletteIndexInput`<sup>Optional</sup> <a name="paletteIndexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndexInput"></a>

```java
public java.lang.Number getPaletteIndexInput();
```

- *Type:* java.lang.Number

---

##### `paletteInput`<sup>Optional</sup> <a name="paletteInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteInput"></a>

```java
public java.lang.String getPaletteInput();
```

- *Type:* java.lang.String

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

---

##### `paletteIndex`<sup>Required</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndex"></a>

```java
public java.lang.Number getPaletteIndex();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.internalValue"></a>

```java
public DashboardWidgetChangeDefinitionRequestFormulaStyle getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetChangeDefinitionRequestFormulaStyle</a>

---


### DashboardWidgetChangeDefinitionRequestList <a name="DashboardWidgetChangeDefinitionRequestList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestList;

new DashboardWidgetChangeDefinitionRequestList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.get"></a>

```java
public DashboardWidgetChangeDefinitionRequestOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest">DashboardWidgetChangeDefinitionRequest</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest">DashboardWidgetChangeDefinitionRequest</a>>

---


### DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference;

new DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval"></a>

```java
public void resetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput">intervalInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput"></a>

```java
public java.lang.Number getIntervalInput();
```

- *Type:* java.lang.Number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery</a>

---


### DashboardWidgetChangeDefinitionRequestLogQueryGroupByList <a name="DashboardWidgetChangeDefinitionRequestLogQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList;

new DashboardWidgetChangeDefinitionRequestLogQueryGroupByList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.get"></a>

```java
public DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetChangeDefinitionRequestLogQueryGroupBy</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetChangeDefinitionRequestLogQueryGroupBy</a>>

---


### DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference <a name="DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference;

new DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.putSortQuery">putSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery">resetSortQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSortQuery` <a name="putSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.putSortQuery"></a>

```java
public void putSortQuery(DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a>

---

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetLimit"></a>

```java
public void resetLimit()
```

##### `resetSortQuery` <a name="resetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery"></a>

```java
public void resetSortQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput">sortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limit">limit</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetChangeDefinitionRequestLogQueryGroupBy</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `sortQuery`<sup>Required</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limitInput"></a>

```java
public java.lang.Number getLimitInput();
```

- *Type:* java.lang.Number

---

##### `sortQueryInput`<sup>Optional</sup> <a name="sortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput"></a>

```java
public DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery getSortQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetChangeDefinitionRequestLogQueryGroupBy</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference;

new DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet"></a>

```java
public void resetFacet()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.orderInput">orderInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```java
public java.lang.String getOrderInput();
```

- *Type:* java.lang.String

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a>

---


### DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList <a name="DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList;

new DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.get"></a>

```java
public DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute</a>>

---


### DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference <a name="DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference;

new DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resetInterval"></a>

```java
public void resetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.intervalInput"></a>

```java
public java.lang.Number getIntervalInput();
```

- *Type:* java.lang.Number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetChangeDefinitionRequestLogQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestLogQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference;

new DashboardWidgetChangeDefinitionRequestLogQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putComputeQuery">putComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putMultiCompute">putMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetComputeQuery">resetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetMultiCompute">resetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetSearchQuery">resetSearchQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putComputeQuery` <a name="putComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putComputeQuery"></a>

```java
public void putComputeQuery(DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery</a>

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putGroupBy"></a>

```java
public void putGroupBy(IResolvable OR java.util.List<DashboardWidgetChangeDefinitionRequestLogQueryGroupBy> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetChangeDefinitionRequestLogQueryGroupBy</a>>

---

##### `putMultiCompute` <a name="putMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putMultiCompute"></a>

```java
public void putMultiCompute(IResolvable OR java.util.List<DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute</a>>

---

##### `resetComputeQuery` <a name="resetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetComputeQuery"></a>

```java
public void resetComputeQuery()
```

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetGroupBy"></a>

```java
public void resetGroupBy()
```

##### `resetMultiCompute` <a name="resetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetMultiCompute"></a>

```java
public void resetMultiCompute()
```

##### `resetSearchQuery` <a name="resetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetSearchQuery"></a>

```java
public void resetSearchQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList">DashboardWidgetChangeDefinitionRequestLogQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.multiCompute">multiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.computeQueryInput">computeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetChangeDefinitionRequestLogQueryGroupBy</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.indexInput">indexInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.multiComputeInput">multiComputeInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.searchQueryInput">searchQueryInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.index">index</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery">DashboardWidgetChangeDefinitionRequestLogQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `computeQuery`<sup>Required</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.computeQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.groupBy"></a>

```java
public DashboardWidgetChangeDefinitionRequestLogQueryGroupByList getGroupBy();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList">DashboardWidgetChangeDefinitionRequestLogQueryGroupByList</a>

---

##### `multiCompute`<sup>Required</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.multiCompute"></a>

```java
public DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList getMultiCompute();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList</a>

---

##### `computeQueryInput`<sup>Optional</sup> <a name="computeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.computeQueryInput"></a>

```java
public DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery getComputeQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery</a>

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.groupByInput"></a>

```java
public java.lang.Object getGroupByInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetChangeDefinitionRequestLogQueryGroupBy</a>>

---

##### `indexInput`<sup>Optional</sup> <a name="indexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.indexInput"></a>

```java
public java.lang.String getIndexInput();
```

- *Type:* java.lang.String

---

##### `multiComputeInput`<sup>Optional</sup> <a name="multiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.multiComputeInput"></a>

```java
public java.lang.Object getMultiComputeInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute</a>>

---

##### `searchQueryInput`<sup>Optional</sup> <a name="searchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.searchQueryInput"></a>

```java
public java.lang.String getSearchQueryInput();
```

- *Type:* java.lang.String

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

---

##### `searchQuery`<sup>Required</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetChangeDefinitionRequestLogQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery">DashboardWidgetChangeDefinitionRequestLogQuery</a>

---


### DashboardWidgetChangeDefinitionRequestOutputReference <a name="DashboardWidgetChangeDefinitionRequestOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference;

new DashboardWidgetChangeDefinitionRequestOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putApmQuery">putApmQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putFormula">putFormula</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putLogQuery">putLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putProcessQuery">putProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putQuery">putQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putRumQuery">putRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putSecurityQuery">putSecurityQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetApmQuery">resetApmQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetChangeType">resetChangeType</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetCompareTo">resetCompareTo</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetFormula">resetFormula</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetIncreaseGood">resetIncreaseGood</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetLogQuery">resetLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetOrderBy">resetOrderBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetOrderDir">resetOrderDir</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetProcessQuery">resetProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetQ">resetQ</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetQuery">resetQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetRumQuery">resetRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetSecurityQuery">resetSecurityQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetShowPresent">resetShowPresent</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putApmQuery` <a name="putApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putApmQuery"></a>

```java
public void putApmQuery(DashboardWidgetChangeDefinitionRequestApmQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putApmQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery">DashboardWidgetChangeDefinitionRequestApmQuery</a>

---

##### `putFormula` <a name="putFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putFormula"></a>

```java
public void putFormula(IResolvable OR java.util.List<DashboardWidgetChangeDefinitionRequestFormula> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putFormula.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula">DashboardWidgetChangeDefinitionRequestFormula</a>>

---

##### `putLogQuery` <a name="putLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putLogQuery"></a>

```java
public void putLogQuery(DashboardWidgetChangeDefinitionRequestLogQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putLogQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery">DashboardWidgetChangeDefinitionRequestLogQuery</a>

---

##### `putProcessQuery` <a name="putProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putProcessQuery"></a>

```java
public void putProcessQuery(DashboardWidgetChangeDefinitionRequestProcessQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putProcessQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetChangeDefinitionRequestProcessQuery</a>

---

##### `putQuery` <a name="putQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putQuery"></a>

```java
public void putQuery(IResolvable OR java.util.List<DashboardWidgetChangeDefinitionRequestQuery> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putQuery.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery">DashboardWidgetChangeDefinitionRequestQuery</a>>

---

##### `putRumQuery` <a name="putRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putRumQuery"></a>

```java
public void putRumQuery(DashboardWidgetChangeDefinitionRequestRumQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putRumQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery">DashboardWidgetChangeDefinitionRequestRumQuery</a>

---

##### `putSecurityQuery` <a name="putSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putSecurityQuery"></a>

```java
public void putSecurityQuery(DashboardWidgetChangeDefinitionRequestSecurityQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putSecurityQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetChangeDefinitionRequestSecurityQuery</a>

---

##### `resetApmQuery` <a name="resetApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetApmQuery"></a>

```java
public void resetApmQuery()
```

##### `resetChangeType` <a name="resetChangeType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetChangeType"></a>

```java
public void resetChangeType()
```

##### `resetCompareTo` <a name="resetCompareTo" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetCompareTo"></a>

```java
public void resetCompareTo()
```

##### `resetFormula` <a name="resetFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetFormula"></a>

```java
public void resetFormula()
```

##### `resetIncreaseGood` <a name="resetIncreaseGood" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetIncreaseGood"></a>

```java
public void resetIncreaseGood()
```

##### `resetLogQuery` <a name="resetLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetLogQuery"></a>

```java
public void resetLogQuery()
```

##### `resetOrderBy` <a name="resetOrderBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetOrderBy"></a>

```java
public void resetOrderBy()
```

##### `resetOrderDir` <a name="resetOrderDir" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetOrderDir"></a>

```java
public void resetOrderDir()
```

##### `resetProcessQuery` <a name="resetProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetProcessQuery"></a>

```java
public void resetProcessQuery()
```

##### `resetQ` <a name="resetQ" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetQ"></a>

```java
public void resetQ()
```

##### `resetQuery` <a name="resetQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetQuery"></a>

```java
public void resetQuery()
```

##### `resetRumQuery` <a name="resetRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetRumQuery"></a>

```java
public void resetRumQuery()
```

##### `resetSecurityQuery` <a name="resetSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetSecurityQuery"></a>

```java
public void resetSecurityQuery()
```

##### `resetShowPresent` <a name="resetShowPresent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetShowPresent"></a>

```java
public void resetShowPresent()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference">DashboardWidgetChangeDefinitionRequestApmQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.formula">formula</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList">DashboardWidgetChangeDefinitionRequestFormulaList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference">DashboardWidgetChangeDefinitionRequestLogQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference">DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.query">query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList">DashboardWidgetChangeDefinitionRequestQueryList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference">DashboardWidgetChangeDefinitionRequestRumQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference">DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.apmQueryInput">apmQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery">DashboardWidgetChangeDefinitionRequestApmQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.changeTypeInput">changeTypeInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.compareToInput">compareToInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.formulaInput">formulaInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula">DashboardWidgetChangeDefinitionRequestFormula</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.increaseGoodInput">increaseGoodInput</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.logQueryInput">logQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery">DashboardWidgetChangeDefinitionRequestLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderByInput">orderByInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderDirInput">orderDirInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.processQueryInput">processQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetChangeDefinitionRequestProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.qInput">qInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.queryInput">queryInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery">DashboardWidgetChangeDefinitionRequestQuery</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.rumQueryInput">rumQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery">DashboardWidgetChangeDefinitionRequestRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.securityQueryInput">securityQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetChangeDefinitionRequestSecurityQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.showPresentInput">showPresentInput</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.changeType">changeType</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.compareTo">compareTo</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.increaseGood">increaseGood</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderBy">orderBy</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderDir">orderDir</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.q">q</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.showPresent">showPresent</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest">DashboardWidgetChangeDefinitionRequest</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `apmQuery`<sup>Required</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.apmQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestApmQueryOutputReference getApmQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference">DashboardWidgetChangeDefinitionRequestApmQueryOutputReference</a>

---

##### `formula`<sup>Required</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.formula"></a>

```java
public DashboardWidgetChangeDefinitionRequestFormulaList getFormula();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList">DashboardWidgetChangeDefinitionRequestFormulaList</a>

---

##### `logQuery`<sup>Required</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.logQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestLogQueryOutputReference getLogQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference">DashboardWidgetChangeDefinitionRequestLogQueryOutputReference</a>

---

##### `processQuery`<sup>Required</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.processQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference">DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference</a>

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.query"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryList getQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList">DashboardWidgetChangeDefinitionRequestQueryList</a>

---

##### `rumQuery`<sup>Required</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.rumQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestRumQueryOutputReference getRumQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference">DashboardWidgetChangeDefinitionRequestRumQueryOutputReference</a>

---

##### `securityQuery`<sup>Required</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.securityQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference getSecurityQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference">DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference</a>

---

##### `apmQueryInput`<sup>Optional</sup> <a name="apmQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.apmQueryInput"></a>

```java
public DashboardWidgetChangeDefinitionRequestApmQuery getApmQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery">DashboardWidgetChangeDefinitionRequestApmQuery</a>

---

##### `changeTypeInput`<sup>Optional</sup> <a name="changeTypeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.changeTypeInput"></a>

```java
public java.lang.String getChangeTypeInput();
```

- *Type:* java.lang.String

---

##### `compareToInput`<sup>Optional</sup> <a name="compareToInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.compareToInput"></a>

```java
public java.lang.String getCompareToInput();
```

- *Type:* java.lang.String

---

##### `formulaInput`<sup>Optional</sup> <a name="formulaInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.formulaInput"></a>

```java
public java.lang.Object getFormulaInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula">DashboardWidgetChangeDefinitionRequestFormula</a>>

---

##### `increaseGoodInput`<sup>Optional</sup> <a name="increaseGoodInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.increaseGoodInput"></a>

```java
public java.lang.Object getIncreaseGoodInput();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `logQueryInput`<sup>Optional</sup> <a name="logQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.logQueryInput"></a>

```java
public DashboardWidgetChangeDefinitionRequestLogQuery getLogQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery">DashboardWidgetChangeDefinitionRequestLogQuery</a>

---

##### `orderByInput`<sup>Optional</sup> <a name="orderByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderByInput"></a>

```java
public java.lang.String getOrderByInput();
```

- *Type:* java.lang.String

---

##### `orderDirInput`<sup>Optional</sup> <a name="orderDirInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderDirInput"></a>

```java
public java.lang.String getOrderDirInput();
```

- *Type:* java.lang.String

---

##### `processQueryInput`<sup>Optional</sup> <a name="processQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.processQueryInput"></a>

```java
public DashboardWidgetChangeDefinitionRequestProcessQuery getProcessQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetChangeDefinitionRequestProcessQuery</a>

---

##### `qInput`<sup>Optional</sup> <a name="qInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.qInput"></a>

```java
public java.lang.String getQInput();
```

- *Type:* java.lang.String

---

##### `queryInput`<sup>Optional</sup> <a name="queryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.queryInput"></a>

```java
public java.lang.Object getQueryInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery">DashboardWidgetChangeDefinitionRequestQuery</a>>

---

##### `rumQueryInput`<sup>Optional</sup> <a name="rumQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.rumQueryInput"></a>

```java
public DashboardWidgetChangeDefinitionRequestRumQuery getRumQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery">DashboardWidgetChangeDefinitionRequestRumQuery</a>

---

##### `securityQueryInput`<sup>Optional</sup> <a name="securityQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.securityQueryInput"></a>

```java
public DashboardWidgetChangeDefinitionRequestSecurityQuery getSecurityQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetChangeDefinitionRequestSecurityQuery</a>

---

##### `showPresentInput`<sup>Optional</sup> <a name="showPresentInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.showPresentInput"></a>

```java
public java.lang.Object getShowPresentInput();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `changeType`<sup>Required</sup> <a name="changeType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.changeType"></a>

```java
public java.lang.String getChangeType();
```

- *Type:* java.lang.String

---

##### `compareTo`<sup>Required</sup> <a name="compareTo" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.compareTo"></a>

```java
public java.lang.String getCompareTo();
```

- *Type:* java.lang.String

---

##### `increaseGood`<sup>Required</sup> <a name="increaseGood" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.increaseGood"></a>

```java
public java.lang.Object getIncreaseGood();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `orderBy`<sup>Required</sup> <a name="orderBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderBy"></a>

```java
public java.lang.String getOrderBy();
```

- *Type:* java.lang.String

---

##### `orderDir`<sup>Required</sup> <a name="orderDir" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderDir"></a>

```java
public java.lang.String getOrderDir();
```

- *Type:* java.lang.String

---

##### `q`<sup>Required</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

---

##### `showPresent`<sup>Required</sup> <a name="showPresent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.showPresent"></a>

```java
public java.lang.Object getShowPresent();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest">DashboardWidgetChangeDefinitionRequest</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference;

new DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resetFilterBy">resetFilterBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resetSearchBy">resetSearchBy</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFilterBy` <a name="resetFilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resetFilterBy"></a>

```java
public void resetFilterBy()
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resetLimit"></a>

```java
public void resetLimit()
```

##### `resetSearchBy` <a name="resetSearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resetSearchBy"></a>

```java
public void resetSearchBy()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.filterByInput">filterByInput</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.limitInput">limitInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.metricInput">metricInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.searchByInput">searchByInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.filterBy">filterBy</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.limit">limit</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.metric">metric</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.searchBy">searchBy</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetChangeDefinitionRequestProcessQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `filterByInput`<sup>Optional</sup> <a name="filterByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.filterByInput"></a>

```java
public java.util.List<java.lang.String> getFilterByInput();
```

- *Type:* java.util.List<java.lang.String>

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.limitInput"></a>

```java
public java.lang.Number getLimitInput();
```

- *Type:* java.lang.Number

---

##### `metricInput`<sup>Optional</sup> <a name="metricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.metricInput"></a>

```java
public java.lang.String getMetricInput();
```

- *Type:* java.lang.String

---

##### `searchByInput`<sup>Optional</sup> <a name="searchByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.searchByInput"></a>

```java
public java.lang.String getSearchByInput();
```

- *Type:* java.lang.String

---

##### `filterBy`<sup>Required</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.filterBy"></a>

```java
public java.util.List<java.lang.String> getFilterBy();
```

- *Type:* java.util.List<java.lang.String>

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

---

##### `searchBy`<sup>Required</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.searchBy"></a>

```java
public java.lang.String getSearchBy();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetChangeDefinitionRequestProcessQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetChangeDefinitionRequestProcessQuery</a>

---


### DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference;

new DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetIsUpstream">resetIsUpstream</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagName">resetPrimaryTagName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagValue">resetPrimaryTagValue</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetIsUpstream` <a name="resetIsUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetIsUpstream"></a>

```java
public void resetIsUpstream()
```

##### `resetPrimaryTagName` <a name="resetPrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagName"></a>

```java
public void resetPrimaryTagName()
```

##### `resetPrimaryTagValue` <a name="resetPrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagValue"></a>

```java
public void resetPrimaryTagValue()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSourceInput">dataSourceInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.envInput">envInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstreamInput">isUpstreamInput</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.nameInput">nameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationNameInput">operationNameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagNameInput">primaryTagNameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValueInput">primaryTagValueInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceNameInput">resourceNameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.serviceInput">serviceInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.statInput">statInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.env">env</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstream">isUpstream</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.name">name</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationName">operationName</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.service">service</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.stat">stat</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `dataSourceInput`<sup>Optional</sup> <a name="dataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSourceInput"></a>

```java
public java.lang.String getDataSourceInput();
```

- *Type:* java.lang.String

---

##### `envInput`<sup>Optional</sup> <a name="envInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.envInput"></a>

```java
public java.lang.String getEnvInput();
```

- *Type:* java.lang.String

---

##### `isUpstreamInput`<sup>Optional</sup> <a name="isUpstreamInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstreamInput"></a>

```java
public java.lang.Object getIsUpstreamInput();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.nameInput"></a>

```java
public java.lang.String getNameInput();
```

- *Type:* java.lang.String

---

##### `operationNameInput`<sup>Optional</sup> <a name="operationNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationNameInput"></a>

```java
public java.lang.String getOperationNameInput();
```

- *Type:* java.lang.String

---

##### `primaryTagNameInput`<sup>Optional</sup> <a name="primaryTagNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagNameInput"></a>

```java
public java.lang.String getPrimaryTagNameInput();
```

- *Type:* java.lang.String

---

##### `primaryTagValueInput`<sup>Optional</sup> <a name="primaryTagValueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValueInput"></a>

```java
public java.lang.String getPrimaryTagValueInput();
```

- *Type:* java.lang.String

---

##### `resourceNameInput`<sup>Optional</sup> <a name="resourceNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceNameInput"></a>

```java
public java.lang.String getResourceNameInput();
```

- *Type:* java.lang.String

---

##### `serviceInput`<sup>Optional</sup> <a name="serviceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.serviceInput"></a>

```java
public java.lang.String getServiceInput();
```

- *Type:* java.lang.String

---

##### `statInput`<sup>Optional</sup> <a name="statInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.statInput"></a>

```java
public java.lang.String getStatInput();
```

- *Type:* java.lang.String

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

---

##### `isUpstream`<sup>Required</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstream"></a>

```java
public java.lang.Object getIsUpstream();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

---

##### `primaryTagName`<sup>Required</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

---

##### `primaryTagValue`<sup>Required</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a>

---


### DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference;

new DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetOperationName">resetOperationName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagName">resetPrimaryTagName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagValue">resetPrimaryTagValue</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetResourceName">resetResourceName</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetGroupBy"></a>

```java
public void resetGroupBy()
```

##### `resetOperationName` <a name="resetOperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetOperationName"></a>

```java
public void resetOperationName()
```

##### `resetPrimaryTagName` <a name="resetPrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagName"></a>

```java
public void resetPrimaryTagName()
```

##### `resetPrimaryTagValue` <a name="resetPrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagValue"></a>

```java
public void resetPrimaryTagValue()
```

##### `resetResourceName` <a name="resetResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetResourceName"></a>

```java
public void resetResourceName()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSourceInput">dataSourceInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.envInput">envInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.nameInput">nameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationNameInput">operationNameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagNameInput">primaryTagNameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValueInput">primaryTagValueInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceNameInput">resourceNameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.serviceInput">serviceInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.statInput">statInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.env">env</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupBy">groupBy</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.name">name</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationName">operationName</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.service">service</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.stat">stat</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `dataSourceInput`<sup>Optional</sup> <a name="dataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSourceInput"></a>

```java
public java.lang.String getDataSourceInput();
```

- *Type:* java.lang.String

---

##### `envInput`<sup>Optional</sup> <a name="envInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.envInput"></a>

```java
public java.lang.String getEnvInput();
```

- *Type:* java.lang.String

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupByInput"></a>

```java
public java.util.List<java.lang.String> getGroupByInput();
```

- *Type:* java.util.List<java.lang.String>

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.nameInput"></a>

```java
public java.lang.String getNameInput();
```

- *Type:* java.lang.String

---

##### `operationNameInput`<sup>Optional</sup> <a name="operationNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationNameInput"></a>

```java
public java.lang.String getOperationNameInput();
```

- *Type:* java.lang.String

---

##### `primaryTagNameInput`<sup>Optional</sup> <a name="primaryTagNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagNameInput"></a>

```java
public java.lang.String getPrimaryTagNameInput();
```

- *Type:* java.lang.String

---

##### `primaryTagValueInput`<sup>Optional</sup> <a name="primaryTagValueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValueInput"></a>

```java
public java.lang.String getPrimaryTagValueInput();
```

- *Type:* java.lang.String

---

##### `resourceNameInput`<sup>Optional</sup> <a name="resourceNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceNameInput"></a>

```java
public java.lang.String getResourceNameInput();
```

- *Type:* java.lang.String

---

##### `serviceInput`<sup>Optional</sup> <a name="serviceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.serviceInput"></a>

```java
public java.lang.String getServiceInput();
```

- *Type:* java.lang.String

---

##### `statInput`<sup>Optional</sup> <a name="statInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.statInput"></a>

```java
public java.lang.String getStatInput();
```

- *Type:* java.lang.String

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupBy"></a>

```java
public java.util.List<java.lang.String> getGroupBy();
```

- *Type:* java.util.List<java.lang.String>

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

---

##### `primaryTagName`<sup>Required</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

---

##### `primaryTagValue`<sup>Required</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a>

---


### DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList;

new DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.get"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute</a>>

---


### DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference;

new DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resetMetric">resetMetric</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resetInterval"></a>

```java
public void resetInterval()
```

##### `resetMetric` <a name="resetMetric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resetMetric"></a>

```java
public void resetMetric()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.metricInput">metricInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.interval">interval</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.metric">metric</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.intervalInput"></a>

```java
public java.lang.Number getIntervalInput();
```

- *Type:* java.lang.Number

---

##### `metricInput`<sup>Optional</sup> <a name="metricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.metricInput"></a>

```java
public java.lang.String getMetricInput();
```

- *Type:* java.lang.String

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList;

new DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.get"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>>

---


### DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference;

new DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.putSort">putSort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resetSort">resetSort</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSort` <a name="putSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.putSort"></a>

```java
public void putSort(DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.putSort.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a>

---

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resetLimit"></a>

```java
public void resetLimit()
```

##### `resetSort` <a name="resetSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resetSort"></a>

```java
public void resetSort()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.sortInput">sortInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.limit">limit</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `sort`<sup>Required</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.sort"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference getSort();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.limitInput"></a>

```java
public java.lang.Number getLimitInput();
```

- *Type:* java.lang.Number

---

##### `sortInput`<sup>Optional</sup> <a name="sortInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.sortInput"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort getSortInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference;

new DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetMetric">resetMetric</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetOrder">resetOrder</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetMetric` <a name="resetMetric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetMetric"></a>

```java
public void resetMetric()
```

##### `resetOrder` <a name="resetOrder" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetOrder"></a>

```java
public void resetOrder()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metricInput">metricInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.orderInput">orderInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metric">metric</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.order">order</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `metricInput`<sup>Optional</sup> <a name="metricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metricInput"></a>

```java
public java.lang.String getMetricInput();
```

- *Type:* java.lang.String

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.orderInput"></a>

```java
public java.lang.String getOrderInput();
```

- *Type:* java.lang.String

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.internalValue"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a>

---


### DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference;

new DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putCompute">putCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putSearch">putSearch</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetIndexes">resetIndexes</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetSearch">resetSearch</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetStorage">resetStorage</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putCompute` <a name="putCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putCompute"></a>

```java
public void putCompute(IResolvable OR java.util.List<DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putCompute.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute</a>>

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putGroupBy"></a>

```java
public void putGroupBy(IResolvable OR java.util.List<DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>>

---

##### `putSearch` <a name="putSearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putSearch"></a>

```java
public void putSearch(DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putSearch.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch</a>

---

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetGroupBy"></a>

```java
public void resetGroupBy()
```

##### `resetIndexes` <a name="resetIndexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetIndexes"></a>

```java
public void resetIndexes()
```

##### `resetSearch` <a name="resetSearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetSearch"></a>

```java
public void resetSearch()
```

##### `resetStorage` <a name="resetStorage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetStorage"></a>

```java
public void resetStorage()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.compute">compute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList">DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.computeInput">computeInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.dataSourceInput">dataSourceInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.indexesInput">indexesInput</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.nameInput">nameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.searchInput">searchInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.storageInput">storageInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.indexes">indexes</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.name">name</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.storage">storage</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetChangeDefinitionRequestQueryEventQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.compute"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList getCompute();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList">DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.groupBy"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList getGroupBy();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList</a>

---

##### `search`<sup>Required</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.search"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference getSearch();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference</a>

---

##### `computeInput`<sup>Optional</sup> <a name="computeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.computeInput"></a>

```java
public java.lang.Object getComputeInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute</a>>

---

##### `dataSourceInput`<sup>Optional</sup> <a name="dataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.dataSourceInput"></a>

```java
public java.lang.String getDataSourceInput();
```

- *Type:* java.lang.String

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.groupByInput"></a>

```java
public java.lang.Object getGroupByInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>>

---

##### `indexesInput`<sup>Optional</sup> <a name="indexesInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.indexesInput"></a>

```java
public java.util.List<java.lang.String> getIndexesInput();
```

- *Type:* java.util.List<java.lang.String>

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.nameInput"></a>

```java
public java.lang.String getNameInput();
```

- *Type:* java.lang.String

---

##### `searchInput`<sup>Optional</sup> <a name="searchInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.searchInput"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch getSearchInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch</a>

---

##### `storageInput`<sup>Optional</sup> <a name="storageInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.storageInput"></a>

```java
public java.lang.String getStorageInput();
```

- *Type:* java.lang.String

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

---

##### `indexes`<sup>Required</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.indexes"></a>

```java
public java.util.List<java.lang.String> getIndexes();
```

- *Type:* java.util.List<java.lang.String>

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

---

##### `storage`<sup>Required</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.storage"></a>

```java
public java.lang.String getStorage();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryEventQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetChangeDefinitionRequestQueryEventQuery</a>

---


### DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference;

new DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.queryInput">queryInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.query">query</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `queryInput`<sup>Optional</sup> <a name="queryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.queryInput"></a>

```java
public java.lang.String getQueryInput();
```

- *Type:* java.lang.String

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.internalValue"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch</a>

---


### DashboardWidgetChangeDefinitionRequestQueryList <a name="DashboardWidgetChangeDefinitionRequestQueryList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList;

new DashboardWidgetChangeDefinitionRequestQueryList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.get"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery">DashboardWidgetChangeDefinitionRequestQuery</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery">DashboardWidgetChangeDefinitionRequestQuery</a>>

---


### DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference;

new DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resetAggregator">resetAggregator</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resetDataSource">resetDataSource</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetAggregator` <a name="resetAggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resetAggregator"></a>

```java
public void resetAggregator()
```

##### `resetDataSource` <a name="resetDataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resetDataSource"></a>

```java
public void resetDataSource()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.aggregatorInput">aggregatorInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.dataSourceInput">dataSourceInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.nameInput">nameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.queryInput">queryInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.name">name</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.query">query</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetChangeDefinitionRequestQueryMetricQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregatorInput`<sup>Optional</sup> <a name="aggregatorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.aggregatorInput"></a>

```java
public java.lang.String getAggregatorInput();
```

- *Type:* java.lang.String

---

##### `dataSourceInput`<sup>Optional</sup> <a name="dataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.dataSourceInput"></a>

```java
public java.lang.String getDataSourceInput();
```

- *Type:* java.lang.String

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.nameInput"></a>

```java
public java.lang.String getNameInput();
```

- *Type:* java.lang.String

---

##### `queryInput`<sup>Optional</sup> <a name="queryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.queryInput"></a>

```java
public java.lang.String getQueryInput();
```

- *Type:* java.lang.String

---

##### `aggregator`<sup>Required</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryMetricQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetChangeDefinitionRequestQueryMetricQuery</a>

---


### DashboardWidgetChangeDefinitionRequestQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference;

new DashboardWidgetChangeDefinitionRequestQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery">putApmDependencyStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmResourceStatsQuery">putApmResourceStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putEventQuery">putEventQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putMetricQuery">putMetricQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putProcessQuery">putProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetApmDependencyStatsQuery">resetApmDependencyStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetApmResourceStatsQuery">resetApmResourceStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetEventQuery">resetEventQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetMetricQuery">resetMetricQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetProcessQuery">resetProcessQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putApmDependencyStatsQuery` <a name="putApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery"></a>

```java
public void putApmDependencyStatsQuery(DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a>

---

##### `putApmResourceStatsQuery` <a name="putApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmResourceStatsQuery"></a>

```java
public void putApmResourceStatsQuery(DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmResourceStatsQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a>

---

##### `putEventQuery` <a name="putEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putEventQuery"></a>

```java
public void putEventQuery(DashboardWidgetChangeDefinitionRequestQueryEventQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putEventQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetChangeDefinitionRequestQueryEventQuery</a>

---

##### `putMetricQuery` <a name="putMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putMetricQuery"></a>

```java
public void putMetricQuery(DashboardWidgetChangeDefinitionRequestQueryMetricQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putMetricQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetChangeDefinitionRequestQueryMetricQuery</a>

---

##### `putProcessQuery` <a name="putProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putProcessQuery"></a>

```java
public void putProcessQuery(DashboardWidgetChangeDefinitionRequestQueryProcessQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putProcessQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetChangeDefinitionRequestQueryProcessQuery</a>

---

##### `resetApmDependencyStatsQuery` <a name="resetApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetApmDependencyStatsQuery"></a>

```java
public void resetApmDependencyStatsQuery()
```

##### `resetApmResourceStatsQuery` <a name="resetApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetApmResourceStatsQuery"></a>

```java
public void resetApmResourceStatsQuery()
```

##### `resetEventQuery` <a name="resetEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetEventQuery"></a>

```java
public void resetEventQuery()
```

##### `resetMetricQuery` <a name="resetMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetMetricQuery"></a>

```java
public void resetMetricQuery()
```

##### `resetProcessQuery` <a name="resetProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetProcessQuery"></a>

```java
public void resetProcessQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmDependencyStatsQueryInput">apmDependencyStatsQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmResourceStatsQueryInput">apmResourceStatsQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.eventQueryInput">eventQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetChangeDefinitionRequestQueryEventQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.metricQueryInput">metricQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetChangeDefinitionRequestQueryMetricQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.processQueryInput">processQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetChangeDefinitionRequestQueryProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery">DashboardWidgetChangeDefinitionRequestQuery</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `apmDependencyStatsQuery`<sup>Required</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmDependencyStatsQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference getApmDependencyStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference</a>

---

##### `apmResourceStatsQuery`<sup>Required</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmResourceStatsQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference getApmResourceStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference</a>

---

##### `eventQuery`<sup>Required</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.eventQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference getEventQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference</a>

---

##### `metricQuery`<sup>Required</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.metricQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference getMetricQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference</a>

---

##### `processQuery`<sup>Required</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.processQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference</a>

---

##### `apmDependencyStatsQueryInput`<sup>Optional</sup> <a name="apmDependencyStatsQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmDependencyStatsQueryInput"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery getApmDependencyStatsQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a>

---

##### `apmResourceStatsQueryInput`<sup>Optional</sup> <a name="apmResourceStatsQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmResourceStatsQueryInput"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery getApmResourceStatsQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a>

---

##### `eventQueryInput`<sup>Optional</sup> <a name="eventQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.eventQueryInput"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryEventQuery getEventQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetChangeDefinitionRequestQueryEventQuery</a>

---

##### `metricQueryInput`<sup>Optional</sup> <a name="metricQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.metricQueryInput"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryMetricQuery getMetricQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetChangeDefinitionRequestQueryMetricQuery</a>

---

##### `processQueryInput`<sup>Optional</sup> <a name="processQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.processQueryInput"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryProcessQuery getProcessQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetChangeDefinitionRequestQueryProcessQuery</a>

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery">DashboardWidgetChangeDefinitionRequestQuery</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference;

new DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetAggregator">resetAggregator</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetIsNormalizedCpu">resetIsNormalizedCpu</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetSort">resetSort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetTagFilters">resetTagFilters</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetTextFilter">resetTextFilter</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetAggregator` <a name="resetAggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetAggregator"></a>

```java
public void resetAggregator()
```

##### `resetIsNormalizedCpu` <a name="resetIsNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetIsNormalizedCpu"></a>

```java
public void resetIsNormalizedCpu()
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetLimit"></a>

```java
public void resetLimit()
```

##### `resetSort` <a name="resetSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetSort"></a>

```java
public void resetSort()
```

##### `resetTagFilters` <a name="resetTagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetTagFilters"></a>

```java
public void resetTagFilters()
```

##### `resetTextFilter` <a name="resetTextFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetTextFilter"></a>

```java
public void resetTextFilter()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.aggregatorInput">aggregatorInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.dataSourceInput">dataSourceInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpuInput">isNormalizedCpuInput</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.limitInput">limitInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.metricInput">metricInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.nameInput">nameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.sortInput">sortInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.tagFiltersInput">tagFiltersInput</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.textFilterInput">textFilterInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.limit">limit</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.metric">metric</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.name">name</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.sort">sort</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.tagFilters">tagFilters</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.textFilter">textFilter</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetChangeDefinitionRequestQueryProcessQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregatorInput`<sup>Optional</sup> <a name="aggregatorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.aggregatorInput"></a>

```java
public java.lang.String getAggregatorInput();
```

- *Type:* java.lang.String

---

##### `dataSourceInput`<sup>Optional</sup> <a name="dataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.dataSourceInput"></a>

```java
public java.lang.String getDataSourceInput();
```

- *Type:* java.lang.String

---

##### `isNormalizedCpuInput`<sup>Optional</sup> <a name="isNormalizedCpuInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpuInput"></a>

```java
public java.lang.Object getIsNormalizedCpuInput();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.limitInput"></a>

```java
public java.lang.Number getLimitInput();
```

- *Type:* java.lang.Number

---

##### `metricInput`<sup>Optional</sup> <a name="metricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.metricInput"></a>

```java
public java.lang.String getMetricInput();
```

- *Type:* java.lang.String

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.nameInput"></a>

```java
public java.lang.String getNameInput();
```

- *Type:* java.lang.String

---

##### `sortInput`<sup>Optional</sup> <a name="sortInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.sortInput"></a>

```java
public java.lang.String getSortInput();
```

- *Type:* java.lang.String

---

##### `tagFiltersInput`<sup>Optional</sup> <a name="tagFiltersInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.tagFiltersInput"></a>

```java
public java.util.List<java.lang.String> getTagFiltersInput();
```

- *Type:* java.util.List<java.lang.String>

---

##### `textFilterInput`<sup>Optional</sup> <a name="textFilterInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.textFilterInput"></a>

```java
public java.lang.String getTextFilterInput();
```

- *Type:* java.lang.String

---

##### `aggregator`<sup>Required</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

---

##### `isNormalizedCpu`<sup>Required</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpu"></a>

```java
public java.lang.Object getIsNormalizedCpu();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

---

##### `sort`<sup>Required</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.sort"></a>

```java
public java.lang.String getSort();
```

- *Type:* java.lang.String

---

##### `tagFilters`<sup>Required</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.tagFilters"></a>

```java
public java.util.List<java.lang.String> getTagFilters();
```

- *Type:* java.util.List<java.lang.String>

---

##### `textFilter`<sup>Required</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.textFilter"></a>

```java
public java.lang.String getTextFilter();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetChangeDefinitionRequestQueryProcessQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetChangeDefinitionRequestQueryProcessQuery</a>

---


### DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference;

new DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resetInterval"></a>

```java
public void resetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.intervalInput">intervalInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.intervalInput"></a>

```java
public java.lang.Number getIntervalInput();
```

- *Type:* java.lang.Number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery</a>

---


### DashboardWidgetChangeDefinitionRequestRumQueryGroupByList <a name="DashboardWidgetChangeDefinitionRequestRumQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList;

new DashboardWidgetChangeDefinitionRequestRumQueryGroupByList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.get"></a>

```java
public DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetChangeDefinitionRequestRumQueryGroupBy</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetChangeDefinitionRequestRumQueryGroupBy</a>>

---


### DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference <a name="DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference;

new DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.putSortQuery">putSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resetSortQuery">resetSortQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSortQuery` <a name="putSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.putSortQuery"></a>

```java
public void putSortQuery(DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a>

---

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resetLimit"></a>

```java
public void resetLimit()
```

##### `resetSortQuery` <a name="resetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resetSortQuery"></a>

```java
public void resetSortQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.sortQueryInput">sortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.limit">limit</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetChangeDefinitionRequestRumQueryGroupBy</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `sortQuery`<sup>Required</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.sortQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.limitInput"></a>

```java
public java.lang.Number getLimitInput();
```

- *Type:* java.lang.Number

---

##### `sortQueryInput`<sup>Optional</sup> <a name="sortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.sortQueryInput"></a>

```java
public DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery getSortQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetChangeDefinitionRequestRumQueryGroupBy</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference;

new DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.resetFacet"></a>

```java
public void resetFacet()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.orderInput">orderInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```java
public java.lang.String getOrderInput();
```

- *Type:* java.lang.String

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a>

---


### DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList <a name="DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList;

new DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.get"></a>

```java
public DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute</a>>

---


### DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference <a name="DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference;

new DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resetInterval"></a>

```java
public void resetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.intervalInput"></a>

```java
public java.lang.Number getIntervalInput();
```

- *Type:* java.lang.Number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetChangeDefinitionRequestRumQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestRumQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference;

new DashboardWidgetChangeDefinitionRequestRumQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putComputeQuery">putComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putMultiCompute">putMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetComputeQuery">resetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetMultiCompute">resetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetSearchQuery">resetSearchQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putComputeQuery` <a name="putComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putComputeQuery"></a>

```java
public void putComputeQuery(DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery</a>

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putGroupBy"></a>

```java
public void putGroupBy(IResolvable OR java.util.List<DashboardWidgetChangeDefinitionRequestRumQueryGroupBy> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetChangeDefinitionRequestRumQueryGroupBy</a>>

---

##### `putMultiCompute` <a name="putMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putMultiCompute"></a>

```java
public void putMultiCompute(IResolvable OR java.util.List<DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute</a>>

---

##### `resetComputeQuery` <a name="resetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetComputeQuery"></a>

```java
public void resetComputeQuery()
```

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetGroupBy"></a>

```java
public void resetGroupBy()
```

##### `resetMultiCompute` <a name="resetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetMultiCompute"></a>

```java
public void resetMultiCompute()
```

##### `resetSearchQuery` <a name="resetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetSearchQuery"></a>

```java
public void resetSearchQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList">DashboardWidgetChangeDefinitionRequestRumQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.multiCompute">multiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.computeQueryInput">computeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetChangeDefinitionRequestRumQueryGroupBy</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.indexInput">indexInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.multiComputeInput">multiComputeInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.searchQueryInput">searchQueryInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.index">index</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery">DashboardWidgetChangeDefinitionRequestRumQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `computeQuery`<sup>Required</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.computeQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.groupBy"></a>

```java
public DashboardWidgetChangeDefinitionRequestRumQueryGroupByList getGroupBy();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList">DashboardWidgetChangeDefinitionRequestRumQueryGroupByList</a>

---

##### `multiCompute`<sup>Required</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.multiCompute"></a>

```java
public DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList getMultiCompute();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList</a>

---

##### `computeQueryInput`<sup>Optional</sup> <a name="computeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.computeQueryInput"></a>

```java
public DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery getComputeQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery</a>

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.groupByInput"></a>

```java
public java.lang.Object getGroupByInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetChangeDefinitionRequestRumQueryGroupBy</a>>

---

##### `indexInput`<sup>Optional</sup> <a name="indexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.indexInput"></a>

```java
public java.lang.String getIndexInput();
```

- *Type:* java.lang.String

---

##### `multiComputeInput`<sup>Optional</sup> <a name="multiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.multiComputeInput"></a>

```java
public java.lang.Object getMultiComputeInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute</a>>

---

##### `searchQueryInput`<sup>Optional</sup> <a name="searchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.searchQueryInput"></a>

```java
public java.lang.String getSearchQueryInput();
```

- *Type:* java.lang.String

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

---

##### `searchQuery`<sup>Required</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetChangeDefinitionRequestRumQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery">DashboardWidgetChangeDefinitionRequestRumQuery</a>

---


### DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference;

new DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resetInterval"></a>

```java
public void resetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.intervalInput">intervalInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.intervalInput"></a>

```java
public java.lang.Number getIntervalInput();
```

- *Type:* java.lang.Number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a>

---


### DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList;

new DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.get"></a>

```java
public DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>>

---


### DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference;

new DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery">putSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resetSortQuery">resetSortQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSortQuery` <a name="putSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery"></a>

```java
public void putSortQuery(DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a>

---

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resetLimit"></a>

```java
public void resetLimit()
```

##### `resetSortQuery` <a name="resetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resetSortQuery"></a>

```java
public void resetSortQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQueryInput">sortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.limit">limit</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `sortQuery`<sup>Required</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.limitInput"></a>

```java
public java.lang.Number getLimitInput();
```

- *Type:* java.lang.Number

---

##### `sortQueryInput`<sup>Optional</sup> <a name="sortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQueryInput"></a>

```java
public DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery getSortQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference;

new DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resetFacet"></a>

```java
public void resetFacet()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.orderInput">orderInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```java
public java.lang.String getOrderInput();
```

- *Type:* java.lang.String

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a>

---


### DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList;

new DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.get"></a>

```java
public DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>>

---


### DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference;

new DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resetInterval"></a>

```java
public void resetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.intervalInput"></a>

```java
public java.lang.Number getIntervalInput();
```

- *Type:* java.lang.Number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference;

new DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putComputeQuery">putComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putMultiCompute">putMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetComputeQuery">resetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetMultiCompute">resetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetSearchQuery">resetSearchQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putComputeQuery` <a name="putComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putComputeQuery"></a>

```java
public void putComputeQuery(DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a>

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putGroupBy"></a>

```java
public void putGroupBy(IResolvable OR java.util.List<DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>>

---

##### `putMultiCompute` <a name="putMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putMultiCompute"></a>

```java
public void putMultiCompute(IResolvable OR java.util.List<DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>>

---

##### `resetComputeQuery` <a name="resetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetComputeQuery"></a>

```java
public void resetComputeQuery()
```

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetGroupBy"></a>

```java
public void resetGroupBy()
```

##### `resetMultiCompute` <a name="resetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetMultiCompute"></a>

```java
public void resetMultiCompute()
```

##### `resetSearchQuery` <a name="resetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetSearchQuery"></a>

```java
public void resetSearchQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.multiCompute">multiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.computeQueryInput">computeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.indexInput">indexInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.multiComputeInput">multiComputeInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.searchQueryInput">searchQueryInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.index">index</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetChangeDefinitionRequestSecurityQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `computeQuery`<sup>Required</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.computeQuery"></a>

```java
public DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.groupBy"></a>

```java
public DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList getGroupBy();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList</a>

---

##### `multiCompute`<sup>Required</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.multiCompute"></a>

```java
public DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList getMultiCompute();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList</a>

---

##### `computeQueryInput`<sup>Optional</sup> <a name="computeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.computeQueryInput"></a>

```java
public DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery getComputeQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a>

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.groupByInput"></a>

```java
public java.lang.Object getGroupByInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>>

---

##### `indexInput`<sup>Optional</sup> <a name="indexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.indexInput"></a>

```java
public java.lang.String getIndexInput();
```

- *Type:* java.lang.String

---

##### `multiComputeInput`<sup>Optional</sup> <a name="multiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.multiComputeInput"></a>

```java
public java.lang.Object getMultiComputeInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>>

---

##### `searchQueryInput`<sup>Optional</sup> <a name="searchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.searchQueryInput"></a>

```java
public java.lang.String getSearchQueryInput();
```

- *Type:* java.lang.String

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

---

##### `searchQuery`<sup>Required</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetChangeDefinitionRequestSecurityQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetChangeDefinitionRequestSecurityQuery</a>

---


### DashboardWidgetCheckStatusDefinitionOutputReference <a name="DashboardWidgetCheckStatusDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference;

new DashboardWidgetCheckStatusDefinitionOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetGroup">resetGroup</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetLiveSpan">resetLiveSpan</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTags">resetTags</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTitle">resetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTitleAlign">resetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTitleSize">resetTitleSize</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetGroup` <a name="resetGroup" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetGroup"></a>

```java
public void resetGroup()
```

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetGroupBy"></a>

```java
public void resetGroupBy()
```

##### `resetLiveSpan` <a name="resetLiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetLiveSpan"></a>

```java
public void resetLiveSpan()
```

##### `resetTags` <a name="resetTags" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTags"></a>

```java
public void resetTags()
```

##### `resetTitle` <a name="resetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTitle"></a>

```java
public void resetTitle()
```

##### `resetTitleAlign` <a name="resetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTitleAlign"></a>

```java
public void resetTitleAlign()
```

##### `resetTitleSize` <a name="resetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTitleSize"></a>

```java
public void resetTitleSize()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.checkInput">checkInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupByInput">groupByInput</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupingInput">groupingInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupInput">groupInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.liveSpanInput">liveSpanInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.tagsInput">tagsInput</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleAlignInput">titleAlignInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleInput">titleInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleSizeInput">titleSizeInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.check">check</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.group">group</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupBy">groupBy</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.grouping">grouping</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.tags">tags</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.title">title</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition">DashboardWidgetCheckStatusDefinition</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `checkInput`<sup>Optional</sup> <a name="checkInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.checkInput"></a>

```java
public java.lang.String getCheckInput();
```

- *Type:* java.lang.String

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupByInput"></a>

```java
public java.util.List<java.lang.String> getGroupByInput();
```

- *Type:* java.util.List<java.lang.String>

---

##### `groupingInput`<sup>Optional</sup> <a name="groupingInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupingInput"></a>

```java
public java.lang.String getGroupingInput();
```

- *Type:* java.lang.String

---

##### `groupInput`<sup>Optional</sup> <a name="groupInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupInput"></a>

```java
public java.lang.String getGroupInput();
```

- *Type:* java.lang.String

---

##### `liveSpanInput`<sup>Optional</sup> <a name="liveSpanInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.liveSpanInput"></a>

```java
public java.lang.String getLiveSpanInput();
```

- *Type:* java.lang.String

---

##### `tagsInput`<sup>Optional</sup> <a name="tagsInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.tagsInput"></a>

```java
public java.util.List<java.lang.String> getTagsInput();
```

- *Type:* java.util.List<java.lang.String>

---

##### `titleAlignInput`<sup>Optional</sup> <a name="titleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleAlignInput"></a>

```java
public java.lang.String getTitleAlignInput();
```

- *Type:* java.lang.String

---

##### `titleInput`<sup>Optional</sup> <a name="titleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleInput"></a>

```java
public java.lang.String getTitleInput();
```

- *Type:* java.lang.String

---

##### `titleSizeInput`<sup>Optional</sup> <a name="titleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleSizeInput"></a>

```java
public java.lang.String getTitleSizeInput();
```

- *Type:* java.lang.String

---

##### `check`<sup>Required</sup> <a name="check" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.check"></a>

```java
public java.lang.String getCheck();
```

- *Type:* java.lang.String

---

##### `group`<sup>Required</sup> <a name="group" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.group"></a>

```java
public java.lang.String getGroup();
```

- *Type:* java.lang.String

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupBy"></a>

```java
public java.util.List<java.lang.String> getGroupBy();
```

- *Type:* java.util.List<java.lang.String>

---

##### `grouping`<sup>Required</sup> <a name="grouping" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.grouping"></a>

```java
public java.lang.String getGrouping();
```

- *Type:* java.lang.String

---

##### `liveSpan`<sup>Required</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

---

##### `tags`<sup>Required</sup> <a name="tags" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.tags"></a>

```java
public java.util.List<java.lang.String> getTags();
```

- *Type:* java.util.List<java.lang.String>

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

---

##### `titleAlign`<sup>Required</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

---

##### `titleSize`<sup>Required</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.internalValue"></a>

```java
public DashboardWidgetCheckStatusDefinition getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition">DashboardWidgetCheckStatusDefinition</a>

---


### DashboardWidgetDistributionDefinitionOutputReference <a name="DashboardWidgetDistributionDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference;

new DashboardWidgetDistributionDefinitionOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.putRequest">putRequest</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetLegendSize">resetLegendSize</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetLiveSpan">resetLiveSpan</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetRequest">resetRequest</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetShowLegend">resetShowLegend</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetTitle">resetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetTitleAlign">resetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetTitleSize">resetTitleSize</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putRequest` <a name="putRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.putRequest"></a>

```java
public void putRequest(IResolvable OR java.util.List<DashboardWidgetDistributionDefinitionRequest> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.putRequest.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest">DashboardWidgetDistributionDefinitionRequest</a>>

---

##### `resetLegendSize` <a name="resetLegendSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetLegendSize"></a>

```java
public void resetLegendSize()
```

##### `resetLiveSpan` <a name="resetLiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetLiveSpan"></a>

```java
public void resetLiveSpan()
```

##### `resetRequest` <a name="resetRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetRequest"></a>

```java
public void resetRequest()
```

##### `resetShowLegend` <a name="resetShowLegend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetShowLegend"></a>

```java
public void resetShowLegend()
```

##### `resetTitle` <a name="resetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetTitle"></a>

```java
public void resetTitle()
```

##### `resetTitleAlign` <a name="resetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetTitleAlign"></a>

```java
public void resetTitleAlign()
```

##### `resetTitleSize` <a name="resetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetTitleSize"></a>

```java
public void resetTitleSize()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.request">request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList">DashboardWidgetDistributionDefinitionRequestList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.legendSizeInput">legendSizeInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.liveSpanInput">liveSpanInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.requestInput">requestInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest">DashboardWidgetDistributionDefinitionRequest</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.showLegendInput">showLegendInput</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleAlignInput">titleAlignInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleInput">titleInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleSizeInput">titleSizeInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.legendSize">legendSize</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.showLegend">showLegend</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.title">title</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition">DashboardWidgetDistributionDefinition</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `request`<sup>Required</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.request"></a>

```java
public DashboardWidgetDistributionDefinitionRequestList getRequest();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList">DashboardWidgetDistributionDefinitionRequestList</a>

---

##### `legendSizeInput`<sup>Optional</sup> <a name="legendSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.legendSizeInput"></a>

```java
public java.lang.String getLegendSizeInput();
```

- *Type:* java.lang.String

---

##### `liveSpanInput`<sup>Optional</sup> <a name="liveSpanInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.liveSpanInput"></a>

```java
public java.lang.String getLiveSpanInput();
```

- *Type:* java.lang.String

---

##### `requestInput`<sup>Optional</sup> <a name="requestInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.requestInput"></a>

```java
public java.lang.Object getRequestInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest">DashboardWidgetDistributionDefinitionRequest</a>>

---

##### `showLegendInput`<sup>Optional</sup> <a name="showLegendInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.showLegendInput"></a>

```java
public java.lang.Object getShowLegendInput();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `titleAlignInput`<sup>Optional</sup> <a name="titleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleAlignInput"></a>

```java
public java.lang.String getTitleAlignInput();
```

- *Type:* java.lang.String

---

##### `titleInput`<sup>Optional</sup> <a name="titleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleInput"></a>

```java
public java.lang.String getTitleInput();
```

- *Type:* java.lang.String

---

##### `titleSizeInput`<sup>Optional</sup> <a name="titleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleSizeInput"></a>

```java
public java.lang.String getTitleSizeInput();
```

- *Type:* java.lang.String

---

##### `legendSize`<sup>Required</sup> <a name="legendSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.legendSize"></a>

```java
public java.lang.String getLegendSize();
```

- *Type:* java.lang.String

---

##### `liveSpan`<sup>Required</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

---

##### `showLegend`<sup>Required</sup> <a name="showLegend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.showLegend"></a>

```java
public java.lang.Object getShowLegend();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

---

##### `titleAlign`<sup>Required</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

---

##### `titleSize`<sup>Required</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.internalValue"></a>

```java
public DashboardWidgetDistributionDefinition getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition">DashboardWidgetDistributionDefinition</a>

---


### DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference;

new DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.resetInterval"></a>

```java
public void resetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.intervalInput">intervalInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.intervalInput"></a>

```java
public java.lang.Number getIntervalInput();
```

- *Type:* java.lang.Number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList <a name="DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList;

new DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.get"></a>

```java
public DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy</a>>

---


### DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference <a name="DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference;

new DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.putSortQuery">putSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resetSortQuery">resetSortQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSortQuery` <a name="putSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.putSortQuery"></a>

```java
public void putSortQuery(DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a>

---

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resetLimit"></a>

```java
public void resetLimit()
```

##### `resetSortQuery` <a name="resetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resetSortQuery"></a>

```java
public void resetSortQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.sortQueryInput">sortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.limit">limit</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `sortQuery`<sup>Required</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.sortQuery"></a>

```java
public DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.limitInput"></a>

```java
public java.lang.Number getLimitInput();
```

- *Type:* java.lang.Number

---

##### `sortQueryInput`<sup>Optional</sup> <a name="sortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.sortQueryInput"></a>

```java
public DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery getSortQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference;

new DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.resetFacet"></a>

```java
public void resetFacet()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.orderInput">orderInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```java
public java.lang.String getOrderInput();
```

- *Type:* java.lang.String

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList <a name="DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList;

new DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.get"></a>

```java
public DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute</a>>

---


### DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference <a name="DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference;

new DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.resetInterval"></a>

```java
public void resetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.intervalInput"></a>

```java
public java.lang.Number getIntervalInput();
```

- *Type:* java.lang.Number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference;

new DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putComputeQuery">putComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putMultiCompute">putMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetComputeQuery">resetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetMultiCompute">resetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetSearchQuery">resetSearchQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putComputeQuery` <a name="putComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putComputeQuery"></a>

```java
public void putComputeQuery(DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery</a>

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putGroupBy"></a>

```java
public void putGroupBy(IResolvable OR java.util.List<DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy</a>>

---

##### `putMultiCompute` <a name="putMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putMultiCompute"></a>

```java
public void putMultiCompute(IResolvable OR java.util.List<DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute</a>>

---

##### `resetComputeQuery` <a name="resetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetComputeQuery"></a>

```java
public void resetComputeQuery()
```

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetGroupBy"></a>

```java
public void resetGroupBy()
```

##### `resetMultiCompute` <a name="resetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetMultiCompute"></a>

```java
public void resetMultiCompute()
```

##### `resetSearchQuery` <a name="resetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetSearchQuery"></a>

```java
public void resetSearchQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList">DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.multiCompute">multiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.computeQueryInput">computeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.indexInput">indexInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.multiComputeInput">multiComputeInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.searchQueryInput">searchQueryInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.index">index</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetDistributionDefinitionRequestApmQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `computeQuery`<sup>Required</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.computeQuery"></a>

```java
public DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.groupBy"></a>

```java
public DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList getGroupBy();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList">DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList</a>

---

##### `multiCompute`<sup>Required</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.multiCompute"></a>

```java
public DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList getMultiCompute();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList</a>

---

##### `computeQueryInput`<sup>Optional</sup> <a name="computeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.computeQueryInput"></a>

```java
public DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery getComputeQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery</a>

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.groupByInput"></a>

```java
public java.lang.Object getGroupByInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy</a>>

---

##### `indexInput`<sup>Optional</sup> <a name="indexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.indexInput"></a>

```java
public java.lang.String getIndexInput();
```

- *Type:* java.lang.String

---

##### `multiComputeInput`<sup>Optional</sup> <a name="multiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.multiComputeInput"></a>

```java
public java.lang.Object getMultiComputeInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute</a>>

---

##### `searchQueryInput`<sup>Optional</sup> <a name="searchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.searchQueryInput"></a>

```java
public java.lang.String getSearchQueryInput();
```

- *Type:* java.lang.String

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

---

##### `searchQuery`<sup>Required</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetDistributionDefinitionRequestApmQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetDistributionDefinitionRequestApmQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList <a name="DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList;

new DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.get"></a>

```java
public DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns</a>>

---


### DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference <a name="DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference;

new DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resetAlias">resetAlias</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resetCellDisplayMode">resetCellDisplayMode</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resetOrder">resetOrder</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetAlias` <a name="resetAlias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resetAlias"></a>

```java
public void resetAlias()
```

##### `resetCellDisplayMode` <a name="resetCellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resetCellDisplayMode"></a>

```java
public void resetCellDisplayMode()
```

##### `resetOrder` <a name="resetOrder" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resetOrder"></a>

```java
public void resetOrder()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.aliasInput">aliasInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.cellDisplayModeInput">cellDisplayModeInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.nameInput">nameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.orderInput">orderInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.alias">alias</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.cellDisplayMode">cellDisplayMode</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.name">name</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.order">order</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aliasInput`<sup>Optional</sup> <a name="aliasInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.aliasInput"></a>

```java
public java.lang.String getAliasInput();
```

- *Type:* java.lang.String

---

##### `cellDisplayModeInput`<sup>Optional</sup> <a name="cellDisplayModeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.cellDisplayModeInput"></a>

```java
public java.lang.String getCellDisplayModeInput();
```

- *Type:* java.lang.String

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.nameInput"></a>

```java
public java.lang.String getNameInput();
```

- *Type:* java.lang.String

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.orderInput"></a>

```java
public java.lang.String getOrderInput();
```

- *Type:* java.lang.String

---

##### `alias`<sup>Required</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.alias"></a>

```java
public java.lang.String getAlias();
```

- *Type:* java.lang.String

---

##### `cellDisplayMode`<sup>Required</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.cellDisplayMode"></a>

```java
public java.lang.String getCellDisplayMode();
```

- *Type:* java.lang.String

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference;

new DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.putColumns">putColumns</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.resetColumns">resetColumns</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.resetResource">resetResource</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putColumns` <a name="putColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.putColumns"></a>

```java
public void putColumns(IResolvable OR java.util.List<DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.putColumns.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns</a>>

---

##### `resetColumns` <a name="resetColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.resetColumns"></a>

```java
public void resetColumns()
```

##### `resetResource` <a name="resetResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.resetResource"></a>

```java
public void resetResource()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.columns">columns</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.columnsInput">columnsInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.envInput">envInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.nameInput">nameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.primaryTagInput">primaryTagInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.resourceInput">resourceInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.rowTypeInput">rowTypeInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.serviceInput">serviceInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.env">env</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.name">name</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.primaryTag">primaryTag</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.resource">resource</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.rowType">rowType</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.service">service</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetDistributionDefinitionRequestApmStatsQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `columns`<sup>Required</sup> <a name="columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.columns"></a>

```java
public DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList getColumns();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList</a>

---

##### `columnsInput`<sup>Optional</sup> <a name="columnsInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.columnsInput"></a>

```java
public java.lang.Object getColumnsInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns</a>>

---

##### `envInput`<sup>Optional</sup> <a name="envInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.envInput"></a>

```java
public java.lang.String getEnvInput();
```

- *Type:* java.lang.String

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.nameInput"></a>

```java
public java.lang.String getNameInput();
```

- *Type:* java.lang.String

---

##### `primaryTagInput`<sup>Optional</sup> <a name="primaryTagInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.primaryTagInput"></a>

```java
public java.lang.String getPrimaryTagInput();
```

- *Type:* java.lang.String

---

##### `resourceInput`<sup>Optional</sup> <a name="resourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.resourceInput"></a>

```java
public java.lang.String getResourceInput();
```

- *Type:* java.lang.String

---

##### `rowTypeInput`<sup>Optional</sup> <a name="rowTypeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.rowTypeInput"></a>

```java
public java.lang.String getRowTypeInput();
```

- *Type:* java.lang.String

---

##### `serviceInput`<sup>Optional</sup> <a name="serviceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.serviceInput"></a>

```java
public java.lang.String getServiceInput();
```

- *Type:* java.lang.String

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

---

##### `primaryTag`<sup>Required</sup> <a name="primaryTag" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.primaryTag"></a>

```java
public java.lang.String getPrimaryTag();
```

- *Type:* java.lang.String

---

##### `resource`<sup>Required</sup> <a name="resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.resource"></a>

```java
public java.lang.String getResource();
```

- *Type:* java.lang.String

---

##### `rowType`<sup>Required</sup> <a name="rowType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.rowType"></a>

```java
public java.lang.String getRowType();
```

- *Type:* java.lang.String

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetDistributionDefinitionRequestApmStatsQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetDistributionDefinitionRequestApmStatsQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestList <a name="DashboardWidgetDistributionDefinitionRequestList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList;

new DashboardWidgetDistributionDefinitionRequestList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.get"></a>

```java
public DashboardWidgetDistributionDefinitionRequestOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest">DashboardWidgetDistributionDefinitionRequest</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest">DashboardWidgetDistributionDefinitionRequest</a>>

---


### DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference;

new DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval"></a>

```java
public void resetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput">intervalInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput"></a>

```java
public java.lang.Number getIntervalInput();
```

- *Type:* java.lang.Number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList <a name="DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList;

new DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.get"></a>

```java
public DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy</a>>

---


### DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference <a name="DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference;

new DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.putSortQuery">putSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery">resetSortQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSortQuery` <a name="putSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.putSortQuery"></a>

```java
public void putSortQuery(DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a>

---

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resetLimit"></a>

```java
public void resetLimit()
```

##### `resetSortQuery` <a name="resetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery"></a>

```java
public void resetSortQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput">sortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.limit">limit</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `sortQuery`<sup>Required</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery"></a>

```java
public DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.limitInput"></a>

```java
public java.lang.Number getLimitInput();
```

- *Type:* java.lang.Number

---

##### `sortQueryInput`<sup>Optional</sup> <a name="sortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput"></a>

```java
public DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery getSortQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference;

new DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet"></a>

```java
public void resetFacet()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.orderInput">orderInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```java
public java.lang.String getOrderInput();
```

- *Type:* java.lang.String

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList <a name="DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList;

new DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.get"></a>

```java
public DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute</a>>

---


### DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference <a name="DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference;

new DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.resetInterval"></a>

```java
public void resetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.intervalInput"></a>

```java
public java.lang.Number getIntervalInput();
```

- *Type:* java.lang.Number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference;

new DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putComputeQuery">putComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putMultiCompute">putMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetComputeQuery">resetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetMultiCompute">resetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetSearchQuery">resetSearchQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putComputeQuery` <a name="putComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putComputeQuery"></a>

```java
public void putComputeQuery(DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery</a>

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putGroupBy"></a>

```java
public void putGroupBy(IResolvable OR java.util.List<DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy</a>>

---

##### `putMultiCompute` <a name="putMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putMultiCompute"></a>

```java
public void putMultiCompute(IResolvable OR java.util.List<DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute</a>>

---

##### `resetComputeQuery` <a name="resetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetComputeQuery"></a>

```java
public void resetComputeQuery()
```

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetGroupBy"></a>

```java
public void resetGroupBy()
```

##### `resetMultiCompute` <a name="resetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetMultiCompute"></a>

```java
public void resetMultiCompute()
```

##### `resetSearchQuery` <a name="resetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetSearchQuery"></a>

```java
public void resetSearchQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList">DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.multiCompute">multiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.computeQueryInput">computeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.indexInput">indexInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.multiComputeInput">multiComputeInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.searchQueryInput">searchQueryInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.index">index</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetDistributionDefinitionRequestLogQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `computeQuery`<sup>Required</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.computeQuery"></a>

```java
public DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.groupBy"></a>

```java
public DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList getGroupBy();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList">DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList</a>

---

##### `multiCompute`<sup>Required</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.multiCompute"></a>

```java
public DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList getMultiCompute();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList</a>

---

##### `computeQueryInput`<sup>Optional</sup> <a name="computeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.computeQueryInput"></a>

```java
public DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery getComputeQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery</a>

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.groupByInput"></a>

```java
public java.lang.Object getGroupByInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy</a>>

---

##### `indexInput`<sup>Optional</sup> <a name="indexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.indexInput"></a>

```java
public java.lang.String getIndexInput();
```

- *Type:* java.lang.String

---

##### `multiComputeInput`<sup>Optional</sup> <a name="multiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.multiComputeInput"></a>

```java
public java.lang.Object getMultiComputeInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute</a>>

---

##### `searchQueryInput`<sup>Optional</sup> <a name="searchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.searchQueryInput"></a>

```java
public java.lang.String getSearchQueryInput();
```

- *Type:* java.lang.String

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

---

##### `searchQuery`<sup>Required</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetDistributionDefinitionRequestLogQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetDistributionDefinitionRequestLogQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestOutputReference <a name="DashboardWidgetDistributionDefinitionRequestOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference;

new DashboardWidgetDistributionDefinitionRequestOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmQuery">putApmQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmStatsQuery">putApmStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putLogQuery">putLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putProcessQuery">putProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putRumQuery">putRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putSecurityQuery">putSecurityQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putStyle">putStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetApmQuery">resetApmQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetApmStatsQuery">resetApmStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetLogQuery">resetLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetProcessQuery">resetProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetQ">resetQ</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetRumQuery">resetRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetSecurityQuery">resetSecurityQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetStyle">resetStyle</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putApmQuery` <a name="putApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmQuery"></a>

```java
public void putApmQuery(DashboardWidgetDistributionDefinitionRequestApmQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetDistributionDefinitionRequestApmQuery</a>

---

##### `putApmStatsQuery` <a name="putApmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmStatsQuery"></a>

```java
public void putApmStatsQuery(DashboardWidgetDistributionDefinitionRequestApmStatsQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmStatsQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetDistributionDefinitionRequestApmStatsQuery</a>

---

##### `putLogQuery` <a name="putLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putLogQuery"></a>

```java
public void putLogQuery(DashboardWidgetDistributionDefinitionRequestLogQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putLogQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetDistributionDefinitionRequestLogQuery</a>

---

##### `putProcessQuery` <a name="putProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putProcessQuery"></a>

```java
public void putProcessQuery(DashboardWidgetDistributionDefinitionRequestProcessQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putProcessQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetDistributionDefinitionRequestProcessQuery</a>

---

##### `putRumQuery` <a name="putRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putRumQuery"></a>

```java
public void putRumQuery(DashboardWidgetDistributionDefinitionRequestRumQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putRumQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetDistributionDefinitionRequestRumQuery</a>

---

##### `putSecurityQuery` <a name="putSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putSecurityQuery"></a>

```java
public void putSecurityQuery(DashboardWidgetDistributionDefinitionRequestSecurityQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putSecurityQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetDistributionDefinitionRequestSecurityQuery</a>

---

##### `putStyle` <a name="putStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putStyle"></a>

```java
public void putStyle(DashboardWidgetDistributionDefinitionRequestStyle value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putStyle.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle">DashboardWidgetDistributionDefinitionRequestStyle</a>

---

##### `resetApmQuery` <a name="resetApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetApmQuery"></a>

```java
public void resetApmQuery()
```

##### `resetApmStatsQuery` <a name="resetApmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetApmStatsQuery"></a>

```java
public void resetApmStatsQuery()
```

##### `resetLogQuery` <a name="resetLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetLogQuery"></a>

```java
public void resetLogQuery()
```

##### `resetProcessQuery` <a name="resetProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetProcessQuery"></a>

```java
public void resetProcessQuery()
```

##### `resetQ` <a name="resetQ" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetQ"></a>

```java
public void resetQ()
```

##### `resetRumQuery` <a name="resetRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetRumQuery"></a>

```java
public void resetRumQuery()
```

##### `resetSecurityQuery` <a name="resetSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetSecurityQuery"></a>

```java
public void resetSecurityQuery()
```

##### `resetStyle` <a name="resetStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetStyle"></a>

```java
public void resetStyle()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmStatsQuery">apmStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference">DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference">DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference">DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference">DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference">DashboardWidgetDistributionDefinitionRequestStyleOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmQueryInput">apmQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetDistributionDefinitionRequestApmQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmStatsQueryInput">apmStatsQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetDistributionDefinitionRequestApmStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.logQueryInput">logQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetDistributionDefinitionRequestLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.processQueryInput">processQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetDistributionDefinitionRequestProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.qInput">qInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.rumQueryInput">rumQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetDistributionDefinitionRequestRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.securityQueryInput">securityQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetDistributionDefinitionRequestSecurityQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.styleInput">styleInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle">DashboardWidgetDistributionDefinitionRequestStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.q">q</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest">DashboardWidgetDistributionDefinitionRequest</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `apmQuery`<sup>Required</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmQuery"></a>

```java
public DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference getApmQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference</a>

---

##### `apmStatsQuery`<sup>Required</sup> <a name="apmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmStatsQuery"></a>

```java
public DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference getApmStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference</a>

---

##### `logQuery`<sup>Required</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.logQuery"></a>

```java
public DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference getLogQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference">DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference</a>

---

##### `processQuery`<sup>Required</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.processQuery"></a>

```java
public DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference">DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference</a>

---

##### `rumQuery`<sup>Required</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.rumQuery"></a>

```java
public DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference getRumQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference">DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference</a>

---

##### `securityQuery`<sup>Required</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.securityQuery"></a>

```java
public DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference getSecurityQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference">DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference</a>

---

##### `style`<sup>Required</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.style"></a>

```java
public DashboardWidgetDistributionDefinitionRequestStyleOutputReference getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference">DashboardWidgetDistributionDefinitionRequestStyleOutputReference</a>

---

##### `apmQueryInput`<sup>Optional</sup> <a name="apmQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmQueryInput"></a>

```java
public DashboardWidgetDistributionDefinitionRequestApmQuery getApmQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetDistributionDefinitionRequestApmQuery</a>

---

##### `apmStatsQueryInput`<sup>Optional</sup> <a name="apmStatsQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmStatsQueryInput"></a>

```java
public DashboardWidgetDistributionDefinitionRequestApmStatsQuery getApmStatsQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetDistributionDefinitionRequestApmStatsQuery</a>

---

##### `logQueryInput`<sup>Optional</sup> <a name="logQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.logQueryInput"></a>

```java
public DashboardWidgetDistributionDefinitionRequestLogQuery getLogQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetDistributionDefinitionRequestLogQuery</a>

---

##### `processQueryInput`<sup>Optional</sup> <a name="processQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.processQueryInput"></a>

```java
public DashboardWidgetDistributionDefinitionRequestProcessQuery getProcessQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetDistributionDefinitionRequestProcessQuery</a>

---

##### `qInput`<sup>Optional</sup> <a name="qInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.qInput"></a>

```java
public java.lang.String getQInput();
```

- *Type:* java.lang.String

---

##### `rumQueryInput`<sup>Optional</sup> <a name="rumQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.rumQueryInput"></a>

```java
public DashboardWidgetDistributionDefinitionRequestRumQuery getRumQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetDistributionDefinitionRequestRumQuery</a>

---

##### `securityQueryInput`<sup>Optional</sup> <a name="securityQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.securityQueryInput"></a>

```java
public DashboardWidgetDistributionDefinitionRequestSecurityQuery getSecurityQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetDistributionDefinitionRequestSecurityQuery</a>

---

##### `styleInput`<sup>Optional</sup> <a name="styleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.styleInput"></a>

```java
public DashboardWidgetDistributionDefinitionRequestStyle getStyleInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle">DashboardWidgetDistributionDefinitionRequestStyle</a>

---

##### `q`<sup>Required</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest">DashboardWidgetDistributionDefinitionRequest</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference;

new DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resetFilterBy">resetFilterBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resetSearchBy">resetSearchBy</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFilterBy` <a name="resetFilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resetFilterBy"></a>

```java
public void resetFilterBy()
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resetLimit"></a>

```java
public void resetLimit()
```

##### `resetSearchBy` <a name="resetSearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resetSearchBy"></a>

```java
public void resetSearchBy()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.filterByInput">filterByInput</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.limitInput">limitInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.metricInput">metricInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.searchByInput">searchByInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.filterBy">filterBy</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.limit">limit</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.metric">metric</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.searchBy">searchBy</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetDistributionDefinitionRequestProcessQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `filterByInput`<sup>Optional</sup> <a name="filterByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.filterByInput"></a>

```java
public java.util.List<java.lang.String> getFilterByInput();
```

- *Type:* java.util.List<java.lang.String>

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.limitInput"></a>

```java
public java.lang.Number getLimitInput();
```

- *Type:* java.lang.Number

---

##### `metricInput`<sup>Optional</sup> <a name="metricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.metricInput"></a>

```java
public java.lang.String getMetricInput();
```

- *Type:* java.lang.String

---

##### `searchByInput`<sup>Optional</sup> <a name="searchByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.searchByInput"></a>

```java
public java.lang.String getSearchByInput();
```

- *Type:* java.lang.String

---

##### `filterBy`<sup>Required</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.filterBy"></a>

```java
public java.util.List<java.lang.String> getFilterBy();
```

- *Type:* java.util.List<java.lang.String>

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

---

##### `searchBy`<sup>Required</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.searchBy"></a>

```java
public java.lang.String getSearchBy();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetDistributionDefinitionRequestProcessQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetDistributionDefinitionRequestProcessQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference;

new DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.resetInterval"></a>

```java
public void resetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.intervalInput">intervalInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.intervalInput"></a>

```java
public java.lang.Number getIntervalInput();
```

- *Type:* java.lang.Number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList <a name="DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList;

new DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.get"></a>

```java
public DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy</a>>

---


### DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference <a name="DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference;

new DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.putSortQuery">putSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resetSortQuery">resetSortQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSortQuery` <a name="putSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.putSortQuery"></a>

```java
public void putSortQuery(DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a>

---

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resetLimit"></a>

```java
public void resetLimit()
```

##### `resetSortQuery` <a name="resetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resetSortQuery"></a>

```java
public void resetSortQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.sortQueryInput">sortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.limit">limit</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `sortQuery`<sup>Required</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.sortQuery"></a>

```java
public DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.limitInput"></a>

```java
public java.lang.Number getLimitInput();
```

- *Type:* java.lang.Number

---

##### `sortQueryInput`<sup>Optional</sup> <a name="sortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.sortQueryInput"></a>

```java
public DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery getSortQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference;

new DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.resetFacet"></a>

```java
public void resetFacet()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.orderInput">orderInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```java
public java.lang.String getOrderInput();
```

- *Type:* java.lang.String

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList <a name="DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList;

new DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.get"></a>

```java
public DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute</a>>

---


### DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference <a name="DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference;

new DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.resetInterval"></a>

```java
public void resetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.intervalInput"></a>

```java
public java.lang.Number getIntervalInput();
```

- *Type:* java.lang.Number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference;

new DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putComputeQuery">putComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putMultiCompute">putMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetComputeQuery">resetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetMultiCompute">resetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetSearchQuery">resetSearchQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putComputeQuery` <a name="putComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putComputeQuery"></a>

```java
public void putComputeQuery(DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery</a>

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putGroupBy"></a>

```java
public void putGroupBy(IResolvable OR java.util.List<DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy</a>>

---

##### `putMultiCompute` <a name="putMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putMultiCompute"></a>

```java
public void putMultiCompute(IResolvable OR java.util.List<DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute</a>>

---

##### `resetComputeQuery` <a name="resetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetComputeQuery"></a>

```java
public void resetComputeQuery()
```

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetGroupBy"></a>

```java
public void resetGroupBy()
```

##### `resetMultiCompute` <a name="resetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetMultiCompute"></a>

```java
public void resetMultiCompute()
```

##### `resetSearchQuery` <a name="resetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetSearchQuery"></a>

```java
public void resetSearchQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList">DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.multiCompute">multiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.computeQueryInput">computeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.indexInput">indexInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.multiComputeInput">multiComputeInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.searchQueryInput">searchQueryInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.index">index</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetDistributionDefinitionRequestRumQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `computeQuery`<sup>Required</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.computeQuery"></a>

```java
public DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.groupBy"></a>

```java
public DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList getGroupBy();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList">DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList</a>

---

##### `multiCompute`<sup>Required</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.multiCompute"></a>

```java
public DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList getMultiCompute();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList</a>

---

##### `computeQueryInput`<sup>Optional</sup> <a name="computeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.computeQueryInput"></a>

```java
public DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery getComputeQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery</a>

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.groupByInput"></a>

```java
public java.lang.Object getGroupByInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy</a>>

---

##### `indexInput`<sup>Optional</sup> <a name="indexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.indexInput"></a>

```java
public java.lang.String getIndexInput();
```

- *Type:* java.lang.String

---

##### `multiComputeInput`<sup>Optional</sup> <a name="multiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.multiComputeInput"></a>

```java
public java.lang.Object getMultiComputeInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute</a>>

---

##### `searchQueryInput`<sup>Optional</sup> <a name="searchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.searchQueryInput"></a>

```java
public java.lang.String getSearchQueryInput();
```

- *Type:* java.lang.String

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

---

##### `searchQuery`<sup>Required</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetDistributionDefinitionRequestRumQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetDistributionDefinitionRequestRumQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference;

new DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.resetInterval"></a>

```java
public void resetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.intervalInput">intervalInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.intervalInput"></a>

```java
public java.lang.Number getIntervalInput();
```

- *Type:* java.lang.Number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList;

new DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.get"></a>

```java
public DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a>>

---


### DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference;

new DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery">putSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resetSortQuery">resetSortQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSortQuery` <a name="putSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery"></a>

```java
public void putSortQuery(DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a>

---

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resetLimit"></a>

```java
public void resetLimit()
```

##### `resetSortQuery` <a name="resetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resetSortQuery"></a>

```java
public void resetSortQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQueryInput">sortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.limit">limit</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `sortQuery`<sup>Required</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQuery"></a>

```java
public DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.limitInput"></a>

```java
public java.lang.Number getLimitInput();
```

- *Type:* java.lang.Number

---

##### `sortQueryInput`<sup>Optional</sup> <a name="sortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQueryInput"></a>

```java
public DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery getSortQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference;

new DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resetFacet"></a>

```java
public void resetFacet()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.orderInput">orderInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```java
public java.lang.String getOrderInput();
```

- *Type:* java.lang.String

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList;

new DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.get"></a>

```java
public DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a>>

---


### DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference;

new DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.resetInterval"></a>

```java
public void resetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.intervalInput"></a>

```java
public java.lang.Number getIntervalInput();
```

- *Type:* java.lang.Number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference;

new DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putComputeQuery">putComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putMultiCompute">putMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetComputeQuery">resetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetMultiCompute">resetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetSearchQuery">resetSearchQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putComputeQuery` <a name="putComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putComputeQuery"></a>

```java
public void putComputeQuery(DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a>

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putGroupBy"></a>

```java
public void putGroupBy(IResolvable OR java.util.List<DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a>>

---

##### `putMultiCompute` <a name="putMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putMultiCompute"></a>

```java
public void putMultiCompute(IResolvable OR java.util.List<DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a>>

---

##### `resetComputeQuery` <a name="resetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetComputeQuery"></a>

```java
public void resetComputeQuery()
```

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetGroupBy"></a>

```java
public void resetGroupBy()
```

##### `resetMultiCompute` <a name="resetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetMultiCompute"></a>

```java
public void resetMultiCompute()
```

##### `resetSearchQuery` <a name="resetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetSearchQuery"></a>

```java
public void resetSearchQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.multiCompute">multiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.computeQueryInput">computeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.indexInput">indexInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.multiComputeInput">multiComputeInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.searchQueryInput">searchQueryInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.index">index</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetDistributionDefinitionRequestSecurityQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `computeQuery`<sup>Required</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.computeQuery"></a>

```java
public DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.groupBy"></a>

```java
public DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList getGroupBy();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList</a>

---

##### `multiCompute`<sup>Required</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.multiCompute"></a>

```java
public DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList getMultiCompute();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList</a>

---

##### `computeQueryInput`<sup>Optional</sup> <a name="computeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.computeQueryInput"></a>

```java
public DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery getComputeQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a>

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.groupByInput"></a>

```java
public java.lang.Object getGroupByInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a>>

---

##### `indexInput`<sup>Optional</sup> <a name="indexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.indexInput"></a>

```java
public java.lang.String getIndexInput();
```

- *Type:* java.lang.String

---

##### `multiComputeInput`<sup>Optional</sup> <a name="multiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.multiComputeInput"></a>

```java
public java.lang.Object getMultiComputeInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a>>

---

##### `searchQueryInput`<sup>Optional</sup> <a name="searchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.searchQueryInput"></a>

```java
public java.lang.String getSearchQueryInput();
```

- *Type:* java.lang.String

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

---

##### `searchQuery`<sup>Required</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetDistributionDefinitionRequestSecurityQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetDistributionDefinitionRequestSecurityQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestStyleOutputReference <a name="DashboardWidgetDistributionDefinitionRequestStyleOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference;

new DashboardWidgetDistributionDefinitionRequestStyleOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.resetPalette">resetPalette</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetPalette` <a name="resetPalette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.resetPalette"></a>

```java
public void resetPalette()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.paletteInput">paletteInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.palette">palette</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle">DashboardWidgetDistributionDefinitionRequestStyle</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `paletteInput`<sup>Optional</sup> <a name="paletteInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.paletteInput"></a>

```java
public java.lang.String getPaletteInput();
```

- *Type:* java.lang.String

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.internalValue"></a>

```java
public DashboardWidgetDistributionDefinitionRequestStyle getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle">DashboardWidgetDistributionDefinitionRequestStyle</a>

---


### DashboardWidgetEventStreamDefinitionOutputReference <a name="DashboardWidgetEventStreamDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference;

new DashboardWidgetEventStreamDefinitionOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetEventSize">resetEventSize</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetLiveSpan">resetLiveSpan</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTagsExecution">resetTagsExecution</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTitle">resetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTitleAlign">resetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTitleSize">resetTitleSize</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetEventSize` <a name="resetEventSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetEventSize"></a>

```java
public void resetEventSize()
```

##### `resetLiveSpan` <a name="resetLiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetLiveSpan"></a>

```java
public void resetLiveSpan()
```

##### `resetTagsExecution` <a name="resetTagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTagsExecution"></a>

```java
public void resetTagsExecution()
```

##### `resetTitle` <a name="resetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTitle"></a>

```java
public void resetTitle()
```

##### `resetTitleAlign` <a name="resetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTitleAlign"></a>

```java
public void resetTitleAlign()
```

##### `resetTitleSize` <a name="resetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTitleSize"></a>

```java
public void resetTitleSize()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.eventSizeInput">eventSizeInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.liveSpanInput">liveSpanInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.queryInput">queryInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.tagsExecutionInput">tagsExecutionInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleAlignInput">titleAlignInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleInput">titleInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleSizeInput">titleSizeInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.eventSize">eventSize</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.query">query</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.tagsExecution">tagsExecution</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.title">title</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition">DashboardWidgetEventStreamDefinition</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `eventSizeInput`<sup>Optional</sup> <a name="eventSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.eventSizeInput"></a>

```java
public java.lang.String getEventSizeInput();
```

- *Type:* java.lang.String

---

##### `liveSpanInput`<sup>Optional</sup> <a name="liveSpanInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.liveSpanInput"></a>

```java
public java.lang.String getLiveSpanInput();
```

- *Type:* java.lang.String

---

##### `queryInput`<sup>Optional</sup> <a name="queryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.queryInput"></a>

```java
public java.lang.String getQueryInput();
```

- *Type:* java.lang.String

---

##### `tagsExecutionInput`<sup>Optional</sup> <a name="tagsExecutionInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.tagsExecutionInput"></a>

```java
public java.lang.String getTagsExecutionInput();
```

- *Type:* java.lang.String

---

##### `titleAlignInput`<sup>Optional</sup> <a name="titleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleAlignInput"></a>

```java
public java.lang.String getTitleAlignInput();
```

- *Type:* java.lang.String

---

##### `titleInput`<sup>Optional</sup> <a name="titleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleInput"></a>

```java
public java.lang.String getTitleInput();
```

- *Type:* java.lang.String

---

##### `titleSizeInput`<sup>Optional</sup> <a name="titleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleSizeInput"></a>

```java
public java.lang.String getTitleSizeInput();
```

- *Type:* java.lang.String

---

##### `eventSize`<sup>Required</sup> <a name="eventSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.eventSize"></a>

```java
public java.lang.String getEventSize();
```

- *Type:* java.lang.String

---

##### `liveSpan`<sup>Required</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

---

##### `tagsExecution`<sup>Required</sup> <a name="tagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.tagsExecution"></a>

```java
public java.lang.String getTagsExecution();
```

- *Type:* java.lang.String

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

---

##### `titleAlign`<sup>Required</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

---

##### `titleSize`<sup>Required</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.internalValue"></a>

```java
public DashboardWidgetEventStreamDefinition getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition">DashboardWidgetEventStreamDefinition</a>

---


### DashboardWidgetEventTimelineDefinitionOutputReference <a name="DashboardWidgetEventTimelineDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference;

new DashboardWidgetEventTimelineDefinitionOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetLiveSpan">resetLiveSpan</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTagsExecution">resetTagsExecution</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTitle">resetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTitleAlign">resetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTitleSize">resetTitleSize</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetLiveSpan` <a name="resetLiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetLiveSpan"></a>

```java
public void resetLiveSpan()
```

##### `resetTagsExecution` <a name="resetTagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTagsExecution"></a>

```java
public void resetTagsExecution()
```

##### `resetTitle` <a name="resetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTitle"></a>

```java
public void resetTitle()
```

##### `resetTitleAlign` <a name="resetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTitleAlign"></a>

```java
public void resetTitleAlign()
```

##### `resetTitleSize` <a name="resetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTitleSize"></a>

```java
public void resetTitleSize()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.liveSpanInput">liveSpanInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.queryInput">queryInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.tagsExecutionInput">tagsExecutionInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleAlignInput">titleAlignInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleInput">titleInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleSizeInput">titleSizeInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.query">query</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.tagsExecution">tagsExecution</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.title">title</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition">DashboardWidgetEventTimelineDefinition</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `liveSpanInput`<sup>Optional</sup> <a name="liveSpanInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.liveSpanInput"></a>

```java
public java.lang.String getLiveSpanInput();
```

- *Type:* java.lang.String

---

##### `queryInput`<sup>Optional</sup> <a name="queryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.queryInput"></a>

```java
public java.lang.String getQueryInput();
```

- *Type:* java.lang.String

---

##### `tagsExecutionInput`<sup>Optional</sup> <a name="tagsExecutionInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.tagsExecutionInput"></a>

```java
public java.lang.String getTagsExecutionInput();
```

- *Type:* java.lang.String

---

##### `titleAlignInput`<sup>Optional</sup> <a name="titleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleAlignInput"></a>

```java
public java.lang.String getTitleAlignInput();
```

- *Type:* java.lang.String

---

##### `titleInput`<sup>Optional</sup> <a name="titleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleInput"></a>

```java
public java.lang.String getTitleInput();
```

- *Type:* java.lang.String

---

##### `titleSizeInput`<sup>Optional</sup> <a name="titleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleSizeInput"></a>

```java
public java.lang.String getTitleSizeInput();
```

- *Type:* java.lang.String

---

##### `liveSpan`<sup>Required</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

---

##### `tagsExecution`<sup>Required</sup> <a name="tagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.tagsExecution"></a>

```java
public java.lang.String getTagsExecution();
```

- *Type:* java.lang.String

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

---

##### `titleAlign`<sup>Required</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

---

##### `titleSize`<sup>Required</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.internalValue"></a>

```java
public DashboardWidgetEventTimelineDefinition getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition">DashboardWidgetEventTimelineDefinition</a>

---


### DashboardWidgetFreeTextDefinitionOutputReference <a name="DashboardWidgetFreeTextDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference;

new DashboardWidgetFreeTextDefinitionOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resetColor">resetColor</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resetFontSize">resetFontSize</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resetTextAlign">resetTextAlign</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetColor` <a name="resetColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resetColor"></a>

```java
public void resetColor()
```

##### `resetFontSize` <a name="resetFontSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resetFontSize"></a>

```java
public void resetFontSize()
```

##### `resetTextAlign` <a name="resetTextAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resetTextAlign"></a>

```java
public void resetTextAlign()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.colorInput">colorInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.fontSizeInput">fontSizeInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.textAlignInput">textAlignInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.textInput">textInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.color">color</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.fontSize">fontSize</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.text">text</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.textAlign">textAlign</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition">DashboardWidgetFreeTextDefinition</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `colorInput`<sup>Optional</sup> <a name="colorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.colorInput"></a>

```java
public java.lang.String getColorInput();
```

- *Type:* java.lang.String

---

##### `fontSizeInput`<sup>Optional</sup> <a name="fontSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.fontSizeInput"></a>

```java
public java.lang.String getFontSizeInput();
```

- *Type:* java.lang.String

---

##### `textAlignInput`<sup>Optional</sup> <a name="textAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.textAlignInput"></a>

```java
public java.lang.String getTextAlignInput();
```

- *Type:* java.lang.String

---

##### `textInput`<sup>Optional</sup> <a name="textInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.textInput"></a>

```java
public java.lang.String getTextInput();
```

- *Type:* java.lang.String

---

##### `color`<sup>Required</sup> <a name="color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.color"></a>

```java
public java.lang.String getColor();
```

- *Type:* java.lang.String

---

##### `fontSize`<sup>Required</sup> <a name="fontSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.fontSize"></a>

```java
public java.lang.String getFontSize();
```

- *Type:* java.lang.String

---

##### `text`<sup>Required</sup> <a name="text" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.text"></a>

```java
public java.lang.String getText();
```

- *Type:* java.lang.String

---

##### `textAlign`<sup>Required</sup> <a name="textAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.textAlign"></a>

```java
public java.lang.String getTextAlign();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.internalValue"></a>

```java
public DashboardWidgetFreeTextDefinition getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition">DashboardWidgetFreeTextDefinition</a>

---


### DashboardWidgetGeomapDefinitionCustomLinkList <a name="DashboardWidgetGeomapDefinitionCustomLinkList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList;

new DashboardWidgetGeomapDefinitionCustomLinkList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.get"></a>

```java
public DashboardWidgetGeomapDefinitionCustomLinkOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink">DashboardWidgetGeomapDefinitionCustomLink</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink">DashboardWidgetGeomapDefinitionCustomLink</a>>

---


### DashboardWidgetGeomapDefinitionCustomLinkOutputReference <a name="DashboardWidgetGeomapDefinitionCustomLinkOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference;

new DashboardWidgetGeomapDefinitionCustomLinkOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetIsHidden">resetIsHidden</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetLabel">resetLabel</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetLink">resetLink</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetOverrideLabel">resetOverrideLabel</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetIsHidden` <a name="resetIsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetIsHidden"></a>

```java
public void resetIsHidden()
```

##### `resetLabel` <a name="resetLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetLabel"></a>

```java
public void resetLabel()
```

##### `resetLink` <a name="resetLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetLink"></a>

```java
public void resetLink()
```

##### `resetOverrideLabel` <a name="resetOverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetOverrideLabel"></a>

```java
public void resetOverrideLabel()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.isHiddenInput">isHiddenInput</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.labelInput">labelInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.linkInput">linkInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.overrideLabelInput">overrideLabelInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.isHidden">isHidden</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.label">label</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.link">link</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.overrideLabel">overrideLabel</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink">DashboardWidgetGeomapDefinitionCustomLink</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `isHiddenInput`<sup>Optional</sup> <a name="isHiddenInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.isHiddenInput"></a>

```java
public java.lang.Object getIsHiddenInput();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `labelInput`<sup>Optional</sup> <a name="labelInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.labelInput"></a>

```java
public java.lang.String getLabelInput();
```

- *Type:* java.lang.String

---

##### `linkInput`<sup>Optional</sup> <a name="linkInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.linkInput"></a>

```java
public java.lang.String getLinkInput();
```

- *Type:* java.lang.String

---

##### `overrideLabelInput`<sup>Optional</sup> <a name="overrideLabelInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.overrideLabelInput"></a>

```java
public java.lang.String getOverrideLabelInput();
```

- *Type:* java.lang.String

---

##### `isHidden`<sup>Required</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.isHidden"></a>

```java
public java.lang.Object getIsHidden();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `label`<sup>Required</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

---

##### `link`<sup>Required</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.link"></a>

```java
public java.lang.String getLink();
```

- *Type:* java.lang.String

---

##### `overrideLabel`<sup>Required</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.overrideLabel"></a>

```java
public java.lang.String getOverrideLabel();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink">DashboardWidgetGeomapDefinitionCustomLink</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetGeomapDefinitionOutputReference <a name="DashboardWidgetGeomapDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference;

new DashboardWidgetGeomapDefinitionOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putCustomLink">putCustomLink</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putRequest">putRequest</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putStyle">putStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putView">putView</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetCustomLink">resetCustomLink</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetLiveSpan">resetLiveSpan</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetRequest">resetRequest</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetStyle">resetStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetTitle">resetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetTitleAlign">resetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetTitleSize">resetTitleSize</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putCustomLink` <a name="putCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putCustomLink"></a>

```java
public void putCustomLink(IResolvable OR java.util.List<DashboardWidgetGeomapDefinitionCustomLink> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putCustomLink.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink">DashboardWidgetGeomapDefinitionCustomLink</a>>

---

##### `putRequest` <a name="putRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putRequest"></a>

```java
public void putRequest(IResolvable OR java.util.List<DashboardWidgetGeomapDefinitionRequest> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putRequest.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest">DashboardWidgetGeomapDefinitionRequest</a>>

---

##### `putStyle` <a name="putStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putStyle"></a>

```java
public void putStyle(DashboardWidgetGeomapDefinitionStyle value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putStyle.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle">DashboardWidgetGeomapDefinitionStyle</a>

---

##### `putView` <a name="putView" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putView"></a>

```java
public void putView(DashboardWidgetGeomapDefinitionView value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putView.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView">DashboardWidgetGeomapDefinitionView</a>

---

##### `resetCustomLink` <a name="resetCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetCustomLink"></a>

```java
public void resetCustomLink()
```

##### `resetLiveSpan` <a name="resetLiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetLiveSpan"></a>

```java
public void resetLiveSpan()
```

##### `resetRequest` <a name="resetRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetRequest"></a>

```java
public void resetRequest()
```

##### `resetStyle` <a name="resetStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetStyle"></a>

```java
public void resetStyle()
```

##### `resetTitle` <a name="resetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetTitle"></a>

```java
public void resetTitle()
```

##### `resetTitleAlign` <a name="resetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetTitleAlign"></a>

```java
public void resetTitleAlign()
```

##### `resetTitleSize` <a name="resetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetTitleSize"></a>

```java
public void resetTitleSize()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.customLink">customLink</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList">DashboardWidgetGeomapDefinitionCustomLinkList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.request">request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList">DashboardWidgetGeomapDefinitionRequestList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference">DashboardWidgetGeomapDefinitionStyleOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.view">view</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference">DashboardWidgetGeomapDefinitionViewOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.customLinkInput">customLinkInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink">DashboardWidgetGeomapDefinitionCustomLink</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.liveSpanInput">liveSpanInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.requestInput">requestInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest">DashboardWidgetGeomapDefinitionRequest</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.styleInput">styleInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle">DashboardWidgetGeomapDefinitionStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleAlignInput">titleAlignInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleInput">titleInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleSizeInput">titleSizeInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.viewInput">viewInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView">DashboardWidgetGeomapDefinitionView</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.title">title</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition">DashboardWidgetGeomapDefinition</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `customLink`<sup>Required</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.customLink"></a>

```java
public DashboardWidgetGeomapDefinitionCustomLinkList getCustomLink();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList">DashboardWidgetGeomapDefinitionCustomLinkList</a>

---

##### `request`<sup>Required</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.request"></a>

```java
public DashboardWidgetGeomapDefinitionRequestList getRequest();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList">DashboardWidgetGeomapDefinitionRequestList</a>

---

##### `style`<sup>Required</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.style"></a>

```java
public DashboardWidgetGeomapDefinitionStyleOutputReference getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference">DashboardWidgetGeomapDefinitionStyleOutputReference</a>

---

##### `view`<sup>Required</sup> <a name="view" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.view"></a>

```java
public DashboardWidgetGeomapDefinitionViewOutputReference getView();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference">DashboardWidgetGeomapDefinitionViewOutputReference</a>

---

##### `customLinkInput`<sup>Optional</sup> <a name="customLinkInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.customLinkInput"></a>

```java
public java.lang.Object getCustomLinkInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink">DashboardWidgetGeomapDefinitionCustomLink</a>>

---

##### `liveSpanInput`<sup>Optional</sup> <a name="liveSpanInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.liveSpanInput"></a>

```java
public java.lang.String getLiveSpanInput();
```

- *Type:* java.lang.String

---

##### `requestInput`<sup>Optional</sup> <a name="requestInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.requestInput"></a>

```java
public java.lang.Object getRequestInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest">DashboardWidgetGeomapDefinitionRequest</a>>

---

##### `styleInput`<sup>Optional</sup> <a name="styleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.styleInput"></a>

```java
public DashboardWidgetGeomapDefinitionStyle getStyleInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle">DashboardWidgetGeomapDefinitionStyle</a>

---

##### `titleAlignInput`<sup>Optional</sup> <a name="titleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleAlignInput"></a>

```java
public java.lang.String getTitleAlignInput();
```

- *Type:* java.lang.String

---

##### `titleInput`<sup>Optional</sup> <a name="titleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleInput"></a>

```java
public java.lang.String getTitleInput();
```

- *Type:* java.lang.String

---

##### `titleSizeInput`<sup>Optional</sup> <a name="titleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleSizeInput"></a>

```java
public java.lang.String getTitleSizeInput();
```

- *Type:* java.lang.String

---

##### `viewInput`<sup>Optional</sup> <a name="viewInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.viewInput"></a>

```java
public DashboardWidgetGeomapDefinitionView getViewInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView">DashboardWidgetGeomapDefinitionView</a>

---

##### `liveSpan`<sup>Required</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

---

##### `titleAlign`<sup>Required</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

---

##### `titleSize`<sup>Required</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGeomapDefinition getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition">DashboardWidgetGeomapDefinition</a>

---


### DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList <a name="DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList;

new DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.get"></a>

```java
public DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats</a>>

---


### DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference <a name="DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference;

new DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomBgColor">resetCustomBgColor</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomFgColor">resetCustomFgColor</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetHideValue">resetHideValue</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetImageUrl">resetImageUrl</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetMetric">resetMetric</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetTimeframe">resetTimeframe</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetCustomBgColor` <a name="resetCustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomBgColor"></a>

```java
public void resetCustomBgColor()
```

##### `resetCustomFgColor` <a name="resetCustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomFgColor"></a>

```java
public void resetCustomFgColor()
```

##### `resetHideValue` <a name="resetHideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetHideValue"></a>

```java
public void resetHideValue()
```

##### `resetImageUrl` <a name="resetImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetImageUrl"></a>

```java
public void resetImageUrl()
```

##### `resetMetric` <a name="resetMetric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetMetric"></a>

```java
public void resetMetric()
```

##### `resetTimeframe` <a name="resetTimeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetTimeframe"></a>

```java
public void resetTimeframe()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparatorInput">comparatorInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColorInput">customBgColorInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColorInput">customFgColorInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValueInput">hideValueInput</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrlInput">imageUrlInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.metricInput">metricInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.paletteInput">paletteInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframeInput">timeframeInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.valueInput">valueInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparator">comparator</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColor">customBgColor</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColor">customFgColor</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValue">hideValue</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrl">imageUrl</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.metric">metric</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.palette">palette</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframe">timeframe</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.value">value</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `comparatorInput`<sup>Optional</sup> <a name="comparatorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparatorInput"></a>

```java
public java.lang.String getComparatorInput();
```

- *Type:* java.lang.String

---

##### `customBgColorInput`<sup>Optional</sup> <a name="customBgColorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColorInput"></a>

```java
public java.lang.String getCustomBgColorInput();
```

- *Type:* java.lang.String

---

##### `customFgColorInput`<sup>Optional</sup> <a name="customFgColorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColorInput"></a>

```java
public java.lang.String getCustomFgColorInput();
```

- *Type:* java.lang.String

---

##### `hideValueInput`<sup>Optional</sup> <a name="hideValueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValueInput"></a>

```java
public java.lang.Object getHideValueInput();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `imageUrlInput`<sup>Optional</sup> <a name="imageUrlInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrlInput"></a>

```java
public java.lang.String getImageUrlInput();
```

- *Type:* java.lang.String

---

##### `metricInput`<sup>Optional</sup> <a name="metricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.metricInput"></a>

```java
public java.lang.String getMetricInput();
```

- *Type:* java.lang.String

---

##### `paletteInput`<sup>Optional</sup> <a name="paletteInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.paletteInput"></a>

```java
public java.lang.String getPaletteInput();
```

- *Type:* java.lang.String

---

##### `timeframeInput`<sup>Optional</sup> <a name="timeframeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframeInput"></a>

```java
public java.lang.String getTimeframeInput();
```

- *Type:* java.lang.String

---

##### `valueInput`<sup>Optional</sup> <a name="valueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.valueInput"></a>

```java
public java.lang.Number getValueInput();
```

- *Type:* java.lang.Number

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparator"></a>

```java
public java.lang.String getComparator();
```

- *Type:* java.lang.String

---

##### `customBgColor`<sup>Required</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColor"></a>

```java
public java.lang.String getCustomBgColor();
```

- *Type:* java.lang.String

---

##### `customFgColor`<sup>Required</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColor"></a>

```java
public java.lang.String getCustomFgColor();
```

- *Type:* java.lang.String

---

##### `hideValue`<sup>Required</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValue"></a>

```java
public java.lang.Object getHideValue();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `imageUrl`<sup>Required</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrl"></a>

```java
public java.lang.String getImageUrl();
```

- *Type:* java.lang.String

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

---

##### `timeframe`<sup>Required</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframe"></a>

```java
public java.lang.String getTimeframe();
```

- *Type:* java.lang.String

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.value"></a>

```java
public java.lang.Number getValue();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference <a name="DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference;

new DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.resetCount">resetCount</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.resetOrder">resetOrder</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetCount` <a name="resetCount" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.resetCount"></a>

```java
public void resetCount()
```

##### `resetOrder` <a name="resetOrder" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.resetOrder"></a>

```java
public void resetOrder()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.countInput">countInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.orderInput">orderInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.count">count</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.order">order</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGeomapDefinitionRequestFormulaLimit</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `countInput`<sup>Optional</sup> <a name="countInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.countInput"></a>

```java
public java.lang.Number getCountInput();
```

- *Type:* java.lang.Number

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.orderInput"></a>

```java
public java.lang.String getOrderInput();
```

- *Type:* java.lang.String

---

##### `count`<sup>Required</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.count"></a>

```java
public java.lang.Number getCount();
```

- *Type:* java.lang.Number

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGeomapDefinitionRequestFormulaLimit getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGeomapDefinitionRequestFormulaLimit</a>

---


### DashboardWidgetGeomapDefinitionRequestFormulaList <a name="DashboardWidgetGeomapDefinitionRequestFormulaList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList;

new DashboardWidgetGeomapDefinitionRequestFormulaList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.get"></a>

```java
public DashboardWidgetGeomapDefinitionRequestFormulaOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula">DashboardWidgetGeomapDefinitionRequestFormula</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula">DashboardWidgetGeomapDefinitionRequestFormula</a>>

---


### DashboardWidgetGeomapDefinitionRequestFormulaOutputReference <a name="DashboardWidgetGeomapDefinitionRequestFormulaOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference;

new DashboardWidgetGeomapDefinitionRequestFormulaOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putConditionalFormats">putConditionalFormats</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putLimit">putLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putStyle">putStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetAlias">resetAlias</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetCellDisplayMode">resetCellDisplayMode</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetConditionalFormats">resetConditionalFormats</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetStyle">resetStyle</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putConditionalFormats` <a name="putConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putConditionalFormats"></a>

```java
public void putConditionalFormats(IResolvable OR java.util.List<DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putConditionalFormats.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats</a>>

---

##### `putLimit` <a name="putLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putLimit"></a>

```java
public void putLimit(DashboardWidgetGeomapDefinitionRequestFormulaLimit value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putLimit.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGeomapDefinitionRequestFormulaLimit</a>

---

##### `putStyle` <a name="putStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putStyle"></a>

```java
public void putStyle(DashboardWidgetGeomapDefinitionRequestFormulaStyle value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putStyle.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGeomapDefinitionRequestFormulaStyle</a>

---

##### `resetAlias` <a name="resetAlias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetAlias"></a>

```java
public void resetAlias()
```

##### `resetCellDisplayMode` <a name="resetCellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetCellDisplayMode"></a>

```java
public void resetCellDisplayMode()
```

##### `resetConditionalFormats` <a name="resetConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetConditionalFormats"></a>

```java
public void resetConditionalFormats()
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetLimit"></a>

```java
public void resetLimit()
```

##### `resetStyle` <a name="resetStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetStyle"></a>

```java
public void resetStyle()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.conditionalFormats">conditionalFormats</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference">DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference">DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.aliasInput">aliasInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.cellDisplayModeInput">cellDisplayModeInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.conditionalFormatsInput">conditionalFormatsInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.formulaExpressionInput">formulaExpressionInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.limitInput">limitInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGeomapDefinitionRequestFormulaLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.styleInput">styleInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGeomapDefinitionRequestFormulaStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.alias">alias</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.cellDisplayMode">cellDisplayMode</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.formulaExpression">formulaExpression</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula">DashboardWidgetGeomapDefinitionRequestFormula</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `conditionalFormats`<sup>Required</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.conditionalFormats"></a>

```java
public DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList getConditionalFormats();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList</a>

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.limit"></a>

```java
public DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference getLimit();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference">DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference</a>

---

##### `style`<sup>Required</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.style"></a>

```java
public DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference">DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference</a>

---

##### `aliasInput`<sup>Optional</sup> <a name="aliasInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.aliasInput"></a>

```java
public java.lang.String getAliasInput();
```

- *Type:* java.lang.String

---

##### `cellDisplayModeInput`<sup>Optional</sup> <a name="cellDisplayModeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.cellDisplayModeInput"></a>

```java
public java.lang.String getCellDisplayModeInput();
```

- *Type:* java.lang.String

---

##### `conditionalFormatsInput`<sup>Optional</sup> <a name="conditionalFormatsInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.conditionalFormatsInput"></a>

```java
public java.lang.Object getConditionalFormatsInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats</a>>

---

##### `formulaExpressionInput`<sup>Optional</sup> <a name="formulaExpressionInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.formulaExpressionInput"></a>

```java
public java.lang.String getFormulaExpressionInput();
```

- *Type:* java.lang.String

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.limitInput"></a>

```java
public DashboardWidgetGeomapDefinitionRequestFormulaLimit getLimitInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGeomapDefinitionRequestFormulaLimit</a>

---

##### `styleInput`<sup>Optional</sup> <a name="styleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.styleInput"></a>

```java
public DashboardWidgetGeomapDefinitionRequestFormulaStyle getStyleInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGeomapDefinitionRequestFormulaStyle</a>

---

##### `alias`<sup>Required</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.alias"></a>

```java
public java.lang.String getAlias();
```

- *Type:* java.lang.String

---

##### `cellDisplayMode`<sup>Required</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.cellDisplayMode"></a>

```java
public java.lang.String getCellDisplayMode();
```

- *Type:* java.lang.String

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.formulaExpression"></a>

```java
public java.lang.String getFormulaExpression();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula">DashboardWidgetGeomapDefinitionRequestFormula</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference <a name="DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference;

new DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.resetPalette">resetPalette</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.resetPaletteIndex">resetPaletteIndex</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetPalette` <a name="resetPalette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.resetPalette"></a>

```java
public void resetPalette()
```

##### `resetPaletteIndex` <a name="resetPaletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.resetPaletteIndex"></a>

```java
public void resetPaletteIndex()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.paletteIndexInput">paletteIndexInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.paletteInput">paletteInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.palette">palette</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.paletteIndex">paletteIndex</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGeomapDefinitionRequestFormulaStyle</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `paletteIndexInput`<sup>Optional</sup> <a name="paletteIndexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.paletteIndexInput"></a>

```java
public java.lang.Number getPaletteIndexInput();
```

- *Type:* java.lang.Number

---

##### `paletteInput`<sup>Optional</sup> <a name="paletteInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.paletteInput"></a>

```java
public java.lang.String getPaletteInput();
```

- *Type:* java.lang.String

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

---

##### `paletteIndex`<sup>Required</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.paletteIndex"></a>

```java
public java.lang.Number getPaletteIndex();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGeomapDefinitionRequestFormulaStyle getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGeomapDefinitionRequestFormulaStyle</a>

---


### DashboardWidgetGeomapDefinitionRequestList <a name="DashboardWidgetGeomapDefinitionRequestList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList;

new DashboardWidgetGeomapDefinitionRequestList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.get"></a>

```java
public DashboardWidgetGeomapDefinitionRequestOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest">DashboardWidgetGeomapDefinitionRequest</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest">DashboardWidgetGeomapDefinitionRequest</a>>

---


### DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference;

new DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval"></a>

```java
public void resetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput">intervalInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput"></a>

```java
public java.lang.Number getIntervalInput();
```

- *Type:* java.lang.Number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList <a name="DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList;

new DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.get"></a>

```java
public DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy</a>>

---


### DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference <a name="DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference;

new DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.putSortQuery">putSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery">resetSortQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSortQuery` <a name="putSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.putSortQuery"></a>

```java
public void putSortQuery(DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a>

---

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resetLimit"></a>

```java
public void resetLimit()
```

##### `resetSortQuery` <a name="resetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery"></a>

```java
public void resetSortQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput">sortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.limit">limit</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `sortQuery`<sup>Required</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery"></a>

```java
public DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.limitInput"></a>

```java
public java.lang.Number getLimitInput();
```

- *Type:* java.lang.Number

---

##### `sortQueryInput`<sup>Optional</sup> <a name="sortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput"></a>

```java
public DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery getSortQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference;

new DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet"></a>

```java
public void resetFacet()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.orderInput">orderInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```java
public java.lang.String getOrderInput();
```

- *Type:* java.lang.String

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList <a name="DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList;

new DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.get"></a>

```java
public DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute</a>>

---


### DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference <a name="DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference;

new DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.resetInterval"></a>

```java
public void resetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.intervalInput"></a>

```java
public java.lang.Number getIntervalInput();
```

- *Type:* java.lang.Number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference;

new DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putComputeQuery">putComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putMultiCompute">putMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetComputeQuery">resetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetMultiCompute">resetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetSearchQuery">resetSearchQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putComputeQuery` <a name="putComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putComputeQuery"></a>

```java
public void putComputeQuery(DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery</a>

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putGroupBy"></a>

```java
public void putGroupBy(IResolvable OR java.util.List<DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy</a>>

---

##### `putMultiCompute` <a name="putMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putMultiCompute"></a>

```java
public void putMultiCompute(IResolvable OR java.util.List<DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute</a>>

---

##### `resetComputeQuery` <a name="resetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetComputeQuery"></a>

```java
public void resetComputeQuery()
```

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetGroupBy"></a>

```java
public void resetGroupBy()
```

##### `resetMultiCompute` <a name="resetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetMultiCompute"></a>

```java
public void resetMultiCompute()
```

##### `resetSearchQuery` <a name="resetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetSearchQuery"></a>

```java
public void resetSearchQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList">DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.multiCompute">multiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList">DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.computeQueryInput">computeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.indexInput">indexInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.multiComputeInput">multiComputeInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.searchQueryInput">searchQueryInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.index">index</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGeomapDefinitionRequestLogQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `computeQuery`<sup>Required</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.computeQuery"></a>

```java
public DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.groupBy"></a>

```java
public DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList getGroupBy();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList">DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList</a>

---

##### `multiCompute`<sup>Required</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.multiCompute"></a>

```java
public DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList getMultiCompute();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList">DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList</a>

---

##### `computeQueryInput`<sup>Optional</sup> <a name="computeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.computeQueryInput"></a>

```java
public DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery getComputeQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery</a>

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.groupByInput"></a>

```java
public java.lang.Object getGroupByInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy</a>>

---

##### `indexInput`<sup>Optional</sup> <a name="indexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.indexInput"></a>

```java
public java.lang.String getIndexInput();
```

- *Type:* java.lang.String

---

##### `multiComputeInput`<sup>Optional</sup> <a name="multiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.multiComputeInput"></a>

```java
public java.lang.Object getMultiComputeInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute</a>>

---

##### `searchQueryInput`<sup>Optional</sup> <a name="searchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.searchQueryInput"></a>

```java
public java.lang.String getSearchQueryInput();
```

- *Type:* java.lang.String

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

---

##### `searchQuery`<sup>Required</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGeomapDefinitionRequestLogQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGeomapDefinitionRequestLogQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestOutputReference <a name="DashboardWidgetGeomapDefinitionRequestOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference;

new DashboardWidgetGeomapDefinitionRequestOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putFormula">putFormula</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putLogQuery">putLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putQuery">putQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putRumQuery">putRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetFormula">resetFormula</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetLogQuery">resetLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetQ">resetQ</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetQuery">resetQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetRumQuery">resetRumQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putFormula` <a name="putFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putFormula"></a>

```java
public void putFormula(IResolvable OR java.util.List<DashboardWidgetGeomapDefinitionRequestFormula> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putFormula.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula">DashboardWidgetGeomapDefinitionRequestFormula</a>>

---

##### `putLogQuery` <a name="putLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putLogQuery"></a>

```java
public void putLogQuery(DashboardWidgetGeomapDefinitionRequestLogQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putLogQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGeomapDefinitionRequestLogQuery</a>

---

##### `putQuery` <a name="putQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putQuery"></a>

```java
public void putQuery(IResolvable OR java.util.List<DashboardWidgetGeomapDefinitionRequestQuery> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putQuery.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery">DashboardWidgetGeomapDefinitionRequestQuery</a>>

---

##### `putRumQuery` <a name="putRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putRumQuery"></a>

```java
public void putRumQuery(DashboardWidgetGeomapDefinitionRequestRumQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putRumQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGeomapDefinitionRequestRumQuery</a>

---

##### `resetFormula` <a name="resetFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetFormula"></a>

```java
public void resetFormula()
```

##### `resetLogQuery` <a name="resetLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetLogQuery"></a>

```java
public void resetLogQuery()
```

##### `resetQ` <a name="resetQ" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetQ"></a>

```java
public void resetQ()
```

##### `resetQuery` <a name="resetQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetQuery"></a>

```java
public void resetQuery()
```

##### `resetRumQuery` <a name="resetRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetRumQuery"></a>

```java
public void resetRumQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.formula">formula</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList">DashboardWidgetGeomapDefinitionRequestFormulaList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference">DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.query">query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList">DashboardWidgetGeomapDefinitionRequestQueryList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference">DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.formulaInput">formulaInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula">DashboardWidgetGeomapDefinitionRequestFormula</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.logQueryInput">logQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGeomapDefinitionRequestLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.qInput">qInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.queryInput">queryInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery">DashboardWidgetGeomapDefinitionRequestQuery</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.rumQueryInput">rumQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGeomapDefinitionRequestRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.q">q</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest">DashboardWidgetGeomapDefinitionRequest</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `formula`<sup>Required</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.formula"></a>

```java
public DashboardWidgetGeomapDefinitionRequestFormulaList getFormula();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList">DashboardWidgetGeomapDefinitionRequestFormulaList</a>

---

##### `logQuery`<sup>Required</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.logQuery"></a>

```java
public DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference getLogQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference">DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference</a>

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.query"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryList getQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList">DashboardWidgetGeomapDefinitionRequestQueryList</a>

---

##### `rumQuery`<sup>Required</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.rumQuery"></a>

```java
public DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference getRumQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference">DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference</a>

---

##### `formulaInput`<sup>Optional</sup> <a name="formulaInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.formulaInput"></a>

```java
public java.lang.Object getFormulaInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula">DashboardWidgetGeomapDefinitionRequestFormula</a>>

---

##### `logQueryInput`<sup>Optional</sup> <a name="logQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.logQueryInput"></a>

```java
public DashboardWidgetGeomapDefinitionRequestLogQuery getLogQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGeomapDefinitionRequestLogQuery</a>

---

##### `qInput`<sup>Optional</sup> <a name="qInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.qInput"></a>

```java
public java.lang.String getQInput();
```

- *Type:* java.lang.String

---

##### `queryInput`<sup>Optional</sup> <a name="queryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.queryInput"></a>

```java
public java.lang.Object getQueryInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery">DashboardWidgetGeomapDefinitionRequestQuery</a>>

---

##### `rumQueryInput`<sup>Optional</sup> <a name="rumQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.rumQueryInput"></a>

```java
public DashboardWidgetGeomapDefinitionRequestRumQuery getRumQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGeomapDefinitionRequestRumQuery</a>

---

##### `q`<sup>Required</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest">DashboardWidgetGeomapDefinitionRequest</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference;

new DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetIsUpstream">resetIsUpstream</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagName">resetPrimaryTagName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagValue">resetPrimaryTagValue</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetIsUpstream` <a name="resetIsUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetIsUpstream"></a>

```java
public void resetIsUpstream()
```

##### `resetPrimaryTagName` <a name="resetPrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagName"></a>

```java
public void resetPrimaryTagName()
```

##### `resetPrimaryTagValue` <a name="resetPrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagValue"></a>

```java
public void resetPrimaryTagValue()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSourceInput">dataSourceInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.envInput">envInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstreamInput">isUpstreamInput</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.nameInput">nameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationNameInput">operationNameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagNameInput">primaryTagNameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValueInput">primaryTagValueInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceNameInput">resourceNameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.serviceInput">serviceInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.statInput">statInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.env">env</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstream">isUpstream</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.name">name</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationName">operationName</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.service">service</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.stat">stat</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `dataSourceInput`<sup>Optional</sup> <a name="dataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSourceInput"></a>

```java
public java.lang.String getDataSourceInput();
```

- *Type:* java.lang.String

---

##### `envInput`<sup>Optional</sup> <a name="envInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.envInput"></a>

```java
public java.lang.String getEnvInput();
```

- *Type:* java.lang.String

---

##### `isUpstreamInput`<sup>Optional</sup> <a name="isUpstreamInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstreamInput"></a>

```java
public java.lang.Object getIsUpstreamInput();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.nameInput"></a>

```java
public java.lang.String getNameInput();
```

- *Type:* java.lang.String

---

##### `operationNameInput`<sup>Optional</sup> <a name="operationNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationNameInput"></a>

```java
public java.lang.String getOperationNameInput();
```

- *Type:* java.lang.String

---

##### `primaryTagNameInput`<sup>Optional</sup> <a name="primaryTagNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagNameInput"></a>

```java
public java.lang.String getPrimaryTagNameInput();
```

- *Type:* java.lang.String

---

##### `primaryTagValueInput`<sup>Optional</sup> <a name="primaryTagValueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValueInput"></a>

```java
public java.lang.String getPrimaryTagValueInput();
```

- *Type:* java.lang.String

---

##### `resourceNameInput`<sup>Optional</sup> <a name="resourceNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceNameInput"></a>

```java
public java.lang.String getResourceNameInput();
```

- *Type:* java.lang.String

---

##### `serviceInput`<sup>Optional</sup> <a name="serviceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.serviceInput"></a>

```java
public java.lang.String getServiceInput();
```

- *Type:* java.lang.String

---

##### `statInput`<sup>Optional</sup> <a name="statInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.statInput"></a>

```java
public java.lang.String getStatInput();
```

- *Type:* java.lang.String

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

---

##### `isUpstream`<sup>Required</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstream"></a>

```java
public java.lang.Object getIsUpstream();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

---

##### `primaryTagName`<sup>Required</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

---

##### `primaryTagValue`<sup>Required</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference;

new DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetOperationName">resetOperationName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagName">resetPrimaryTagName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagValue">resetPrimaryTagValue</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetResourceName">resetResourceName</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetGroupBy"></a>

```java
public void resetGroupBy()
```

##### `resetOperationName` <a name="resetOperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetOperationName"></a>

```java
public void resetOperationName()
```

##### `resetPrimaryTagName` <a name="resetPrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagName"></a>

```java
public void resetPrimaryTagName()
```

##### `resetPrimaryTagValue` <a name="resetPrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagValue"></a>

```java
public void resetPrimaryTagValue()
```

##### `resetResourceName` <a name="resetResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetResourceName"></a>

```java
public void resetResourceName()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSourceInput">dataSourceInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.envInput">envInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.nameInput">nameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationNameInput">operationNameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagNameInput">primaryTagNameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValueInput">primaryTagValueInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceNameInput">resourceNameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.serviceInput">serviceInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.statInput">statInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.env">env</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupBy">groupBy</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.name">name</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationName">operationName</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.service">service</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.stat">stat</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `dataSourceInput`<sup>Optional</sup> <a name="dataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSourceInput"></a>

```java
public java.lang.String getDataSourceInput();
```

- *Type:* java.lang.String

---

##### `envInput`<sup>Optional</sup> <a name="envInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.envInput"></a>

```java
public java.lang.String getEnvInput();
```

- *Type:* java.lang.String

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupByInput"></a>

```java
public java.util.List<java.lang.String> getGroupByInput();
```

- *Type:* java.util.List<java.lang.String>

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.nameInput"></a>

```java
public java.lang.String getNameInput();
```

- *Type:* java.lang.String

---

##### `operationNameInput`<sup>Optional</sup> <a name="operationNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationNameInput"></a>

```java
public java.lang.String getOperationNameInput();
```

- *Type:* java.lang.String

---

##### `primaryTagNameInput`<sup>Optional</sup> <a name="primaryTagNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagNameInput"></a>

```java
public java.lang.String getPrimaryTagNameInput();
```

- *Type:* java.lang.String

---

##### `primaryTagValueInput`<sup>Optional</sup> <a name="primaryTagValueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValueInput"></a>

```java
public java.lang.String getPrimaryTagValueInput();
```

- *Type:* java.lang.String

---

##### `resourceNameInput`<sup>Optional</sup> <a name="resourceNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceNameInput"></a>

```java
public java.lang.String getResourceNameInput();
```

- *Type:* java.lang.String

---

##### `serviceInput`<sup>Optional</sup> <a name="serviceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.serviceInput"></a>

```java
public java.lang.String getServiceInput();
```

- *Type:* java.lang.String

---

##### `statInput`<sup>Optional</sup> <a name="statInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.statInput"></a>

```java
public java.lang.String getStatInput();
```

- *Type:* java.lang.String

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupBy"></a>

```java
public java.util.List<java.lang.String> getGroupBy();
```

- *Type:* java.util.List<java.lang.String>

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

---

##### `primaryTagName`<sup>Required</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

---

##### `primaryTagValue`<sup>Required</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList;

new DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.get"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute</a>>

---


### DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference;

new DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.resetMetric">resetMetric</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.resetInterval"></a>

```java
public void resetInterval()
```

##### `resetMetric` <a name="resetMetric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.resetMetric"></a>

```java
public void resetMetric()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.metricInput">metricInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.interval">interval</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.metric">metric</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.intervalInput"></a>

```java
public java.lang.Number getIntervalInput();
```

- *Type:* java.lang.Number

---

##### `metricInput`<sup>Optional</sup> <a name="metricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.metricInput"></a>

```java
public java.lang.String getMetricInput();
```

- *Type:* java.lang.String

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList;

new DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.get"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a>>

---


### DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference;

new DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.putSort">putSort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.resetSort">resetSort</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSort` <a name="putSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.putSort"></a>

```java
public void putSort(DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.putSort.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a>

---

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.resetLimit"></a>

```java
public void resetLimit()
```

##### `resetSort` <a name="resetSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.resetSort"></a>

```java
public void resetSort()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.sortInput">sortInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.limit">limit</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `sort`<sup>Required</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.sort"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference getSort();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.limitInput"></a>

```java
public java.lang.Number getLimitInput();
```

- *Type:* java.lang.Number

---

##### `sortInput`<sup>Optional</sup> <a name="sortInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.sortInput"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort getSortInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference;

new DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetMetric">resetMetric</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetOrder">resetOrder</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetMetric` <a name="resetMetric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetMetric"></a>

```java
public void resetMetric()
```

##### `resetOrder` <a name="resetOrder" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetOrder"></a>

```java
public void resetOrder()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metricInput">metricInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.orderInput">orderInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metric">metric</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.order">order</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `metricInput`<sup>Optional</sup> <a name="metricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metricInput"></a>

```java
public java.lang.String getMetricInput();
```

- *Type:* java.lang.String

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.orderInput"></a>

```java
public java.lang.String getOrderInput();
```

- *Type:* java.lang.String

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a>

---


### DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference;

new DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putCompute">putCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putSearch">putSearch</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetIndexes">resetIndexes</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetSearch">resetSearch</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetStorage">resetStorage</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putCompute` <a name="putCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putCompute"></a>

```java
public void putCompute(IResolvable OR java.util.List<DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putCompute.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute</a>>

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putGroupBy"></a>

```java
public void putGroupBy(IResolvable OR java.util.List<DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a>>

---

##### `putSearch` <a name="putSearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putSearch"></a>

```java
public void putSearch(DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putSearch.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch</a>

---

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetGroupBy"></a>

```java
public void resetGroupBy()
```

##### `resetIndexes` <a name="resetIndexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetIndexes"></a>

```java
public void resetIndexes()
```

##### `resetSearch` <a name="resetSearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetSearch"></a>

```java
public void resetSearch()
```

##### `resetStorage` <a name="resetStorage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetStorage"></a>

```java
public void resetStorage()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.compute">compute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList">DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.computeInput">computeInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.dataSourceInput">dataSourceInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.indexesInput">indexesInput</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.nameInput">nameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.searchInput">searchInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.storageInput">storageInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.indexes">indexes</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.name">name</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.storage">storage</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGeomapDefinitionRequestQueryEventQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.compute"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList getCompute();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList">DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.groupBy"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList getGroupBy();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList</a>

---

##### `search`<sup>Required</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.search"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference getSearch();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference</a>

---

##### `computeInput`<sup>Optional</sup> <a name="computeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.computeInput"></a>

```java
public java.lang.Object getComputeInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute</a>>

---

##### `dataSourceInput`<sup>Optional</sup> <a name="dataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.dataSourceInput"></a>

```java
public java.lang.String getDataSourceInput();
```

- *Type:* java.lang.String

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.groupByInput"></a>

```java
public java.lang.Object getGroupByInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a>>

---

##### `indexesInput`<sup>Optional</sup> <a name="indexesInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.indexesInput"></a>

```java
public java.util.List<java.lang.String> getIndexesInput();
```

- *Type:* java.util.List<java.lang.String>

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.nameInput"></a>

```java
public java.lang.String getNameInput();
```

- *Type:* java.lang.String

---

##### `searchInput`<sup>Optional</sup> <a name="searchInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.searchInput"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch getSearchInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch</a>

---

##### `storageInput`<sup>Optional</sup> <a name="storageInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.storageInput"></a>

```java
public java.lang.String getStorageInput();
```

- *Type:* java.lang.String

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

---

##### `indexes`<sup>Required</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.indexes"></a>

```java
public java.util.List<java.lang.String> getIndexes();
```

- *Type:* java.util.List<java.lang.String>

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

---

##### `storage`<sup>Required</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.storage"></a>

```java
public java.lang.String getStorage();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryEventQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGeomapDefinitionRequestQueryEventQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference;

new DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.queryInput">queryInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.query">query</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `queryInput`<sup>Optional</sup> <a name="queryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.queryInput"></a>

```java
public java.lang.String getQueryInput();
```

- *Type:* java.lang.String

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch</a>

---


### DashboardWidgetGeomapDefinitionRequestQueryList <a name="DashboardWidgetGeomapDefinitionRequestQueryList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList;

new DashboardWidgetGeomapDefinitionRequestQueryList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.get"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery">DashboardWidgetGeomapDefinitionRequestQuery</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery">DashboardWidgetGeomapDefinitionRequestQuery</a>>

---


### DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference;

new DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.resetAggregator">resetAggregator</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.resetDataSource">resetDataSource</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetAggregator` <a name="resetAggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.resetAggregator"></a>

```java
public void resetAggregator()
```

##### `resetDataSource` <a name="resetDataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.resetDataSource"></a>

```java
public void resetDataSource()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.aggregatorInput">aggregatorInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.dataSourceInput">dataSourceInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.nameInput">nameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.queryInput">queryInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.name">name</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.query">query</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGeomapDefinitionRequestQueryMetricQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregatorInput`<sup>Optional</sup> <a name="aggregatorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.aggregatorInput"></a>

```java
public java.lang.String getAggregatorInput();
```

- *Type:* java.lang.String

---

##### `dataSourceInput`<sup>Optional</sup> <a name="dataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.dataSourceInput"></a>

```java
public java.lang.String getDataSourceInput();
```

- *Type:* java.lang.String

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.nameInput"></a>

```java
public java.lang.String getNameInput();
```

- *Type:* java.lang.String

---

##### `queryInput`<sup>Optional</sup> <a name="queryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.queryInput"></a>

```java
public java.lang.String getQueryInput();
```

- *Type:* java.lang.String

---

##### `aggregator`<sup>Required</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryMetricQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGeomapDefinitionRequestQueryMetricQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference;

new DashboardWidgetGeomapDefinitionRequestQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery">putApmDependencyStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmResourceStatsQuery">putApmResourceStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putEventQuery">putEventQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putMetricQuery">putMetricQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putProcessQuery">putProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetApmDependencyStatsQuery">resetApmDependencyStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetApmResourceStatsQuery">resetApmResourceStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetEventQuery">resetEventQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetMetricQuery">resetMetricQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetProcessQuery">resetProcessQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putApmDependencyStatsQuery` <a name="putApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery"></a>

```java
public void putApmDependencyStatsQuery(DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a>

---

##### `putApmResourceStatsQuery` <a name="putApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmResourceStatsQuery"></a>

```java
public void putApmResourceStatsQuery(DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmResourceStatsQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a>

---

##### `putEventQuery` <a name="putEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putEventQuery"></a>

```java
public void putEventQuery(DashboardWidgetGeomapDefinitionRequestQueryEventQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putEventQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGeomapDefinitionRequestQueryEventQuery</a>

---

##### `putMetricQuery` <a name="putMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putMetricQuery"></a>

```java
public void putMetricQuery(DashboardWidgetGeomapDefinitionRequestQueryMetricQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putMetricQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGeomapDefinitionRequestQueryMetricQuery</a>

---

##### `putProcessQuery` <a name="putProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putProcessQuery"></a>

```java
public void putProcessQuery(DashboardWidgetGeomapDefinitionRequestQueryProcessQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putProcessQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGeomapDefinitionRequestQueryProcessQuery</a>

---

##### `resetApmDependencyStatsQuery` <a name="resetApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetApmDependencyStatsQuery"></a>

```java
public void resetApmDependencyStatsQuery()
```

##### `resetApmResourceStatsQuery` <a name="resetApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetApmResourceStatsQuery"></a>

```java
public void resetApmResourceStatsQuery()
```

##### `resetEventQuery` <a name="resetEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetEventQuery"></a>

```java
public void resetEventQuery()
```

##### `resetMetricQuery` <a name="resetMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetMetricQuery"></a>

```java
public void resetMetricQuery()
```

##### `resetProcessQuery` <a name="resetProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetProcessQuery"></a>

```java
public void resetProcessQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmDependencyStatsQueryInput">apmDependencyStatsQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmResourceStatsQueryInput">apmResourceStatsQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.eventQueryInput">eventQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGeomapDefinitionRequestQueryEventQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.metricQueryInput">metricQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGeomapDefinitionRequestQueryMetricQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.processQueryInput">processQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGeomapDefinitionRequestQueryProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery">DashboardWidgetGeomapDefinitionRequestQuery</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `apmDependencyStatsQuery`<sup>Required</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmDependencyStatsQuery"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference getApmDependencyStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference</a>

---

##### `apmResourceStatsQuery`<sup>Required</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmResourceStatsQuery"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference getApmResourceStatsQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference</a>

---

##### `eventQuery`<sup>Required</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.eventQuery"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference getEventQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference</a>

---

##### `metricQuery`<sup>Required</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.metricQuery"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference getMetricQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference</a>

---

##### `processQuery`<sup>Required</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.processQuery"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference</a>

---

##### `apmDependencyStatsQueryInput`<sup>Optional</sup> <a name="apmDependencyStatsQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmDependencyStatsQueryInput"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery getApmDependencyStatsQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a>

---

##### `apmResourceStatsQueryInput`<sup>Optional</sup> <a name="apmResourceStatsQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmResourceStatsQueryInput"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery getApmResourceStatsQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a>

---

##### `eventQueryInput`<sup>Optional</sup> <a name="eventQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.eventQueryInput"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryEventQuery getEventQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGeomapDefinitionRequestQueryEventQuery</a>

---

##### `metricQueryInput`<sup>Optional</sup> <a name="metricQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.metricQueryInput"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryMetricQuery getMetricQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGeomapDefinitionRequestQueryMetricQuery</a>

---

##### `processQueryInput`<sup>Optional</sup> <a name="processQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.processQueryInput"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryProcessQuery getProcessQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGeomapDefinitionRequestQueryProcessQuery</a>

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery">DashboardWidgetGeomapDefinitionRequestQuery</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference;

new DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetAggregator">resetAggregator</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetIsNormalizedCpu">resetIsNormalizedCpu</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetSort">resetSort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetTagFilters">resetTagFilters</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetTextFilter">resetTextFilter</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetAggregator` <a name="resetAggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetAggregator"></a>

```java
public void resetAggregator()
```

##### `resetIsNormalizedCpu` <a name="resetIsNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetIsNormalizedCpu"></a>

```java
public void resetIsNormalizedCpu()
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetLimit"></a>

```java
public void resetLimit()
```

##### `resetSort` <a name="resetSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetSort"></a>

```java
public void resetSort()
```

##### `resetTagFilters` <a name="resetTagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetTagFilters"></a>

```java
public void resetTagFilters()
```

##### `resetTextFilter` <a name="resetTextFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetTextFilter"></a>

```java
public void resetTextFilter()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.aggregatorInput">aggregatorInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.dataSourceInput">dataSourceInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpuInput">isNormalizedCpuInput</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.limitInput">limitInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.metricInput">metricInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.nameInput">nameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.sortInput">sortInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.tagFiltersInput">tagFiltersInput</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.textFilterInput">textFilterInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.aggregator">aggregator</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.limit">limit</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.metric">metric</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.name">name</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.sort">sort</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.tagFilters">tagFilters</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.textFilter">textFilter</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGeomapDefinitionRequestQueryProcessQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregatorInput`<sup>Optional</sup> <a name="aggregatorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.aggregatorInput"></a>

```java
public java.lang.String getAggregatorInput();
```

- *Type:* java.lang.String

---

##### `dataSourceInput`<sup>Optional</sup> <a name="dataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.dataSourceInput"></a>

```java
public java.lang.String getDataSourceInput();
```

- *Type:* java.lang.String

---

##### `isNormalizedCpuInput`<sup>Optional</sup> <a name="isNormalizedCpuInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpuInput"></a>

```java
public java.lang.Object getIsNormalizedCpuInput();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.limitInput"></a>

```java
public java.lang.Number getLimitInput();
```

- *Type:* java.lang.Number

---

##### `metricInput`<sup>Optional</sup> <a name="metricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.metricInput"></a>

```java
public java.lang.String getMetricInput();
```

- *Type:* java.lang.String

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.nameInput"></a>

```java
public java.lang.String getNameInput();
```

- *Type:* java.lang.String

---

##### `sortInput`<sup>Optional</sup> <a name="sortInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.sortInput"></a>

```java
public java.lang.String getSortInput();
```

- *Type:* java.lang.String

---

##### `tagFiltersInput`<sup>Optional</sup> <a name="tagFiltersInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.tagFiltersInput"></a>

```java
public java.util.List<java.lang.String> getTagFiltersInput();
```

- *Type:* java.util.List<java.lang.String>

---

##### `textFilterInput`<sup>Optional</sup> <a name="textFilterInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.textFilterInput"></a>

```java
public java.lang.String getTextFilterInput();
```

- *Type:* java.lang.String

---

##### `aggregator`<sup>Required</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.aggregator"></a>

```java
public java.lang.String getAggregator();
```

- *Type:* java.lang.String

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

---

##### `isNormalizedCpu`<sup>Required</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpu"></a>

```java
public java.lang.Object getIsNormalizedCpu();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

---

##### `sort`<sup>Required</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.sort"></a>

```java
public java.lang.String getSort();
```

- *Type:* java.lang.String

---

##### `tagFilters`<sup>Required</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.tagFilters"></a>

```java
public java.util.List<java.lang.String> getTagFilters();
```

- *Type:* java.util.List<java.lang.String>

---

##### `textFilter`<sup>Required</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.textFilter"></a>

```java
public java.lang.String getTextFilter();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGeomapDefinitionRequestQueryProcessQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGeomapDefinitionRequestQueryProcessQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference;

new DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.resetInterval"></a>

```java
public void resetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.intervalInput">intervalInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.intervalInput"></a>

```java
public java.lang.Number getIntervalInput();
```

- *Type:* java.lang.Number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList <a name="DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList;

new DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.get"></a>

```java
public DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy</a>>

---


### DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference <a name="DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference;

new DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.putSortQuery">putSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resetSortQuery">resetSortQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSortQuery` <a name="putSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.putSortQuery"></a>

```java
public void putSortQuery(DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a>

---

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resetLimit"></a>

```java
public void resetLimit()
```

##### `resetSortQuery` <a name="resetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resetSortQuery"></a>

```java
public void resetSortQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.sortQueryInput">sortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.limit">limit</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `sortQuery`<sup>Required</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.sortQuery"></a>

```java
public DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.limitInput"></a>

```java
public java.lang.Number getLimitInput();
```

- *Type:* java.lang.Number

---

##### `sortQueryInput`<sup>Optional</sup> <a name="sortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.sortQueryInput"></a>

```java
public DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery getSortQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference;

new DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.resetFacet"></a>

```java
public void resetFacet()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.orderInput">orderInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```java
public java.lang.String getOrderInput();
```

- *Type:* java.lang.String

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList <a name="DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList;

new DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.get"></a>

```java
public DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute</a>>

---


### DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference <a name="DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference;

new DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.resetInterval"></a>

```java
public void resetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.intervalInput"></a>

```java
public java.lang.Number getIntervalInput();
```

- *Type:* java.lang.Number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference;

new DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putComputeQuery">putComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putMultiCompute">putMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetComputeQuery">resetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetMultiCompute">resetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetSearchQuery">resetSearchQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putComputeQuery` <a name="putComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putComputeQuery"></a>

```java
public void putComputeQuery(DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery</a>

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putGroupBy"></a>

```java
public void putGroupBy(IResolvable OR java.util.List<DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy</a>>

---

##### `putMultiCompute` <a name="putMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putMultiCompute"></a>

```java
public void putMultiCompute(IResolvable OR java.util.List<DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute</a>>

---

##### `resetComputeQuery` <a name="resetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetComputeQuery"></a>

```java
public void resetComputeQuery()
```

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetGroupBy"></a>

```java
public void resetGroupBy()
```

##### `resetMultiCompute` <a name="resetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetMultiCompute"></a>

```java
public void resetMultiCompute()
```

##### `resetSearchQuery` <a name="resetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetSearchQuery"></a>

```java
public void resetSearchQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList">DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.multiCompute">multiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList">DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.computeQueryInput">computeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.indexInput">indexInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.multiComputeInput">multiComputeInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.searchQueryInput">searchQueryInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.index">index</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGeomapDefinitionRequestRumQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `computeQuery`<sup>Required</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.computeQuery"></a>

```java
public DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.groupBy"></a>

```java
public DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList getGroupBy();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList">DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList</a>

---

##### `multiCompute`<sup>Required</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.multiCompute"></a>

```java
public DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList getMultiCompute();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList">DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList</a>

---

##### `computeQueryInput`<sup>Optional</sup> <a name="computeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.computeQueryInput"></a>

```java
public DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery getComputeQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery</a>

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.groupByInput"></a>

```java
public java.lang.Object getGroupByInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy</a>>

---

##### `indexInput`<sup>Optional</sup> <a name="indexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.indexInput"></a>

```java
public java.lang.String getIndexInput();
```

- *Type:* java.lang.String

---

##### `multiComputeInput`<sup>Optional</sup> <a name="multiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.multiComputeInput"></a>

```java
public java.lang.Object getMultiComputeInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute</a>>

---

##### `searchQueryInput`<sup>Optional</sup> <a name="searchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.searchQueryInput"></a>

```java
public java.lang.String getSearchQueryInput();
```

- *Type:* java.lang.String

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

---

##### `searchQuery`<sup>Required</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGeomapDefinitionRequestRumQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGeomapDefinitionRequestRumQuery</a>

---


### DashboardWidgetGeomapDefinitionStyleOutputReference <a name="DashboardWidgetGeomapDefinitionStyleOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference;

new DashboardWidgetGeomapDefinitionStyleOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.paletteFlipInput">paletteFlipInput</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.paletteInput">paletteInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.palette">palette</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.paletteFlip">paletteFlip</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle">DashboardWidgetGeomapDefinitionStyle</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `paletteFlipInput`<sup>Optional</sup> <a name="paletteFlipInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.paletteFlipInput"></a>

```java
public java.lang.Object getPaletteFlipInput();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `paletteInput`<sup>Optional</sup> <a name="paletteInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.paletteInput"></a>

```java
public java.lang.String getPaletteInput();
```

- *Type:* java.lang.String

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

---

##### `paletteFlip`<sup>Required</sup> <a name="paletteFlip" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.paletteFlip"></a>

```java
public java.lang.Object getPaletteFlip();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGeomapDefinitionStyle getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle">DashboardWidgetGeomapDefinitionStyle</a>

---


### DashboardWidgetGeomapDefinitionViewOutputReference <a name="DashboardWidgetGeomapDefinitionViewOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference;

new DashboardWidgetGeomapDefinitionViewOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.focusInput">focusInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.focus">focus</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView">DashboardWidgetGeomapDefinitionView</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `focusInput`<sup>Optional</sup> <a name="focusInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.focusInput"></a>

```java
public java.lang.String getFocusInput();
```

- *Type:* java.lang.String

---

##### `focus`<sup>Required</sup> <a name="focus" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.focus"></a>

```java
public java.lang.String getFocus();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGeomapDefinitionView getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView">DashboardWidgetGeomapDefinitionView</a>

---


### DashboardWidgetGroupDefinitionOutputReference <a name="DashboardWidgetGroupDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference;

new DashboardWidgetGroupDefinitionOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.putWidget">putWidget</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetBackgroundColor">resetBackgroundColor</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetBannerImg">resetBannerImg</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetShowTitle">resetShowTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetTitle">resetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetWidget">resetWidget</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putWidget` <a name="putWidget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.putWidget"></a>

```java
public void putWidget(IResolvable OR java.util.List<DashboardWidgetGroupDefinitionWidget> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.putWidget.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget">DashboardWidgetGroupDefinitionWidget</a>>

---

##### `resetBackgroundColor` <a name="resetBackgroundColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetBackgroundColor"></a>

```java
public void resetBackgroundColor()
```

##### `resetBannerImg` <a name="resetBannerImg" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetBannerImg"></a>

```java
public void resetBannerImg()
```

##### `resetShowTitle` <a name="resetShowTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetShowTitle"></a>

```java
public void resetShowTitle()
```

##### `resetTitle` <a name="resetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetTitle"></a>

```java
public void resetTitle()
```

##### `resetWidget` <a name="resetWidget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetWidget"></a>

```java
public void resetWidget()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.widget">widget</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetList">DashboardWidgetGroupDefinitionWidgetList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.backgroundColorInput">backgroundColorInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.bannerImgInput">bannerImgInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.layoutTypeInput">layoutTypeInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.showTitleInput">showTitleInput</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.titleInput">titleInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.widgetInput">widgetInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget">DashboardWidgetGroupDefinitionWidget</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.backgroundColor">backgroundColor</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.bannerImg">bannerImg</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.layoutType">layoutType</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.showTitle">showTitle</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.title">title</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition">DashboardWidgetGroupDefinition</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `widget`<sup>Required</sup> <a name="widget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.widget"></a>

```java
public DashboardWidgetGroupDefinitionWidgetList getWidget();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetList">DashboardWidgetGroupDefinitionWidgetList</a>

---

##### `backgroundColorInput`<sup>Optional</sup> <a name="backgroundColorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.backgroundColorInput"></a>

```java
public java.lang.String getBackgroundColorInput();
```

- *Type:* java.lang.String

---

##### `bannerImgInput`<sup>Optional</sup> <a name="bannerImgInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.bannerImgInput"></a>

```java
public java.lang.String getBannerImgInput();
```

- *Type:* java.lang.String

---

##### `layoutTypeInput`<sup>Optional</sup> <a name="layoutTypeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.layoutTypeInput"></a>

```java
public java.lang.String getLayoutTypeInput();
```

- *Type:* java.lang.String

---

##### `showTitleInput`<sup>Optional</sup> <a name="showTitleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.showTitleInput"></a>

```java
public java.lang.Object getShowTitleInput();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `titleInput`<sup>Optional</sup> <a name="titleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.titleInput"></a>

```java
public java.lang.String getTitleInput();
```

- *Type:* java.lang.String

---

##### `widgetInput`<sup>Optional</sup> <a name="widgetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.widgetInput"></a>

```java
public java.lang.Object getWidgetInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget">DashboardWidgetGroupDefinitionWidget</a>>

---

##### `backgroundColor`<sup>Required</sup> <a name="backgroundColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.backgroundColor"></a>

```java
public java.lang.String getBackgroundColor();
```

- *Type:* java.lang.String

---

##### `bannerImg`<sup>Required</sup> <a name="bannerImg" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.bannerImg"></a>

```java
public java.lang.String getBannerImg();
```

- *Type:* java.lang.String

---

##### `layoutType`<sup>Required</sup> <a name="layoutType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.layoutType"></a>

```java
public java.lang.String getLayoutType();
```

- *Type:* java.lang.String

---

##### `showTitle`<sup>Required</sup> <a name="showTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.showTitle"></a>

```java
public java.lang.Object getShowTitle();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGroupDefinition getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition">DashboardWidgetGroupDefinition</a>

---


### DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference <a name="DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference;

new DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetLiveSpan">resetLiveSpan</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetTitle">resetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetTitleAlign">resetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetTitleSize">resetTitleSize</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetLiveSpan` <a name="resetLiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetLiveSpan"></a>

```java
public void resetLiveSpan()
```

##### `resetTitle` <a name="resetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetTitle"></a>

```java
public void resetTitle()
```

##### `resetTitleAlign` <a name="resetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetTitleAlign"></a>

```java
public void resetTitleAlign()
```

##### `resetTitleSize` <a name="resetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetTitleSize"></a>

```java
public void resetTitleSize()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.alertIdInput">alertIdInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.liveSpanInput">liveSpanInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleAlignInput">titleAlignInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleInput">titleInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleSizeInput">titleSizeInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.vizTypeInput">vizTypeInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.alertId">alertId</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.title">title</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.vizType">vizType</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition">DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `alertIdInput`<sup>Optional</sup> <a name="alertIdInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.alertIdInput"></a>

```java
public java.lang.String getAlertIdInput();
```

- *Type:* java.lang.String

---

##### `liveSpanInput`<sup>Optional</sup> <a name="liveSpanInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.liveSpanInput"></a>

```java
public java.lang.String getLiveSpanInput();
```

- *Type:* java.lang.String

---

##### `titleAlignInput`<sup>Optional</sup> <a name="titleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleAlignInput"></a>

```java
public java.lang.String getTitleAlignInput();
```

- *Type:* java.lang.String

---

##### `titleInput`<sup>Optional</sup> <a name="titleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleInput"></a>

```java
public java.lang.String getTitleInput();
```

- *Type:* java.lang.String

---

##### `titleSizeInput`<sup>Optional</sup> <a name="titleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleSizeInput"></a>

```java
public java.lang.String getTitleSizeInput();
```

- *Type:* java.lang.String

---

##### `vizTypeInput`<sup>Optional</sup> <a name="vizTypeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.vizTypeInput"></a>

```java
public java.lang.String getVizTypeInput();
```

- *Type:* java.lang.String

---

##### `alertId`<sup>Required</sup> <a name="alertId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.alertId"></a>

```java
public java.lang.String getAlertId();
```

- *Type:* java.lang.String

---

##### `liveSpan`<sup>Required</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

---

##### `titleAlign`<sup>Required</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

---

##### `titleSize`<sup>Required</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

---

##### `vizType`<sup>Required</sup> <a name="vizType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.vizType"></a>

```java
public java.lang.String getVizType();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition">DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition</a>

---


### DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference <a name="DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference;

new DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetPrecision">resetPrecision</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTextAlign">resetTextAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTitle">resetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTitleAlign">resetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTitleSize">resetTitleSize</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetUnit">resetUnit</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetPrecision` <a name="resetPrecision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetPrecision"></a>

```java
public void resetPrecision()
```

##### `resetTextAlign` <a name="resetTextAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTextAlign"></a>

```java
public void resetTextAlign()
```

##### `resetTitle` <a name="resetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTitle"></a>

```java
public void resetTitle()
```

##### `resetTitleAlign` <a name="resetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTitleAlign"></a>

```java
public void resetTitleAlign()
```

##### `resetTitleSize` <a name="resetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTitleSize"></a>

```java
public void resetTitleSize()
```

##### `resetUnit` <a name="resetUnit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetUnit"></a>

```java
public void resetUnit()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.alertIdInput">alertIdInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.precisionInput">precisionInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.textAlignInput">textAlignInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleAlignInput">titleAlignInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleInput">titleInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleSizeInput">titleSizeInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.unitInput">unitInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.alertId">alertId</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.precision">precision</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.textAlign">textAlign</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.title">title</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.unit">unit</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition">DashboardWidgetGroupDefinitionWidgetAlertValueDefinition</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `alertIdInput`<sup>Optional</sup> <a name="alertIdInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.alertIdInput"></a>

```java
public java.lang.String getAlertIdInput();
```

- *Type:* java.lang.String

---

##### `precisionInput`<sup>Optional</sup> <a name="precisionInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.precisionInput"></a>

```java
public java.lang.Number getPrecisionInput();
```

- *Type:* java.lang.Number

---

##### `textAlignInput`<sup>Optional</sup> <a name="textAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.textAlignInput"></a>

```java
public java.lang.String getTextAlignInput();
```

- *Type:* java.lang.String

---

##### `titleAlignInput`<sup>Optional</sup> <a name="titleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleAlignInput"></a>

```java
public java.lang.String getTitleAlignInput();
```

- *Type:* java.lang.String

---

##### `titleInput`<sup>Optional</sup> <a name="titleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleInput"></a>

```java
public java.lang.String getTitleInput();
```

- *Type:* java.lang.String

---

##### `titleSizeInput`<sup>Optional</sup> <a name="titleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleSizeInput"></a>

```java
public java.lang.String getTitleSizeInput();
```

- *Type:* java.lang.String

---

##### `unitInput`<sup>Optional</sup> <a name="unitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.unitInput"></a>

```java
public java.lang.String getUnitInput();
```

- *Type:* java.lang.String

---

##### `alertId`<sup>Required</sup> <a name="alertId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.alertId"></a>

```java
public java.lang.String getAlertId();
```

- *Type:* java.lang.String

---

##### `precision`<sup>Required</sup> <a name="precision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.precision"></a>

```java
public java.lang.Number getPrecision();
```

- *Type:* java.lang.Number

---

##### `textAlign`<sup>Required</sup> <a name="textAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.textAlign"></a>

```java
public java.lang.String getTextAlign();
```

- *Type:* java.lang.String

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

---

##### `titleAlign`<sup>Required</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

---

##### `titleSize`<sup>Required</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

---

##### `unit`<sup>Required</sup> <a name="unit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.unit"></a>

```java
public java.lang.String getUnit();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGroupDefinitionWidgetAlertValueDefinition getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition">DashboardWidgetGroupDefinitionWidgetAlertValueDefinition</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.get"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink</a>>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetIsHidden">resetIsHidden</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetLabel">resetLabel</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetLink">resetLink</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetOverrideLabel">resetOverrideLabel</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetIsHidden` <a name="resetIsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetIsHidden"></a>

```java
public void resetIsHidden()
```

##### `resetLabel` <a name="resetLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetLabel"></a>

```java
public void resetLabel()
```

##### `resetLink` <a name="resetLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetLink"></a>

```java
public void resetLink()
```

##### `resetOverrideLabel` <a name="resetOverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetOverrideLabel"></a>

```java
public void resetOverrideLabel()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.isHiddenInput">isHiddenInput</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.labelInput">labelInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.linkInput">linkInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabelInput">overrideLabelInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.isHidden">isHidden</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.label">label</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.link">link</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabel">overrideLabel</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `isHiddenInput`<sup>Optional</sup> <a name="isHiddenInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.isHiddenInput"></a>

```java
public java.lang.Object getIsHiddenInput();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `labelInput`<sup>Optional</sup> <a name="labelInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.labelInput"></a>

```java
public java.lang.String getLabelInput();
```

- *Type:* java.lang.String

---

##### `linkInput`<sup>Optional</sup> <a name="linkInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.linkInput"></a>

```java
public java.lang.String getLinkInput();
```

- *Type:* java.lang.String

---

##### `overrideLabelInput`<sup>Optional</sup> <a name="overrideLabelInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabelInput"></a>

```java
public java.lang.String getOverrideLabelInput();
```

- *Type:* java.lang.String

---

##### `isHidden`<sup>Required</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.isHidden"></a>

```java
public java.lang.Object getIsHidden();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `label`<sup>Required</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.label"></a>

```java
public java.lang.String getLabel();
```

- *Type:* java.lang.String

---

##### `link`<sup>Required</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.link"></a>

```java
public java.lang.String getLink();
```

- *Type:* java.lang.String

---

##### `overrideLabel`<sup>Required</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabel"></a>

```java
public java.lang.String getOverrideLabel();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.putCustomLink">putCustomLink</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.putRequest">putRequest</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetCustomLink">resetCustomLink</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetLiveSpan">resetLiveSpan</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetRequest">resetRequest</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetTitle">resetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetTitleAlign">resetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetTitleSize">resetTitleSize</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putCustomLink` <a name="putCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.putCustomLink"></a>

```java
public void putCustomLink(IResolvable OR java.util.List<DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.putCustomLink.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink</a>>

---

##### `putRequest` <a name="putRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.putRequest"></a>

```java
public void putRequest(IResolvable OR java.util.List<DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.putRequest.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest</a>>

---

##### `resetCustomLink` <a name="resetCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetCustomLink"></a>

```java
public void resetCustomLink()
```

##### `resetLiveSpan` <a name="resetLiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetLiveSpan"></a>

```java
public void resetLiveSpan()
```

##### `resetRequest` <a name="resetRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetRequest"></a>

```java
public void resetRequest()
```

##### `resetTitle` <a name="resetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetTitle"></a>

```java
public void resetTitle()
```

##### `resetTitleAlign` <a name="resetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetTitleAlign"></a>

```java
public void resetTitleAlign()
```

##### `resetTitleSize` <a name="resetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetTitleSize"></a>

```java
public void resetTitleSize()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.customLink">customLink</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.request">request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.customLinkInput">customLinkInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.liveSpanInput">liveSpanInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.requestInput">requestInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleAlignInput">titleAlignInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleInput">titleInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleSizeInput">titleSizeInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.liveSpan">liveSpan</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.title">title</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleAlign">titleAlign</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleSize">titleSize</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition">DashboardWidgetGroupDefinitionWidgetChangeDefinition</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `customLink`<sup>Required</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.customLink"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList getCustomLink();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList</a>

---

##### `request`<sup>Required</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.request"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList getRequest();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList</a>

---

##### `customLinkInput`<sup>Optional</sup> <a name="customLinkInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.customLinkInput"></a>

```java
public java.lang.Object getCustomLinkInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink</a>>

---

##### `liveSpanInput`<sup>Optional</sup> <a name="liveSpanInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.liveSpanInput"></a>

```java
public java.lang.String getLiveSpanInput();
```

- *Type:* java.lang.String

---

##### `requestInput`<sup>Optional</sup> <a name="requestInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.requestInput"></a>

```java
public java.lang.Object getRequestInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest</a>>

---

##### `titleAlignInput`<sup>Optional</sup> <a name="titleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleAlignInput"></a>

```java
public java.lang.String getTitleAlignInput();
```

- *Type:* java.lang.String

---

##### `titleInput`<sup>Optional</sup> <a name="titleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleInput"></a>

```java
public java.lang.String getTitleInput();
```

- *Type:* java.lang.String

---

##### `titleSizeInput`<sup>Optional</sup> <a name="titleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleSizeInput"></a>

```java
public java.lang.String getTitleSizeInput();
```

- *Type:* java.lang.String

---

##### `liveSpan`<sup>Required</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.liveSpan"></a>

```java
public java.lang.String getLiveSpan();
```

- *Type:* java.lang.String

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.title"></a>

```java
public java.lang.String getTitle();
```

- *Type:* java.lang.String

---

##### `titleAlign`<sup>Required</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleAlign"></a>

```java
public java.lang.String getTitleAlign();
```

- *Type:* java.lang.String

---

##### `titleSize`<sup>Required</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleSize"></a>

```java
public java.lang.String getTitleSize();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinition getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition">DashboardWidgetGroupDefinitionWidgetChangeDefinition</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetInterval"></a>

```java
public void resetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.intervalInput">intervalInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.intervalInput"></a>

```java
public java.lang.Number getIntervalInput();
```

- *Type:* java.lang.Number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.get"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy</a>>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.putSortQuery">putSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetSortQuery">resetSortQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSortQuery` <a name="putSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.putSortQuery"></a>

```java
public void putSortQuery(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a>

---

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetLimit"></a>

```java
public void resetLimit()
```

##### `resetSortQuery` <a name="resetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetSortQuery"></a>

```java
public void resetSortQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQueryInput">sortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limit">limit</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `sortQuery`<sup>Required</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limitInput"></a>

```java
public java.lang.Number getLimitInput();
```

- *Type:* java.lang.Number

---

##### `sortQueryInput`<sup>Optional</sup> <a name="sortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQueryInput"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery getSortQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resetFacet"></a>

```java
public void resetFacet()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.orderInput">orderInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```java
public java.lang.String getOrderInput();
```

- *Type:* java.lang.String

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.get"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute</a>>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetInterval"></a>

```java
public void resetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.intervalInput"></a>

```java
public java.lang.Number getIntervalInput();
```

- *Type:* java.lang.Number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putComputeQuery">putComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putMultiCompute">putMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetComputeQuery">resetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetMultiCompute">resetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetSearchQuery">resetSearchQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putComputeQuery` <a name="putComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putComputeQuery"></a>

```java
public void putComputeQuery(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putGroupBy"></a>

```java
public void putGroupBy(IResolvable OR java.util.List<DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy</a>>

---

##### `putMultiCompute` <a name="putMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putMultiCompute"></a>

```java
public void putMultiCompute(IResolvable OR java.util.List<DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute</a>>

---

##### `resetComputeQuery` <a name="resetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetComputeQuery"></a>

```java
public void resetComputeQuery()
```

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetGroupBy"></a>

```java
public void resetGroupBy()
```

##### `resetMultiCompute` <a name="resetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetMultiCompute"></a>

```java
public void resetMultiCompute()
```

##### `resetSearchQuery` <a name="resetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetSearchQuery"></a>

```java
public void resetSearchQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiCompute">multiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQueryInput">computeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.indexInput">indexInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiComputeInput">multiComputeInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQueryInput">searchQueryInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.index">index</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `computeQuery`<sup>Required</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupBy"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList getGroupBy();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList</a>

---

##### `multiCompute`<sup>Required</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiCompute"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList getMultiCompute();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList</a>

---

##### `computeQueryInput`<sup>Optional</sup> <a name="computeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQueryInput"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery getComputeQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupByInput"></a>

```java
public java.lang.Object getGroupByInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy</a>>

---

##### `indexInput`<sup>Optional</sup> <a name="indexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.indexInput"></a>

```java
public java.lang.String getIndexInput();
```

- *Type:* java.lang.String

---

##### `multiComputeInput`<sup>Optional</sup> <a name="multiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiComputeInput"></a>

```java
public java.lang.Object getMultiComputeInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute</a>>

---

##### `searchQueryInput`<sup>Optional</sup> <a name="searchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQueryInput"></a>

```java
public java.lang.String getSearchQueryInput();
```

- *Type:* java.lang.String

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

---

##### `searchQuery`<sup>Required</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.get"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats</a>>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomBgColor">resetCustomBgColor</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomFgColor">resetCustomFgColor</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetHideValue">resetHideValue</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetImageUrl">resetImageUrl</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetMetric">resetMetric</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetTimeframe">resetTimeframe</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetCustomBgColor` <a name="resetCustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomBgColor"></a>

```java
public void resetCustomBgColor()
```

##### `resetCustomFgColor` <a name="resetCustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomFgColor"></a>

```java
public void resetCustomFgColor()
```

##### `resetHideValue` <a name="resetHideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetHideValue"></a>

```java
public void resetHideValue()
```

##### `resetImageUrl` <a name="resetImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetImageUrl"></a>

```java
public void resetImageUrl()
```

##### `resetMetric` <a name="resetMetric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetMetric"></a>

```java
public void resetMetric()
```

##### `resetTimeframe` <a name="resetTimeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetTimeframe"></a>

```java
public void resetTimeframe()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparatorInput">comparatorInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColorInput">customBgColorInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColorInput">customFgColorInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValueInput">hideValueInput</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrlInput">imageUrlInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metricInput">metricInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.paletteInput">paletteInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframeInput">timeframeInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.valueInput">valueInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparator">comparator</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColor">customBgColor</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColor">customFgColor</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValue">hideValue</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrl">imageUrl</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metric">metric</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.palette">palette</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframe">timeframe</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.value">value</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `comparatorInput`<sup>Optional</sup> <a name="comparatorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparatorInput"></a>

```java
public java.lang.String getComparatorInput();
```

- *Type:* java.lang.String

---

##### `customBgColorInput`<sup>Optional</sup> <a name="customBgColorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColorInput"></a>

```java
public java.lang.String getCustomBgColorInput();
```

- *Type:* java.lang.String

---

##### `customFgColorInput`<sup>Optional</sup> <a name="customFgColorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColorInput"></a>

```java
public java.lang.String getCustomFgColorInput();
```

- *Type:* java.lang.String

---

##### `hideValueInput`<sup>Optional</sup> <a name="hideValueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValueInput"></a>

```java
public java.lang.Object getHideValueInput();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `imageUrlInput`<sup>Optional</sup> <a name="imageUrlInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrlInput"></a>

```java
public java.lang.String getImageUrlInput();
```

- *Type:* java.lang.String

---

##### `metricInput`<sup>Optional</sup> <a name="metricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metricInput"></a>

```java
public java.lang.String getMetricInput();
```

- *Type:* java.lang.String

---

##### `paletteInput`<sup>Optional</sup> <a name="paletteInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.paletteInput"></a>

```java
public java.lang.String getPaletteInput();
```

- *Type:* java.lang.String

---

##### `timeframeInput`<sup>Optional</sup> <a name="timeframeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframeInput"></a>

```java
public java.lang.String getTimeframeInput();
```

- *Type:* java.lang.String

---

##### `valueInput`<sup>Optional</sup> <a name="valueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.valueInput"></a>

```java
public java.lang.Number getValueInput();
```

- *Type:* java.lang.Number

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparator"></a>

```java
public java.lang.String getComparator();
```

- *Type:* java.lang.String

---

##### `customBgColor`<sup>Required</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColor"></a>

```java
public java.lang.String getCustomBgColor();
```

- *Type:* java.lang.String

---

##### `customFgColor`<sup>Required</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColor"></a>

```java
public java.lang.String getCustomFgColor();
```

- *Type:* java.lang.String

---

##### `hideValue`<sup>Required</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValue"></a>

```java
public java.lang.Object getHideValue();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `imageUrl`<sup>Required</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrl"></a>

```java
public java.lang.String getImageUrl();
```

- *Type:* java.lang.String

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

---

##### `timeframe`<sup>Required</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframe"></a>

```java
public java.lang.String getTimeframe();
```

- *Type:* java.lang.String

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.value"></a>

```java
public java.lang.Number getValue();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetCount">resetCount</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetOrder">resetOrder</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetCount` <a name="resetCount" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetCount"></a>

```java
public void resetCount()
```

##### `resetOrder` <a name="resetOrder" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetOrder"></a>

```java
public void resetOrder()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.countInput">countInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.orderInput">orderInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.count">count</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.order">order</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `countInput`<sup>Optional</sup> <a name="countInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.countInput"></a>

```java
public java.lang.Number getCountInput();
```

- *Type:* java.lang.Number

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.orderInput"></a>

```java
public java.lang.String getOrderInput();
```

- *Type:* java.lang.String

---

##### `count`<sup>Required</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.count"></a>

```java
public java.lang.Number getCount();
```

- *Type:* java.lang.Number

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.get"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula</a>>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putConditionalFormats">putConditionalFormats</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putLimit">putLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putStyle">putStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetAlias">resetAlias</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetCellDisplayMode">resetCellDisplayMode</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetConditionalFormats">resetConditionalFormats</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetStyle">resetStyle</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putConditionalFormats` <a name="putConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putConditionalFormats"></a>

```java
public void putConditionalFormats(IResolvable OR java.util.List<DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putConditionalFormats.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats</a>>

---

##### `putLimit` <a name="putLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putLimit"></a>

```java
public void putLimit(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putLimit.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit</a>

---

##### `putStyle` <a name="putStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putStyle"></a>

```java
public void putStyle(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putStyle.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle</a>

---

##### `resetAlias` <a name="resetAlias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetAlias"></a>

```java
public void resetAlias()
```

##### `resetCellDisplayMode` <a name="resetCellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetCellDisplayMode"></a>

```java
public void resetCellDisplayMode()
```

##### `resetConditionalFormats` <a name="resetConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetConditionalFormats"></a>

```java
public void resetConditionalFormats()
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetLimit"></a>

```java
public void resetLimit()
```

##### `resetStyle` <a name="resetStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetStyle"></a>

```java
public void resetStyle()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormats">conditionalFormats</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.aliasInput">aliasInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayModeInput">cellDisplayModeInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormatsInput">conditionalFormatsInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpressionInput">formulaExpressionInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.limitInput">limitInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.styleInput">styleInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.alias">alias</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayMode">cellDisplayMode</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpression">formulaExpression</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `conditionalFormats`<sup>Required</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormats"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList getConditionalFormats();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList</a>

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.limit"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference getLimit();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference</a>

---

##### `style`<sup>Required</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.style"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference getStyle();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference</a>

---

##### `aliasInput`<sup>Optional</sup> <a name="aliasInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.aliasInput"></a>

```java
public java.lang.String getAliasInput();
```

- *Type:* java.lang.String

---

##### `cellDisplayModeInput`<sup>Optional</sup> <a name="cellDisplayModeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayModeInput"></a>

```java
public java.lang.String getCellDisplayModeInput();
```

- *Type:* java.lang.String

---

##### `conditionalFormatsInput`<sup>Optional</sup> <a name="conditionalFormatsInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormatsInput"></a>

```java
public java.lang.Object getConditionalFormatsInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats</a>>

---

##### `formulaExpressionInput`<sup>Optional</sup> <a name="formulaExpressionInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpressionInput"></a>

```java
public java.lang.String getFormulaExpressionInput();
```

- *Type:* java.lang.String

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.limitInput"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit getLimitInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit</a>

---

##### `styleInput`<sup>Optional</sup> <a name="styleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.styleInput"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle getStyleInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle</a>

---

##### `alias`<sup>Required</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.alias"></a>

```java
public java.lang.String getAlias();
```

- *Type:* java.lang.String

---

##### `cellDisplayMode`<sup>Required</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayMode"></a>

```java
public java.lang.String getCellDisplayMode();
```

- *Type:* java.lang.String

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpression"></a>

```java
public java.lang.String getFormulaExpression();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPalette">resetPalette</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPaletteIndex">resetPaletteIndex</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetPalette` <a name="resetPalette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPalette"></a>

```java
public void resetPalette()
```

##### `resetPaletteIndex` <a name="resetPaletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPaletteIndex"></a>

```java
public void resetPaletteIndex()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndexInput">paletteIndexInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteInput">paletteInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.palette">palette</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndex">paletteIndex</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `paletteIndexInput`<sup>Optional</sup> <a name="paletteIndexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndexInput"></a>

```java
public java.lang.Number getPaletteIndexInput();
```

- *Type:* java.lang.Number

---

##### `paletteInput`<sup>Optional</sup> <a name="paletteInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteInput"></a>

```java
public java.lang.String getPaletteInput();
```

- *Type:* java.lang.String

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.palette"></a>

```java
public java.lang.String getPalette();
```

- *Type:* java.lang.String

---

##### `paletteIndex`<sup>Required</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndex"></a>

```java
public java.lang.Number getPaletteIndex();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.get"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest</a>>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval"></a>

```java
public void resetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput">intervalInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput"></a>

```java
public java.lang.Number getIntervalInput();
```

- *Type:* java.lang.Number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.get"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy</a>>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.putSortQuery">putSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery">resetSortQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSortQuery` <a name="putSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.putSortQuery"></a>

```java
public void putSortQuery(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a>

---

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetLimit"></a>

```java
public void resetLimit()
```

##### `resetSortQuery` <a name="resetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery"></a>

```java
public void resetSortQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput">sortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limit">limit</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `sortQuery`<sup>Required</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference getSortQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limitInput"></a>

```java
public java.lang.Number getLimitInput();
```

- *Type:* java.lang.Number

---

##### `sortQueryInput`<sup>Optional</sup> <a name="sortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery getSortQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet"></a>

```java
public void resetFacet()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.orderInput">orderInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```java
public java.lang.String getOrderInput();
```

- *Type:* java.lang.String

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.get"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute</a>>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resetFacet"></a>

```java
public void resetFacet()
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resetInterval"></a>

```java
public void resetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.intervalInput"></a>

```java
public java.lang.Number getIntervalInput();
```

- *Type:* java.lang.Number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.putComputeQuery">putComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.putMultiCompute">putMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resetComputeQuery">resetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resetMultiCompute">resetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resetSearchQuery">resetSearchQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putComputeQuery` <a name="putComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.putComputeQuery"></a>

```java
public void putComputeQuery(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery</a>

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.putGroupBy"></a>

```java
public void putGroupBy(IResolvable OR java.util.List<DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy</a>>

---

##### `putMultiCompute` <a name="putMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.putMultiCompute"></a>

```java
public void putMultiCompute(IResolvable OR java.util.List<DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute</a>>

---

##### `resetComputeQuery` <a name="resetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resetComputeQuery"></a>

```java
public void resetComputeQuery()
```

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resetGroupBy"></a>

```java
public void resetGroupBy()
```

##### `resetMultiCompute` <a name="resetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resetMultiCompute"></a>

```java
public void resetMultiCompute()
```

##### `resetSearchQuery` <a name="resetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resetSearchQuery"></a>

```java
public void resetSearchQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.multiCompute">multiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.computeQueryInput">computeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.indexInput">indexInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.multiComputeInput">multiComputeInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.searchQueryInput">searchQueryInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.index">index</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.searchQuery">searchQuery</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `computeQuery`<sup>Required</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.computeQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference getComputeQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.groupBy"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList getGroupBy();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList</a>

---

##### `multiCompute`<sup>Required</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.multiCompute"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList getMultiCompute();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList</a>

---

##### `computeQueryInput`<sup>Optional</sup> <a name="computeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.computeQueryInput"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery getComputeQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery</a>

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.groupByInput"></a>

```java
public java.lang.Object getGroupByInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy</a>>

---

##### `indexInput`<sup>Optional</sup> <a name="indexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.indexInput"></a>

```java
public java.lang.String getIndexInput();
```

- *Type:* java.lang.String

---

##### `multiComputeInput`<sup>Optional</sup> <a name="multiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.multiComputeInput"></a>

```java
public java.lang.Object getMultiComputeInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute</a>>

---

##### `searchQueryInput`<sup>Optional</sup> <a name="searchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.searchQueryInput"></a>

```java
public java.lang.String getSearchQueryInput();
```

- *Type:* java.lang.String

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.index"></a>

```java
public java.lang.String getIndex();
```

- *Type:* java.lang.String

---

##### `searchQuery`<sup>Required</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.searchQuery"></a>

```java
public java.lang.String getSearchQuery();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putApmQuery">putApmQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putFormula">putFormula</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putLogQuery">putLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putProcessQuery">putProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putQuery">putQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putRumQuery">putRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putSecurityQuery">putSecurityQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetApmQuery">resetApmQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetChangeType">resetChangeType</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetCompareTo">resetCompareTo</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetFormula">resetFormula</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetIncreaseGood">resetIncreaseGood</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetLogQuery">resetLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetOrderBy">resetOrderBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetOrderDir">resetOrderDir</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetProcessQuery">resetProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetQ">resetQ</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetQuery">resetQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetRumQuery">resetRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetSecurityQuery">resetSecurityQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetShowPresent">resetShowPresent</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putApmQuery` <a name="putApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putApmQuery"></a>

```java
public void putApmQuery(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putApmQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery</a>

---

##### `putFormula` <a name="putFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putFormula"></a>

```java
public void putFormula(IResolvable OR java.util.List<DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putFormula.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula</a>>

---

##### `putLogQuery` <a name="putLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putLogQuery"></a>

```java
public void putLogQuery(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putLogQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery</a>

---

##### `putProcessQuery` <a name="putProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putProcessQuery"></a>

```java
public void putProcessQuery(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putProcessQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery</a>

---

##### `putQuery` <a name="putQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putQuery"></a>

```java
public void putQuery(IResolvable OR java.util.List<DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putQuery.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery</a>>

---

##### `putRumQuery` <a name="putRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putRumQuery"></a>

```java
public void putRumQuery(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putRumQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery</a>

---

##### `putSecurityQuery` <a name="putSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putSecurityQuery"></a>

```java
public void putSecurityQuery(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putSecurityQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery</a>

---

##### `resetApmQuery` <a name="resetApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetApmQuery"></a>

```java
public void resetApmQuery()
```

##### `resetChangeType` <a name="resetChangeType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetChangeType"></a>

```java
public void resetChangeType()
```

##### `resetCompareTo` <a name="resetCompareTo" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetCompareTo"></a>

```java
public void resetCompareTo()
```

##### `resetFormula` <a name="resetFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetFormula"></a>

```java
public void resetFormula()
```

##### `resetIncreaseGood` <a name="resetIncreaseGood" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetIncreaseGood"></a>

```java
public void resetIncreaseGood()
```

##### `resetLogQuery` <a name="resetLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetLogQuery"></a>

```java
public void resetLogQuery()
```

##### `resetOrderBy` <a name="resetOrderBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetOrderBy"></a>

```java
public void resetOrderBy()
```

##### `resetOrderDir` <a name="resetOrderDir" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetOrderDir"></a>

```java
public void resetOrderDir()
```

##### `resetProcessQuery` <a name="resetProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetProcessQuery"></a>

```java
public void resetProcessQuery()
```

##### `resetQ` <a name="resetQ" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetQ"></a>

```java
public void resetQ()
```

##### `resetQuery` <a name="resetQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetQuery"></a>

```java
public void resetQuery()
```

##### `resetRumQuery` <a name="resetRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetRumQuery"></a>

```java
public void resetRumQuery()
```

##### `resetSecurityQuery` <a name="resetSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetSecurityQuery"></a>

```java
public void resetSecurityQuery()
```

##### `resetShowPresent` <a name="resetShowPresent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetShowPresent"></a>

```java
public void resetShowPresent()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.formula">formula</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.query">query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.apmQueryInput">apmQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.changeTypeInput">changeTypeInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.compareToInput">compareToInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.formulaInput">formulaInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.increaseGoodInput">increaseGoodInput</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.logQueryInput">logQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.orderByInput">orderByInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.orderDirInput">orderDirInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.processQueryInput">processQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.qInput">qInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.queryInput">queryInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.rumQueryInput">rumQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.securityQueryInput">securityQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.showPresentInput">showPresentInput</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.changeType">changeType</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.compareTo">compareTo</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.increaseGood">increaseGood</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.orderBy">orderBy</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.orderDir">orderDir</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.q">q</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.showPresent">showPresent</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `apmQuery`<sup>Required</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.apmQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference getApmQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference</a>

---

##### `formula`<sup>Required</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.formula"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList getFormula();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList</a>

---

##### `logQuery`<sup>Required</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.logQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference getLogQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference</a>

---

##### `processQuery`<sup>Required</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.processQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference getProcessQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference</a>

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.query"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList getQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList</a>

---

##### `rumQuery`<sup>Required</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.rumQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference getRumQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference</a>

---

##### `securityQuery`<sup>Required</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.securityQuery"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference getSecurityQuery();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference</a>

---

##### `apmQueryInput`<sup>Optional</sup> <a name="apmQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.apmQueryInput"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery getApmQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery</a>

---

##### `changeTypeInput`<sup>Optional</sup> <a name="changeTypeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.changeTypeInput"></a>

```java
public java.lang.String getChangeTypeInput();
```

- *Type:* java.lang.String

---

##### `compareToInput`<sup>Optional</sup> <a name="compareToInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.compareToInput"></a>

```java
public java.lang.String getCompareToInput();
```

- *Type:* java.lang.String

---

##### `formulaInput`<sup>Optional</sup> <a name="formulaInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.formulaInput"></a>

```java
public java.lang.Object getFormulaInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula</a>>

---

##### `increaseGoodInput`<sup>Optional</sup> <a name="increaseGoodInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.increaseGoodInput"></a>

```java
public java.lang.Object getIncreaseGoodInput();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `logQueryInput`<sup>Optional</sup> <a name="logQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.logQueryInput"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery getLogQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery</a>

---

##### `orderByInput`<sup>Optional</sup> <a name="orderByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.orderByInput"></a>

```java
public java.lang.String getOrderByInput();
```

- *Type:* java.lang.String

---

##### `orderDirInput`<sup>Optional</sup> <a name="orderDirInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.orderDirInput"></a>

```java
public java.lang.String getOrderDirInput();
```

- *Type:* java.lang.String

---

##### `processQueryInput`<sup>Optional</sup> <a name="processQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.processQueryInput"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery getProcessQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery</a>

---

##### `qInput`<sup>Optional</sup> <a name="qInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.qInput"></a>

```java
public java.lang.String getQInput();
```

- *Type:* java.lang.String

---

##### `queryInput`<sup>Optional</sup> <a name="queryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.queryInput"></a>

```java
public java.lang.Object getQueryInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery</a>>

---

##### `rumQueryInput`<sup>Optional</sup> <a name="rumQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.rumQueryInput"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery getRumQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery</a>

---

##### `securityQueryInput`<sup>Optional</sup> <a name="securityQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.securityQueryInput"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery getSecurityQueryInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery</a>

---

##### `showPresentInput`<sup>Optional</sup> <a name="showPresentInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.showPresentInput"></a>

```java
public java.lang.Object getShowPresentInput();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `changeType`<sup>Required</sup> <a name="changeType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.changeType"></a>

```java
public java.lang.String getChangeType();
```

- *Type:* java.lang.String

---

##### `compareTo`<sup>Required</sup> <a name="compareTo" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.compareTo"></a>

```java
public java.lang.String getCompareTo();
```

- *Type:* java.lang.String

---

##### `increaseGood`<sup>Required</sup> <a name="increaseGood" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.increaseGood"></a>

```java
public java.lang.Object getIncreaseGood();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `orderBy`<sup>Required</sup> <a name="orderBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.orderBy"></a>

```java
public java.lang.String getOrderBy();
```

- *Type:* java.lang.String

---

##### `orderDir`<sup>Required</sup> <a name="orderDir" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.orderDir"></a>

```java
public java.lang.String getOrderDir();
```

- *Type:* java.lang.String

---

##### `q`<sup>Required</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.q"></a>

```java
public java.lang.String getQ();
```

- *Type:* java.lang.String

---

##### `showPresent`<sup>Required</sup> <a name="showPresent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.showPresent"></a>

```java
public java.lang.Object getShowPresent();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.resetFilterBy">resetFilterBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.resetSearchBy">resetSearchBy</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFilterBy` <a name="resetFilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.resetFilterBy"></a>

```java
public void resetFilterBy()
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.resetLimit"></a>

```java
public void resetLimit()
```

##### `resetSearchBy` <a name="resetSearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.resetSearchBy"></a>

```java
public void resetSearchBy()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.filterByInput">filterByInput</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.limitInput">limitInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.metricInput">metricInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.searchByInput">searchByInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.filterBy">filterBy</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.limit">limit</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.metric">metric</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.searchBy">searchBy</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `filterByInput`<sup>Optional</sup> <a name="filterByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.filterByInput"></a>

```java
public java.util.List<java.lang.String> getFilterByInput();
```

- *Type:* java.util.List<java.lang.String>

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.limitInput"></a>

```java
public java.lang.Number getLimitInput();
```

- *Type:* java.lang.Number

---

##### `metricInput`<sup>Optional</sup> <a name="metricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.metricInput"></a>

```java
public java.lang.String getMetricInput();
```

- *Type:* java.lang.String

---

##### `searchByInput`<sup>Optional</sup> <a name="searchByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.searchByInput"></a>

```java
public java.lang.String getSearchByInput();
```

- *Type:* java.lang.String

---

##### `filterBy`<sup>Required</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.filterBy"></a>

```java
public java.util.List<java.lang.String> getFilterBy();
```

- *Type:* java.util.List<java.lang.String>

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

---

##### `searchBy`<sup>Required</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.searchBy"></a>

```java
public java.lang.String getSearchBy();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetIsUpstream">resetIsUpstream</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagName">resetPrimaryTagName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagValue">resetPrimaryTagValue</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetIsUpstream` <a name="resetIsUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetIsUpstream"></a>

```java
public void resetIsUpstream()
```

##### `resetPrimaryTagName` <a name="resetPrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagName"></a>

```java
public void resetPrimaryTagName()
```

##### `resetPrimaryTagValue` <a name="resetPrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagValue"></a>

```java
public void resetPrimaryTagValue()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSourceInput">dataSourceInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.envInput">envInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstreamInput">isUpstreamInput</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.nameInput">nameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationNameInput">operationNameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagNameInput">primaryTagNameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValueInput">primaryTagValueInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceNameInput">resourceNameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.serviceInput">serviceInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.statInput">statInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.env">env</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstream">isUpstream</a></code> | <code>java.lang.Boolean OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.name">name</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationName">operationName</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.service">service</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.stat">stat</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `dataSourceInput`<sup>Optional</sup> <a name="dataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSourceInput"></a>

```java
public java.lang.String getDataSourceInput();
```

- *Type:* java.lang.String

---

##### `envInput`<sup>Optional</sup> <a name="envInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.envInput"></a>

```java
public java.lang.String getEnvInput();
```

- *Type:* java.lang.String

---

##### `isUpstreamInput`<sup>Optional</sup> <a name="isUpstreamInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstreamInput"></a>

```java
public java.lang.Object getIsUpstreamInput();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.nameInput"></a>

```java
public java.lang.String getNameInput();
```

- *Type:* java.lang.String

---

##### `operationNameInput`<sup>Optional</sup> <a name="operationNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationNameInput"></a>

```java
public java.lang.String getOperationNameInput();
```

- *Type:* java.lang.String

---

##### `primaryTagNameInput`<sup>Optional</sup> <a name="primaryTagNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagNameInput"></a>

```java
public java.lang.String getPrimaryTagNameInput();
```

- *Type:* java.lang.String

---

##### `primaryTagValueInput`<sup>Optional</sup> <a name="primaryTagValueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValueInput"></a>

```java
public java.lang.String getPrimaryTagValueInput();
```

- *Type:* java.lang.String

---

##### `resourceNameInput`<sup>Optional</sup> <a name="resourceNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceNameInput"></a>

```java
public java.lang.String getResourceNameInput();
```

- *Type:* java.lang.String

---

##### `serviceInput`<sup>Optional</sup> <a name="serviceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.serviceInput"></a>

```java
public java.lang.String getServiceInput();
```

- *Type:* java.lang.String

---

##### `statInput`<sup>Optional</sup> <a name="statInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.statInput"></a>

```java
public java.lang.String getStatInput();
```

- *Type:* java.lang.String

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

---

##### `isUpstream`<sup>Required</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstream"></a>

```java
public java.lang.Object getIsUpstream();
```

- *Type:* java.lang.Boolean OR com.hashicorp.cdktf.IResolvable

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

---

##### `primaryTagName`<sup>Required</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

---

##### `primaryTagValue`<sup>Required</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetOperationName">resetOperationName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagName">resetPrimaryTagName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagValue">resetPrimaryTagValue</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetResourceName">resetResourceName</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetGroupBy"></a>

```java
public void resetGroupBy()
```

##### `resetOperationName` <a name="resetOperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetOperationName"></a>

```java
public void resetOperationName()
```

##### `resetPrimaryTagName` <a name="resetPrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagName"></a>

```java
public void resetPrimaryTagName()
```

##### `resetPrimaryTagValue` <a name="resetPrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagValue"></a>

```java
public void resetPrimaryTagValue()
```

##### `resetResourceName` <a name="resetResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetResourceName"></a>

```java
public void resetResourceName()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSourceInput">dataSourceInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.envInput">envInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.nameInput">nameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationNameInput">operationNameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagNameInput">primaryTagNameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValueInput">primaryTagValueInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceNameInput">resourceNameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.serviceInput">serviceInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.statInput">statInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.env">env</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupBy">groupBy</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.name">name</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationName">operationName</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagName">primaryTagName</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValue">primaryTagValue</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceName">resourceName</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.service">service</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.stat">stat</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `dataSourceInput`<sup>Optional</sup> <a name="dataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSourceInput"></a>

```java
public java.lang.String getDataSourceInput();
```

- *Type:* java.lang.String

---

##### `envInput`<sup>Optional</sup> <a name="envInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.envInput"></a>

```java
public java.lang.String getEnvInput();
```

- *Type:* java.lang.String

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupByInput"></a>

```java
public java.util.List<java.lang.String> getGroupByInput();
```

- *Type:* java.util.List<java.lang.String>

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.nameInput"></a>

```java
public java.lang.String getNameInput();
```

- *Type:* java.lang.String

---

##### `operationNameInput`<sup>Optional</sup> <a name="operationNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationNameInput"></a>

```java
public java.lang.String getOperationNameInput();
```

- *Type:* java.lang.String

---

##### `primaryTagNameInput`<sup>Optional</sup> <a name="primaryTagNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagNameInput"></a>

```java
public java.lang.String getPrimaryTagNameInput();
```

- *Type:* java.lang.String

---

##### `primaryTagValueInput`<sup>Optional</sup> <a name="primaryTagValueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValueInput"></a>

```java
public java.lang.String getPrimaryTagValueInput();
```

- *Type:* java.lang.String

---

##### `resourceNameInput`<sup>Optional</sup> <a name="resourceNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceNameInput"></a>

```java
public java.lang.String getResourceNameInput();
```

- *Type:* java.lang.String

---

##### `serviceInput`<sup>Optional</sup> <a name="serviceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.serviceInput"></a>

```java
public java.lang.String getServiceInput();
```

- *Type:* java.lang.String

---

##### `statInput`<sup>Optional</sup> <a name="statInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.statInput"></a>

```java
public java.lang.String getStatInput();
```

- *Type:* java.lang.String

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.env"></a>

```java
public java.lang.String getEnv();
```

- *Type:* java.lang.String

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupBy"></a>

```java
public java.util.List<java.lang.String> getGroupBy();
```

- *Type:* java.util.List<java.lang.String>

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationName"></a>

```java
public java.lang.String getOperationName();
```

- *Type:* java.lang.String

---

##### `primaryTagName`<sup>Required</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagName"></a>

```java
public java.lang.String getPrimaryTagName();
```

- *Type:* java.lang.String

---

##### `primaryTagValue`<sup>Required</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValue"></a>

```java
public java.lang.String getPrimaryTagValue();
```

- *Type:* java.lang.String

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceName"></a>

```java
public java.lang.String getResourceName();
```

- *Type:* java.lang.String

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.service"></a>

```java
public java.lang.String getService();
```

- *Type:* java.lang.String

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.stat"></a>

```java
public java.lang.String getStat();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.get"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute</a>>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resetMetric">resetMetric</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resetInterval"></a>

```java
public void resetInterval()
```

##### `resetMetric` <a name="resetMetric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resetMetric"></a>

```java
public void resetMetric()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.metricInput">metricInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.interval">interval</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.metric">metric</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.intervalInput"></a>

```java
public java.lang.Number getIntervalInput();
```

- *Type:* java.lang.Number

---

##### `metricInput`<sup>Optional</sup> <a name="metricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.metricInput"></a>

```java
public java.lang.String getMetricInput();
```

- *Type:* java.lang.String

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.interval"></a>

```java
public java.lang.Number getInterval();
```

- *Type:* java.lang.Number

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.get"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference get(java.lang.Number index)
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.get.parameter.index"></a>

- *Type:* java.lang.Number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.internalValue">internalValue</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Number complexObjectIndex, java.lang.Boolean complexObjectIsFromSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>java.lang.Number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* java.lang.Number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* java.lang.Boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.putSort">putSort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resetSort">resetSort</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSort` <a name="putSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.putSort"></a>

```java
public void putSort(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.putSort.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a>

---

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resetLimit"></a>

```java
public void resetLimit()
```

##### `resetSort` <a name="resetSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resetSort"></a>

```java
public void resetSort()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.sortInput">sortInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.facet">facet</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.limit">limit</a></code> | <code>java.lang.Number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a> OR com.hashicorp.cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `sort`<sup>Required</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.sort"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference getSort();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.facetInput"></a>

```java
public java.lang.String getFacetInput();
```

- *Type:* java.lang.String

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.limitInput"></a>

```java
public java.lang.Number getLimitInput();
```

- *Type:* java.lang.Number

---

##### `sortInput`<sup>Optional</sup> <a name="sortInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.sortInput"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort getSortInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.facet"></a>

```java
public java.lang.String getFacet();
```

- *Type:* java.lang.String

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.limit"></a>

```java
public java.lang.Number getLimit();
```

- *Type:* java.lang.Number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.internalValue"></a>

```java
public java.lang.Object getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a> OR com.hashicorp.cdktf.IResolvable

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetMetric">resetMetric</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetOrder">resetOrder</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetMetric` <a name="resetMetric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetMetric"></a>

```java
public void resetMetric()
```

##### `resetOrder` <a name="resetOrder" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetOrder"></a>

```java
public void resetOrder()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metricInput">metricInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.orderInput">orderInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregation">aggregation</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metric">metric</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.order">order</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregationInput"></a>

```java
public java.lang.String getAggregationInput();
```

- *Type:* java.lang.String

---

##### `metricInput`<sup>Optional</sup> <a name="metricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metricInput"></a>

```java
public java.lang.String getMetricInput();
```

- *Type:* java.lang.String

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.orderInput"></a>

```java
public java.lang.String getOrderInput();
```

- *Type:* java.lang.String

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregation"></a>

```java
public java.lang.String getAggregation();
```

- *Type:* java.lang.String

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metric"></a>

```java
public java.lang.String getMetric();
```

- *Type:* java.lang.String

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.order"></a>

```java
public java.lang.String getOrder();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putCompute">putCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putSearch">putSearch</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetIndexes">resetIndexes</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetSearch">resetSearch</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetStorage">resetStorage</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putCompute` <a name="putCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putCompute"></a>

```java
public void putCompute(IResolvable OR java.util.List<DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putCompute.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute</a>>

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putGroupBy"></a>

```java
public void putGroupBy(IResolvable OR java.util.List<DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy> value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>>

---

##### `putSearch` <a name="putSearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putSearch"></a>

```java
public void putSearch(DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch value)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putSearch.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch</a>

---

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetGroupBy"></a>

```java
public void resetGroupBy()
```

##### `resetIndexes` <a name="resetIndexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetIndexes"></a>

```java
public void resetIndexes()
```

##### `resetSearch` <a name="resetSearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetSearch"></a>

```java
public void resetSearch()
```

##### `resetStorage` <a name="resetStorage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetStorage"></a>

```java
public void resetStorage()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.compute">compute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.computeInput">computeInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.dataSourceInput">dataSourceInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.indexesInput">indexesInput</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.nameInput">nameInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.searchInput">searchInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.storageInput">storageInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.dataSource">dataSource</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.indexes">indexes</a></code> | <code>java.util.List<java.lang.String></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.name">name</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.storage">storage</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.compute"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList getCompute();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.groupBy"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList getGroupBy();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList</a>

---

##### `search`<sup>Required</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.search"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference getSearch();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference</a>

---

##### `computeInput`<sup>Optional</sup> <a name="computeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.computeInput"></a>

```java
public java.lang.Object getComputeInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute</a>>

---

##### `dataSourceInput`<sup>Optional</sup> <a name="dataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.dataSourceInput"></a>

```java
public java.lang.String getDataSourceInput();
```

- *Type:* java.lang.String

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.groupByInput"></a>

```java
public java.lang.Object getGroupByInput();
```

- *Type:* com.hashicorp.cdktf.IResolvable OR java.util.List<<a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>>

---

##### `indexesInput`<sup>Optional</sup> <a name="indexesInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.indexesInput"></a>

```java
public java.util.List<java.lang.String> getIndexesInput();
```

- *Type:* java.util.List<java.lang.String>

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.nameInput"></a>

```java
public java.lang.String getNameInput();
```

- *Type:* java.lang.String

---

##### `searchInput`<sup>Optional</sup> <a name="searchInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.searchInput"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch getSearchInput();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch</a>

---

##### `storageInput`<sup>Optional</sup> <a name="storageInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.storageInput"></a>

```java
public java.lang.String getStorageInput();
```

- *Type:* java.lang.String

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.dataSource"></a>

```java
public java.lang.String getDataSource();
```

- *Type:* java.lang.String

---

##### `indexes`<sup>Required</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.indexes"></a>

```java
public java.util.List<java.lang.String> getIndexes();
```

- *Type:* java.util.List<java.lang.String>

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.name"></a>

```java
public java.lang.String getName();
```

- *Type:* java.lang.String

---

##### `storage`<sup>Required</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.storage"></a>

```java
public java.lang.String getStorage();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference(IInterpolatingParent terraformResource, java.lang.String terraformAttribute);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.computeFqn"></a>

```java
public java.lang.String computeFqn()
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Object> getAnyMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute"></a>

```java
public IResolvable getBooleanAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Boolean> getBooleanMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute"></a>

```java
public java.util.List<java.lang.String> getListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute"></a>

```java
public java.lang.Number getNumberAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute"></a>

```java
public java.util.List<java.lang.Number> getNumberListAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.Number> getNumberMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute"></a>

```java
public java.lang.String getStringAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute"></a>

```java
public java.util.Map<java.lang.String, java.lang.String> getStringMapAttribute(java.lang.String terraformAttribute)
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute"></a>

```java
public IResolvable interpolationForAttribute(java.lang.String property)
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* java.lang.String

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.resolve"></a>

```java
public java.lang.Object resolve(IResolveContext _context)
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.resolve.parameter._context"></a>

- *Type:* com.hashicorp.cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.toString"></a>

```java
public java.lang.String toString()
```

Return a string representation of this resolvable object.

Returns a reversible string representation.


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.creationStack">creationStack</a></code> | <code>java.util.List<java.lang.String></code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.fqn">fqn</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.queryInput">queryInput</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.query">query</a></code> | <code>java.lang.String</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.creationStack"></a>

```java
public java.util.List<java.lang.String> getCreationStack();
```

- *Type:* java.util.List<java.lang.String>

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.fqn"></a>

```java
public java.lang.String getFqn();
```

- *Type:* java.lang.String

---

##### `queryInput`<sup>Optional</sup> <a name="queryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.queryInput"></a>

```java
public java.lang.String getQueryInput();
```

- *Type:* java.lang.String

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.query"></a>

```java
public java.lang.String getQuery();
```

- *Type:* java.lang.String

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.internalValue"></a>

```java
public DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch getInternalValue();
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.Initializer"></a>

```java
import com.hashicorp.cdktf.providers.datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList;

new DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList(IInterpolatingParent terraformResource, java.lang.String terraformAttribute, java.lang.Boolean wrapsSet);
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>com.hashicorp.cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>java.lang.String</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>java.lang.Boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.Initializer.parameter.terraformResource"></a>

- *Type:* com.hashicorp.cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.Initializer.parameter.terraformAttribute"></a>

- *Type:* java.lang.String

The attribute on the parent resource this class is referencing.

---

